
CREATE TABLE tbm_company_address (
  user_company_id DECIMAL(15) NOT NULL,
  company_id DECIMAL(15) NOT NULL,
  tel VARCHAR(255) NULL,
  fax VARCHAR(255) NULL,
  zipcode VARCHAR(255) NULL,
  address1 VARCHAR(255) NULL,
  address2 VARCHAR(255) NULL,
  address3 VARCHAR(255) NULL,
  address4 VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, company_id),
  INDEX tbm_company_address_FKIndex1(user_company_id, company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_company_base (
  user_company_id DECIMAL(15) NOT NULL,
  company_id DECIMAL(15) NOT NULL,
  company_nm VARCHAR(255) NULL,
  branch_nm VARCHAR(255) NULL,
  company_kn VARCHAR(255) NULL,
  branch_kn VARCHAR(255) NULL,
  president VARCHAR(255) NULL,
  business_type VARCHAR(255) NULL,
  bond_code VARCHAR(255) NULL,
  url VARCHAR(255) NULL,
  parent_company_id DECIMAL(15) NULL,
  parent_company_nm VARCHAR(255) NULL,
  parent_branch_nm VARCHAR(255) NULL,
  etc TEXT NULL,
  mail VARCHAR(255) NULL,
  logo_image_path VARCHAR(255) NULL,
  open_date timestamp NULL,
  close_date timestamp NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_employee_property (
  user_company_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NOT NULL,
  company_id DECIMAL(15) NULL,
  staff_cd VARCHAR(255) NULL,
  organization VARCHAR(255) NULL,
  official_id DECIMAL(15) NULL,
  mobile VARCHAR(255) NULL,
  tel_in VARCHAR(255) NULL,
  mail VARCHAR(255) NULL,
  enter_dt VARCHAR(32) NULL,
  retire_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, personal_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_mail (
  user_company_id DECIMAL(15) NOT NULL,
  mail VARCHAR(255) NOT NULL,
  auth_user VARCHAR(255) NULL,
  auth_password VARCHAR(255) NULL,
  auth_method VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(mail)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_official_title (
  user_company_id DECIMAL(15) NOT NULL,
  official_id DECIMAL(15) NOT NULL,
  orderno DECIMAL(15) NULL,
  official_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, official_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_parent_address (
  user_company_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NOT NULL,
  tel VARCHAR(255) NULL,
  fax VARCHAR(255) NULL,
  mobile VARCHAR(255) NULL,
  zipcode VARCHAR(255) NULL,
  address1 VARCHAR(255) NULL,
  address2 VARCHAR(255) NULL,
  address3 VARCHAR(255) NULL,
  address4 VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, personal_id),
  INDEX tbm_parent_address_FKIndex1(user_company_id, personal_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_personal_address (
  user_company_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NOT NULL,
  tel VARCHAR(255) NULL,
  fax VARCHAR(255) NULL,
  mobile VARCHAR(255) NULL,
  zipcode VARCHAR(255) NULL,
  address1 VARCHAR(255) NULL,
  address2 VARCHAR(255) NULL,
  address3 VARCHAR(255) NULL,
  address4 VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, personal_id),
  INDEX tbm_personal_address_FKIndex1(user_company_id, personal_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_personal_base (
  user_company_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NOT NULL,
  personal_nm VARCHAR(255) NULL,
  personal_kn VARCHAR(255) NULL,
  birthday VARCHAR(32) NULL,
  bloodType VARCHAR(255) NULL,
  sex VARCHAR(32) NULL,
  mail VARCHAR(255) NULL,
  mobile_mail VARCHAR(255) NULL,
  url VARCHAR(255) NULL,
  etc TEXT NULL,
  ical_file VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, personal_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_personal_recruit (
  user_company_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NOT NULL,
  recruit_kb VARCHAR(32) NULL,
  bunrui_id DECIMAL(15) NULL,
  request_area VARCHAR(255) NULL,
  work_area VARCHAR(255) NULL,
  transportation_kb VARCHAR(32) NULL,
  start_dt VARCHAR(32) NULL,
  medium_kb VARCHAR(32) NULL,
  store_id DECIMAL(15) NULL,
  qr_id DECIMAL(15) NULL,
  employ_kb VARCHAR(32) NULL,
  educational_background_kb VARCHAR(32) NULL,
  school_nm VARCHAR(32) NULL,
  biko TEXT NULL,
  recruit_biko TEXT NULL,
  del_flg VARCHAR(1) NOT NULL DEFAULT '0',
  add_date TIMESTAMP NULL,
  upd_date TIMESTAMP NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, personal_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_personal_member (
  user_company_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NOT NULL,
  medium_kb VARCHAR(32) NULL,
  store_id DECIMAL(15) NULL,
  qr_id DECIMAL(15) NULL,
  biko TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, personal_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_zip_code (
  zipcode VARCHAR(32) NOT NULL,
  address1 VARCHAR(255) NULL,
  address2 VARCHAR(255) NULL,
  address3 VARCHAR(255) NULL,
  address4 VARCHAR(255) NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

