
CREATE TABLE tbm_config (
  user_company_id DECIMAL(15) NOT NULL,
  first_period VARCHAR(255) NULL,
  rest_hour VARCHAR(255) NULL,
  rest_minutes VARCHAR(255) NULL,
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_date (
  ymd VARCHAR(32) NOT NULL,
  yyyy VARCHAR(32) NULL,
  yymm VARCHAR(32) NULL,
  youbi VARCHAR(255) NULL,
  youbi_nm VARCHAR(255) NULL,
  simebi VARCHAR(8) NULL,
  PRIMARY KEY(ymd)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_personal (
  user_company_id DECIMAL(15) NOT NULL,
  staff_cd VARCHAR(255) NOT NULL,
  card_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, staff_cd)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_summary (
  user_company_id DECIMAL(15) NOT NULL,
  staff_cd VARCHAR(255) NOT NULL,
  yymm VARCHAR(32) NOT NULL,
  yukyu_syutoku DECIMAL(15) NULL,
  yukyu_syouka DECIMAL(15) NULL,
  kyusyutu DECIMAL(15) NULL,
  daikyuu DECIMAL(15) NULL,
  tokkyuu DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, staff_cd, yymm)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_timecard (
  user_company_id DECIMAL(15) NOT NULL,
  staff_cd VARCHAR(255) NOT NULL,
  ymd VARCHAR(8) NOT NULL,
  kinmu_kb VARCHAR(255) NULL,
  in_time VARCHAR(255) NULL,
  out_time VARCHAR(255) NULL,
  rest_time VARCHAR(255) NULL,
  kinmu_time VARCHAR(255) NULL,
  biko TEXT NULL,
  put_date DATETIME NULL,
  machine_number DECIMAL(15) NULL,
  card_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, staff_cd, ymd)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_timecard_org (
  user_company_id DECIMAL(15) NOT NULL,
  staff_cd VARCHAR(255) NOT NULL,
  ymd VARCHAR(8) NOT NULL,
  kinmu_kb VARCHAR(255) NULL,
  in_time VARCHAR(255) NULL,
  out_time VARCHAR(255) NULL,
  rest_time VARCHAR(255) NULL,
  kinmu_time VARCHAR(255) NULL,
  biko TEXT NULL,
  put_date DATETIME NULL,
  machine_number DECIMAL(15) NULL,
  card_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, staff_cd, ymd)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

