
CREATE TABLE tbt_han_bill (
  user_company_id DECIMAL(15) NOT NULL,
  bill_no DECIMAL(15) NOT NULL,
  bill_dt VARCHAR(32) NULL,
  tokui_id DECIMAL(15) NULL,
  bill_hakou_dt VARCHAR(32) NULL,
  apply_flg VARCHAR(1) NULL,
  bill_alias_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, bill_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_bill_detail (
  user_company_id DECIMAL(15) NOT NULL,
  bill_no DECIMAL(15) NOT NULL,
  bill_edano DECIMAL(15) NOT NULL,
  bill_sime_syori_no DECIMAL(15) NULL,
  uriage_kb VARCHAR(32) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT(65535) NULL,
  den_eda_tax_kin DECIMAL(15) NULL,
  tokui_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, bill_no, bill_edano),
  INDEX tbt_han_bill_detail_FKIndex1(bill_no, user_company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_bill_zandaka (
  user_company_id DECIMAL(15) NOT NULL,
  bill_no DECIMAL(15) NOT NULL,
  bill_sime_dt VARCHAR(32) NULL,
  tokui_id DECIMAL(15) NULL,
  zenzan_kin DECIMAL(15) NULL,
  tou_uri_kin DECIMAL(15) NULL,
  tou_henp_kin DECIMAL(15) NULL,
  tou_nebi_kin DECIMAL(15) NULL,
  tou_nema_kin DECIMAL(15) NULL,
  tou_tax_kin DECIMAL(15) NULL,
  tou_kake_kin DECIMAL(15) NULL,
  tou_genkin_nyu_kin DECIMAL(15) NULL,
  tou_tega_nyu_kin DECIMAL(15) NULL,
  tou_kogit_nyu_kin DECIMAL(15) NULL,
  tou_furik_nyu_kin DECIMAL(15) NULL,
  tou_furik_tes_kin DECIMAL(15) NULL,
  tou_nebi_nyu_kin DECIMAL(15) NULL,
  tou_sosai_nyu_kin DECIMAL(15) NULL,
  tou_other_nyu_kin DECIMAL(15) NULL,
  tou_nyuk_kei_kin DECIMAL(15) NULL,
  touzan_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, bill_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_mitu (
  user_company_id DECIMAL(15) NOT NULL,
  mitu_no DECIMAL(15) NOT NULL,
  mitu_dt VARCHAR(32) NULL,
  hako_dt VARCHAR(32) NULL,
  mitu_irai_no DECIMAL(15) NULL,
  tokui_id DECIMAL(15) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  kaitonouki_dt VARCHAR(32) NULL,
  mitu_title VARCHAR(255) NULL,
  syonin_rireki_id DECIMAL(15) NULL,
  syonin_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, mitu_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_mitu_detail (
  user_company_id DECIMAL(15) NOT NULL,
  mitu_no DECIMAL(15) NOT NULL,
  mitu_edano DECIMAL(15) NOT NULL,
  mitu_irai_no DECIMAL(15) NULL,
  mitu_irai_edano DECIMAL(15) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT(65535) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, mitu_no, mitu_edano),
  INDEX tbt_han_mitu_detail_FKIndex1(mitu_no, user_company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_mitu_irai (
  user_company_id DECIMAL(15) NOT NULL,
  mitu_irai_no DECIMAL(15) NOT NULL,
  mitu_irai_dt VARCHAR(32) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  mitu_limit_dt VARCHAR(32) NULL,
  irainouki_dt VARCHAR(32) NULL,
  sitei_tokui_id DECIMAL(15) NULL,
  mitu_irai_title VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, mitu_irai_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_mitu_irai_detail (
  user_company_id DECIMAL(15) NOT NULL,
  mitu_irai_no DECIMAL(15) NOT NULL,
  mitu_irai_edano DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu_cd VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT(65535) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, mitu_irai_no, mitu_irai_edano),
  INDEX tbt_han_mitu_irai_detail_FKIndex1(mitu_irai_no, user_company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_nyukin (
  user_company_id DECIMAL(15) NOT NULL,
  nyukin_no DECIMAL(15) NOT NULL,
  nyukin_code_kb VARCHAR(32) NULL,
  bill_no DECIMAL(15) NULL,
  apply_bill_no DECIMAL(15) NULL,
  urikake_sime_no DECIMAL(15) NULL,
  tokui_id DECIMAL(15) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  nyukin_kin DECIMAL(15) NULL,
  furikomi_kin DECIMAL(15) NULL,
  nyukin_dt VARCHAR(32) NULL,
  nyukin_title VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, nyukin_no),
  INDEX tbt_han_nyukin_FKIndex1(user_company_id, bill_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_order (
  user_company_id DECIMAL(15) NOT NULL,
  order_no DECIMAL(15) NOT NULL,
  order_dt VARCHAR(32) NULL,
  ukezumi_dt VARCHAR(32) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  tokui_chumon_nm VARCHAR(255) NULL,
  mitu_no DECIMAL(15) NULL,
  tokui_id DECIMAL(15) NULL,
  nouki_dt VARCHAR(32) NULL,
  order_title VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, order_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_order_detail (
  user_company_id DECIMAL(15) NOT NULL,
  order_no DECIMAL(15) NOT NULL,
  order_edano DECIMAL(15) NOT NULL,
  mitu_no DECIMAL(15) NULL,
  mitu_edano DECIMAL(15) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT(65535) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, order_no, order_edano),
  INDEX tbt_han_order_detail_FKIndex1(order_no, user_company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_status (
  user_company_id DECIMAL(15) NOT NULL,
  status_id DECIMAL(15) NOT NULL,
  mitu_irai_no DECIMAL(15) NULL,
  mitu_irai_edano DECIMAL(15) NULL,
  mitu_no DECIMAL(15) NULL,
  mitu_edano DECIMAL(15) NULL,
  order_no DECIMAL(15) NULL,
  order_edano DECIMAL(15) NULL,
  picking_no DECIMAL(15) NULL,
  picking_edano DECIMAL(15) NULL,
  nyusyuko_rireki_id DECIMAL(15) NULL,
  delivery_no DECIMAL(15) NULL,
  delivery_edano DECIMAL(15) NULL,
  bill_no DECIMAL(15) NULL,
  bill_edano DECIMAL(15) NULL,
  uri_no DECIMAL(15) NULL,
  uri_edano DECIMAL(15) NULL,
  nyukin_no DECIMAL(15) NULL,
  sts_kb VARCHAR(32) NULL,
  syonin_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, status_id),
  INDEX tbt_han_status_FKIndex7(user_company_id, mitu_irai_no),
  INDEX tbt_han_status_FKIndex3(user_company_id, mitu_no),
  INDEX tbt_han_status_FKIndex5(user_company_id, order_no),
  INDEX tbt_han_status_FKIndex6(user_company_id, delivery_no),
  INDEX tbt_han_status_FKIndex9(user_company_id, bill_no),
  INDEX tbt_han_status_FKIndex11(user_company_id, uri_no),
  INDEX tbt_han_status_FKIndex13(nyukin_no, user_company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_syuka (
  user_company_id DECIMAL(15) NOT NULL,
  delivery_no DECIMAL(15) NOT NULL,
  tokui_id DECIMAL(15) NULL,
  bill_dt VARCHAR(32) NULL,
  uriage_kb VARCHAR(32) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  bill_title VARCHAR(255) NULL,
  bill_create_kb VARCHAR(32) NULL,
  den_tax_kin DECIMAL(15) NULL,
  urikake_den_tax_kin DECIMAL(15) NULL,
  bill_alias_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, delivery_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_syuka_detail (
  user_company_id DECIMAL(15) NOT NULL,
  delivery_no DECIMAL(15) NOT NULL,
  delivery_edano DECIMAL(15) NOT NULL,
  order_no DECIMAL(15) NULL,
  order_edano DECIMAL(15) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  standard_tnk DECIMAL(15,3) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT(65535) NULL,
  syuka_dt VARCHAR(32) NULL,
  syuka_su DECIMAL(15,3) NULL,
  bill_no DECIMAL(15) NULL,
  bill_edano DECIMAL(15) NULL,
  uri_no DECIMAL(15) NULL,
  uri_edano DECIMAL(15) NULL,
  okuri_prt_dt VARCHAR(32) NULL,
  nyusyuko_rireki_id DECIMAL(15) NULL,
  den_eda_tax_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, delivery_no, delivery_edano),
  INDEX tbt_han_syuka_detail_FKIndex1(delivery_no, user_company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_uri (
  user_company_id DECIMAL(15) NOT NULL,
  uri_no DECIMAL(15) NOT NULL,
  urikake_sime_no DECIMAL(15) NULL,
  tokui_id DECIMAL(15) NULL,
  uriage_kb VARCHAR(32) NULL,
  uri_dt VARCHAR(32) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  den_tax_kin DECIMAL(15) NULL,
  bill_alias_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, uri_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_urikake_zandaka (
  user_company_id DECIMAL(15) NOT NULL,
  urikake_sime_no DECIMAL(15) NOT NULL,
  tokui_id DECIMAL(15) NOT NULL,
  urikake_sime_dt VARCHAR(32) NULL,
  zenzan_kin DECIMAL(15) NULL,
  tou_uri_kin DECIMAL(15) NULL,
  tou_henp_kin DECIMAL(15) NULL,
  tou_nebi_kin DECIMAL(15) NULL,
  tou_nema_kin DECIMAL(15) NULL,
  tou_tax_kin DECIMAL(15) NULL,
  tou_kake_kin DECIMAL(15) NULL,
  tou_genkin_nyu_kin DECIMAL(15) NULL,
  tou_tega_nyu_kin DECIMAL(15) NULL,
  tou_kogit_nyu_kin DECIMAL(15) NULL,
  tou_furik_nyu_kin DECIMAL(15) NULL,
  tou_furik_tes_kin DECIMAL(15) NULL,
  tou_nebi_nyu_kin DECIMAL(15) NULL,
  tou_sosai_nyu_kin DECIMAL(15) NULL,
  tou_other_nyu_kin DECIMAL(15) NULL,
  tou_nyuk_kei_kin DECIMAL(15) NULL,
  touzan_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, urikake_sime_no, tokui_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_han_uri_detail (
  user_company_id DECIMAL(15) NOT NULL,
  uri_no DECIMAL(15) NOT NULL,
  uri_edano DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_cd VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT(65535) NULL,
  den_eda_tax_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, uri_no, uri_edano),
  INDEX tbt_han_uri_detail_FKIndex1(uri_no, user_company_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

