CREATE TABLE tbm_user_info (
  user_company_id DECIMAL(15) NOT NULL,
  user_cd VARCHAR(255) NOT NULL,
  auth_group_id DECIMAL(15) NOT NULL,
  activate VARCHAR(1) NULL,
  password VARCHAR(255) NOT NULL,
  personal_id DECIMAL(15) NULL,
  mobile_hash VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, user_cd, auth_group_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_logon_user_info (
  user_company_id DECIMAL(15) NOT NULL,
  user_cd VARCHAR(255) NOT NULL,
  tbm_user_info_auth_group_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NULL,
  hash VARCHAR(255) NULL,
  tmp_password VARCHAR(255) NULL,
  data_limit DATETIME NULL,
  PRIMARY KEY(user_company_id, user_cd)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_authentication_group (
  user_company_id DECIMAL(15) NOT NULL,
  auth_group_id DECIMAL(15) NOT NULL,
  auth_group_nm VARCHAR(255) NULL,
  auth_division VARCHAR(1) NULL,
  auth_rank DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, auth_group_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_authentication_relation (
  user_company_id DECIMAL(15) NOT NULL,
  auth_group_id DECIMAL(15) NOT NULL,
  auth_id DECIMAL(15) NOT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, auth_group_id, auth_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_authentication (
  user_company_id DECIMAL(15) NOT NULL,
  auth_id DECIMAL(15) NOT NULL,
  auth_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, auth_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbm_function_info (
  user_company_id DECIMAL(15) NOT NULL,
  function_cd VARCHAR(255) NOT NULL,
  auth_id DECIMAL(15) NOT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, function_cd, auth_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
