
CREATE TABLE tbt_nyusyuko_rireki (
  user_company_id DECIMAL(15) NOT NULL,
  nyusyuko_rireki_id DECIMAL(15) NOT NULL,
  nyusyuko_rireki_kb VARCHAR(32) NULL,
  zaiko_id DECIMAL(15) NULL,
  nyusyuko_su DECIMAL(15,3) NULL,
  aite_zaiko_id DECIMAL(15) NULL,
  nyusyuko_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, nyusyuko_rireki_id),
  INDEX tbt_nyusyuko_rireki_FKIndex1(user_company_id, zaiko_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_picking (
  user_company_id DECIMAL(15) NOT NULL,
  picking_no DECIMAL(15) NOT NULL,
  noki_dt VARCHAR(32) NULL,
  sisetubi_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(32) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  tokui_id DECIMAL(15) NULL,
  end_flg VARCHAR(1) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, picking_no)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_picking_detail (
  user_company_id DECIMAL(15) NOT NULL,
  picking_no DECIMAL(15) NOT NULL,
  picking_edano DECIMAL(15) NOT NULL,
  order_no DECIMAL(15) NULL,
  order_edano DECIMAL(15) NULL,
  zaiko_id DECIMAL(15) NULL,
  picking_siji_su DECIMAL(15,3) NULL,
  nyusyuko_rireki_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, picking_no, picking_edano),
  INDEX tbt_picking_detail_FKIndex1(user_company_id, picking_no),
  INDEX tbt_picking_detail_FKIndex2(user_company_id, nyusyuko_rireki_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_tanaorosi (
  user_company_id DECIMAL(15) NOT NULL,
  tanaorosi_siji_id DECIMAL(15) NOT NULL,
  tanaorosi_siji_edano DECIMAL(15) NOT NULL,
  sisetubi_id DECIMAL(15) NOT NULL,
  injijyun_no DECIMAL(15) NULL,
  zaiko_id DECIMAL(15) NULL,
  item_id DECIMAL(15) NULL,
  bunrui_kb VARCHAR(32) NOT NULL,
  bunrui_id DECIMAL(15) NULL,
  tanaorosi_mae_zaiko_su DECIMAL(15,3) NULL,
  tanaorosi_su DECIMAL(15,3) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, tanaorosi_siji_id, tanaorosi_siji_edano),
  INDEX tbt_tanaorosi_FKIndex2(user_company_id, tanaorosi_siji_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_tanaorosi_siji (
  user_company_id DECIMAL(15) NOT NULL,
  tanaorosi_siji_id DECIMAL(15) NOT NULL,
  tanaorosi_dt VARCHAR(32) NULL,
  tanaorosi_sts_kb VARCHAR(32) NULL,
  tanaorosi_kb VARCHAR(32) NULL,
  sisetubi_kb VARCHAR(32) NULL,
  sisetubi_id DECIMAL(15) NULL,
  bunrui_kb VARCHAR(32) NULL,
  bunrui1_id DECIMAL(15) NULL,
  bunrui2_id DECIMAL(15) NULL,
  bunrui3_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, tanaorosi_siji_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
# ------------------------------------------------------

CREATE TABLE tbt_zaiko (
  user_company_id DECIMAL(15) NOT NULL,
  zaiko_id DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NULL,
  tana_id DECIMAL(15) NULL,
  lotto_cd VARCHAR(255) NULL,
  zaiko_su DECIMAL(15,3) NULL,
  picking_su DECIMAL(15,3) NULL,
  hikiate_su DECIMAL(15,3) NULL,
  yuko_zaiko_su DECIMAL(15,3) NULL,
  last_nyuko_dt VARCHAR(32) NULL,
  last_syuko_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date DATETIME NULL,
  upd_date DATETIME NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, zaiko_id),
  INDEX tbt_zaiko_FKIndex1(user_company_id, tana_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

