
#
# view structure for view tbv_date
#
create view tbv_date as
select
    case when a.yymm >= a.yyyy||b.first_period then a.yyyy else a.yyyy-1 end as nendo,
    a.yyyy as yyyy,
    a.yymm as yymm,
    a.ymd  as ymd,
    a.youbi  as youbi,
    a.youbi_nm  as youbi_nm
from tbm_date a ,
     tbm_config b;
# ------------------------------------------------------

#
# view structure for view tbv_han_uri_nipo
#       wb_̍vphpɂčsׁAvvZViewł͕sv
create view tbv_han_uri_nipo as
select
      a.user_company_id,
      a.bill_dt,
      DATE_FORMAT(a.add_date,'%Y %m %d') as add_date,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.item_id,
      a.item_cd,
      a.delivery_no,
      a.delivery_edano,
      c.code_nm as uriage_kb_nm,
      a.product_nm,
      a.product_kikaku,
      a.su,
      a.tanka,
      a.kin,
      (a.tax + a.den_tax_kin)as tax,
      (a.kin + a.tax + a.den_tax_kin) as total_sum
from
      tbv_han_syuka_detail a
      left outer join tbm_code c
           on (a.user_company_id = c.user_company_id and a.uriage_kb = c.code and  c.code_kb='22');
# ------------------------------------------------------

#
# view structure for view tbv_han_nyukin_list
# 
create view tbv_han_nyukin_list as
select
      a.user_company_id,
      DATE_FORMAT(a.add_date,'%Y %m %d') as add_date,
      e.tokui_cd_nm as tokui_nm,
      a.nyukin_dt,
      a.nyukin_kin,
      a.furikomi_kin,
      a.nyukin_code_kb,
      b.code_nm,
      d.bill_sime_dt,
      a.bill_no,
      d.touzan_kin,
      a.nyukin_title
from
      tbt_han_nyukin a
      left outer join tbv_tokui e
           on (a.user_company_id = e.user_company_id and a.tokui_id = e.tokui_id)
      left outer join tbv_code b
           on (a.user_company_id = b.user_company_id and a.nyukin_code_kb = b.code and b.code_kb = '23')
      left outer join tbv_tokui c
           on (a.user_company_id = c.user_company_id and a.tokui_id = c.tokui_id)
      left outer join tbv_han_bill d
           on (a.user_company_id = d.user_company_id and a.apply_bill_no = d.bill_no)
where a.del_flg = '0';
# ------------------------------------------------------

#
# view structure for view tbv_kou_siire_nipo
# d   wb_̍vphpɂčsׁAvvZViewł͕sv
create view tbv_kou_siire_nipo as
select
      a.user_company_id,
      a.siire_dt,
      DATE_FORMAT(a.add_date,'%Y %m %d') as add_date,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.item_id,
      a.item_cd,
      a.nyuka_kenpin_no,
      a.nyuka_kenpin_edano,
      c.code_nm as sire_kb_nm,
      a.product_nm,
      a.product_kikaku,
      a.su,
      a.tanka,
      a.kin,
      case when a.tax is null then 0 else a.tax end as tax,
      a.kin + a.tax as total_sum
from
      tbv_kou_nyuka_detail a
      left outer join tbm_code c
           on (a.user_company_id = c.user_company_id and a.siire_kb = c.code and  c.code_kb='27');
# ------------------------------------------------------

#
# view structure for view tbv_kou_syukkin_list
# o
create view tbv_kou_syukkin_list as
select
      a.user_company_id,
      DATE_FORMAT(a.add_date,'%Y %m %d') as add_date,
      e.siire_cd_nm as siire_nm,
      a.syukkin_dt,
      a.syukkin_kin,
      a.furikomi_kin,
      a.syukkin_code_kb,
      b.code_nm,
      d.paid_sime_dt,
      a.paid_sime_no,
      d.touzan_kin,
      a.syukkin_title
from
      tbt_kou_syukkin a
      left outer join tbv_siire e
           on (a.user_company_id = e.user_company_id and a.siire_id = e.siire_id)
      left outer join tbv_code b
           on (a.user_company_id = b.user_company_id and a.syukkin_code_kb = b.code and b.code_kb = '23')
      left outer join tbv_siire c
           on (a.user_company_id = c.user_company_id and a.siire_id = c.siire_id)
      left outer join tbv_kou_paid_sime d
           on (a.user_company_id = d.user_company_id and a.apply_paid_sime_no = d.paid_sime_no)
where a.del_flg = '0';
