
CREATE TABLE tbt_bihin (
  user_company_id DECIMAL(15) NOT NULL,
  bihin_id DECIMAL(15) NOT NULL,
  konyu_dt VARCHAR(32) NULL,
  item_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, bihin_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_karibarai (
  user_company_id DECIMAL(15) NOT NULL,
  sinsei_no VARCHAR(32) NOT NULL,
  sinsei_user_cd VARCHAR(32) NULL,
  sinsei_dt VARCHAR(32) NULL,
  sinsei_kin DECIMAL(15) NULL,
  kari_kibo_dt VARCHAR(32) NULL,
  seisan_yotei_dt VARCHAR(32) NULL,
  sinsei_ttl VARCHAR(255) NULL,
  jiyu_txt TEXT NULL,
  torikesi_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, sinsei_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_karibarai_related (
  user_company_id DECIMAL(15) NOT NULL,
  karibarai_sinsei_no VARCHAR(32) NOT NULL,
  sinsei_kb VARCHAR(32) NOT NULL,
  sinsei_no VARCHAR(32) NOT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_keihi (
  user_company_id DECIMAL(15) NOT NULL,
  sinsei_no VARCHAR(32) NOT NULL,
  sinsei_user_cd VARCHAR(32) NULL,
  sinsei_dt VARCHAR(32) NULL,
  keihi_ttl VARCHAR(255) NULL,
  torikesi_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, sinsei_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_keihi_detail (
  user_company_id DECIMAL(15) NOT NULL,
  sinsei_no VARCHAR(32) NOT NULL,
  sinsei_eda DECIMAL(15) NOT NULL,
  bihin_id DECIMAL(15) NULL,
  kamoku_kb VARCHAR(32) NULL,
  ryosyu_no VARCHAR(32) NULL,
  sinsei_kin DECIMAL(15) NULL,
  jiyu_txt TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, sinsei_no, sinsei_eda)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_ryokohi (
  user_company_id DECIMAL(15) NOT NULL,
  sinsei_no VARCHAR(32) NOT NULL,
  sinsei_user_cd VARCHAR(32) NULL,
  sinsei_dt VARCHAR(32) NULL,
  ryokohi_ttl VARCHAR(255) NULL,
  torikesi_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, sinsei_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_ryokohi_detail (
  user_company_id DECIMAL(15) NOT NULL,
  sinsei_no VARCHAR(32) NOT NULL,
  sinsei_eda DECIMAL(15) NOT NULL,
  riyo_dt VARCHAR(32) NULL,
  seisan_kb VARCHAR(32) NULL,
  homon_nm VARCHAR(255) NULL,
  syudan_nm VARCHAR(255) NULL,
  hati_nm VARCHAR(255) NULL,
  chakuti_nm VARCHAR(255) NULL,
  sinsei_kin DECIMAL(15) NULL,
  jiyu_txt TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, sinsei_no, sinsei_eda)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_seisan (
  user_company_id DECIMAL(15) NOT NULL,
  sinsei_no VARCHAR(32) NOT NULL,
  seisan_user_cd VARCHAR(32) NULL,
  seisan_dt VARCHAR(32) NULL,
  seisan_kin DECIMAL(15) NULL,
  henkan_kin VARCHAR(32) NULL,
  seikyu_kin VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, sinsei_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_status (
  user_company_id DECIMAL(15) NOT NULL,
  sinsei_no VARCHAR(32) NOT NULL,
  status_kb VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NOT NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, sinsei_no)
) with (FILLFACTOR=90);

