
CREATE TABLE tbt_kou_kaikake_zandaka (
  user_company_id DECIMAL(15) NOT NULL,
  kaikake_sime_no DECIMAL(15) NOT NULL,
  siire_id DECIMAL(15) NOT NULL,
  kaikake_sime_dt VARCHAR(32) NULL,
  zenzan_kin DECIMAL(15) NULL,
  tou_siire_kin DECIMAL(15) NULL,
  tou_henp_kin DECIMAL(15) NULL,
  tou_nebi_kin DECIMAL(15) NULL,
  tou_nema_kin DECIMAL(15) NULL,
  tou_tax_kin DECIMAL(15) NULL,
  tou_kake_kin DECIMAL(15) NULL,
  tou_genkin_syu_kin DECIMAL(15) NULL,
  tou_tega_syu_kin DECIMAL(15) NULL,
  tou_kogit_syu_kin DECIMAL(15) NULL,
  tou_furik_syu_kin DECIMAL(15) NULL,
  tou_furik_tes_kin DECIMAL(15) NULL,
  tou_nebi_syu_kin DECIMAL(15) NULL,
  tou_sosai_syu_kin DECIMAL(15) NULL,
  tou_other_syu_kin DECIMAL(15) NULL,
  tou_syuk_kei_kin DECIMAL(15) NULL,
  touzan_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, kaikake_sime_no, siire_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_mitu (
  user_company_id DECIMAL(15) NOT NULL,
  mitu_no DECIMAL(15) NOT NULL,
  mitu_dt VARCHAR(32) NULL,
  hako_dt VARCHAR(32) NULL,
  mitu_irai_no DECIMAL(15) NULL,
  siire_id DECIMAL(15) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  kaitonouki_dt VARCHAR(32) NULL,
  mitu_title VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, mitu_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_mitu_detail (
  user_company_id DECIMAL(15) NOT NULL,
  mitu_no DECIMAL(15) NOT NULL,
  mitu_edano DECIMAL(15) NOT NULL,
  mitu_irai_no DECIMAL(15) NULL,
  mitu_irai_edano DECIMAL(15) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, mitu_no, mitu_edano)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_mitu_irai (
  user_company_id DECIMAL(15) NOT NULL,
  mitu_irai_no DECIMAL(15) NOT NULL,
  mitu_irai_dt VARCHAR(32) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  mitu_limit_dt VARCHAR(32) NULL,
  irainouki_dt VARCHAR(32) NULL,
  sitei_siire_id DECIMAL(15) NULL,
  mitu_irai_title VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, mitu_irai_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_mitu_irai_detail (
  user_company_id DECIMAL(15) NOT NULL,
  mitu_irai_no DECIMAL(15) NOT NULL,
  mitu_irai_edano DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu_cd VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, mitu_irai_no, mitu_irai_edano)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_nyuka (
  user_company_id DECIMAL(15) NOT NULL,
  nyuka_kenpin_no DECIMAL(15) NOT NULL,
  siire_id DECIMAL(15) NULL,
  siire_dt VARCHAR(32) NULL,
  siire_kb VARCHAR(32) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  siire_title VARCHAR(255) NULL,
  siire_create_kb VARCHAR(32) NULL,
  den_tax_kin DECIMAL(15) NULL,
  kaikake_den_tax_kin DECIMAL(15) NULL,
  paid_alias_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, nyuka_kenpin_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_nyuka_detail (
  user_company_id DECIMAL(15) NOT NULL,
  nyuka_kenpin_no DECIMAL(15) NOT NULL,
  nyuka_kenpin_edano DECIMAL(15) NOT NULL,
  order_no DECIMAL(15) NULL,
  order_edano DECIMAL(15) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  standardcost_tnk DECIMAL(15,3) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT NULL,
  nyuka_dt VARCHAR(32) NULL,
  nyuka_su DECIMAL(15,3) NULL,
  paid_sime_no DECIMAL(15) NULL,
  paid_sime_edano DECIMAL(15) NULL,
  siire_no DECIMAL(15) NULL,
  siire_edano DECIMAL(15) NULL,
  nyusyuko_rireki_id DECIMAL(15) NULL,
  den_eda_tax_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, nyuka_kenpin_no, nyuka_kenpin_edano)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_order (
  user_company_id DECIMAL(15) NOT NULL,
  order_no DECIMAL(15) NOT NULL,
  order_dt VARCHAR(32) NULL,
  order_prt_dt VARCHAR(32) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  order_irai_no DECIMAL(15) NULL,
  siire_id DECIMAL(15) NULL,
  nouki_dt VARCHAR(32) NULL,
  order_title VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, order_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_order_detail (
  user_company_id DECIMAL(15) NOT NULL,
  order_no DECIMAL(15) NOT NULL,
  order_edano DECIMAL(15) NOT NULL,
  order_irai_no DECIMAL(15) NULL,
  order_irai_edano DECIMAL(15) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, order_no, order_edano)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_paid_sime (
  user_company_id DECIMAL(15) NOT NULL,
  paid_sime_no DECIMAL(15) NOT NULL,
  paid_sime_dt VARCHAR(32) NULL,
  siire_id DECIMAL(15) NULL,
  apply_flg VARCHAR(1) NULL,
  paid_alias_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, paid_sime_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_paid_sime_detail (
  user_company_id DECIMAL(15) NOT NULL,
  paid_sime_no DECIMAL(15) NOT NULL,
  paid_sime_edano DECIMAL(15) NOT NULL,
  paid_sime_syori_no DECIMAL(15) NULL,
  siire_kb VARCHAR(32) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT NULL,
  den_eda_tax_kin DECIMAL(15) NULL,
  siire_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, paid_sime_no, paid_sime_edano)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_paid_zandaka (
  user_company_id DECIMAL(15) NOT NULL,
  paid_sime_no DECIMAL(15) NOT NULL,
  paid_sime_dt VARCHAR(32) NULL,
  siire_id DECIMAL(15) NULL,
  zenzan_kin DECIMAL(15) NULL,
  tou_siire_kin DECIMAL(15) NULL,
  tou_henp_kin DECIMAL(15) NULL,
  tou_nebi_kin DECIMAL(15) NULL,
  tou_nema_kin DECIMAL(15) NULL,
  tou_tax_kin DECIMAL(15) NULL,
  tou_kake_kin DECIMAL(15) NULL,
  tou_genkin_syu_kin DECIMAL(15) NULL,
  tou_tega_syu_kin DECIMAL(15) NULL,
  tou_kogit_syu_kin DECIMAL(15) NULL,
  tou_furik_syu_kin DECIMAL(15) NULL,
  tou_furik_tes_kin DECIMAL(15) NULL,
  tou_nebi_syu_kin DECIMAL(15) NULL,
  tou_sosai_syu_kin DECIMAL(15) NULL,
  tou_other_syu_kin DECIMAL(15) NULL,
  tou_syuk_kei_kin DECIMAL(15) NULL,
  touzan_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, paid_sime_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_siire (
  user_company_id DECIMAL(15) NOT NULL,
  siire_no DECIMAL(15) NOT NULL,
  kaikake_sime_no DECIMAL(15) NULL,
  siire_id DECIMAL(15) NULL,
  siire_kb VARCHAR(32) NULL,
  siire_dt VARCHAR(32) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  den_tax_kin DECIMAL(15) NULL,
  paid_alias_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, siire_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_siire_detail (
  user_company_id DECIMAL(15) NOT NULL,
  siire_no DECIMAL(15) NOT NULL,
  siire_edano DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_cd VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT NULL,
  den_eda_tax_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, siire_no, siire_edano)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_status (
  user_company_id DECIMAL(15) NOT NULL,
  status_id DECIMAL(15) NOT NULL,
  mitu_irai_no DECIMAL(15) NULL,
  mitu_irai_edano DECIMAL(15) NULL,
  mitu_no DECIMAL(15) NULL,
  mitu_edano DECIMAL(15) NULL,
  order_irai_no DECIMAL(15) NULL,
  order_irai_edano DECIMAL(15) NULL,
  order_no DECIMAL(15) NULL,
  order_edano DECIMAL(15) NULL,
  nyuka_kenpin_no DECIMAL(15) NULL,
  nyuka_kenpin_edano DECIMAL(15) NULL,
  nyusyuko_rireki_id DECIMAL(15) NULL,
  paid_sime_no DECIMAL(15) NULL,
  paid_sime_edano DECIMAL(15) NULL,
  siire_no DECIMAL(15) NULL,
  siire_edano DECIMAL(15) NULL,
  syukkin_no DECIMAL(15) NULL,
  sts_kb VARCHAR(32) NULL,
  syonin_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, status_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_syukkin (
  user_company_id DECIMAL(15) NOT NULL,
  syukkin_no DECIMAL(15) NOT NULL,
  syukkin_code_kb VARCHAR(32) NULL,
  paid_sime_no DECIMAL(15) NULL,
  apply_paid_sime_no DECIMAL(15) NULL,
  kaikake_sime_no DECIMAL(15) NULL,
  siire_id DECIMAL(15) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  syukkin_kin DECIMAL(15) NULL,
  furikomi_kin DECIMAL(15) NULL,
  syukkin_dt VARCHAR(32) NULL,
  syukkin_title VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, syukkin_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_order_irai (
  user_company_id DECIMAL(15) NOT NULL,
  order_irai_no DECIMAL(15) NOT NULL,
  order_irai_dt VARCHAR(32) NULL,
  toroku_staff_cd VARCHAR(255) NULL,
  toroku_organization_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  tanto_organization_id DECIMAL(15) NULL,
  order_limit_dt VARCHAR(32) NULL,
  mitu_no DECIMAL(15) NULL,
  siire_id DECIMAL(15) NULL,
  irai_nouki_dt VARCHAR(32) NULL,
  order_irai_title VARCHAR(255) NULL,
  order_irai_riyu TEXT NULL,
  syonin_rireki_id DECIMAL(15) NULL,
  syonin_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, order_irai_no)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_kou_order_irai_detail (
  user_company_id DECIMAL(15) NOT NULL,
  order_irai_no DECIMAL(15) NOT NULL,
  order_irai_edano DECIMAL(15) NOT NULL,
  mitu_no DECIMAL(15) NULL,
  mitu_edano DECIMAL(15) NULL,
  item_id DECIMAL(15) NULL,
  product_nm VARCHAR(255) NULL,
  product_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  su DECIMAL(15,3) NULL,
  tani_nm VARCHAR(255) NULL,
  tanka DECIMAL(15,3) NULL,
  kin DECIMAL(15) NULL,
  biko TEXT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, order_irai_no, order_irai_edano)
) with (FILLFACTOR=90);
