
CREATE TABLE tbm_bank (
  user_company_id DECIMAL(15) NOT NULL,
  bank_id DECIMAL(15) NOT NULL,
  in_bank_cd VARCHAR(255) NULL,
  bank_kn VARCHAR(255) NULL,
  bank_nm VARCHAR(255) NULL,
  branch_kn VARCHAR(255) NULL,
  branch_nm VARCHAR(255) NULL,
  bank1_cd VARCHAR(255) NULL,
  bank2_cd VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, bank_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_bunrui (
  user_company_id DECIMAL(15) NOT NULL,
  bunrui_kb VARCHAR(32) NOT NULL,
  bunrui_id DECIMAL(15) NOT NULL,
  bunrui_cd VARCHAR(32) NULL,
  bunrui_nm VARCHAR(255) NULL,
  orderno DECIMAL(15) NULL,
  up_bunrui_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, bunrui_kb, bunrui_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_code (
  user_company_id DECIMAL(15) NOT NULL,
  code_kb VARCHAR(32) NOT NULL,
  code VARCHAR(255) NOT NULL,
  code_nm VARCHAR(255) NULL,
  order_lst DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NOT NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, code_kb, code)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_feature (
  user_company_id DECIMAL(15) NOT NULL,
  feature_cd VARCHAR(255) NOT NULL,
  feature_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd   VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, feature_cd)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_feature_detail (
  user_company_id DECIMAL(15) NOT NULL,
  feature_cd VARCHAR(255) NOT NULL,
  feature_eda DECIMAL(15) NOT NULL,
  feature_detail_nm VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, feature_cd, feature_eda)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_haisou (
  user_company_id DECIMAL(15) NOT NULL,
  haisou_id DECIMAL(15) NOT NULL,
  haisou_cd VARCHAR(255) NULL,
  company_id DECIMAL(15) NOT NULL,
  -- okuri_cd VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, haisou_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_item (
  user_company_id DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NOT NULL,
  item_cd VARCHAR(255) NULL,
  jan_cd VARCHAR(255) NULL,
  item_nm VARCHAR(255) NULL,
  item_kb VARCHAR(32) NULL,
  item_kikaku VARCHAR(255) NULL,
  syubetu VARCHAR(255) NULL,
  maker_id DECIMAL(15) NULL,
  bunrui_kb VARCHAR(32) NULL,
  bunrui_id DECIMAL(15) NULL,
  minimum_su DECIMAL(15,3) NULL,
  standard_tnk DECIMAL(15,3) NULL,
  standardcost_tnk DECIMAL(15,3) NULL,
  item_bikou TEXT NULL,
  itf_cd VARCHAR(255) NULL,
  size VARCHAR(255) NULL,
  color VARCHAR(255) NULL,
  irisu DECIMAL(15,3) NULL,
  tani_cd VARCHAR(255) NULL,
  group_cd VARCHAR(255) NULL,
  pos_cd VARCHAR(255) NULL,
  aite_item_cd VARCHAR(255) NULL,
  start_dt VARCHAR(32) NULL,
  end_dt VARCHAR(32) NULL,
  item_path TEXT NULL,
  feature_cd VARCHAR(255) NULL,
  featuresyo1_dt VARCHAR(255) NULL,
  featuresyo2_dt VARCHAR(255) NULL,
  featuresyo3_dt VARCHAR(255) NULL,
  featuresyo4_dt VARCHAR(255) NULL,
  featuresyo5_dt VARCHAR(255) NULL,
  featuresyo6_dt VARCHAR(255) NULL,
  featuresyo7_dt VARCHAR(255) NULL,
  featuresyo8_dt VARCHAR(255) NULL,
  featuresyo9_dt VARCHAR(255) NULL,
  featuresyo10_dt VARCHAR(255) NULL,
  tax_kb VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, item_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_item_tanka (
  user_company_id DECIMAL(15) NOT NULL,
  tanka_id DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NOT NULL,
  tokui_id DECIMAL(15) NULL,
  siire_id DECIMAL(15) NULL,
  tanka_kb VARCHAR(32) NULL,
  tanka DECIMAL(15,3) NULL,
  kari_tanka_kb VARCHAR(32) NULL,
  tanka_yuko_start_dt VARCHAR(32) NULL,
  tanka_yuko_end_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, tanka_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_jisya (
  user_company_id DECIMAL(15) NOT NULL,
  jisya_id DECIMAL(15) NOT NULL,
  jisya_cd VARCHAR(255) NULL,
  company_id DECIMAL(15) NOT NULL,
  zatu_kb VARCHAR(32) NULL,
  siharai_kb VARCHAR(32) NULL,
  siharai_style_kb VARCHAR(32) NULL,
  simebi DECIMAL(15) NULL,
  zei_kb VARCHAR(32) NULL,
  zei_keisan_kb VARCHAR(32) NULL,
  zei_hasuu_kb VARCHAR(32) NULL,
  sight DECIMAL(15) NULL,
  siharai_hou1_kb VARCHAR(32) NULL,
  siharai_hou2_kb VARCHAR(32) NULL,
  siharai_hani_kin DECIMAL(15) NULL,
--  bank_id DECIMAL(15) NULL,
  kisyu DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, jisya_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_maker (
  user_company_id DECIMAL(15) NOT NULL,
  maker_id DECIMAL(15) NOT NULL,
  maker_cd VARCHAR(255) NULL,
  company_id DECIMAL(15) NOT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, maker_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_nyukin_jyoken (
  user_company_id DECIMAL(15) NOT NULL,
  nyukin_jyoken_id DECIMAL(15) NOT NULL,
  tokui_id DECIMAL(15) NOT NULL,
  range_kin DECIMAL(15) NULL,
  tegata_rt DECIMAL(15,3) NULL,
  tegata_month_dt VARCHAR(32) NULL,
  tegata_day_dt VARCHAR(32) NULL,
  tegata_kin DECIMAL(15) NULL,
  cash_rt DECIMAL(15,3) NULL,
  cash_month_dt VARCHAR(32) NULL,
  cash_day_dt VARCHAR(32) NULL,
  cash_kin DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, nyukin_jyoken_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_saiban (
  user_company_id DECIMAL(15) NOT NULL,
  saiban_cd VARCHAR(32) NOT NULL,
  saiban_nm VARCHAR(255) NULL,
  genzai_no DECIMAL(15) NULL,
  prefix_cd VARCHAR(255) NULL,
  start_no DECIMAL(15) NULL,
  end_no DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, saiban_cd)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_siire (
  user_company_id DECIMAL(15) NOT NULL,
  siire_id DECIMAL(15) NOT NULL,
  siire_cd VARCHAR(255) NULL,
  company_id DECIMAL(15) NOT NULL,
  siharai_id DECIMAL(15) NULL,
  zatu_kb VARCHAR(32) NULL,
  siharai_kb VARCHAR(32) NULL,
  siharai_style_kb VARCHAR(32) NULL,
  simebi DECIMAL(15) NULL,
  zei_kb VARCHAR(32) NULL,
  zei_keisan_kb VARCHAR(32) NULL,
  zei_hasuu_kb VARCHAR(32) NULL,
  sight DECIMAL(15) NULL,
  siharai_hou1_kb VARCHAR(32) NULL,
  siharai_hou2_kb VARCHAR(32) NULL,
  siharai_hani_kin DECIMAL(15) NULL,
--  bank_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, siire_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_su_rank_tanka (
  user_company_id DECIMAL(15) NOT NULL,
  tanka_id DECIMAL(15) NOT NULL,
  ika_su DECIMAL(15,3) NOT NULL,
  su_rank_tnk DECIMAL(15,3) NULL,
  su_rank_kari_tanka_kb VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, tanka_id, ika_su)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_tanto (
  user_company_id DECIMAL(15) NOT NULL,
  tanto_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, tanto_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_tax (
  user_company_id DECIMAL(15) NOT NULL,
  tax_id DECIMAL(15) NOT NULL,
  tax_kb VARCHAR(32) NULL,
  tax_yuko_start_dt VARCHAR(32) NULL,
  old_tax_rt DECIMAL(15,3) NULL,
  new_tax_rt DECIMAL(15,3) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, tax_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_tokui (
  user_company_id DECIMAL(15) NOT NULL,
  tokui_id DECIMAL(15) NOT NULL,
  tokui_cd VARCHAR(255) NULL,
  company_id DECIMAL(15) NOT NULL,
  seikyu_id DECIMAL(15) NULL,
  zei_kb VARCHAR(32) NULL,
  seikyu_kb VARCHAR(32) NULL,
  seikyu_style_kb VARCHAR(32) NULL,
  simebi DECIMAL(15) NULL,
  zatu_kb VARCHAR(32) NULL,
  zei_keisan_kb VARCHAR(32) NULL,
  zei_hasuu_kb VARCHAR(32) NULL,
  sight DECIMAL(15) NULL,
  kaisyu_hou1_kb VARCHAR(32) NULL,
  kaisyu_hou2_kb VARCHAR(32) NULL,
  kaisyu_hani_kin DECIMAL(15) NULL,
  seikyu_bu_su DECIMAL(15,3) NULL,
--  bank_id DECIMAL(15) NULL,
  tanto_staff_cd VARCHAR(255) NULL,
  haisou_id DECIMAL(15) NULL,
  okuri_cd VARCHAR(255) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, tokui_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_torihikisaki_koza (
  user_company_id DECIMAL(15) NOT NULL,
  torihikisaki_koza_id DECIMAL(15) NOT NULL,
  torihikisaki_kb VARCHAR(32) NULL,
  torihikisaki_id VARCHAR(32) NULL,
  bank_id DECIMAL(15) NULL,
  order_no DECIMAL(15) NULL,
  yokin_kb VARCHAR(32) NULL,
  account_cd VARCHAR(255) NULL,
  koza_meigi_nm VARCHAR(255) NULL,
  biko text,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, torihikisaki_koza_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_sisetubi (
  user_company_id DECIMAL(15) NOT NULL,
  sisetubi_id DECIMAL(15) NOT NULL,
  sisetubi_cd VARCHAR(255) NULL,
  sisetubi_kb VARCHAR(32) NULL,
  sisetubi_nm VARCHAR(255) NULL,
  sisetubi_user_cd VARCHAR(255) NULL,
  syuyo_su DECIMAL(15,3) NULL,
  sisetubi_bk TEXT,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, sisetubi_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_torihiki_tanka (
  user_company_id DECIMAL(15) NOT NULL,
  torihiki_tanka_id DECIMAL(15) NOT NULL,
  torihiki_kb VARCHAR(32) NOT NULL,
  torihiki_id DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NULL,
  item_tanka_kb VARCHAR(32) NOT NULL,
  item_tanka DECIMAL(15,3) NOT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd varchar(255) NULL,
  upd_user_cd varchar(255) NULL,
  PRIMARY KEY(user_company_id, torihiki_tanka_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_tana (
  user_company_id DECIMAL(15) NOT NULL,
  tana_id DECIMAL(15) NOT NULL,
  sisetubi_id DECIMAL(15) NULL,
  bunrui_kb VARCHAR(32) NULL,
  bunrui_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, tana_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_repository (
  user_company_id DECIMAL(15) NOT NULL,
  repository_id DECIMAL(15) NOT NULL,
  repository_nm VARCHAR(255) NULL,
  repository_path VARCHAR(255) NULL,
  repo_user_cd VARCHAR(255) NULL,
  repo_password VARCHAR(255) NULL,
  repository_kb VARCHAR(32) NULL,
  repo_checkout_dt timestamp NULL,
  repo_update_dt timestamp NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(32) NULL,
  upd_user_cd VARCHAR(32) NULL,
  PRIMARY KEY(user_company_id, repository_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_resource_computer (
  user_company_id DECIMAL(15) NOT NULL,
  computer_id DECIMAL(15) NOT NULL,
  computer_nm VARCHAR(255) NULL,
  type_cd VARCHAR(255) NULL,
  model_cd VARCHAR(255) NULL,
  bunrui_kb VARCHAR(32) NULL,
  organization_id DECIMAL(15) NULL,
  user_staff_cd VARCHAR(255) NULL,
  sekinin_staff_cd VARCHAR(255) NULL,
  maker_id DECIMAL(15) NULL,
  sisetubi_id DECIMAL(15) NULL,
  os_cd VARCHAR(255) NULL,
  os_version_nm VARCHAR(255) NULL,
  os_sp_nm VARCHAR(255) NULL,
  serial_cd VARCHAR(255) NULL,
  biko TEXT NULL,
  del_flg VARCHAR(1) NULL,
  add_date timestamp NOT NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, computer_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_resource_printer (
  user_company_id DECIMAL(15) NOT NULL,
  printer_id DECIMAL(15) NOT NULL,
  printer_nm VARCHAR(255) NULL,
  type_cd VARCHAR(255) NULL,
  model_cd VARCHAR(255) NULL,
  bunrui_kb VARCHAR(32) NULL,
  organization_id DECIMAL(15) NULL,
  user_staff_cd VARCHAR(255) NULL,
  sekinin_staff_cd VARCHAR(255) NULL,
  maker_id DECIMAL(15) NULL,
  sisetubi_id DECIMAL(15) NULL,
  port_cd VARCHAR(255) NULL,
  ram_nm VARCHAR(255) NULL,
  kyusi_nm VARCHAR(255) NULL,
  serial_cd VARCHAR(255) NULL,
  biko TEXT NULL,
  del_flg VARCHAR(1) NULL,
  add_date timestamp NOT NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, printer_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_route (
  user_company_id DECIMAL(15) NOT NULL,
  route_kb VARCHAR(32) NOT NULL,
  route_cd VARCHAR(32) NOT NULL,
  route_id DECIMAL(15) NOT NULL,
  route_nm VARCHAR(255) NULL,
  orderno DECIMAL(15) NULL,
  up_route_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL,
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, route_kb, route_cd, route_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_parts (
  user_company_id DECIMAL(15) NOT NULL,
  root_item_id DECIMAL(15) NOT NULL,
  item_id DECIMAL(15) NOT NULL,
  parent_id DECIMAL(15) NOT NULL,
  self_id DECIMAL(15) NOT NULL,
  kousei_bunsi DECIMAL(15) NOT NULL,
  kousei_bunbo DECIMAL(15) NOT NULL,
  tani_cd VARCHAR(255) NULL,
  list_order DECIMAL(15) NOT NULL,
  del_flg VARCHAR(1) NULL,
  add_date timestamp NOT NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, root_item_id, item_id, parent_id,self_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbt_syonin_rireki (
  user_company_id DECIMAL(15) NOT NULL,
  syonin_rireki_id DECIMAL(15) NULL,
  syonin_kb VARCHAR(32) NULL,
  order_no DECIMAL(15) NULL,
  syonin_jyokyo_kb VARCHAR(32) NULL,
  syonin_staff_cd VARCHAR(255) NULL,
  syonin_id DECIMAL(15) NULL,
  syonin_dt VARCHAR(32) NULL,
  del_flg VARCHAR(1) NULL,
  add_date timestamp NULL,
  upd_date timestamp NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, syonin_rireki_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_store (
  user_company_id DECIMAL(15) NOT NULL,
  store_id DECIMAL(15) NOT NULL,
  company_id DECIMAL(15) NOT NULL,
  bunrui_kb VARCHAR(32) NULL,
  bunrui_id DECIMAL(15) NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date TIMESTAMP NULL,
  upd_date TIMESTAMP NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, store_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_store_admin (
  user_company_id DECIMAL(15) NOT NULL,
  store_admin_id DECIMAL(15) NOT NULL,
  store_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NOT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date TIMESTAMP NULL,
  upd_date TIMESTAMP NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, store_admin_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_store_member (
  user_company_id DECIMAL(15) NOT NULL,
  store_member_id DECIMAL(15) NOT NULL,
  store_id DECIMAL(15) NOT NULL,
  personal_id DECIMAL(15) NOT NULL,
  del_flg VARCHAR(1) NULL DEFAULT '0',
  add_date TIMESTAMP NULL,
  upd_date TIMESTAMP NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, store_member_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_question (
  user_company_id DECIMAL(15) NOT NULL,
  question_id DECIMAL(15) NOT NULL,
  store_id DECIMAL(15) NOT NULL,
  question_type VARCHAR(32) NOT NULL,
  question_nm VARCHAR(255) NOT NULL,
  del_flg VARCHAR(1) NULL,
  add_date TIMESTAMP NULL,
  upd_date TIMESTAMP NULL,
  add_pgid VARCHAR(255) NULL,
  upd_pgid VARCHAR(255) NULL,
  add_user_cd VARCHAR(255) NULL,
  upd_user_cd VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, question_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

CREATE TABLE tbm_question_select (
  user_company_id DECIMAL(15) NOT NULL,
  select_id DECIMAL(15) NOT NULL,
  question_id DECIMAL(15) NOT NULL,
  order_no DECIMAL(15) NULL,
  select_nm VARCHAR(255) NULL,
  PRIMARY KEY(user_company_id, select_id)
) with (FILLFACTOR=90);
# ------------------------------------------------------

