
--
-- view structure for view tmp_kou_paid_jotai_0
--      支払締処理の締処理一覧表示用
create view tmp_kou_paid_jotai_0 as
select
      a.user_company_id,
      min(case when sts_kb > '160' then '160' else sts_kb end) as sts_kb,
      b.paid_sime_dt               -- 支払締日
from
      tbt_kou_status a,
      tbt_kou_paid_sime b,
      tbm_siire c
where b.user_company_id=a.user_company_id
and   b.paid_sime_no=a.paid_sime_no
and   b.user_company_id=c.user_company_id
and   b.siire_id=c.siire_id
and   c.siharai_kb = '2'
and   a.del_flg = '0'
and   b.del_flg = '0'
and   c.del_flg = '0'
group by
      a.user_company_id,
      b.paid_sime_dt;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_paid_jotai
--
create view tbv_kou_paid_jotai as
select
      a.user_company_id,
      a.sts_kb,
      a.paid_sime_dt,               -- 支払締日
      b.code_nm as sts_kb_nm         
from
      tmp_kou_paid_jotai_0 a
      left outer join tbm_code b
           on (a.user_company_id = b.user_company_id and a.sts_kb = b.code and b.code_kb='29' and b.del_flg ='0')
;
-- ------------------------------------------------------

--
-- view structure for view tbv_siharaisaki
--
create view tbv_siharaisaki as
select
      distinct
      user_company_id,
      case when siharai_id is null then siire_id else siharai_id end as siharai_id,
      simebi,
      siharai_kb
from
      tbm_siire
where
      siharai_kb='2' and
      del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_siharai_siire
--
create view tbv_siharai_siire as
select
      distinct
      user_company_id,
      siharai_id,
      siire_id
from
      tbm_siire
where
      siharai_kb='2' and
      del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_paid_sime_1
--
create view tmp_kou_paid_sime_1 as 
select
      user_company_id,
      paid_sime_no,
      syukkin_no,
      min(sts_kb) as sts_kb
from
      tbt_kou_status
where
      del_flg = '0'
group by
      user_company_id,
      paid_sime_no,
      syukkin_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_paid_sime_2
--
create view tmp_kou_paid_sime_2 as 
select
      a.user_company_id,
      a.paid_sime_no,
      min(a.sts_kb)     as sts_kb,
      max(b.syukkin_dt) as syukkin_dt
from
      tmp_kou_paid_sime_1 a 
      left outer join tbt_kou_syukkin b 
      on(a.user_company_id = b.user_company_id and a.syukkin_no = b.syukkin_no)
where
      b.del_flg = '0'
group by
      a.user_company_id,
      a.paid_sime_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_nyuka_0
--      伝票毎消費税額・明細毎消費税額で消費税額を取得
create view tmp_kou_nyuka_0 as
select
      user_company_id,
      nyuka_kenpin_no,
      paid_sime_no,
      sum(kin)             as kin,
      sum(den_eda_tax_kin) as tax
from
      tbt_kou_nyuka_detail
where
      del_flg = '0'
group by
      user_company_id,
      nyuka_kenpin_no,
      paid_sime_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_nyuka_2
--
create view tmp_kou_nyuka_2 as 
select
      user_company_id,
      nyuka_kenpin_no,
      syukkin_no,
      min(sts_kb) as sts_kb
from
      tbt_kou_status
where
      del_flg = '0'
group by
      user_company_id,
      nyuka_kenpin_no,
      syukkin_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_nyuka_3
--
create view tmp_kou_nyuka_3 as 
select
      a.user_company_id,
      a.nyuka_kenpin_no,
      min(a.sts_kb)     as sts_kb,
      max(b.syukkin_dt) as syukkin_dt
from
      tmp_kou_nyuka_2 a 
      left outer join tbt_kou_syukkin b 
      on(a.user_company_id = b.user_company_id and a.syukkin_no = b.syukkin_no)
where
      b.del_flg = '0'
group by
      a.user_company_id,
      a.nyuka_kenpin_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_paid_sime_dt
--
create view tbv_kou_paid_sime_dt as
select
      a.user_company_id,
      a.siire_id,
      max(a.paid_sime_dt) as paid_sime_dt
from
      tbt_kou_paid_zandaka a,
      tbv_siire b
where a.del_flg = '0'
and   a.user_company_id=b.user_company_id
and   a.siire_id=b.siire_id
and   b.siharai_kb='2'
group by
      a.user_company_id,
      a.siire_id;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_nyuka
--
create view tbv_kou_nyuka as
select
      distinct
      a.user_company_id,
      a.nyuka_kenpin_no,
      d.paid_sime_no,
      b.siharai_id as siharai_id,
      a.siire_id,
      case when a.paid_alias_nm is null then b.siire_cd_nm else b.siire_cd || ' ' || a.paid_alias_nm end as siire_nm,
      a.paid_alias_nm as alias_nm,
      cast('' as varchar) as siire_url,
      a.siire_dt,
      a.siire_kb,
      k.code_nm as siire_kb_nm,
      a.toroku_staff_cd,
      g.personal_nm as toroku_staff_nm,
      a.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      a.tanto_staff_cd,
      c.personal_nm as tanto_staff_nm,
      a.tanto_organization_id,
      j.bunrui_nm as tanto_organization,
      a.siire_title,
      a.siire_dt as nyuka_kenpin_dt,
      d.kin,
      case when b.zei_keisan_kb='3' then d.tax else                    -- 1:請求毎 2:納品伝票毎 3:明細毎
      case when b.zei_keisan_kb='2' then a.den_tax_kin else
      case when b.zei_keisan_kb='1' then 0 end end end as tax,
      e.sts_kb,
      f.code_nm,
      h.syukkin_dt,
      a.add_user_cd
from
      tbt_kou_nyuka a
      left outer join tbv_siire b
           on (a.user_company_id = b.user_company_id and a.siire_id = b.siire_id)
      left outer join tbv_syain c
           on a.user_company_id = c.user_company_id and a.tanto_staff_cd = c.staff_cd
      left outer join tmp_kou_nyuka_0 d
           on (a.user_company_id = d.user_company_id and a.nyuka_kenpin_no = d.nyuka_kenpin_no)
      left outer join tbt_kou_status e
           on (a.user_company_id = e.user_company_id and a.nyuka_kenpin_no = e.nyuka_kenpin_no and e.del_flg = '0')
      left outer join tbm_code f
           on (e.user_company_id = f.user_company_id and e.sts_kb = f.code and f.code_kb='21' and f.del_flg = '0')
      left outer join tbv_syain g
           on a.user_company_id = g.user_company_id and a.toroku_staff_cd = g.staff_cd
      left outer join tmp_kou_nyuka_3 h
           on a.user_company_id = h.user_company_id and a.nyuka_kenpin_no = h.nyuka_kenpin_no and h.sts_kb>='110'
      left outer join tbm_bunrui i
           on(a.user_company_id = i.user_company_id and i.bunrui_kb = '6' and a.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
      left outer join tbm_bunrui j
           on(a.user_company_id = j.user_company_id and j.bunrui_kb = '6' and a.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
      left outer join tbm_code k
           on(a.user_company_id = k.user_company_id and a.siire_kb = k.code and k.code_kb='27' and k.del_flg = '0')
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_nyuka_detail
--
create view tbv_kou_nyuka_detail as
select
      a.user_company_id,
      a.nyuka_kenpin_no,
      a.nyuka_kenpin_edano,
      a.order_no,
      b.siire_kb,
      a.item_id,
      e.item_cd,
      a.product_nm,
      a.product_kikaku,
      a.su,
      a.tani_nm as tani_cd,
      d.code_nm as tani_nm,
      a.standardcost_tnk,
      a.tanka,
      (case when a.kin is null then 0 else a.kin end) as kin,
      (case when a.den_eda_tax_kin is null then 0 else a.den_eda_tax_kin end) as tax,
      a.syubetu,
      a.biko,
      a.nyuka_dt,
      b.add_date,
      a.paid_sime_no,
      b.siire_dt,
      c.siharai_id as siharai_id,
      b.siire_id,
      c.siire_cd,
      (case when b.paid_alias_nm is null then c.siire_cd_nm else c.siire_cd || ' ' || b.paid_alias_nm end) as siire_nm,
      cast('' as varchar) as siire_url,
      b.toroku_staff_cd,
      f.personal_id as toroku_staff_id,
      f.personal_nm as toroku_staff_nm,
      b.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      b.tanto_staff_cd,
      g.personal_id as tanto_staff_id,
      g.personal_nm as tanto_staff_nm,
      b.tanto_organization_id,
      j.bunrui_nm as tanto_organization,
      b.siire_title,
      b.siire_create_kb,
      b.den_tax_kin,
      b.kaikake_den_tax_kin,
      case when c.zei_keisan_kb='3' then h.tax else                          --明細毎の場合は、納品書単位で合計した消費税額
      case when c.zei_keisan_kb='2' then b.den_tax_kin else                  --納品毎
      case when c.zei_keisan_kb='1' then 0 end end end as cal_tax            --請求毎
from
      tbt_kou_nyuka_detail a
      left outer join tbt_kou_nyuka b
           on (a.user_company_id = b.user_company_id and a.nyuka_kenpin_no = b.nyuka_kenpin_no and b.del_flg = '0')
      left outer join tbv_siire c
           on (b.user_company_id = c.user_company_id and b.siire_id = c.siire_id)
      left outer join tbm_code d
           on (a.user_company_id = d.user_company_id and a.tani_nm = d.code and d.code_kb = '2' and d.del_flg='0')
      left outer join tbv_item e
           on (a.user_company_id = e.user_company_id and a.item_id = e.item_id)
      left outer join tbv_syain f
           on b.user_company_id = f.user_company_id and b.toroku_staff_cd = f.staff_cd
      left outer join tbv_syain g
           on b.user_company_id = g.user_company_id and b.tanto_staff_cd = g.staff_cd
      left outer join tmp_kou_nyuka_0 h
           on (a.user_company_id = h.user_company_id and a.nyuka_kenpin_no = h.nyuka_kenpin_no)
      left outer join tbm_bunrui i
           on(b.user_company_id = i.user_company_id and i.bunrui_kb = '6' and b.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
      left outer join tbm_bunrui j
           on(b.user_company_id = j.user_company_id and j.bunrui_kb = '6' and b.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_paid_zandaka
--
create view tbv_kou_paid_zandaka as
select
      a.user_company_id,
      a.paid_sime_no,
      a.paid_sime_dt,
      a.siire_id,
      b.siire_cd_nm as siire_nm,
      cast('' as varchar) as siire_url,
      b.siharai_kb,
      substring(a.paid_sime_dt,7) as simebi,
      case when a.zenzan_kin         is null then 0 else a.zenzan_kin         end as zenzan_kin, 
      case when a.tou_siire_kin      is null then 0 else a.tou_siire_kin      end as tou_siire_kin, 
      case when a.tou_henp_kin       is null then 0 else a.tou_henp_kin       end as tou_henp_kin, 
      case when a.tou_nebi_kin       is null then 0 else a.tou_nebi_kin       end as tou_nebi_kin, 
      case when a.tou_nema_kin       is null then 0 else a.tou_nema_kin       end as tou_nema_kin, 
      case when a.tou_tax_kin        is null then 0 else a.tou_tax_kin        end as tou_tax_kin, 
      case when a.tou_kake_kin       is null then 0 else a.tou_kake_kin       end as tou_kake_kin, 
      case when a.tou_genkin_syu_kin is null then 0 else a.tou_genkin_syu_kin end as tou_genkin_syu_kin, 
      case when a.tou_tega_syu_kin   is null then 0 else a.tou_tega_syu_kin   end as tou_tega_syu_kin, 
      case when a.tou_kogit_syu_kin  is null then 0 else a.tou_kogit_syu_kin  end as tou_kogit_syu_kin, 
      case when a.tou_furik_syu_kin  is null then 0 else a.tou_furik_syu_kin  end as tou_furik_syu_kin, 
      case when a.tou_furik_tes_kin  is null then 0 else a.tou_furik_tes_kin  end as tou_furik_tes_kin, 
      case when a.tou_nebi_syu_kin   is null then 0 else a.tou_nebi_syu_kin   end as tou_nebi_syu_kin, 
      case when a.tou_sosai_syu_kin  is null then 0 else a.tou_sosai_syu_kin  end as tou_sosai_syu_kin, 
      case when a.tou_other_syu_kin  is null then 0 else a.tou_other_syu_kin  end as tou_other_syu_kin, 
      case when a.tou_syuk_kei_kin   is null then 0 else a.tou_syuk_kei_kin   end as tou_syuk_kei_kin, 
      case when a.touzan_kin         is null then 0 else a.touzan_kin         end as touzan_kin 
from
      tbt_kou_paid_zandaka a
      left outer join tbv_siire b
           on (a.user_company_id = b.user_company_id and a.siire_id = b.siire_id)
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_han_bill_0
-- 支払明細一覧      支払締番号毎の出金登録日と出金額
create view tmp_kou_paid_0 as
select
      a.user_company_id,
      a.paid_sime_no,
      max(a.syukkin_dt) as syukkin_dt,
      sum(case when a.syukkin_kin is null then 0 else a.syukkin_kin end) as sum_syukkin_kin
from
      tbt_kou_syukkin a
where
      a.del_flg = '0'
group by
      a.user_company_id,
      a.paid_sime_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_paid_sime
--      支払締番号毎の支払金額や消し込みフラグ＋残高テーブル情報
create view tbv_kou_paid_sime as     
select
      a.user_company_id,
      a.paid_sime_no,
      a.paid_sime_dt as paid_dt,
      a.siire_id,                      -- 仕入先ID
      b.siire_cd,                      -- 仕入先コード
      case when a.paid_alias_nm is null then b.siire_cd_nm else b.siire_cd || ' ' || a.paid_alias_nm end as siire_nm,
      cast('' as varchar) as tanto_staff_cd,                -- 自社担当者
      cast('' as varchar) as tanto_staff_nm,                   -- 自社担当者名
      cast('' as varchar) as organization_id,                  -- 自社担当者所属名称
      cast('' as varchar) as organization,                  -- 自社担当者所属名称
      b.siharai_kb,                     -- 請求区分(都度・締）
      b.siharai_style_kb,               -- 請求スタイル（繰越・非繰越））
      b.simebi,                        -- 締日
      b.sight,                         -- サイト
      b.siharai_hou1_kb,                -- 支払方法１
      b.siharai_hou2_kb,                -- 支払方法２
      b.siharai_hani_kin,               -- 支払方法境界金額
      a.paid_sime_dt as paid_hakou_dt,  -- 支払明細書発行日は存在しない為、支払締日を利用
      a.apply_flg,                     -- 消し込みフラグ
      cast('' as varchar) as siire_url,
      c.paid_sime_dt,
      case when c.zenzan_kin         is null then 0 else c.zenzan_kin         end as zenzan_kin,
      case when c.tou_siire_kin      is null then 0 else c.tou_siire_kin      end as tou_siire_kin     ,
      case when c.tou_henp_kin       is null then 0 else c.tou_henp_kin       end as tou_henp_kin      ,
      case when c.tou_nebi_kin       is null then 0 else c.tou_nebi_kin       end as tou_nebi_kin      ,
      case when c.tou_nema_kin       is null then 0 else c.tou_nema_kin       end as tou_nema_kin      ,
      case when c.tou_tax_kin        is null then 0 else c.tou_tax_kin        end as tou_tax_kin       ,
      case when c.tou_kake_kin       is null then 0 else c.tou_kake_kin       end as tou_kake_kin      ,
      case when c.tou_genkin_syu_kin is null then 0 else c.tou_genkin_syu_kin end as tou_genkin_syu_kin,
      case when c.tou_tega_syu_kin   is null then 0 else c.tou_tega_syu_kin   end as tou_tega_syu_kin  ,
      case when c.tou_kogit_syu_kin  is null then 0 else c.tou_kogit_syu_kin  end as tou_kogit_syu_kin ,
      case when c.tou_furik_syu_kin  is null then 0 else c.tou_furik_syu_kin  end as tou_furik_syu_kin ,
      case when c.tou_furik_tes_kin  is null then 0 else c.tou_furik_tes_kin  end as tou_furik_tes_kin ,
      case when c.tou_nebi_syu_kin   is null then 0 else c.tou_nebi_syu_kin   end as tou_nebi_syu_kin  ,
      case when c.tou_sosai_syu_kin  is null then 0 else c.tou_sosai_syu_kin  end as tou_sosai_syu_kin ,
      case when c.tou_other_syu_kin  is null then 0 else c.tou_other_syu_kin  end as tou_other_syu_kin ,
      case when c.tou_syuk_kei_kin   is null then 0 else c.tou_syuk_kei_kin   end as tou_syuk_kei_kin  ,
      case when c.touzan_kin         is null then 0 else c.touzan_kin         end as touzan_kin        ,
      d.syukkin_dt,
      d.sum_syukkin_kin
from
      tbt_kou_paid_sime a
      left outer join tbv_siire b
           on (a.user_company_id = b.user_company_id and a.siire_id = b.siire_id)
      left outer join tbt_kou_paid_zandaka c
           on (a.user_company_id = c.user_company_id and a.paid_sime_no = c.paid_sime_no and c.del_flg = '0')
      left outer join tmp_kou_paid_0 d
           on (a.user_company_id = d.user_company_id and a.paid_sime_no = d.paid_sime_no)
where a.del_flg = '0'
;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_paid_sime_detail
--
create view tbv_kou_paid_sime_detail as
select
      distinct
      a.user_company_id,
      a.status_id,
      a.paid_sime_no,
      c.paid_sime_edano,
      c.siire_id,
      j.siire_cd,
      c.syubetu,
      d.siire_kb,
      g.code_nm as siire_kb_nm,
      a.nyuka_kenpin_no,
      a.nyuka_kenpin_edano,
      a.order_no,
      b.paid_sime_dt,
      e.nyuka_dt,
      cast(substr(e.nyuka_dt,1,4) as varchar) as nyuka_dt_yy,
      cast(substr(e.nyuka_dt,5,2) as varchar) as nyuka_dt_mm,
      cast(substr(e.nyuka_dt,7,2) as varchar) as nyuka_dt_dd,
      d.tanto_staff_cd,
      f.personal_nm as tanto_staff_nm,
      c.item_id,
      c.product_nm,
      c.product_kikaku,
      c.su,
      c.tani_nm as tani_cd,
      h.code_nm as tani_nm,
      c.tanka,
      c.kin,
      c.biko,
      c.den_eda_tax_kin as tax,
      i.tax_kb                                   -- 1:外税 2:内税 3:非課税
from
      tbt_kou_status a 
      left outer join tbt_kou_paid_sime b
           on(a.user_company_id = b.user_company_id and a.paid_sime_no = b.paid_sime_no and b.del_flg = '0')
      left outer join tbt_kou_paid_sime_detail c
           on(a.user_company_id = c.user_company_id and a.paid_sime_no = c.paid_sime_no and a.paid_sime_edano = c.paid_sime_edano and c.del_flg = '0')
      join tbt_kou_nyuka d
           on(a.user_company_id = d.user_company_id and a.nyuka_kenpin_no = d.nyuka_kenpin_no and d.del_flg = '0')
      join tbt_kou_nyuka_detail e 
           on(a.user_company_id = e.user_company_id and a.nyuka_kenpin_no = e.nyuka_kenpin_no and a.nyuka_kenpin_edano = e.nyuka_kenpin_edano and e.del_flg = '0')
      left outer join tbv_syain f
           on(d.user_company_id = f.user_company_id and d.tanto_staff_cd = f.staff_cd)
      left outer join tbm_code g
           on(d.user_company_id = g.user_company_id and d.siire_kb = g.code and g.code_kb='27' and g.del_flg = '0')
      left outer join tbm_code h
           on(c.user_company_id = h.user_company_id and c.tani_nm = h.code and h.code_kb = '2' and h.del_flg='0')
      join tbv_item i
           on(c.user_company_id = i.user_company_id and c.item_id = i.item_id)
      left outer join tbv_siire j
           on (c.user_company_id=j.user_company_id and c.siire_id=j.siire_id )
where
      a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_paid_status
--
create view tbv_kou_paid_status as
select
      a.user_company_id,
      min(a.sts_kb) as sts_kb,
      a.paid_sime_no,
      b.paid_sime_dt,
      c.apply_flg,
      c.siire_id as siharaisaki_id
from
      tbt_kou_status a,
      tbt_kou_paid_zandaka b,
      tbt_kou_paid_sime c
where a.user_company_id=b.user_company_id
and   a.paid_sime_no=b.paid_sime_no
and   a.user_company_id=c.user_company_id
and   a.paid_sime_no=c.paid_sime_no
and   a.del_flg = '0'
and   b.del_flg = '0'
and   c.del_flg = '0'
group by
      a.user_company_id,
      a.paid_sime_no,
      b.paid_sime_dt,
      c.apply_flg,
      c.siire_id;
-- ------------------------------------------------------

--
-- view structure for view tmp_koun_syukin_0
--      出金番号中の最小のステータスを取得
create view tmp_kou_syukin_0 as 
select
      user_company_id,
      syukkin_no as syukkin_no,
      min(sts_kb) as sts_kb
from
      tbt_kou_status
where
      del_flg = '0'
      and syukkin_no is not null
group by
      user_company_id,
      syukkin_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_syukin_1
--      支払締番号中の最大の出金番号を取得
create view tmp_kou_syukin_1 as 
select
      user_company_id,
      paid_sime_no as paid_sime_no,
      max(case when syukkin_no is null then 0 else syukkin_no end) as syukkin_no
from
      tbt_kou_status
where
      del_flg = '0'
group by
      user_company_id,
      paid_sime_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_syukkin_2
--      支払締番号中の最小のステータスを取得
create view tmp_kou_syukkin_2 as 
select
      a.user_company_id,
      a.paid_sime_no,
      min(a.sts_kb)    as sts_kb
from
      tbt_kou_status a 
where
      a.del_flg = '0'
      and a.paid_sime_no is not null
group by
      a.user_company_id,
      a.paid_sime_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_syukkin_3
--      繰越請求の最新の請求日付を取得（請求スタイルが繰越）
create view tmp_kou_syukkin_3 as 
select
      a.user_company_id,
      a.siire_id,
      max(a.paid_dt) as paid_dt
from
      tbv_kou_paid_sime a
      left outer join tmp_kou_syukkin_2 b
           on (a.user_company_id = b.user_company_id and a.paid_sime_no = b.paid_sime_no)
where
      a.siharai_style_kb = '1' and
      b.sts_kb <> '150'
group by
      a.user_company_id,
      a.siire_id;
-- ------------------------------------------------------


--
-- view structure for view tmp_kou_syukkin_4
--      出金一覧画面用
create view tmp_kou_syukkin_4 as 
select
      max(a.paid_dt) as paid_dt,
      a.user_company_id,
      a.paid_sime_no,
      a.siire_id,
      a.siire_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.apply_flg,
      a.paid_sime_dt,
      a.tou_kake_kin,
      a.tou_tax_kin,
      b.sts_kb
from
      tbv_kou_paid_sime a
      right outer join tmp_kou_syukkin_2 b
           on a.user_company_id = b.user_company_id and a.paid_sime_no = b.paid_sime_no and b.sts_kb <> '150'
where
      a.siharai_style_kb = '1'
group by
      a.user_company_id,
      a.paid_sime_no,
      a.siire_id,
      a.siire_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.apply_flg,
      a.paid_sime_dt,
      a.tou_kake_kin,
      a.tou_tax_kin,
      b.sts_kb;
-- ------------------------------------------------------
--
-- view structure for view tmp_kou_syukkin_5
--      支払締番号中の出金のない支払締番号を取得
create view tmp_kou_syukkin_5 as 
select
      user_company_id,
      paid_sime_no as paid_sime_no
from
      tbt_kou_status
where
      del_flg = '0'
      and syukkin_no is null
      and paid_sime_no is not null
      and sts_kb = '150' 
group by
      user_company_id,
      paid_sime_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_syukkin
--   出金一覧画面 （出金レコード[支払締と繋がるものを含む] union 支払締レコード[出金の一件もない支払締]）
--
--
--
create view tbv_kou_syukkin as
select
      a.user_company_id,
      a.syukkin_no,
      a.syukkin_code_kb,
      b.code_nm as syukkin_code_nm,
      a.apply_paid_sime_no as paid_sime_no,
      a.kaikake_sime_no,
      a.siire_id,
      case when g.siire_nm is null then c.siire_cd_nm else g.siire_nm end as siire_nm,
      cast('' as varchar) as siire_url,
      a.toroku_staff_cd,
      d.personal_nm as toroku_staff_nm,
      a.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      cast('' as varchar) as tanto_staff_cd,
      cast('' as varchar) as tanto_staff_nm,
      a.syukkin_kin,
      a.furikomi_kin,
      a.syukkin_dt,
      a.syukkin_title,
      e.sts_kb,
      f.code_nm,
      g.apply_flg,
      g.paid_sime_dt,
      g.tou_kake_kin as paid_sime_kin,
      g.tou_kake_kin - g.tou_tax_kin as siire_kin,
      g.tou_tax_kin as siire_tax_kin,
      g.tou_kake_kin as siire_total_kin,
      a.add_date
from
      tbt_kou_syukkin a
      join tbm_code b
           on (b.code_kb = '23' and a.user_company_id = b.user_company_id and a.syukkin_code_kb = b.code)
      left outer join tbv_syain d
           on (a.user_company_id = d.user_company_id and a.toroku_staff_cd = d.staff_cd)
      left outer join tbv_siire c
           on (a.user_company_id = c.user_company_id and a.siire_id = c.siire_id)
      left outer join tmp_kou_syukin_0 e
           on (a.user_company_id = e.user_company_id and a.syukkin_no = e.syukkin_no)
      left outer join tbm_code f
           on (f.code_kb='21' and e.user_company_id = f.user_company_id and e.sts_kb = f.code)
      left outer join tbv_kou_paid_sime g
           on (a.user_company_id = g.user_company_id and a.apply_paid_sime_no = g.paid_sime_no)
      left outer join tbm_bunrui i
           on(a.user_company_id = i.user_company_id and i.bunrui_kb = '6' and a.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
where a.del_flg = '0'
union all
select
      a.user_company_id,
      null as syukkin_no,
      cast('' as varchar) as syukkin_code_kb,
      cast('' as varchar) as syukkin_code_nm,
      a.paid_sime_no,
      null as kaikake_sime_no,
      a.siire_id,
      a.siire_nm,
      cast('' as varchar) as siire_url,
      cast('' as varchar) as toroku_staff_cd,
      cast('' as varchar) as toroku_staff_nm,
      0 as toroku_organization_id,
      cast('' as varchar) as toroku_organization,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      0 as nyukin_kin,
      0 as furikomi_kin,
      cast('' as varchar) as nyukin_dt,
      cast('' as varchar) as nyukin_title,
      c.sts_kb as sts_kb,
      f.code_nm,
      a.apply_flg,
      a.paid_sime_dt,
      a.tou_kake_kin as bill_kin,
      a.tou_kake_kin - a.tou_tax_kin as siire_kin,
      a.tou_tax_kin as siire_tax_kin,
      a.tou_kake_kin as siire_total_kin,
      null as add_date
from
      tbv_kou_paid_sime a
      left outer join tmp_kou_syukin_1 b
           on ((b.syukkin_no = 0 or b.syukkin_no is null) and a.user_company_id = b.user_company_id and a.paid_sime_no = b.paid_sime_no)
      left outer join tmp_kou_syukkin_2 c
           on (c.sts_kb <> '150' and a.user_company_id = c.user_company_id and a.paid_sime_no = c.paid_sime_no)     -- 仮締状態の請求データは除く
      left outer join tbm_code f
           on (f.code_kb='21' and c.user_company_id = f.user_company_id and c.sts_kb = f.code)
--where
--      a.siharai_style_kb = '2'     -- 1:繰越 2:繰越しない
union all
select
      a.user_company_id,
      null as syukkin_no,
      cast('' as varchar) as syukkin_code_kb,
      cast('' as varchar) as syukkin_code_nm,
      a.paid_sime_no,
      null as kaikake_sime_no,
      a.siire_id,
      a.siire_nm,
      cast('' as varchar) as siire_url,
      cast('' as varchar) as toroku_staff_cd,
      cast('' as varchar) as toroku_staff_nm,
      0 as toroku_organization_id,
      cast('' as varchar) as toroku_organization,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      0 as nyukin_kin,
      0 as furikomi_kin,
      cast('' as varchar) as nyukin_dt,
      cast('' as varchar) as nyukin_title,
      a.sts_kb as sts_kb,
      f.code_nm,
      a.apply_flg,
      a.paid_sime_dt,
      a.tou_kake_kin as bill_kin,
      a.tou_kake_kin - a.tou_tax_kin as siire_kin,
      a.tou_tax_kin as siire_tax_kin,
      a.tou_kake_kin as siire_total_kin,
      null as add_date
from
      tmp_kou_syukkin_4 a
      right outer join tmp_kou_syukkin_5 b
           on (a.user_company_id = b.user_company_id and a.paid_sime_no = b.paid_sime_no)
      left outer join tbm_code f
           on (f.code_kb='21' and a.user_company_id = f.user_company_id and a.sts_kb = f.code);
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_paid_zandaka_detail
--
create view tbv_kou_paid_zandaka_detail as
select
      user_company_id,
      paid_sime_dt as dt,
      nyuka_kenpin_no,
      paid_sime_no,
      null as syukkin_no,
      '仕入' as syubetu,
      siire_kb as kb,
      siire_kb_nm as kb_nm,
      product_nm,
      product_kikaku,
      kin as siire_kin,
      tax,
      0 as syukkin_kin,
      su,
      tani_cd,
      tani_nm,
      tanka
from
      tbv_kou_paid_sime_detail
union all
select
      a.user_company_id,
      a.syukkin_dt as dt,
      null as nyuka_kenpin_no,
      a.paid_sime_no,
      a.syukkin_no,
      '出金' as syubetu,
      a.syukkin_code_kb as kb,
      b.code_nm as kb_nm,
      cast('' as varchar) as product_nm,
      cast('' as varchar) as product_kikaku,
      0 as siire_kin,
      0 as tax,
      a.syukkin_kin,
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka
from
      tbt_kou_syukkin a,
      tbm_code b
where a.user_company_id = b.user_company_id 
and   a.syukkin_code_kb = b.code 
and   b.code_kb = '23' 
and   a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_kaikake_zandaka
--
create view tbv_kou_kaikake_zandaka as
select
      a.user_company_id,
      a.kaikake_sime_no,
      a.kaikake_sime_dt,
      a.siire_id,
      b.siire_cd,
      b.siire_cd_nm as siire_nm,
      cast('' as varchar) as tanto_staff_cd,        -- 自社担当者コード
      cast('' as varchar) as tanto_staff_nm,        -- 自社担当者名
      b.branch_nm,
      cast('' as varchar) as siire_url,
      b.simebi,
      b.zei_keisan_kb,
      (case when a.zenzan_kin         is null then 0 else a.zenzan_kin         end) as zenzan_kin,
      (case when a.tou_siire_kin      is null then 0 else a.tou_siire_kin      end) as tou_siire_kin ,
      (case when a.tou_henp_kin       is null then 0 else a.tou_henp_kin       end) as tou_henp_kin ,
      (case when a.tou_nebi_kin       is null then 0 else a.tou_nebi_kin       end) as tou_nebi_kin ,
      (case when a.tou_nema_kin       is null then 0 else a.tou_nema_kin       end) as tou_nema_kin ,
      (case when a.tou_tax_kin        is null then 0 else a.tou_tax_kin        end) as tou_tax_kin ,
      (case when a.tou_siire_kin is null then 0 else a.tou_siire_kin end) - (case when a.tou_henp_kin is null then 0 else a.tou_henp_kin end) - (case when a.tou_nebi_kin is null then 0 else a.tou_nebi_kin end) + (case when a.tou_nema_kin is null then 0 else a.tou_nema_kin end) as tou_siire_total,
      (case when a.tou_kake_kin       is null then 0 else a.tou_kake_kin       end) as tou_kake_kin ,
      (case when a.tou_genkin_syu_kin is null then 0 else a.tou_genkin_syu_kin end) as tou_genkin_syu_kin ,
      (case when a.tou_tega_syu_kin   is null then 0 else a.tou_tega_syu_kin   end) as tou_tega_syu_kin ,
      (case when a.tou_kogit_syu_kin  is null then 0 else a.tou_kogit_syu_kin  end) as tou_kogit_syu_kin ,
      (case when a.tou_furik_syu_kin  is null then 0 else a.tou_furik_syu_kin  end) as tou_furik_syu_kin ,
      (case when a.tou_furik_tes_kin  is null then 0 else a.tou_furik_tes_kin  end) as tou_furik_tes_kin ,
      (case when a.tou_nebi_syu_kin   is null then 0 else a.tou_nebi_syu_kin   end) as tou_nebi_syu_kin ,
      (case when a.tou_sosai_syu_kin  is null then 0 else a.tou_sosai_syu_kin  end) as tou_sosai_syu_kin ,
      (case when a.tou_other_syu_kin  is null then 0 else a.tou_other_syu_kin  end) as tou_other_syu_kin ,
      (case when a.tou_syuk_kei_kin   is null then 0 else a.tou_syuk_kei_kin   end) as tou_syuk_kei_kin ,
      (case when a.touzan_kin         is null then 0 else a.touzan_kin         end) as touzan_kin  
from
      tbt_kou_kaikake_zandaka a
      left outer join tbv_siire b
      on (a.user_company_id = b.user_company_id and a.siire_id = b.siire_id)
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_siire_detail
--
create view tbv_kou_siire_detail as
select
      a.user_company_id,
      a.status_id,
      a.siire_no,
      a.siire_edano,
      a.nyuka_kenpin_no,
      a.nyuka_kenpin_edano,
      b.kaikake_sime_no,
      b.siire_id,
      b.siire_dt,                        -- yyyymm形式
      b.siire_kb,
      d.code_nm as siire_kb_nm,
      c.item_id,
      i.item_cd,
      c.product_nm,
      c.product_kikaku,
      c.su,
      c.tani_cd,
      g.code_nm as tani_nm,
      c.tanka,
      c.kin,
      case when f.zei_keisan_kb='3' then c.den_eda_tax_kin else 
      case when f.zei_keisan_kb='2' then b.den_tax_kin else
      case when f.zei_keisan_kb='1' then 0 end end end as tax,
      b.tanto_staff_cd,
      e.personal_nm as tanto_staff_nm,
      e.personal_kn as tanto_staff_kn,
      h.siire_dt as nyuka_dt
from
      tbt_kou_status a
      join tbt_kou_siire b
           on(a.user_company_id = b.user_company_id and a.siire_no = b.siire_no and b.del_flg = '0')
      join tbt_kou_siire_detail c
           on(a.user_company_id = c.user_company_id and a.siire_no = c.siire_no and a.siire_edano = c.siire_edano and c.del_flg = '0')
      left outer join tbm_code d
           on(d.user_company_id = d.user_company_id and b.siire_kb = d.code and d.code_kb='27')
      left outer join tbv_syain e
           on (b.user_company_id=e.user_company_id and b.tanto_staff_cd=e.staff_cd)
      left outer join tbv_jisya f
           on (b.user_company_id=f.user_company_id and f.jisya_id=1)
      left outer join tbm_code g
           on c.user_company_id = g.user_company_id and c.tani_cd = g.code and g.code_kb = '2' and g.del_flg='0'
      join tbt_kou_nyuka h
           on(a.user_company_id = h.user_company_id and a.nyuka_kenpin_no = h.nyuka_kenpin_no and h.del_flg = '0')
      join tbv_item i
           on(c.user_company_id = i.user_company_id and c.item_id = i.item_id)
where
      a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_kaikake_zandaka_detail
--
create view tbv_kou_kaikake_zandaka_detail as
select
      user_company_id,
      siire_id,
      kaikake_sime_no,
      siire_dt as dt,
      nyuka_dt,
      nyuka_kenpin_no,
      nyuka_kenpin_edano,
      null as syukkin_no,
      '仕入' as syubetu,
      siire_kb as kb,
      siire_kb_nm as kb_nm,
      product_nm,
      product_kikaku,
      kin as siire_kin,
      tax as tax,
      0 as syukkin_kin,
      su,
      tani_cd,
      tani_nm,
      tanka
from
      tbv_kou_siire_detail
union all
select
      user_company_id,
      siire_id,
      kaikake_sime_no,
      syukkin_dt as dt,
      syukkin_dt as nyuka_dt,
      null as nyuka_kenpin_no,
      null as nyuka_kenpin_edano,
      syukkin_no,
      '出金' as syubetu,
      syukkin_code_kb as kb,
      syukkin_code_nm as kb_nm,
      cast('' as varchar) as product_nm,
      cast('' as varchar) as product_kikaku,
      0 as siire_kin,
      0 as tax,
      syukkin_kin,
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka
from
      tbv_kou_syukkin
where
      kaikake_sime_no is not null;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_nyuka_tanto
--
create view tbv_kou_nyuka_tanto as
select
      distinct
      a.user_company_id as user_company_id,
      a.tanto_staff_cd,
      b.personal_nm as tanto_staff_nm
from
      tbt_kou_nyuka a
      left outer join tbv_syain b
      on (a.user_company_id=b.user_company_id and a.tanto_staff_cd=b.staff_cd)
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view 
--      非課税の支払金額を集計












-- ------------------------------------------------------

--
-- view structure for view 
-- 請求書に対応する帳票は購買にはない

































































-- ------------------------------------------------------

--
-- view structure for view 
-- 売上月報に対応する購買の帳票はない
--

































-- ------------------------------------------------------

--
-- view structure for view 
-- 売上月報に対応する購買の帳票はない
--














-- ------------------------------------------------------

--
-- view structure for view 
-- 売上月報に対応する購買の帳票はない
--

































-- ------------------------------------------------------

--
-- view structure for view 
-- 売上月報に対応する購買の帳票はない
--














-- ------------------------------------------------------

--
-- view structure for view 
-- 売上月報に対応する購買の帳票はない
--


















-- ------------------------------------------------------

--
-- view structure for view 
-- 売上月報に対応する購買の帳票はない
--


























-- ------------------------------------------------------

--
-- view structure for view 
-- 売上月報に対応する購買の帳票はない
--


























-- ------------------------------------------------------

-- view structure for view 
-- 売上月報に対応する購買の帳票はない
















































-- ------------------------------------------------------

--
-- view structure for view tmp_kou_paid_sime_list_0
-- 支払一覧　ヘッダ部　合計             
create view tmp_kou_paid_sime_list_0 as
select
      a.user_company_id,
      c.yymm,
      sum(a.zenzan_kin) as sum_zenzan_kin,
      sum(a.tou_syuk_kei_kin) as sum_tou_syuk_kei_kin,
      sum(a.zenzan_kin) - sum(a.tou_syuk_kei_kin) as sum_kurikosi_kin,
      case when sum(a.zenzan_kin) = 0 then 0 else 
      (sum(a.tou_syuk_kei_kin) / sum(a.zenzan_kin) * 100)
      end as sum_ritu,
      sum(a.tou_kake_kin - a.tou_tax_kin) as sum_siire_kin,
      sum(a.tou_tax_kin) as sum_tou_tax_kin,
      sum(a.tou_kake_kin) as sum_tou_siire_total,
      sum(a.touzan_kin) as sum_touzan_kin
from
      tbv_kou_paid_sime a
      join tbm_date c
           on(a.paid_sime_dt = c.ymd or a.paid_sime_dt = c.simebi)
group by
      a.user_company_id,
      c.yymm;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_paid_list_1
--      請求書番号中の最小のステータスを取得
create view tmp_kou_paid_list_1 as 
select
      a.user_company_id,
      a.paid_sime_no,
      min(a.sts_kb)    as sts_kb
from
      tbt_kou_status a 
where
      a.del_flg = '0'
group by
      a.user_company_id,
      a.paid_sime_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_paid_listt_2
--      繰越請求の最新の請求日付を取得（請求スタイルが繰越）
create view tmp_kou_paid_list_2 as 
select
      a.user_company_id,
      a.siire_id,
      max(a.paid_dt) as paid_dt
from
      tbv_kou_paid_sime a
      left outer join tmp_kou_syukkin_2 b
           on (a.user_company_id = b.user_company_id and a.paid_sime_no = b.paid_sime_no)
where
      a.siharai_style_kb = '1'
--      and b.sts_kb <> '130'
group by
      a.user_company_id,
      a.siire_id;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_paid_list
-- 支払一覧                             
create view tbv_kou_paid_list as
select
      a.user_company_id,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.siharai_kb,
      a.siharai_style_kb,
      a.simebi,
      e.yymm,
      a.zenzan_kin,
      a.tou_syuk_kei_kin,
     (a.zenzan_kin - a.tou_syuk_kei_kin) as kurikosi_kin,
      case when a.tou_kake_kin = 0 then 0 else 
     (a.tou_syuk_kei_kin / a.tou_kake_kin * 100) end as ritu,
      a.tou_kake_kin - a.tou_tax_kin as siire_kin,
      a.tou_tax_kin,
      a.tou_kake_kin as tou_siire_total,
      a.touzan_kin,
      case when (case when a.touzan_kin is null then 0 else a.touzan_kin end) <= 
                (case when a.siharai_hani_kin  is null then 0 else a.siharai_hani_kin end)
           then c.code_nm else d.code_nm end as kaisyu_hou_nm,
--    以下は合計用カラム
      f.sum_zenzan_kin,
      f.sum_tou_syuk_kei_kin,
      f.sum_kurikosi_kin,
      f.sum_ritu,
      f.sum_siire_kin,
      f.sum_tou_tax_kin,
      f.sum_tou_siire_total,
      f.sum_touzan_kin
from
      tbv_kou_paid_sime a 
      left outer join tmp_kou_paid_list_1 b
           on (a.user_company_id = b.user_company_id and a.paid_sime_no = b.paid_sime_no)
      left outer join tbm_code c
           on(a.user_company_id = c.user_company_id and a.siharai_hou1_kb = c.code and c.code_kb = '19' and c.del_flg='0')
      left outer join tbm_code d
           on(a.user_company_id = d.user_company_id and a.siharai_hou2_kb = d.code and d.code_kb = '19' and d.del_flg='0')
      join tbm_date e
           on(a.paid_sime_dt = e.ymd or a.paid_sime_dt = e.simebi)
      left outer join tmp_kou_paid_sime_list_0 f
           on(a.user_company_id = f.user_company_id and e.yymm = f.yymm)
where
      a.siharai_kb = '2'      -- 締請求のみを対象とする
--    and  b.sts_kb <> '150'          -- 仮締状態の請求データは除く
union
select
      a.user_company_id,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.siharai_kb,
      a.siharai_style_kb,
      a.simebi,
      e.yymm,
      a.zenzan_kin,
      a.tou_syuk_kei_kin,
     (a.zenzan_kin - a.tou_syuk_kei_kin) as kurikosi_kin,
      case when a.tou_kake_kin = 0 then 0 else 
     (a.tou_syuk_kei_kin / a.tou_kake_kin * 100) end as ritu,
      a.tou_kake_kin - a.tou_tax_kin as siire_kin,
      a.tou_tax_kin,
      a.tou_kake_kin as tou_siire_total,
      a.touzan_kin,
      case when (case when a.touzan_kin is null then 0 else a.touzan_kin end) <= 
                (case when a.siharai_hani_kin  is null then 0 else a.siharai_hani_kin end)
           then c.code_nm else d.code_nm end as kaisyu_hou_nm,
--    以下は合計用カラム
      f.sum_zenzan_kin,
      f.sum_tou_syuk_kei_kin,
      f.sum_kurikosi_kin,
      f.sum_ritu,
      f.sum_siire_kin,
      f.sum_tou_tax_kin,
      f.sum_tou_siire_total,
      f.sum_touzan_kin
from
      tbv_kou_paid_sime a 
      join tmp_kou_paid_list_2 b
           on (a.user_company_id = b.user_company_id and a.siire_id = b.siire_id and a.paid_dt = b.paid_dt)
      left outer join tbm_code c
           on(a.user_company_id = c.user_company_id and a.siharai_hou1_kb = c.code and c.code_kb = '19' and c.del_flg='0')
      left outer join tbm_code d
           on(a.user_company_id = d.user_company_id and a.siharai_hou2_kb = d.code and d.code_kb = '19' and d.del_flg='0')
      join tbm_date e
           on(a.paid_sime_dt = e.ymd or a.paid_sime_dt = e.simebi)
      left outer join tmp_kou_paid_sime_list_0 f
           on(a.user_company_id = f.user_company_id and e.yymm = f.yymm);
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_syukkin_yotei_0
-- 出金予定表      繰越請求の仕入先で最新の支払レコードのみを抽出（消し込みフラグが立っていない事） 
create view tmp_kou_syukkin_yotei_0 as
select 
      a.user_company_id,
      a.siire_id,
      a.siire_nm,
      max(a.paid_sime_dt) as paid_sime_dt
from
      tbv_kou_paid_sime a
where
      a.siharai_style_kb = '1'
group by
      a.user_company_id,
      a.siire_id,
      a.siire_nm;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_syukkin_yotei_1
-- 出金予定表      繰越請求分
create view tmp_kou_syukkin_yotei_1 as
select
      a.user_company_id,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.paid_sime_no,
      a.paid_sime_dt,
      a.paid_sime_dt as paid_hakou_dt,
      a.sight,  
      a.siharai_hou1_kb,
      a.siharai_hou2_kb,
      a.siharai_hani_kin,
      a.siharai_style_kb,
      a.siharai_kb,              -- 請求区分 （ 1:都度請求、2:締請求 ） 
      a.tou_kake_kin,
      a.tou_tax_kin,
      a.touzan_kin,                -- 当月売掛残高 （ 入金予定額として利用 ）
      a.apply_flg                  -- 消し込みフラグ ( '':未消込  1:消込済 )
from
      tbv_kou_paid_sime a
      join tmp_kou_syukkin_yotei_0 b
           on (a.user_company_id = b.user_company_id and a.siire_id = b.siire_id and a.paid_sime_dt = b.paid_sime_dt)
where
      a.siharai_style_kb = '1';
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_syukkin_yotei_2
-- 出金予定表      支払番号毎の出金額
create view tmp_kou_syukkin_yotei_2 as
select
      a.user_company_id,
      a.paid_sime_no,
      sum(case when a.syukkin_kin is null then 0 else a.syukkin_kin end) as sum_syukkin_kin,
      sum(case when a.furikomi_kin is null then 0 else a.furikomi_kin end) as sum_furikomi_kin
from
      tbv_kou_syukkin a
group by
      a.user_company_id,
      a.paid_sime_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_syukkin_yotei
-- 出金予定表      購買用支払締テーブルの中で消し込みフラグが立っていないレコードを抽出,（非繰越支払は全て出力）
create view tbv_kou_syukkin_yotei as
select
      a.user_company_id,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.paid_sime_no,
      a.paid_sime_dt,
      h.ymd as paid_sime_dt_ymd,
      a.paid_hakou_dt,
      a.sight,                     
      a.siharai_hou1_kb,
      b.code_nm as siharai_hou1_nm,
      a.siharai_hou2_kb,
      c.code_nm as siharai_hou2_nm,
      a.siharai_hani_kin,
      a.siharai_style_kb,
      e.code_nm as siharai_style_nm,
      a.siharai_kb,                -- 請求区分 （ 1:都度請求、2:締請求 ） 
      f.code_nm as siharai_nm,
      a.tou_kake_kin - a.tou_tax_kin as tou_siire_kin,
      a.tou_tax_kin,
      a.touzan_kin,                -- 当月売掛残高 （ 入金予定額として利用 ）
      ((case when g.sum_syukkin_kin is null then 0 else g.sum_syukkin_kin end) + (case when g.sum_furikomi_kin is null then 0 else g.sum_furikomi_kin end)) as sum_syukkin_kin,
      a.apply_flg                  -- 消し込みフラグ ( '':未消込  1:消込済 )
from
      tbv_kou_paid_sime a
      join tbm_date h
           on(a.paid_sime_dt = h.ymd or a.paid_sime_dt = h.simebi)
      left outer join tbm_code b
           on (a.user_company_id = b.user_company_id and a.siharai_hou1_kb = b.code and b.code_kb = '19' and b.del_flg='0')
      left outer join tbm_code c
           on (a.user_company_id = c.user_company_id and a.siharai_hou2_kb = c.code and c.code_kb = '19' and c.del_flg='0')
      left outer join tbm_code e
           on (a.user_company_id = e.user_company_id and a.siharai_style_kb = e.code and e.code_kb = '18' and e.del_flg='0')
      left outer join tbm_code f
           on (a.user_company_id = f.user_company_id and a.siharai_kb = f.code and f.code_kb = '17' and f.del_flg='0')
      left outer join tmp_kou_syukkin_yotei_2 g
           on (a.user_company_id = g.user_company_id and a.paid_sime_no = g.paid_sime_no)
where
      a.siharai_style_kb = '2'
union all
select
      a.user_company_id,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.paid_sime_no,
      a.paid_sime_dt,
      h.ymd as paid_sime_dt_ymd,
      a.paid_hakou_dt,
      a.sight,                     
      a.siharai_hou1_kb,
      b.code_nm as siharai_hou1_nm,
      a.siharai_hou2_kb,
      c.code_nm as siharai_hou2_nm,
      a.siharai_hani_kin,
      a.siharai_style_kb,
      e.code_nm as siharai_style_nm,
      a.siharai_kb,                -- 請求区分 （ 1:都度請求、2:締請求 ） 
      f.code_nm as siharai_nm,
      a.tou_kake_kin - a.tou_tax_kin as tou_siire_kin,
      a.tou_tax_kin,
      a.touzan_kin,                -- 当月売掛残高 （ 入金予定額として利用 ）
      ((case when g.sum_syukkin_kin is null then 0 else g.sum_syukkin_kin end) + (case when g.sum_furikomi_kin is null then 0 else g.sum_furikomi_kin end)) as sum_syukkin_kin,
      a.apply_flg                  -- 消し込みフラグ ( '':未消込  1:消込済 )
from
      tmp_kou_syukkin_yotei_1 a
      join tbm_date h
           on(a.paid_sime_dt = h.ymd or a.paid_sime_dt = h.simebi)
      left outer join tbm_code b
           on (a.user_company_id = b.user_company_id and a.siharai_hou1_kb = b.code and b.code_kb = '19' and b.del_flg='0')
      left outer join tbm_code c
           on (a.user_company_id = c.user_company_id and a.siharai_hou2_kb = c.code and c.code_kb = '19' and c.del_flg='0')
      left outer join tbm_code e
           on (a.user_company_id = e.user_company_id and a.siharai_style_kb = e.code and e.code_kb = '18' and e.del_flg='0')
      left outer join tbm_code f
           on (a.user_company_id = f.user_company_id and a.siharai_kb = f.code and f.code_kb = '17' and f.del_flg='0')
      left outer join tmp_kou_syukkin_yotei_2 g
           on (a.user_company_id = g.user_company_id and a.paid_sime_no = g.paid_sime_no);
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_kaikake_list_0
-- 買掛一覧　ヘッダ部　合計
create view tmp_kou_kaikake_list_0 as
select
      a.user_company_id,
      a.kaikake_sime_dt,
      sum(a.zenzan_kin) as sum_zenzan_kin,
      sum(a.tou_syuk_kei_kin) as sum_tou_syuk_kei_kin,
      sum(a.zenzan_kin) - sum(a.tou_syuk_kei_kin) as sum_kurikosi_kin,
      sum(a.tou_siire_total - a.tou_tax_kin) as sum_siire_kin,
      sum(a.tou_tax_kin) as sum_tou_tax_kin,
      sum(a.tou_siire_total) as sum_tou_siire_total,
      sum(a.touzan_kin) as sum_touzan_kin
from
      tbv_kou_kaikake_zandaka a 
      left outer join tbv_siire b
           on(a.user_company_id = b.user_company_id and a.siire_id = b.siire_id)
group by
      a.user_company_id,
      a.kaikake_sime_dt;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_kaikake_list
-- 買掛一覧表
create view tbv_kou_kaikake_list as
select
      a.user_company_id,
      a.kaikake_sime_dt,      -- yyyymm でセットされている
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.zenzan_kin,            -- 前回請求額
      cast('' as varchar) as tanto_staff_cd,        -- 自社担当
      cast('' as varchar) as tanto_staff_nm,           -- 自社担当者名
      a.tou_syuk_kei_kin,      -- 入金額
      a.zenzan_kin - a.tou_syuk_kei_kin as kurikosi_kin,  -- 繰越金額
      a.tou_siire_total,         -- 売上金額 
      a.tou_tax_kin,           -- 消費税額
      a.tou_kake_kin,          -- 売上金額 + 消費税額 = 掛売合計
      a.touzan_kin,             -- 繰越金額 + 掛売合計 = 売掛残金額
      c.sum_zenzan_kin,
      c.sum_tou_syuk_kei_kin,
      c.sum_kurikosi_kin,
      c.sum_siire_kin,
      c.sum_tou_tax_kin,
      c.sum_tou_siire_total,
      c.sum_touzan_kin

from
    tbv_kou_kaikake_zandaka a
    left outer join tmp_kou_kaikake_list_0 c
         on (a.user_company_id=c.user_company_id and a.kaikake_sime_dt = c.kaikake_sime_dt);
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_kaikake_kanri
-- 買掛管理表  （月次買掛管理表）                              
create view tbv_kou_kaikake_kanri as
select
      a.user_company_id,
      a.kaikake_sime_dt,      -- yyyymm でセットされている
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.tanto_staff_cd,        -- 自社担当
      a.tanto_staff_nm,           -- 自社担当者名
      a.zenzan_kin,
      a.tou_genkin_syu_kin,                       -- 現金入金額
      a.tou_tega_syu_kin,      -- 手形出金額
     (a.tou_syuk_kei_kin - a.tou_genkin_syu_kin -  a.tou_tega_syu_kin) as tou_sonota_syu_kin,    -- その他出金
      a.tou_syuk_kei_kin,      -- 入金額合計
      a.tou_siire_total,         -- 売上金額 
      a.tou_tax_kin,           -- 消費税額
      a.touzan_kin,            -- 売掛残金額
      c.sum_zenzan_kin,
      c.sum_tou_syuk_kei_kin,
      c.sum_kurikosi_kin,
      c.sum_siire_kin,
      c.sum_tou_tax_kin,
      c.sum_tou_siire_total,
      c.sum_touzan_kin

from
    tbv_kou_kaikake_zandaka a
    left outer join tmp_kou_kaikake_list_0 c
         on (a.user_company_id=c.user_company_id and a.kaikake_sime_dt = c.kaikake_sime_dt);
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_siire_moto_0
-- 仕入先元帳  （残高と仕入明細と出金）
create view tmp_kou_siire_moto_0 as
select
      a.user_company_id,
      a.siire_id,
      b.siire_cd,
      b.siire_cd_nm as siire_nm,
      a.nyuka_kenpin_no, 
      a.nyuka_kenpin_edano,  
      a.siire_no,              
      a.siire_edano,
      null as syukkin_no,
      a.item_id,
      a.item_cd,
      a.product_nm,
      a.nyuka_dt as siire_dt,    -- 入荷日(yyyymmdd)
      c.kaikake_sime_dt,         --       (yyyymm)
      a.su,
      a.tani_cd,
      d.code_nm as tani_nm,
      a.tanka,
      a.kin,
      a.tax,
      a.kin + a.tax as siire_kin,  -- 合計売上金額（売上金額＋消費税）
      0 as syukin_kin,
                                -- 差引残高はphpにて行なう
      c.zenzan_kin,              -- 繰越残高
      c.tou_siire_total,           -- ヘッダの売上金額合計
      c.tou_syuk_kei_kin,        -- ヘッダの入金金額合計
      c.touzan_kin               -- ヘッダの差引残高
from
      tbv_kou_siire_detail a
      left outer join tbv_siire b
           on (a.user_company_id=b.user_company_id and a.siire_id=b.siire_id)
      left outer join tbv_kou_kaikake_zandaka c
           on (a.user_company_id=c.user_company_id and a.siire_id = c.siire_id and a.kaikake_sime_no=c.kaikake_sime_no)
      left outer join tbm_code d
           on (a.user_company_id = d.user_company_id and a.tani_cd = d.code and d.code_kb = '2' and d.del_flg='0')
union all
select
      a.user_company_id,
      a.siire_id,
      b.siire_cd,
      b.siire_cd_nm as siire_nm,
      null as nyuka_kenpin_no,            -- 納品書番号
      null as nyuka_kenpin_edano,         -- 納品書枝番号
      null as siire_no,    
      null as siire_edano,
      a.syukkin_no,    
      0 as item_id,
      cast('' as varchar) as item_cd,
      cast('' as varchar) as product_nm,
      a.syukkin_dt as siire_dt,
      c.kaikake_sime_dt,    
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka,
      0 as kin,
      0 as tax,
      0 as siire_kin,        -- 合計売上金額（売上金額＋消費税）
      a.syukkin_kin + a.furikomi_kin as syukkin_kin,
                           -- 差引残高はphpにて行なう
      c.zenzan_kin,              -- 繰越残高
      c.tou_siire_total,           -- ヘッダの売上金額合計
      c.tou_syuk_kei_kin,        -- ヘッダの入金金額合計
      c.touzan_kin               -- ヘッダの差引残高
from
      tbt_kou_syukkin a
      left outer join tbv_siire b
           on (a.user_company_id=b.user_company_id and a.siire_id=b.siire_id)
      left outer join tbv_kou_kaikake_zandaka c
           on (a.user_company_id=c.user_company_id and a.kaikake_sime_no=c.kaikake_sime_no and a.siire_id = c.siire_id)
where a.del_flg = '0'
union all
select
      a.user_company_id,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      null as nyuka_kenpin_no,          
      null as nyuka_kenpin_edano,        
      null as siire_no,
      null as siire_edano,
      null as syukkin_no,    
      0 as item_id,
      cast('' as varchar) as item_cd,
      cast('' as varchar) as product_nm,
      '1' as siire_dt,              -- 日付が1番は、繰越残高レコード
      a.kaikake_sime_dt,    
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka,
      0 as kin,
      0 as tax,
      0 as siire_kin,        -- 合計仕入金額（仕入金額＋消費税）
      0 as syukin_kin,
                           -- 差引残高はphpにて行なう
      0 as zenzan_kin,              -- 繰越残高
      0 as tou_siire_total,           -- ヘッダの仕入金額合計
      0 as tou_syuk_kei_kin,        -- ヘッダの出金金額合計
      a.zenzan_kin as touzan_kin               -- ヘッダの差引残高
from
      tbv_kou_kaikake_zandaka a
union all
select
      a.user_company_id,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      null as nyuka_kenpin_no,          
      null as nyuka_kenpin_edano,        
      null as siire_no,
      null as siire_edano,
      null as syukkin_no,    
      0 as item_id,
      cast('' as varchar) as item_cd,
      cast('' as varchar) as product_nm,
      '99999999' as siire_dt, 
      a.kaikake_sime_dt,    
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka,
      0 as kin,
      a.tou_tax_kin as tax,
      a.tou_tax_kin as siire_kin,       
      0 as syukin_kin,
      0 as zenzan_kin,      
      0 as tou_siire_total, 
      0 as tou_syuk_kei_kin,
      0 as touzan_kin       
from
      tbv_kou_kaikake_zandaka a
where
      a.zei_keisan_kb = '1';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_siire_moto
-- 仕入先元帳  （残高と仕入明細と出金）
create view tbv_kou_siire_moto as
select
      a.user_company_id,
      a.siire_id,
      a.siire_cd,
      a.siire_nm,
      a.nyuka_kenpin_no,            -- 納品書番号
      a.nyuka_kenpin_edano,         -- 納品書枝番号
      a.siire_no,    
      a.siire_edano,
      a.syukkin_no,    
      a.item_id,
      a.item_cd,
      a.product_nm,
      a.siire_dt,
      a.kaikake_sime_dt,
      a.su,
      a.tani_cd,
      a.tani_nm,
      a.tanka,
      a.kin,
      a.tax,
      a.siire_kin,        -- 合計売上金額（売上金額＋消費税）
      a.syukin_kin,
                           -- 差引残高はphpにて行なう
      a.zenzan_kin,              -- 繰越残高
      a.tou_siire_total,           -- ヘッダの売上金額合計
      a.tou_syuk_kei_kin,        -- ヘッダの入金金額合計
      a.touzan_kin               -- ヘッダの差引残高
from
      tmp_kou_siire_moto_0 a
order by 
      a.user_company_id,
      a.siire_id,
      a.kaikake_sime_dt;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_kanri_gepo
-- 管理月報
create view tbv_han_kanri_gepo as
select                                    -- 売上
      a.user_company_id,
      a.urikake_sime_dt,
      1 as sort_ky,
      '【売上】' as title1,
      '売上' as title2,
      sum(a.tou_uri_kin) as tou_kin
--      sum(a.tou_kake_kin - a.tou_tax_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 消費税
      a.user_company_id,
      a.urikake_sime_dt,
      2 as sort_ky,
      '【売上】' as title1,
      '消費税' as title2,
      sum(a.tou_tax_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 売上合計
      a.user_company_id,
      a.urikake_sime_dt,
      3 as sort_ky,
      '【売上】' as title1,
      '売上合計' as title2,
      sum(a.tou_kake_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 仕入
      a.user_company_id,
      a.kaikake_sime_dt,
      4 as sort_ky,
      '【仕入】' as title1,
      '仕入' as title2,
      sum(a.tou_siire_kin) as tou_kin
--      sum(a.tou_kake_kin - a.tou_tax_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 消費税
      a.user_company_id,
      a.kaikake_sime_dt,
      5 as sort_ky,
      '【仕入】' as title1,
      '消費税' as title2,
      sum(a.tou_tax_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 仕入合計
      a.user_company_id,
      a.kaikake_sime_dt,
      6 as sort_ky,
      '【仕入】' as title1,
      '仕入合計' as title2,
      sum(a.tou_kake_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 現金入金
      a.user_company_id,
      a.urikake_sime_dt,
      7 as sort_ky,
      '【入金】' as title1,
      '現金' as title2,
      sum(tou_genkin_nyu_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 小切手入金
      a.user_company_id,
      a.urikake_sime_dt,
      8 as sort_ky,
      '【入金】' as title1,
      '小切手' as title2,
      sum(tou_kogit_nyu_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 振込入金
      a.user_company_id,
      a.urikake_sime_dt,
      9 as sort_ky,
      '【入金】' as title1,
      '振込' as title2,
      sum(tou_furik_nyu_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 手形入金
      a.user_company_id,
      a.urikake_sime_dt,
      10 as sort_ky,
      '【入金】' as title1,
      '手形' as title2,
      sum(tou_tega_nyu_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 値引入金
      a.user_company_id,
      a.urikake_sime_dt,
      11 as sort_ky,
      '【入金】' as title1,
      '値引' as title2,
      sum(tou_nebi_nyu_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 相殺入金
      a.user_company_id,
      a.urikake_sime_dt,
      12 as sort_ky,
      '【入金】' as title1,
      '相殺' as title2,
      sum(tou_sosai_nyu_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 手数料入金
      a.user_company_id,
      a.urikake_sime_dt,
      13 as sort_ky,
      '【入金】' as title1,
      '手数料' as title2,
      sum(tou_furik_tes_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- その他入金
      a.user_company_id,
      a.urikake_sime_dt,
      14 as sort_ky,
      '【入金】' as title1,
      'その他' as title2,
      sum(tou_other_nyu_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 入金合計
      a.user_company_id,
      a.urikake_sime_dt,
      15 as sort_ky,
      '【入金】' as title1,
      '入金合計' as title2,
      sum(tou_nyuk_kei_kin) as tou_kin
from
      tbv_han_urikake_zandaka a
group by
      a.user_company_id,
      a.urikake_sime_dt
union all
select                                    -- 現金出金
      a.user_company_id,
      a.kaikake_sime_dt,
      16 as sort_ky,
      '【出金】' as title1,
      '現金' as title2,
      sum(tou_genkin_syu_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 小切手出金
      a.user_company_id,
      a.kaikake_sime_dt,
      17 as sort_ky,
      '【出金】' as title1,
      '小切手' as title2,
      sum(tou_kogit_syu_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 振込出金
      a.user_company_id,
      a.kaikake_sime_dt,
      18 as sort_ky,
      '【出金】' as title1,
      '振込' as title2,
      sum(tou_furik_syu_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 手形出金
      a.user_company_id,
      a.kaikake_sime_dt,
      19 as sort_ky,
      '【出金】' as title1,
      '手形' as title2,
      sum(tou_tega_syu_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 値引出金
      a.user_company_id,
      a.kaikake_sime_dt,
      20 as sort_ky,
      '【出金】' as title1,
      '値引' as title2,
      sum(tou_nebi_syu_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 相殺出金
      a.user_company_id,
      a.kaikake_sime_dt,
      21 as sort_ky,
      '【出金】' as title1,
      '相殺' as title2,
      sum(tou_sosai_syu_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 手数料出金
      a.user_company_id,
      a.kaikake_sime_dt,
      22 as sort_ky,
      '【出金】' as title1,
      '手数料' as title2,
      sum(tou_furik_tes_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- その他出金
      a.user_company_id,
      a.kaikake_sime_dt,
      23 as sort_ky,
      '【出金】' as title1,
      'その他' as title2,
      sum(tou_other_syu_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt
union all
select                                    -- 出金合計
      a.user_company_id,
      a.kaikake_sime_dt,
      24 as sort_ky,
      '【出金】' as title1,
      '出金合計' as title2,
      sum(tou_syuk_kei_kin) as tou_kin
from
      tbv_kou_kaikake_zandaka a
group by
      a.user_company_id,
      a.kaikake_sime_dt;
