
--
-- view structure for view tbv_company_info
--
create view tbv_company_info as 
select 
    a.user_company_id as user_company_id,
    a.company_id as company_id,
    a.company_nm as company_nm,
    a.branch_nm as branch_nm,
    a.company_kn as company_kn,
    a.branch_kn as branch_kn,
    a.president as president,
    a.business_type as business_type,
    a.bond_code as bond_code,
    a.url as company_url,
    a.parent_company_id as parent_company_id,
    a.parent_company_nm as parent_company_nm,
    a.parent_branch_nm as parent_branch_nm,
    a.etc as company_etc,
    a.mail as company_mail,
    b.tel as company_tel,
    b.fax as company_fax,
    b.zipcode as company_zipcode,
    b.address1 as company_address1,
    b.address2 as company_address2,
    b.address3 as company_address3,
    b.address4 as company_address4,
    a.logo_image_path,
    a.yosin_kin,
    a.start_dt,
    a.end_dt
from tbm_company_base a 
     left join tbm_company_address b 
     on(a.user_company_id = b.user_company_id and a.company_id = b.company_id)
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_personal_info
--
create view tbv_personal_info as 
select 
    a.user_company_id as user_company_id,
    a.personal_id as personal_id,
    a.personal_nm as personal_nm,
    a.personal_kn as personal_kn,
    a.birthday as birthday,
    a.bloodtype as bloodtype,
    a.sex as sex,
    j.code_nm as sex_nm,
    a.mail as mail,
    a.mobile_mail as mobile_mail,
    a.url as url,
    a.etc as etc,
    b.tel as personal_tel,
    b.fax as personal_fax,
    b.mobile as personal_mobile,
    b.zipcode as personal_zipcode,
    b.address1 as personal_address1,
    b.address2 as personal_address2,
    b.address3 as personal_address3,
    b.address4 as personal_address4,
    c.tel as parent_tel,
    c.fax as parent_fax,
    c.mobile as parent_mobile,
    c.zipcode as parent_zipcode,
    c.address1 as parent_address1,
    c.address2 as parent_address2,
    c.address3 as parent_address3,
    c.address4 as parent_address4,
    d.company_id as company_id,
    f.company_nm as company_nm,
    f.branch_nm as branch_nm,
    f.company_kn as company_kn,
    f.branch_kn as branch_kn,
    f.president as president,
    f.business_type as business_type,
    f.bond_code as bond_code,
    f.company_url as company_url,
    f.parent_company_id as parent_company_id,
    f.parent_company_nm as parent_company_nm,
    f.parent_branch_nm as parent_branch_nm,
    f.company_etc as company_etc,
    f.company_mail as company_mail,
    d.staff_cd as staff_cd,
    d.organization_id as organization_id,
    i.bunrui_nm as organization,
    d.official_id as official_id,
    e.official_nm as official_nm,
    d.mobile as mobile,
    d.tel_in as tel_in,
    d.mail as office_mail,
    f.company_tel as company_tel,
    f.company_fax as company_fax,
    f.company_zipcode as company_zipcode,
    f.company_address1 as company_address1,
    f.company_address2 as company_address2,
    f.company_address3 as company_address3,
    f.company_address4 as company_address4, 
    a.ical_file,
    g.user_cd as user_cd,
    g.password as password,
    g.auth_group_id as auth_group_id,
    h.auth_rank as auth_rank
from tbm_personal_base a 
     left join tbm_personal_address b 
          on(a.user_company_id = b.user_company_id and a.personal_id = b.personal_id) 
     left join tbm_parent_address c 
          on(a.user_company_id = c.user_company_id and a.personal_id = c.personal_id) 
     left join (tbm_employee_property d 
                left join tbm_official_title e 
                     on(d.user_company_id = e.user_company_id and d.official_id = e.official_id and e.del_flg = '0')
                left join tbv_company_info f 
                     on(d.user_company_id = f.user_company_id and d.company_id = f.company_id)) 
          on(a.user_company_id = d.user_company_id and a.personal_id = d.personal_id)
     left join tbm_user_info g 
          on (a.user_company_id = g.user_company_id and a.personal_id = g.personal_id and g.del_flg = '0')
     left outer join tbm_authentication_group h 
          on (g.user_company_id = h.user_company_id and g.auth_group_id = h.auth_group_id and h.del_flg = '0')
     left outer join tbm_bunrui i
          on(d.user_company_id = i.user_company_id and i.bunrui_kb = '6' and d.organization_id = i.bunrui_id and i.del_flg = '0')
    left outer join tbm_code j
         on(a.user_company_id = j.user_company_id and a.sex = j.code and j.code_kb = '44' and j.del_flg = '0')
where a.del_flg = '0';

--
-- view structure for view tbv_personal_recruit
--
create view tbv_personal_recruit as 
select 
    a.user_company_id,
    a.personal_id,
    a.personal_nm,
    a.personal_kn,
    a.birthday,
    a.sex,
    d.code_nm as sex_nm,
    a.mail,
    a.mobile_mail,
    a.url,
    a.etc,
    b.tel,
    b.fax,
    b.mobile,
    b.zipcode,
    b.address1,
    b.address2,
    b.address3,
    b.address4,
    c.recruit_kb,
    i.code_nm as recruit_kb_nm,
    c.bunrui_id,
    j.bunrui_nm,
    c.request_area,
    c.work_area,
    c.transportation_kb,
    e.code_nm as transportation_kb_nm,
    c.start_dt,
    c.medium_kb,
    f.code_nm as medium_kb_nm,
    c.store_id,
    c.qr_id,
    c.employ_kb,
    g.code_nm as employ_kb_nm,
    h.staff_cd,
    c.educational_background_kb,
    k.code_nm as educational_background_kb_nm,
    c.school_nm,
    c.biko,
    c.recruit_biko,
    c.add_date
from tbm_personal_base a 
     left join tbm_personal_address b 
          on(a.user_company_id = b.user_company_id and a.personal_id = b.personal_id) 
     join tbm_personal_recruit c 
          on(a.user_company_id = c.user_company_id and a.personal_id = c.personal_id and c.del_flg = '0') 
     left outer join tbm_code d
          on(a.user_company_id = d.user_company_id and a.sex = d.code and d.code_kb = '44' and d.del_flg = '0')
     left outer join tbm_code e
          on(a.user_company_id = e.user_company_id and c.transportation_kb = e.code and e.code_kb = '720' and e.del_flg = '0')
     left outer join tbm_code f
          on(a.user_company_id = f.user_company_id and c.medium_kb = f.code and f.code_kb = '721' and f.del_flg = '0')
     left outer join tbm_code g
          on(a.user_company_id = g.user_company_id and c.employ_kb = g.code and g.code_kb = '722' and g.del_flg = '0')
     left outer join tbm_employee_property h
          on(a.user_company_id = h.user_company_id and a.personal_id = h.personal_id and h.del_flg = '0')
     left outer join tbm_code i
          on(c.user_company_id = i.user_company_id and c.recruit_kb = g.code and g.code_kb = '723' and g.del_flg = '0')
     left outer join tbm_bunrui j
          on(c.user_company_id = j.user_company_id and c.bunrui_id = j.bunrui_id and j.bunrui_kb = '11' and j.del_flg = '0')
     left outer join tbm_code k
          on(c.user_company_id = k.user_company_id and c.educational_background_kb = k.code and k.code_kb = '724' and k.del_flg = '0')
where
    a.del_flg = '0';

--
-- view structure for view tbv_personal_member
--
create view tbv_personal_member as 
select 
    a.user_company_id,
    a.personal_id,
    a.personal_nm,
    a.personal_kn,
    a.birthday,
    a.sex,
    d.code_nm as sex_nm,
    a.mail,
    a.mobile_mail,
    a.url,
    a.etc,
    b.tel,
    b.fax,
    b.mobile,
    b.zipcode,
    b.address1,
    b.address2,
    b.address3,
    c.medium_kb,
    f.code_nm as medium_kb_nm,
    c.store_id,
    i.store_nm,
    c.qr_id,
    h.staff_cd,
    c.biko,
    c.add_date
from tbm_personal_base a 
     left join tbm_personal_address b 
          on(a.user_company_id = b.user_company_id and a.personal_id = b.personal_id) 
     join tbm_personal_member c 
          on(a.user_company_id = c.user_company_id and a.personal_id = c.personal_id and c.del_flg = '0') 
     left outer join tbm_code d
          on(a.user_company_id = d.user_company_id and a.sex = d.code and d.code_kb = '44' and d.del_flg = '0')
     left outer join tbm_code f
          on(a.user_company_id = f.user_company_id and c.medium_kb = f.code and f.code_kb = '721' and f.del_flg = '0')
     left outer join tbm_employee_property h
          on(a.user_company_id = h.user_company_id and a.personal_id = h.personal_id and h.del_flg = '0')
     left outer join tbm_store_base i
          on(c.user_company_id = i.user_company_id and c.store_id = i.store_id and i.del_flg = '0')
where
    a.del_flg = '0';
