--
-- view structure for view tbv_kou_order_irai_tanto
-- 見積担当者の一覧を発注依頼テーブルから抽出
--
create view tbv_kou_order_irai_tanto as
select
    distinct
    a.user_company_id,
    a.tanto_staff_cd,
    b.personal_nm as tanto_staff_nm
from
    tbt_kou_order_irai a
    left outer join tbv_syain b
         on a.user_company_id = b.user_company_id and a.tanto_staff_cd = b.staff_cd
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_order_irai_regist_user
--
create view tbv_kou_order_irai_regist_user as
select
    distinct
    a.user_company_id,
    a.toroku_staff_cd,
    b.personal_nm as toroku_staff_nm
from
    tbt_kou_order_irai a
    left outer join tbv_syain b
         on a.user_company_id = b.user_company_id and a.toroku_staff_cd = b.staff_cd
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_order_irai_list_0
--
-- 発注依頼番号での状態コードを取得
--
create view tmp_kou_order_irai_list_0 as 
select 
    sta.user_company_id,
    sta.order_irai_no,
    sta.order_no,
    min(sta.sts_kb) as sts_kb
from tbt_kou_status sta
where sta.del_flg = '0'
group by 
    sta.user_company_id, 
    sta.order_irai_no, 
    sta.order_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_order_irai_list_1
--
-- 発注依頼番号、状態コードから状態を取得
--
create view tmp_kou_order_irai_list_1 as 
select
    sta.user_company_id,
    sta.order_irai_no,
    sta.order_no,
    sta.sts_kb,
    a.code_nm
from tmp_kou_order_irai_list_0  sta
    join tbm_code a 
        on(a.code_kb='21' and sta.sts_kb = a.code );
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_order_irai_list_2
--
-- 発注依頼番号ごとでの明細件数および、見積金額を取得
--
create view tmp_kou_order_irai_list_2 as
select
    a.user_company_id,
    a.order_irai_no,
    count(*) as kensu,
    sum(kin) as goukei
from
    tbt_kou_order_irai_detail a
where
    a.del_flg = '0'
group by
    a.user_company_id,
    a.order_irai_no;
-- ------------------------------------------------------

--
-- view structure for tbv_kou_order_irai_list
--
-- 発注依頼番号ごとでのヘッダ情報を取得
--
create view tbv_kou_order_irai_list as 
select
    a.user_company_id,
    a.order_irai_no,
    a.order_irai_dt,
    e.sts_kb,
    e.code_nm as sts_nm,
    a.toroku_staff_cd,
    d.toroku_staff_nm,
    a.toroku_organization_id,
    i.bunrui_nm as toroku_organization,
    a.tanto_staff_cd,
    c.tanto_staff_nm,
    a.tanto_organization_id,
    j.bunrui_nm as tanto_organization,
    a.order_limit_dt,
    e.order_no,
    a.siire_id,
    b.siire_cd_nm as siire_nm,
    a.irai_nouki_dt,
    a.order_irai_title,
    a.order_irai_riyu,
    a.syonin_rireki_id,
    a.syonin_dt,
    g.syonin_id as last_syonin_auth_group_id,
    h.route_id as final_syonin_auth_group_id,
    f.kensu,
    f.goukei,
    a.del_flg,
    a.add_date,
    a.upd_date,
    a.add_pgid,
    a.upd_pgid,
    a.add_user_cd,
    a.upd_user_cd
from tbt_kou_order_irai a
    left outer join tbv_siire b
         on(a.user_company_id = b.user_company_id and a.siire_id = b.siire_id)
    left outer join tbv_kou_order_irai_tanto c
         on(a.user_company_id = c.user_company_id and a.tanto_staff_cd = c.tanto_staff_cd)
    left outer join tbv_kou_order_irai_regist_user d
         on(a.user_company_id = d.user_company_id and a.toroku_staff_cd = d.toroku_staff_cd)
    join tmp_kou_order_irai_list_1 e
         on(a.user_company_id = e.user_company_id and a.order_irai_no = e.order_irai_no)
    join tmp_kou_order_irai_list_2 f
         on(a.user_company_id = f.user_company_id and a.order_irai_no = f.order_irai_no)
    left outer join tbt_syonin_rireki g
         on(a.user_company_id = g.user_company_id and a.syonin_rireki_id = g.syonin_rireki_id and g.del_flg = '0')
    left outer join tbm_route h
         on(a.user_company_id = h.user_company_id and h.route_kb = '6' and h.route_cd = '1' and h.del_flg = '0' and h.up_route_id is null )
    left outer join tbm_bunrui i
         on(a.user_company_id = i.user_company_id and i.bunrui_kb = '6' and a.toroku_organization_id = i.bunrui_id  and i.del_flg = '0')
    left outer join tbm_bunrui j
         on(a.user_company_id = j.user_company_id and j.bunrui_kb = '6' and a.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for tbv_kou_order_irai_detail_list
--
-- 発注依頼番号ごとでの明細情報を取得
--

create view tbv_kou_order_irai_detail_list as 
select
    a.user_company_id,
    a.order_irai_no,
    e.order_irai_edano,
    a.order_irai_dt,
    a.toroku_staff_cd,
    d.toroku_staff_nm,
    a.toroku_organization_id,
    f.bunrui_nm as toroku_organization,
    a.tanto_staff_cd,
    c.tanto_staff_nm,
    a.tanto_organization_id,
    g.bunrui_nm as tanto_organization,
    a.order_limit_dt,
    h.order_no,
    h.order_edano,
    a.siire_id,
    b.siire_cd_nm as siire_nm,
    a.irai_nouki_dt,
    a.order_irai_title,
    a.order_irai_riyu,
    a.syonin_rireki_id,
    a.syonin_dt,
    e.item_id,
    e.product_nm,
    e.product_kikaku,
    e.syubetu,
    e.su,
    e.tani_nm,
    e.tanka,
    e.kin,
    e.biko,
    a.del_flg,
    a.add_date,
    a.upd_date,
    a.add_pgid,
    a.upd_pgid,
    a.add_user_cd,
    a.upd_user_cd
from tbt_kou_order_irai a
    left outer join tbv_siire b
         on(a.user_company_id = b.user_company_id and a.siire_id = b.siire_id)
    left outer join tbv_kou_order_tanto c
         on(a.user_company_id = c.user_company_id and a.tanto_staff_cd = c.tanto_staff_cd)
    left outer join tbv_kou_order_regist_user d
         on(a.user_company_id = d.user_company_id and a.toroku_staff_cd = d.toroku_staff_cd)
    join tbt_kou_order_irai_detail e
         on(a.user_company_id = e.user_company_id and a.order_irai_no = e.order_irai_no)
    left outer join tbm_bunrui f
         on(a.user_company_id = f.user_company_id and f.bunrui_kb = '6' and a.toroku_organization_id = f.bunrui_id  and f.del_flg = '0')
    left outer join tbm_bunrui g
         on(a.user_company_id = g.user_company_id and g.bunrui_kb = '6' and a.tanto_organization_id = g.bunrui_id  and g.del_flg = '0')
    join tbt_kou_status h
         on(e.user_company_id = h.user_company_id and e.order_irai_no = h.order_irai_no and e.order_irai_edano = h.order_irai_edano)
where a.del_flg = '0';
