
--
-- view structure for view tbv_staff_card
--
create view tbv_staff_card as
select
    a.user_company_id as user_company_id,
    a.staff_cd as staff_cd,
    a.personal_nm as staff_nm,
    b.card_id as card_id,
    a.organization_id,
    i.bunrui_nm as organization,
    a.official_id
from tbv_personal_info a 
     left join tbm_personal b 
          on (a.user_company_id = b.user_company_id and a.staff_cd = b.staff_cd and b.del_flg = '0')
     left outer join tbm_bunrui i
          on(a.user_company_id = i.user_company_id and i.bunrui_kb = '6' and a.organization_id = i.bunrui_id and i.del_flg = '0')
where a.staff_cd is not null;
-- ------------------------------------------------------

--
-- view structure for view tmp_date_yymm
--
create view tmp_date_yymm as
select
    min(a.nendo) as nendo,
    min(a.yyyy) as yyyy,
    a.yymm as yymm
from tbv_date a
group by
    a.yymm;
-- ------------------------------------------------------

--
-- view structure for view tmp_summary_maxyymm
--
create view tmp_summary_maxyymm as
select
    a.user_company_id as user_company_id,
    a.staff_cd as staff_cd,
    b.nendo as nendo,
    max(a.yymm) as yymm
from tbt_summary a join tmp_date_yymm b
     on a.yymm = b.yymm
group by
    a.user_company_id,
    a.staff_cd,
    b.nendo;
-- ------------------------------------------------------

--
-- view structure for view tmp_summary_y_syutoku
--
create view tmp_summary_y_syutoku as
select
    b.user_company_id as user_company_id,
    b.staff_cd as staff_cd,
    a.nendo as nendo,
    max(c.yukyu_syutoku) as yukyu_syutoku
from tmp_date_yymm a 
     join tmp_summary_maxyymm b
     on a.yymm=b.yymm
     left join tbt_summary c
     on b.user_company_id = c.user_company_id and b.staff_cd = c.staff_cd and b.yymm=c.yymm
group by
    b.user_company_id,
    b.staff_cd,
    a.nendo;
-- ------------------------------------------------------

--
-- view structure for view tmp_summary_yyyy
--
create view tmp_summary_yyyy as
select
    b.user_company_id as user_company_id,
    b.staff_cd as staff_cd,
    a.nendo as nendo,
    b.yukyu_syutoku as yukyu_syutoku,
    sum(c.yukyu_syouka) as yukyu_syouka,
    b.yukyu_syutoku - sum(c.yukyu_syouka) as yukyu_zan,
    sum(c.kyusyutu) as kyusyutu,
    sum(c.daikyuu) as daikyuu,
    sum(c.tokkyuu) as tokkyuu
from tmp_date_yymm a join tmp_summary_y_syutoku b
    on a.nendo=b.nendo
    left join tbt_summary c
    on b.user_company_id = c.user_company_id and b.staff_cd = c.staff_cd and a.yymm=c.yymm
group by
    b.user_company_id,
    b.staff_cd,
    a.nendo,
    b.yukyu_syutoku;
-- ------------------------------------------------------

--
-- view structure for view tbv_summary_yyyy
--
create view tbv_summary_yyyy as
select
    a.user_company_id as user_company_id,
    a.staff_cd as staff_cd,
    a.nendo as nendo,
    b.yymm as yymm,
    a.yukyu_syutoku as yukyu_syutoku,
    a.yukyu_syouka as yukyu_syouka,
    a.yukyu_zan as yukyu_zan,
    a.kyusyutu as kyusyutu,
    a.daikyuu as daikyuu,
    a.tokkyuu as tokkyuu
from tmp_summary_yyyy a 
     join tmp_date_yymm b
     on a.nendo=b.nendo;
-- ------------------------------------------------------

--
-- view structure for view tmp_summary_yymm
--
create view tmp_summary_yymm as
select
    a.nendo as nendo,
    a.yyyy as yyyy,
    a.yymm as yymm,
    b.user_company_id as user_company_id,
    b.staff_cd as staff_cd,
    b.staff_nm as staff_nm,
    b.organization_id,
    i.bunrui_nm as organization,
    b.official_id
from tmp_date_yymm a,
     tbv_staff_card b
     left outer join tbm_bunrui i
          on(b.user_company_id = i.user_company_id and i.bunrui_kb = '6' and b.organization_id = i.bunrui_id and i.del_flg = '0')
;
-- ------------------------------------------------------

--
-- view structure for view tmp_summary_m_01
--
create view tmp_summary_m_01 as
select
    a.user_company_id as user_company_id,
    a.staff_cd as staff_cd,
    a.nendo as nendo,
    a.yymm as yymm,
    a.staff_nm as staff_nm,
    a.organization_id,
    i.bunrui_nm as organization,
    a.official_id,
    case when b.yukyu_syutoku is null then 0 else b.yukyu_syutoku end as yukyu_syutoku,
    case when b.yukyu_syouka is null then 0 else b.yukyu_syouka end as yukyu_syouka,
    case when b.kyusyutu is null then 0 else b.kyusyutu end as kyusyutu,
    case when b.daikyuu is null then 0 else b.daikyuu end as daikyuu,
    case when b.tokkyuu is null then 0 else b.tokkyuu end as tokkyuu,
    b.upd_date as upd_date
from tmp_summary_yymm a
     left join tbt_summary b
          on a.user_company_id = b.user_company_id and a.staff_cd = b.staff_cd and a.yymm = b.yymm
     left outer join tbm_bunrui i
          on(a.user_company_id = i.user_company_id and i.bunrui_kb = '6' and a.organization_id = i.bunrui_id and i.del_flg = '0')
;
-- ------------------------------------------------------

--
-- view structure for view tbv_summary_yymm
--
--PostgresSQL対応、検証不十分
-->>削除： and a.yymm < date_format(curdate(), '%y%m')
create view tbv_summary_yymm as
select
    a.user_company_id as user_company_id,
    a.staff_cd as staff_cd,
    a.yymm as yymm,
    a.staff_nm as staff_nm,
    a.organization_id,
    a.organization,
    a.official_id,
    a.yukyu_syutoku,
    a.yukyu_syouka,
    a.kyusyutu,
    a.daikyuu,
    a.tokkyuu,
    a.upd_date as upd_date,
    sum(b.yukyu_syouka) as ruikei_yukyu_syouka,
    sum(b.kyusyutu) as ruikei_kyusyutu,
    sum(b.daikyuu) as ruikei_daikyuu,
    sum(b.tokkyuu) as ruikei_tokkyuu
from tmp_summary_m_01 a,
     tmp_summary_m_01 b
where a.user_company_id = b.user_company_id and a.staff_cd = b.staff_cd
and a.nendo = b.nendo
and a.yymm >= b.yymm
group by 
    a.user_company_id,
    a.staff_cd,
    a.yymm,
    a.staff_nm,
    a.organization_id,
    a.organization,
    a.official_id,
    a.yukyu_syutoku,
    a.yukyu_syouka,
    a.kyusyutu,
    a.daikyuu,
    a.tokkyuu,
    a.upd_date;
-- ------------------------------------------------------

--
-- view structure for view tmp_timecard_0
--

create view tmp_timecard_0 as
select
    b.user_company_id as user_company_id,
    b.staff_cd as staff_cd,
    b.card_id as card_id,
    a.yymm as yymm,
    a.ymd as ymd,
    a.youbi_nm as youbi,
    b.staff_nm as staff_nm,
    b.organization_id,
    b.official_id
from 
    tbv_date a ,
    tbv_staff_card b;
-- ------------------------------------------------------


--
-- view structure for view tbv_timecard
--
--PostgresSQL対応、検証不十分
-->>削除：where a.ymd like '200%';

create view tbv_timecard as 
select 
    f.user_company_id as user_company_id,
    f.staff_cd as staff_cd,
    f.card_id as card_id,
    f.yymm as yymm,
    f.ymd as ymd,
    f.youbi as youbi,
    f.staff_nm as staff_nm,
    f.organization_id,
    g.bunrui_nm as organization,
    f.official_id,
    e.official_nm as official_nm,
    c.kinmu_kb as kinmu_kb,
    c.in_time as in_time,
    c.out_time as out_time,
    c.rest_time as rest_time,
    c.kinmu_time as kinmu_time,
    c.biko as biko,
    c.put_date as put_date,
    d.kinmu_kb as kinmu_kb_org,
    d.in_time as in_time_org,
    d.out_time as out_time_org,
    d.rest_time as rest_time_org,
    d.kinmu_time as kinmu_time_org 
from tmp_timecard_0 f
     left join tbt_timecard c 
          on(f.user_company_id = c.user_company_id and f.staff_cd = c.staff_cd and f.ymd = c.ymd and c.del_flg = '0')
     left join tbt_timecard_org d 
          on(f.user_company_id = d.user_company_id and f.staff_cd = d.staff_cd and f.ymd = d.ymd and d.del_flg = '0')
     left join tbm_official_title e
          on(f.user_company_id = e.user_company_id and f.official_id = e.official_id and e.del_flg = '0')
     left outer join tbm_bunrui g
          on(f.user_company_id = g.user_company_id and g.bunrui_kb = '6' and f.organization_id = g.bunrui_id and g.del_flg = '0');
