
--
-- view structure for view tmp_taku_send_record1
--
create view tmp_taku_send_record1 as
select a.*,
       b.get_dt
from   tbt_taku_send_record_detail a 
       left outer join tbt_download_log b
       on b.user_company_id = a.user_company_id and b.log_id = a.log_id
where  a.del_flg = '0';

--
-- view structure for view tmp_taku_send_record2
--
create view tmp_taku_send_record2 as
select count(*) as send_cnt,
       sum(case when a.log_id is null then 0 else 1 end) as recieve_cnt,
       a.user_company_id,
       a.send_id,
       a.send_eda_id,
       a.send_mail,
       a.user_password,
       a.log_id,
       a.get_dt
from   tmp_taku_send_record1 a 
group by 
    a.user_company_id,
    a.send_id,
    a.send_eda_id,
    a.send_mail,
    a.user_password,
    a.log_id,
    a.get_dt;

--
-- view structure for view tbv_taku_send_record
--
create view tbv_taku_send_record as
select
       a.user_company_id,
       a.send_id,
       a.user_cd,
       d.personal_nm as user_nm,
       max(case when a.group_id is null then c.send_mail else null end) as send_mail,
       a.send_dt,
       a.group_id,
       b.group_nm,
       a.send_file_nm,
       a.dengon_txt,
       a.file_keep_dt,
       max(c.get_dt) as get_dt,
       sum(c.send_cnt) as send_cnt,
       sum(c.recieve_cnt) as recieve_cnt
from   tbt_taku_send_record a
       left outer join tmp_taku_send_record2 c
       on a.user_company_id = c.user_company_id and a.send_id = c.send_id
       left outer join tbv_group_info b
       on a.user_company_id = b.user_company_id and a.group_id = b.group_id
       left outer join tbv_user_info d
       on a.user_company_id = d.user_company_id and a.user_cd = d.user_cd
where  a.del_flg = '0'
group by
       a.user_company_id,
       a.send_id,
       a.user_cd,
       d.personal_nm,
       a.group_id,
       a.send_dt,
       b.group_nm,
       a.send_file_nm,
       a.dengon_txt,
       a.file_keep_dt;

--
-- view structure for view tbv_send_history_detail
--
create view tbv_taku_send_record_detail as
select a.user_company_id,
       b.group_id,
       a.send_id,
       a.send_eda_id,
       a.send_mail,
       a.user_password,
       d.personal_nm as receive_nm1,
       c.delivery_nm as receive_nm2,
       a.get_dt
from   (tmp_taku_send_record1 a
       join tbt_taku_send_record b on a.user_company_id = b.user_company_id and a.send_id = b.send_id)
       left outer join tbv_delivery_info c on a.user_company_id = c.user_company_id and b.group_id = c.group_id and a.send_mail = c.mail and b.group_id is not null
       left outer join tbv_personal_info d on a.user_company_id = d.user_company_id and a.send_mail = d.mail and b.group_id is null
where  a.del_flg = '0';

