
--
-- view structure for view tbv_karibarai
--
create view tbv_karibarai as
select
    a.user_company_id,
    a.sinsei_no,
    a.sinsei_user_cd,
    f.staff_cd as sinsei_staff_cd,
    f.organization_id as sinsei_organization_id,
    i.bunrui_nm as sinsei_organization,
    f.personal_nm as sinsei_user_nm,
    a.sinsei_dt,
    a.sinsei_kin,
    a.kari_kibo_dt,
    a.seisan_yotei_dt,
    a.sinsei_ttl,
    a.jiyu_txt,
    a.torikesi_dt,
    b.status_kb,
    c.seisan_user_cd,
    g.staff_cd as seisan_staff_cd,
    g.organization_id as seisan_organization_id,
    j.bunrui_nm as seisan_organization,
    g.personal_nm as seisan_user_nm,
    c.seisan_dt,
    c.seisan_kin,
    c.henkan_kin,
    c.seikyu_kin
from
    tbt_karibarai a 
    join tbt_status b 
         on (a.user_company_id = b.user_company_id and a.sinsei_no = b.sinsei_no and b.del_flg ='0')
    left outer join tbv_user_info f 
         on (a.user_company_id = f.user_company_id and a.sinsei_user_cd = f.user_cd)
    left outer join tbt_seisan c 
         on (a.user_company_id = c.user_company_id and a.sinsei_no = c.sinsei_no and c.del_flg = '0')
    left outer join tbv_user_info g 
         on (c.user_company_id = g.user_company_id and c.seisan_user_cd = g.user_cd)
    left outer join tbm_bunrui i
         on(f.user_company_id = i.user_company_id and i.bunrui_kb = '6' and f.organization_id = i.bunrui_id and i.del_flg = '0')
    left outer join tbm_bunrui j
         on(g.user_company_id = j.user_company_id and j.bunrui_kb = '6' and g.organization_id = j.bunrui_id  and j.del_flg = '0')
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_ryokohi_detail
--
create view tbv_ryokohi_detail as
select
    a.user_company_id,
    a.sinsei_no,
    a.sinsei_eda,
    a.riyo_dt,
    a.seisan_kb,
    a.homon_nm,
    a.syudan_nm,
    a.hati_nm,
    a.chakuti_nm,
    a.sinsei_kin,
    a.jiyu_txt
from
    tbt_ryokohi_detail a
    join tbt_ryokohi b
    on (a.user_company_id = b.user_company_id and a.sinsei_no = b.sinsei_no)
where a.del_flg = '0'
and   b.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_ryokohi_sum
--
create view tmp_ryokohi_sum as
select
    a.user_company_id,
    a.sinsei_no,
    sum(a.sinsei_kin) as sinsei_kin
from
    tbv_ryokohi_detail a
group by
    a.user_company_id,
    a.sinsei_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_ryokohi
--
create view tbv_ryokohi as
select
    a.user_company_id,
    a.sinsei_no,
    a.sinsei_user_cd,
    g.staff_cd as sinsei_staff_cd,
    g.organization_id as sinsei_organization_id,
    i.bunrui_nm as sinsei_organization,
    g.personal_nm as sinsei_user_nm,
    a.sinsei_dt,
    d.sinsei_kin,
    a.ryokohi_ttl,
    a.torikesi_dt,
    b.status_kb,
    c.seisan_user_cd,
    h.staff_cd as seisan_staff_cd,
    h.organization_id as seisan_organization_id,
    j.bunrui_nm as seisan_organization,
    h.personal_nm as seisan_user_nm,
    c.seisan_dt,
    c.seisan_kin,
    c.henkan_kin,
    c.seikyu_kin,
    e.karibarai_sinsei_no
from
    tbt_ryokohi a 
    join tbt_status b 
         on (a.user_company_id = b.user_company_id and a.sinsei_no = b.sinsei_no and b.del_flg = '0')
    left outer join tbt_seisan c 
         on (a.user_company_id = c.user_company_id and a.sinsei_no = c.sinsei_no and c.del_flg = '0')
    left outer join tmp_ryokohi_sum d   
         on (a.user_company_id = d.user_company_id and a.sinsei_no = d.sinsei_no)
    left outer join tbt_karibarai_related e 
         on (a.user_company_id = e.user_company_id and a.sinsei_no = e.sinsei_no and e.del_flg = '0')
    left outer join tbv_user_info g 
         on (a.user_company_id = g.user_company_id and a.sinsei_user_cd = g.user_cd)
    left outer join tbv_user_info h 
         on (c.user_company_id = h.user_company_id and c.seisan_user_cd = h.user_cd)
    left outer join tbm_bunrui i
         on(g.user_company_id = i.user_company_id and i.bunrui_kb = '6' and g.organization_id = i.bunrui_id and i.del_flg = '0')
    left outer join tbm_bunrui j
         on(h.user_company_id = j.user_company_id and j.bunrui_kb = '6' and h.organization_id = j.bunrui_id  and j.del_flg = '0')
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_keihi_detail
--
create view tbv_keihi_detail as
select
    a.user_company_id,
    a.sinsei_no,
    a.sinsei_eda,
    c.status_kb,
    a.bihin_id,
    e.konyu_dt,
    e.item_nm as item_nm,
    a.kamoku_kb,
    a.ryosyu_no,
    a.sinsei_kin,
    d.seisan_dt,
    a.jiyu_txt,
    f.karibarai_sinsei_no
from
    tbt_keihi_detail a
    join tbt_keihi  b on (a.user_company_id = b.user_company_id and a.sinsei_no = b.sinsei_no and b.del_flg = '0')
    join tbt_status c on (a.user_company_id = c.user_company_id and a.sinsei_no = c.sinsei_no and c.del_flg = '0')
    left outer join tbt_seisan d on (a.user_company_id = d.user_company_id and a.sinsei_no = d.sinsei_no and d.del_flg = '0')
    left outer join tbt_bihin  e on (a.user_company_id = e.user_company_id and a.bihin_id = e.bihin_id and e.del_flg = '0')
    left outer join tbt_karibarai_related f on (a.user_company_id = f.user_company_id and a.sinsei_no = f.sinsei_no)
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_keihi_sum
--
create view tmp_keihi_sum as
select
    a.user_company_id,
    a.sinsei_no,
    sum(a.sinsei_kin) as sinsei_kin
from
    tbv_keihi_detail a
group by
    a.user_company_id,
    a.sinsei_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_keihi
--
create view tbv_keihi as
select
    a.user_company_id,
    a.sinsei_no,
    a.sinsei_user_cd,
    g.staff_cd as sinsei_staff_cd,
    g.organization_id as sinsei_organization_id,
    i.bunrui_nm as sinsei_organization,
    g.personal_nm as sinsei_user_nm,
    a.sinsei_dt,
    d.sinsei_kin,
    a.keihi_ttl,
    a.torikesi_dt,
    b.status_kb,
    c.seisan_user_cd,
    h.staff_cd as seisan_staff_cd,
    h.organization_id as seisan_organization_id,
    j.bunrui_nm as seisan_organization,
    h.personal_nm as seisan_user_nm,
    c.seisan_dt,
    c.seisan_kin,
    c.henkan_kin,
    c.seikyu_kin,
    e.karibarai_sinsei_no
from
    tbt_keihi a 
    join tbt_status b   
         on (a.user_company_id = b.user_company_id and a.sinsei_no = b.sinsei_no and b.del_flg = '0')
    left outer join tmp_keihi_sum d     
         on (a.user_company_id = d.user_company_id and a.sinsei_no = d.sinsei_no)
    left outer join tbv_user_info g 
         on (a.user_company_id = g.user_company_id and a.sinsei_user_cd = g.user_cd)
    left outer join tbt_seisan c 
         on (a.user_company_id = c.user_company_id and a.sinsei_no = c.sinsei_no and c.del_flg = '0')
    left outer join tbv_user_info h 
         on (c.user_company_id = h.user_company_id and c.seisan_user_cd = h.user_cd)
    left outer join tbt_karibarai_related e 
         on (a.user_company_id = e.user_company_id and a.sinsei_no = e.sinsei_no)
    left outer join tbm_bunrui i
         on(g.user_company_id = i.user_company_id and i.bunrui_kb = '6' and g.organization_id = i.bunrui_id and i.del_flg = '0')
    left outer join tbm_bunrui j
         on(h.user_company_id = j.user_company_id and j.bunrui_kb = '6' and h.organization_id = j.bunrui_id  and j.del_flg = '0')
where a.del_flg = '0';
