
--
-- view structure for view tmp_zaiko_0
--
-- 棚卸指示と棚卸を結合（棚卸中＆終了データ対象）
-- 　※在庫用なので棚卸対象から備品は除く
create view tmp_zaiko_0 as
select
     a.user_company_id,
     a.tanaorosi_siji_id,
     a.tanaorosi_siji_edano,
     a.sisetubi_id,
     a.injijyun_no,
     a.zaiko_id,
     a.item_id,
     a.bunrui_kb,
     a.bunrui_id,
     a.tanaorosi_mae_zaiko_su,
     a.tanaorosi_su,
     b.tanaorosi_dt,
     b.tanaorosi_sts_kb,
     b.tanaorosi_kb,
     b.sisetubi_kb as siji_sisetubi_kb,
     b.sisetubi_id as siji_sisetubi_id,
     b.bunrui_kb as siji_bunrui_kb,
     b.bunrui1_id as siji_bunrui1_id,
     b.bunrui2_id as siji_bunrui2_id,
     b.bunrui3_id as siji_bunrui3_id
from
    tbt_tanaorosi a
    join tbt_tanaorosi_siji b
         on(a.user_company_id = b.user_company_id and a.tanaorosi_siji_id = b.tanaorosi_siji_id and b.del_flg = '0' and b.tanaorosi_kb = '01')
where
    a.del_flg = '0';
--
--     and                       -- 01:在庫 02:備品
--    b.tanaorosi_sts_kb = '2';                       -- 1:棚卸中  2:棚卸終了
-- ------------------------------------------------------

--
-- view structure for view tmp_zaiko_1
--
-- 棚卸指示と棚卸を結合（棚卸中＆終了データ対象）
-- 　※在庫用なので棚卸対象から備品は除く
create view tmp_zaiko_1 as
select
     a.user_company_id,
     a.zaiko_id,
     max(b.tanaorosi_dt) as max_tanaorosi_dt,
     max(b.tanaorosi_sts_kb) as tanaorosi_sts_kb
from
    tbt_tanaorosi a
    join tbt_tanaorosi_siji b
         on(a.user_company_id = b.user_company_id and a.tanaorosi_siji_id = b.tanaorosi_siji_id and b.del_flg = '0' and b.tanaorosi_kb = '01')
where
    a.del_flg = '0'
group by
    a.user_company_id,
    a.zaiko_id;
--
--     and
--    b.tanaorosi_sts_kb = '2'
-- ------------------------------------------------------

--
-- view structure for view tmp_zaiko_2
--
-- 棚卸指示と棚卸を結合
--
create view tmp_zaiko_2 as
select
     a.user_company_id,
     a.tanaorosi_siji_id,
     a.tanaorosi_siji_edano,
     a.sisetubi_id,
     a.injijyun_no,
     a.zaiko_id,
     a.item_id,
     a.bunrui_kb,
     a.bunrui_id,
     a.tanaorosi_mae_zaiko_su,
     a.tanaorosi_su,
     a.tanaorosi_dt,
     a.tanaorosi_sts_kb,
     a.tanaorosi_kb,
     a.siji_sisetubi_kb,
     a.siji_sisetubi_id,
     a.siji_bunrui_kb,
     a.siji_bunrui1_id,
     a.siji_bunrui2_id,
     a.siji_bunrui3_id
from
    tmp_zaiko_0 a
    left outer join tmp_zaiko_1 b
         on(a.user_company_id = b.user_company_id and a.zaiko_id = b.zaiko_id)
where
    a.tanaorosi_dt = b.max_tanaorosi_dt;
-- ------------------------------------------------------

--
-- view structure for view tmp_zaiko_3
--
-- 入出庫履歴に棚卸日付を添付
--
create view tmp_zaiko_3 as
select
     a.user_company_id,
     a.nyusyuko_rireki_id,
     a.nyusyuko_rireki_kb,
     a.zaiko_id,
     a.nyusyuko_su,
     a.aite_zaiko_id,
     a.nyusyuko_dt,
     b.tanaorosi_dt
from
    tbt_nyusyuko_rireki a
    left outer join tmp_zaiko_2 b
         on(a.user_company_id = b.user_company_id and a.zaiko_id = b.zaiko_id)
where
    a.del_flg = '0' and
    a.nyusyuko_dt > b.tanaorosi_dt;
-- ------------------------------------------------------

--
-- view structure for view tmp_zaiko_4
--
-- 在庫IDでグループ化し累積入庫数を算出
--
create view tmp_zaiko_4 as
select
     a.user_company_id,
     a.zaiko_id,
     sum(a.nyusyuko_su) as sum_nyuko_su
from
    tmp_zaiko_3 a
where
    a.nyusyuko_rireki_kb in ('120','121')
group by
    a.user_company_id,
    a.zaiko_id;
-- ------------------------------------------------------

--
-- view structure for view tmp_zaiko_5
--
-- 在庫IDでグループ化し累積出庫数を算出
--
create view tmp_zaiko_5 as
select
     a.user_company_id,
     a.zaiko_id,
     sum(a.nyusyuko_su) as sum_syuko_su
from
    tmp_zaiko_3 a
where
    a.nyusyuko_rireki_kb in ('90','91')
group by
    a.user_company_id,
    a.zaiko_id;
-- ------------------------------------------------------

--
-- view structure for view tbv_zaiko
--
-- 在庫情報
--
create view tbv_zaiko as
select
     a.user_company_id,
     a.zaiko_id,
     a.item_id,
     a.tana_id,
     a.lotto_cd,
     a.zaiko_su,
     a.picking_su,
     a.hikiate_su,
     a.yuko_zaiko_su,
     a.last_nyuko_dt,
     a.last_syuko_dt,
     b.sisetubi_id,
     b.sisetubi_kb,
     b.code_syubetu_nm,
     b.sisetubi_nm,
     b.bunrui_kaiso,
     b.bunrui_id as tanaban_id,
     b.bunrui_cd as tanaban_cd,
     b.bunrui_nm as tanaban_nm,
     b.bunrui1_id as tanaban1_id,
     b.bunrui1_nm as tanaban1_nm,
     b.bunrui2_id as tanaban2_id,
     b.bunrui2_nm as tanaban2_nm,
     b.bunrui3_id as tanaban3_id,
     b.bunrui3_nm as tanaban3_nm,
     h.item_cd,
     h.item_nm,
     h.item_kb,
     h.item_kikaku,
     h.syubetu as syubetu,
     h.maker_id as maker_id,
     h.bunrui1_id,
     h.bunrui1_nm,
     h.bunrui2_id,
     h.bunrui2_nm,
     h.bunrui3_id,
     h.bunrui3_nm,
     h.minimum_su,
     h.standard_tnk,
     h.standardcost_tnk,
     h.item_bikou,
     h.itf_cd,
     h.size,
     h.color,
     h.irisu,
     h.tani_cd,
     h.group_cd,
     h.pos_cd,
     h.aite_item_cd,
     h.start_dt,
     h.end_dt,
     h.item_path,
     h.feature_cd,
     h.featuresyo1_dt,
     h.featuresyo2_dt,
     h.featuresyo3_dt,
     h.featuresyo4_dt,
     h.featuresyo5_dt,
     h.featuresyo6_dt,
     h.featuresyo7_dt,
     h.featuresyo8_dt,
     h.featuresyo9_dt,
     h.featuresyo10_dt,
     h.tax_kb,
     i.tanaorosi_siji_id,
     i.tanaorosi_siji_edano,
     i.injijyun_no,
     i.tanaorosi_mae_zaiko_su,
     i.tanaorosi_su,
     i.tanaorosi_dt,
     i.tanaorosi_sts_kb,
     i.tanaorosi_kb,
     i.siji_sisetubi_kb,
     i.siji_bunrui_kb,
     i.siji_bunrui1_id,
     i.siji_bunrui2_id,
     i.siji_bunrui3_id,
     j.sum_nyuko_su,
     k.sum_syuko_su
from
     tbt_zaiko a
     left outer join tbv_tana b
          on(a.user_company_id = b.user_company_id and a.tana_id = b.tana_id)
     left outer join tbv_item h
          on(a.user_company_id = h.user_company_id and a.item_id = h.item_id)
     left outer join tmp_zaiko_2 i
          on(a.user_company_id = i.user_company_id and a.zaiko_id = i.zaiko_id)
     left outer join tmp_zaiko_4 j
          on(a.user_company_id = j.user_company_id and a.zaiko_id = j.zaiko_id)
     left outer join tmp_zaiko_5 k
          on(a.user_company_id = k.user_company_id and a.zaiko_id = k.zaiko_id)
where
     a.del_flg = '0';
-- ------------------------------------------------------
--
-- view structure for view tbv_nyusyuko_rireki
--
--  入出庫履歴情報
--
create view tbv_nyusyuko_rireki as
select
     a.user_company_id,
     a.nyusyuko_rireki_id,
     a.nyusyuko_rireki_kb,
     a.zaiko_id,
     a.nyusyuko_su,
     a.aite_zaiko_id,
     a.nyusyuko_dt,
     a.upd_date,
     b.code_nm as code_nyusyuko_nm,
     d.tokui_id as syuka_tokui_id,
     g.tokui_cd_nm as syuka_company_nm,
     f.siire_id as nyuka_siire_id,
     h.siire_cd_nm as nyuka_company_nm,
     i.sisetubi_kb,
     i.code_syubetu_nm,
     i.sisetubi_nm,
     i.tanaban_id,
     i.tanaban_cd,
     i.tanaban_nm,
     i.tanaban1_id,
     i.tanaban1_nm,
     i.tanaban2_id,
     i.tanaban2_nm,
     i.tanaban3_id,
     i.tanaban3_nm
from
     tbt_nyusyuko_rireki a
     left outer join tbm_code b
          on (a.nyusyuko_rireki_kb = b.code and b.code_kb = '222')
     left outer join tbt_han_syuka_detail c
          on(a.user_company_id = c.user_company_id and a.nyusyuko_rireki_id = c.nyusyuko_rireki_id)
     left outer join tbt_han_syuka d
          on(c.user_company_id = d.user_company_id and c.delivery_no = d.delivery_no)
     left outer join tbt_kou_nyuka_detail e
          on(a.user_company_id = e.user_company_id and a.nyusyuko_rireki_id = e.nyusyuko_rireki_id)
     left outer join tbt_kou_nyuka f
          on(e.user_company_id = f.user_company_id and e.nyuka_kenpin_no = f.nyuka_kenpin_no)
     left outer join tbv_tokui g
          on(d.user_company_id = g.user_company_id and d.tokui_id = g.tokui_id)
     left outer join tbv_siire h
          on(f.user_company_id = h.user_company_id and f.siire_id = h.siire_id)
     left outer join tbv_zaiko i
          on(a.user_company_id = a.user_company_id and a.aite_zaiko_id = i.zaiko_id)
where
     a.del_flg = '0';
