--
-- view structure for view tbv_nyusyuko_zaiko_list
--
--  在庫と入出庫履歴をグループ化
CREATE VIEW tbv_nyusyuko_zaiko_list AS 
select
    a.user_company_id,
    a.zaiko_id,
    max(a.nyusyuko_dt) as nyusyuko_dt,
    b.tana_id,
    sum(a.nyusyuko_su) as nyusyuko_su
from tbt_nyusyuko_rireki a
left join tbt_zaiko b 
		on b.user_company_id = a.user_company_id 
            and b.zaiko_id = a.zaiko_id and a.del_flg = '0'
group by
    a.user_company_id,
    a.zaiko_id,
    b.tana_id;


--
-- view structure for view tmp_syuko_0
--
-- ステータステーブルを受注番号・枝番でグループ
--
create view tmp_syuko_0 as
select
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      a.delivery_no,
      a.delivery_edano,
      a.sts_kb
from  tbt_han_status a
where a.del_flg = '0'
and   a.sts_kb in ('070','071','080','090','100')
GROUP BY
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      a.delivery_no,
      a.delivery_edano,
      a.sts_kb;

-- ------------------------------------------------------

--
-- view structure for view tmp_syuko_1
--
create view tmp_syuko_1 as
select
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      sum(b.nyusyuko_su) as nyusyuko_su_total
from  tbt_han_status a
      left outer join tbt_nyusyuko_rireki b 
      on (a.sts_kb = '090' and a.user_company_id = b.user_company_id and a.nyusyuko_rireki_id = b.nyusyuko_rireki_id) 
where a.del_flg = '0'
and   b.del_flg = '0'
group by 
      a.user_company_id, 
      a.order_no,
      a.order_edano;
-- ------------------------------------------------------

--
-- view structure for view tbv_syuko
--
create view tbv_syuko as
select
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      a.delivery_no,
      a.delivery_edano,
      a.sts_kb,
      b.nyusyuko_su_total,
      c.ukezumi_dt,
      c.toroku_staff_cd,
      c.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      c.tanto_staff_cd,
      c.tanto_organization_id,
      j.bunrui_nm as tanto_organization,
      c.tokui_id,
      g.tokui_cd,
      g.tokui_cd_nm as tokui_nm,
      '' as tokui_url,
      c.nouki_dt,
      c.order_title,
      d.item_id,
      h.item_cd,
      d.product_nm,
      d.product_kikaku,
      d.syubetu,
      d.su,
      d.tani_nm,
      d.tanka,
      d.kin,
      d.biko,
      f.syuka_su
from  tmp_syuko_0 a 
      left outer join tmp_syuko_1 b
           on a.user_company_id = b.user_company_id and a.order_no = b.order_no and a.order_edano = b.order_edano
      join tbt_han_order c
           on a.user_company_id = c.user_company_id and a.order_no = c.order_no and c.del_flg = '0'
      join tbt_han_order_detail d
           on a.user_company_id = d.user_company_id and  a.order_no = d.order_no and a.order_edano = d.order_edano and d.del_flg = '0'
      left outer join tbt_han_syuka e 
           on a.user_company_id = e.user_company_id and a.delivery_no = e.delivery_no and e.del_flg = '0'
      left outer join tbt_han_syuka_detail f 
           on a.user_company_id = f.user_company_id and a.delivery_no = f.delivery_no and a.delivery_edano = f.delivery_edano and f.del_flg = '0'
      left outer join tbv_tokui g
           on a.user_company_id = g.user_company_id and c.tokui_id = g.tokui_id
      left outer join tbv_item h
           on (d.user_company_id=h.user_company_id and d.item_id=h.item_id )
      left outer join tbm_bunrui i
           on(c.user_company_id = i.user_company_id and i.bunrui_kb = '6' and c.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
      left outer join tbm_bunrui j
           on(c.user_company_id = j.user_company_id and j.bunrui_kb = '6' and c.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_order_regist_user
--
create view tbv_han_order_regist_user as
select
    distinct
    a.user_company_id as user_company_id,
    a.toroku_staff_cd as toroku_staff_cd,
    b.personal_nm     as toroku_staff_nm
from
    tbt_han_order a
    left outer join tbv_syain b
    on (a.user_company_id=b.user_company_id and a.toroku_staff_cd=b.staff_cd )
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_han_order_tanto
--
create view tbv_han_order_tanto as
select
    distinct
    a.user_company_id as user_company_id,
    a.tanto_staff_cd  as tanto_staff_cd,
    b.personal_nm     as tanto_staff_nm
from
    tbt_han_order a
    left outer join tbv_syain b
    on (a.user_company_id=b.user_company_id and a.tanto_staff_cd=b.staff_cd )
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_syuko_detail_list_0
--  
--  ステータステーブルを受注番号・枝番・ピッキング番号・枝番・ステータス区分でグループ化
create view tmp_syuko_detail_list_0 as
select
      a.user_company_id,
      a.status_id,
      a.order_no,
      a.order_edano,
      a.picking_no,
      a.picking_edano,
      a.nyusyuko_rireki_id,
      b.zaiko_id,
      b.nyusyuko_su,
      a.sts_kb
from  tbt_han_status a
      left outer join tbt_nyusyuko_rireki b
           on a.user_company_id = b.user_company_id and a.nyusyuko_rireki_id = b.nyusyuko_rireki_id and b.del_flg = '0'
where a.del_flg = '0'
and (a.sts_kb = '070' or a.sts_kb = '071' or a.sts_kb = '080' or a.sts_kb = '090')
order by order_no ,order_edano, picking_no, picking_edano;
-- ------------------------------------------------------

--
-- view structure for view tbv_syuko_detail_list
--  「出庫詳細登録」画面の明細一覧部分
--  1.ステータステーブルにピッキング番号が入っているレコードを選択し
--    ピッキング明細の在庫IDから棚位置を取得する
--  2.ステータステーブルにピッキング番号が入っていないレコードを選択し
--    在庫テーブルの在庫IDから棚位置を取得する
create view tbv_syuko_detail_list as
select
      b.user_company_id, 
      b.status_id, 
      b.order_no, 
      b.order_edano, 
      b.picking_no, 
      b.picking_edano, 
      b.sts_kb,
      b.nyusyuko_rireki_id,
      -- b.nyusyuko_su as nyusyuko_su_total,
      case when j.nyusyuko_rireki_kb = '090' or j.nyusyuko_rireki_kb = '091' then b.nyusyuko_su * -1 else b.nyusyuko_su end as nyusyuko_su_total,
      d.item_id,
      h.item_nm,
      h.item_kikaku,
      f.zaiko_id,
      h.tana_id,
      h.zaiko_su,
      f.picking_siji_su as picking_su,
      h.hikiate_su,
      h.sisetubi_id,
      h.bunrui_kb,
      h.bunrui_id,
      h.sisetubi_cd,
      h.sisetubi_kb,
      h.sisetubi_nm,
      h.sisetubi_user_cd,
      h.code_syubetu_nm,
      h.bunrui1_nm,
      h.bunrui2_nm,
      h.bunrui3_nm,
      j.nyusyuko_dt,
      case when j.nyusyuko_rireki_kb = '090' or j.nyusyuko_rireki_kb = '091' then j.nyusyuko_su * -1 else j.nyusyuko_su end as nyusyuko_su
from  tmp_syuko_detail_list_0 b
      left outer join tbt_han_order c
           on b.user_company_id = c.user_company_id and b.order_no = c.order_no and c.del_flg = '0'
      left outer join tbt_han_order_detail d
           on b.user_company_id = d.user_company_id and b.order_no = d.order_no and b.order_edano = d.order_edano and d.del_flg = '0'
      left outer join tbt_picking e
           on b.user_company_id = e.user_company_id and b.picking_no = e.picking_no and e.del_flg = '0'
      left outer join tbt_picking_detail f
           on b.user_company_id = f.user_company_id and b.picking_no = f.picking_no and b.picking_edano = f.picking_edano and f.del_flg = '0'
      left outer join tbv_zaiko_tana h
           on f.user_company_id = h.user_company_id and f.zaiko_id = h.zaiko_id
      left outer join tbt_han_status i 
           on f.user_company_id = i.user_company_id and f.picking_no = i.picking_no and f.picking_edano = i.picking_edano
      left outer join tbt_nyusyuko_rireki j 
           on i.user_company_id = j.user_company_id and i.nyusyuko_rireki_id = j.nyusyuko_rireki_id and j.del_flg = '0'
where b.picking_no is not null
union all
select distinct
      b.user_company_id, 
      b.status_id, 
      b.order_no, 
      b.order_edano, 
      b.picking_no, 
      b.picking_edano, 
      b.sts_kb,
      b.nyusyuko_rireki_id,
      -- b.nyusyuko_su as nyusyuko_su_total,
      case when j.nyusyuko_rireki_kb = '090' or j.nyusyuko_rireki_kb = '091' then b.nyusyuko_su * -1 else b.nyusyuko_su end as nyusyuko_su_total,
      d.item_id,
      g.item_nm,
      g.item_kikaku,
      g.zaiko_id,
      g.tana_id,
      g.zaiko_su,
      g.picking_su,
      g.hikiate_su,
      g.sisetubi_id,
      g.bunrui_kb,
      g.bunrui_id,
      g.sisetubi_cd,
      g.sisetubi_kb,
      g.sisetubi_nm,
      g.sisetubi_user_cd,
      g.code_syubetu_nm,
      g.bunrui1_nm,
      g.bunrui2_nm,
      g.bunrui3_nm,
      j.nyusyuko_dt,
      case when j.nyusyuko_rireki_kb = '090' or j.nyusyuko_rireki_kb = '091' then j.nyusyuko_su * -1 else j.nyusyuko_su end as nyusyuko_su
from  tmp_syuko_detail_list_0 b
      left outer join tbt_han_order c
           on b.user_company_id = c.user_company_id and b.order_no = c.order_no and c.del_flg = '0'
      left outer join tbt_han_order_detail d
           on b.user_company_id = d.user_company_id and b.order_no = d.order_no and b.order_edano = d.order_edano and d.del_flg = '0'
      left outer join tbt_picking e
           on b.user_company_id = e.user_company_id and b.picking_no = e.picking_no and e.del_flg = '0'
      left outer join tbt_picking_detail f
           on b.user_company_id = f.user_company_id and b.picking_no = f.picking_no and b.picking_edano = f.picking_edano and f.del_flg = '0'
      left outer join tbv_zaiko_tana g
           on d.user_company_id = g.user_company_id and b.zaiko_id = g.zaiko_id and d.item_id = g.item_id
      left outer join tbt_han_status i 
           on d.user_company_id = i.user_company_id and d.order_no = i.order_no and d.order_edano = i.order_edano
      left outer join tbt_nyusyuko_rireki j 
           on i.user_company_id = j.user_company_id and i.nyusyuko_rireki_id = j.nyusyuko_rireki_id
where b.picking_no is null
and   b.zaiko_id is not null
union all
select
      b.user_company_id, 
      b.status_id, 
      b.order_no, 
      b.order_edano, 
      b.picking_no, 
      b.picking_edano, 
      b.sts_kb,
      b.nyusyuko_rireki_id,
      -- b.nyusyuko_su as nyusyuko_su_total,
      case when j.nyusyuko_rireki_kb = '090' or j.nyusyuko_rireki_kb = '091' then b.nyusyuko_su * -1 else b.nyusyuko_su end as nyusyuko_su_total,
      d.item_id,
      g.item_nm,
      g.item_kikaku,
      g.zaiko_id,
      g.tana_id,
      g.zaiko_su,
      g.picking_su,
      g.hikiate_su,
      g.sisetubi_id,
      g.bunrui_kb,
      g.bunrui_id,
      g.sisetubi_cd,
      g.sisetubi_kb,
      g.sisetubi_nm,
      g.sisetubi_user_cd,
      g.code_syubetu_nm,
      g.bunrui1_nm,
      g.bunrui2_nm,
      g.bunrui3_nm,
      j.nyusyuko_dt,
      case when j.nyusyuko_rireki_kb = '090' or j.nyusyuko_rireki_kb = '091' then j.nyusyuko_su * -1 else j.nyusyuko_su end as nyusyuko_su
from  tmp_syuko_detail_list_0 b
      left outer join tbt_han_order c
           on b.user_company_id = c.user_company_id and b.order_no = c.order_no and c.del_flg = '0'
      left outer join tbt_han_order_detail d
           on b.user_company_id = d.user_company_id and b.order_no = d.order_no and b.order_edano = d.order_edano and d.del_flg = '0'
      left outer join tbt_picking e
           on b.user_company_id = e.user_company_id and b.picking_no = e.picking_no and e.del_flg = '0'
      left outer join tbt_picking_detail f
           on b.user_company_id = f.user_company_id and b.picking_no = f.picking_no and b.picking_edano = f.picking_edano and f.del_flg = '0'
      left outer join tbv_zaiko_tana g
           on d.user_company_id = g.user_company_id and d.item_id = g.item_id
      left outer join tbt_han_status i
           on d.user_company_id = i.user_company_id and d.order_no = i.order_no and d.order_edano = i.order_edano
      left outer join tbt_nyusyuko_rireki j 
           on i.user_company_id = j.user_company_id and i.nyusyuko_rireki_id = j.nyusyuko_rireki_id
where b.picking_no is null
and   b.zaiko_id is null;
-- ------------------------------------------------------

--
-- view structure for view tmp_picking_0
--
create view tmp_picking_0 as
select
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      a.sts_kb
from  tbt_han_status a
where a.del_flg = '0'
and   a.sts_kb = '071';
-- ------------------------------------------------------

--
-- view structure for view tmp_picking
--
create view tmp_picking as
select
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      a.sts_kb,
      b.toroku_staff_cd,
      b.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      b.tanto_staff_cd,
      b.tanto_organization_id,
      j.bunrui_nm as tanto_organization,
      b.tokui_id,
      b.nouki_dt,
      b.order_title,
      c.item_id,
      c.product_nm,
      c.product_kikaku,
      c.syubetu,
      c.su,
      c.tani_nm,
      c.tanka,
      c.kin,
      c.biko,
      d.tana_id,
      d.zaiko_su,
      d.picking_su,
      e.sisetubi_id,
      e.bunrui_kb,
      e.bunrui_id,
      f.sisetubi_cd,
      f.sisetubi_kb,
      f.sisetubi_nm,
      f.code_syubetu_nm
from  tmp_picking_0 a
      left outer join tbt_han_order b 
      on a.user_company_id = b.user_company_id and a.order_no = b.order_no and b.del_flg = '0'
      left outer join tbt_han_order_detail c 
      on a.user_company_id = c.user_company_id and a.order_no = c.order_no  and a.order_edano = c.order_edano and c.del_flg = '0'
      left outer join tbt_zaiko d 
      on (c.user_company_id=d.user_company_id and c.item_id=d.item_id and d.del_flg = '0')
      left outer join tbm_tana e
      on (d.user_company_id=e.user_company_id and d.tana_id=e.tana_id and e.del_flg = '0')
      left outer join tbv_sisetubi f
      on (e.user_company_id=f.user_company_id and e.sisetubi_id=f.sisetubi_id )
      left outer join tbm_bunrui i
           on(b.user_company_id = i.user_company_id and i.bunrui_kb = '6' and b.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
      left outer join tbm_bunrui j
           on(b.user_company_id = j.user_company_id and j.bunrui_kb = '6' and b.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
;
-- ------------------------------------------------------

--
-- view structure for view tbv_picking_list
--
create view tbv_picking_list as
select
    a.user_company_id,
    a.picking_no,
    a.add_date,
    a.noki_dt,
    a.sisetubi_id,
    a.tanto_staff_cd,
    a.tanto_organization_id,
    j.bunrui_nm as tanto_organization,
    a.tokui_id,
    a.end_flg,
    b.code_syubetu_nm,
    b.sisetubi_nm,
    c.tokui_nm,
    c.branch_nm,
    '' as tokui_url,
    d.personal_nm
from
    tbt_picking a
    left outer join tbv_sisetubi b
    on (a.user_company_id=b.user_company_id and a.sisetubi_id=b.sisetubi_id )
    left outer join tbv_tokui c
    on (a.user_company_id=c.user_company_id and a.tokui_id=c.tokui_id )
    left outer join tbv_syain d
    on (a.user_company_id=d.user_company_id and a.tanto_staff_cd=d.staff_cd )
    left outer join tbm_bunrui j
         on(a.user_company_id = j.user_company_id and j.bunrui_kb = '6' and a.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_picking_detail_list
--
create view tbv_picking_detail_list as
select
    a.user_company_id,
    f.status_id,
    a.picking_no,
    a.picking_edano,
    a.order_no,
    a.order_edano,
    a.zaiko_id,
    a.picking_siji_su,
    a.nyusyuko_rireki_id,
    b.item_id,
    b.tana_id,
    b.zaiko_su,
    b.picking_su,
    b.bunrui1_nm,
    b.bunrui2_nm,
    b.bunrui3_nm,
    c.item_nm,
    c.item_kikaku,
    d.nouki_dt,
    e.nyusyuko_su
from
    tbt_picking_detail a
    left outer join tbv_zaiko_tana b
         on (a.user_company_id=b.user_company_id and a.zaiko_id=b.zaiko_id)
    left outer join tbv_item c
         on (b.user_company_id=c.user_company_id and b.item_id=c.item_id )
    left outer join tbt_han_order d
         on (a.user_company_id=d.user_company_id and a.order_no=d.order_no and d.del_flg = '0')
    join tbt_han_status f
         on (a.user_company_id=f.user_company_id and a.picking_no=f.picking_no and a.picking_edano=f.picking_edano and f.del_flg = '0')
    left outer join tbt_nyusyuko_rireki e
         on (f.user_company_id=e.user_company_id and f.nyusyuko_rireki_id=e.nyusyuko_rireki_id and e.del_flg = '0')
where a.del_flg = '0'
;

-- ------------------------------------------------------

-- ピッキング作成用ビュー
-- view structure for view tbv_picking
--
create view tbv_picking as
select
      a.user_company_id, 
      a.status_id,
      a.sts_kb,
      a.order_no,
      a.order_edano,
      c.item_id,
      c.su,
      d.zaiko_id,
      d.tana_id,
      d.zaiko_su,
      d.picking_su,
      e.sisetubi_id,
      f.sisetubi_kb,
      b.toroku_staff_cd,
      b.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      b.tanto_staff_cd,
      b.tanto_organization_id,
      j.bunrui_nm as tanto_organization,
      b.tokui_id,
      b.nouki_dt
from tbt_han_status a
    left outer join tbt_han_order b
      on(a.user_company_id = b.user_company_id and a.order_no = b.order_no and b.del_flg = '0')
    left outer join tbt_han_order_detail c
      on(a.user_company_id = c.user_company_id and a.order_no = c.order_no and a.order_edano = c.order_edano and c.del_flg = '0')
    left outer join tbt_zaiko d
      on(c.user_company_id = d.user_company_id and c.item_id = d.item_id and c.del_flg = '0' and d.del_flg = '0')
    left outer join tbm_tana e
      on(d.user_company_id = e.user_company_id and d.tana_id = e.tana_id and d.del_flg = '0' and e.del_flg = '0')
    left outer join tbm_sisetubi f
      on(e.user_company_id = f.user_company_id and e.sisetubi_id = f.sisetubi_id and e.del_flg = '0' and f.del_flg = '0')
      left outer join tbm_bunrui i
           on(b.user_company_id = i.user_company_id and i.bunrui_kb = '6' and b.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
      left outer join tbm_bunrui j
           on(b.user_company_id = j.user_company_id and j.bunrui_kb = '6' and b.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
where a.del_flg = '0' 
      and (a.sts_kb = '070' or a.sts_kb = '071')
order by 
      order_no,
      order_edano,
      zaiko_id;

