
--
-- view structure for view tbv_delivery_info
--
create view tbv_delivery_info as
select
    a.user_company_id,
    a.group_id,
    a.group_nm,
    a.exposition,
    b.mail,
    b.delivery_nm,
    b.mail_kb
from
    tbm_group_info a
    left outer join tbm_delivery_info b
    on (a.user_company_id = b.user_company_id and a.group_id = b.group_id and b.del_flg = '0')
where
    a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_delivery_cnt
--
create view tmp_delivery_cnt as
select
    user_company_id,
    group_id,
    count(*) as torokusya_su
from
    tbv_delivery_info
    where mail is not null
group by
    user_company_id,
    group_id;
-- ------------------------------------------------------

--
-- view structure for view tbv_group_info
--
create view tbv_group_info as
select
    a.user_company_id,
    a.group_id,
    a.group_nm,
    a.exposition,
    a.formal_text_h,
    a.formal_text_f,
    a.owner_cd,
    c.personal_nm as owner_nm,
    case when b.torokusya_su is null then 0 else b.torokusya_su end as torokusya_su
from
    tbm_group_info a
    left join tmp_delivery_cnt b
    on  (a.user_company_id = b.user_company_id)
    and (a.group_id = b.group_id)
    left join tbv_user_info c
    on (a.user_company_id = c.user_company_id)
    and (a.owner_cd = c.user_cd)
where a.del_flg = '0';

-- ------------------------------------------------------

--
-- view structure for view tmp_delivery_0
-- メール配信に登録されている抽出（個人）
create view tmp_delivery_0 as
select
    a.user_company_id,
    b.group_id,
    a.personal_id,
    a.personal_nm,
    a.mail as mail
from
    tbm_group_info b,
    tbv_personal_info a
where
    b.del_flg = '0';

-- ------------------------------------------------------

--
-- view structure for view tbv_delivery_search_syain
-- メール配信に登録されていない抽出（個人）
create view tbv_delivery_search_kojin as
select
    a.user_company_id,
    a.group_id,
    a.personal_id,
    a.personal_nm,
    a.mail
from
    tmp_delivery_0 a
where (a.user_company_id, a.group_id, a.mail) not in (select user_company_id, group_id, mail from tbv_delivery_info);

-- ------------------------------------------------------

--
-- view structure for view tmp_delivery_1
-- メール配信に登録されている抽出（社員）
create view tmp_delivery_1 as
select
    a.user_company_id,
    b.group_id,
    a.personal_id,
    a.personal_nm,
    a.office_mail as mail
from
    tbm_group_info b,
    tbv_personal_info a
where
    b.del_flg = '0';

-- ------------------------------------------------------

--
-- view structure for view tbv_delivery_search_syain
-- メール配信に登録されていない抽出（社員）
create view tbv_delivery_search_syain as
select
    a.user_company_id,
    a.group_id,
    a.personal_id,
    a.personal_nm,
    a.mail
from
    tmp_delivery_1 a
where (a.user_company_id, a.group_id, a.mail) not in (select user_company_id, group_id, mail from tbv_delivery_info);

-- ------------------------------------------------------

--
-- view structure for view tmp_delivery_2
-- メール配信に登録されている抽出（会社）
create view tmp_delivery_2 as
select
    a.user_company_id,
    b.group_id,
    a.company_id,
    a.company_nm,
    a.company_mail as mail
from
    tbm_group_info b,
    tbv_company_info a
where
    b.del_flg = '0';

-- ------------------------------------------------------

--
-- view structure for view tbv_delivery_search_company
-- メール配信に登録されていない抽出（会社）
create view tbv_delivery_search_company as
select
    a.user_company_id,
    a.group_id,
    a.company_id,
    a.company_nm,
    a.mail
from
    tmp_delivery_2 a
where (a.user_company_id, a.group_id, a.mail) not in (select user_company_id, group_id, mail from tbv_delivery_info);

