--
-- view structure for view tbv_project --プロジェクト・グループの一覧
--
create view tbv_project as
SELECT
    b.user_company_id AS user_company_id,
    b.project_id AS project_id,
    b.maillinglist_addr AS maillinglist_addr,
    a.bunrui_kb AS bunrui_kb,
    a.bunrui_id AS bunrui_id,
    a.bunrui_kanri_cd AS bunrui_kanri_cd,
    a.bunrui_cd AS bunrui_cd,
    a.bunrui_nm AS bunrui_nm,
    a.bunrui_kaiso AS bunrui_kaiso,
    a.up_bunrui_id AS up_bunrui_id,
    a.bunrui1_id AS bunrui1_id,
    a.bunrui1_nm AS bunrui1_nm,
    a.bunrui2_id AS bunrui2_id,
    a.bunrui2_nm AS bunrui2_nm,
    a.bunrui1_order AS bunrui1_order,
    CASE
            WHEN a.bunrui2_order IS NULL THEN - 99999999999::bigint::numeric
            ELSE a.bunrui2_order
        END AS bunrui2_order,
    a.orderno AS orderno
FROM
  tbm_project b
    inner join tbv_bunrui a
     on( b.user_company_id = a.user_company_id and
         b.bunrui_kb = a.bunrui_kb and
         b.bunrui_id = a.bunrui_id )
WHERE
    b.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_opm_type
--
create view tbv_opm_type as
SELECT
    user_company_id,
    code,
    code_nm
FROM
    tbm_code
WHERE
    code_kb = '500' AND
    del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_opm_date_kb
--
create view tbv_opm_date_kb as
SELECT
    user_company_id,
    code,
    code_nm
FROM
    tbm_code
WHERE
    code_kb = '501' AND
    del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_opm_status_kb
--
create view tbv_opm_status_kb as
SELECT
    user_company_id,
    code,
    code_nm
FROM
    tbm_code
WHERE
    code_kb = '502' AND
    del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_opm_status
--
create view tbv_opm_status as
SELECT
    user_company_id,
    code,
    code_nm
FROM
    tbm_code
WHERE
    code_kb = '503' AND
    del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_opm_priority
--
create view tbv_opm_priority as
SELECT
    user_company_id,
    code,
    code_nm
FROM
    tbm_code
WHERE
    code_kb = '504' AND
    del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_opm_importance
--
create view tbv_opm_importance as
SELECT
    user_company_id,
    code,
    code_nm
FROM
    tbm_code
WHERE
    code_kb = '505' AND
    del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_opm_analysis
--
create view tbv_opm_analysis as
SELECT
    user_company_id,
    code,
    code_nm
FROM
    tbm_code
WHERE
    code_kb = '506' AND
    del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_status -- インシデントのステータス一覧
--
create view tbv_incident_status as
select
    a.user_company_id,
    a.incident_no,
    a.status_id,
    a.answer_id,
    a.status,
    b.code_nm,
    upd_date,
    upd_user_cd
from
    tbt_incident_status a
    inner join tbv_opm_status b
    on (
        a.status_kb = '1'  and /* status */
        a.status = b.code and
        a.user_company_id = b.user_company_id and
        a.del_flg = '0'
       );
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_status_latest -- インシデントのステータス一覧（インシデント番号に対して最新のもののみ）
--
create view tbv_incident_status_latest as
select
    user_company_id,
    incident_no,
    status_id,
    answer_id,
    status,
    code_nm,
    upd_date,
    upd_user_cd
from
    tbv_incident_status
where
    (
        user_company_id,
        status_id,
        incident_no
    )
    in (
        select
            user_company_id,
            max(status_id) as status_id,
            incident_no
        from
            tbv_incident_status
        group by
            user_company_id,
            incident_no
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_status_latest_cnt --インシデントのステータス一覧（マスタを主体として、トランTの該当するステータスの件数との一覧）
--
create view tbv_incident_status_latest_cnt as
select
    m.user_company_id,
    m.code,
    m.code_nm,
    count(t.status) as cnt
from
    tbv_opm_status m
    left outer join tbv_incident_status_latest t
         on ( m.user_company_id = t.user_company_id and m.code = t.status )
group by
    m.user_company_id,
    m.code,
    m.code_nm;
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_priority --インシデントの優先度一覧
--
create view tbv_incident_priority as
select
    a.user_company_id,
    a.incident_no,
    a.status_id,
    a.answer_id,
    a.status,
    b.code_nm,
    upd_date,
    upd_user_cd
from
    tbt_incident_status a
    inner join tbv_opm_priority b
    on (
        a.status_kb = '2' and /* priority */
        a.status = b.code and
        a.user_company_id = b.user_company_id and
        a.del_flg = '0'
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_priority_latest --インシデントの優先度一覧（インシデント番号に対して最新のもののみ）
--
create view tbv_incident_priority_latest as
select
    user_company_id,
    incident_no,
    status_id,
    answer_id,
    status,
    code_nm,
    upd_date,
    upd_user_cd
from
    tbv_incident_priority
where
    (
        user_company_id,
        status_id,
        incident_no
    )
    in (
        select
            user_company_id,
            max(status_id) as status_id,
            incident_no
        from
            tbv_incident_priority
        group by
            user_company_id,
            incident_no
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_importance --インシデントの重要度一覧
--
create view tbv_incident_importance as
select
    a.user_company_id,
    a.incident_no,
    a.status_id,
    a.answer_id,
    a.status,
    b.code_nm,
    upd_date,
    upd_user_cd
from
    tbt_incident_status a
    inner join tbv_opm_importance b
    on (
        a.status_kb = '3' and /* importance */
        a.status = b.code and
        a.user_company_id = b.user_company_id and
        a.del_flg = '0'
);
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_importance_latest --インシデントの重要度一覧（インシデント番号に対して最新のもののみ）
--
create view tbv_incident_importance_latest as
select
    user_company_id,
    incident_no,
    status_id,
    answer_id,
    status,
    code_nm,
    upd_date,
    upd_user_cd
from
    tbv_incident_importance
where
    (
        user_company_id,
        status_id,
        incident_no
    )
    in (
        select
            user_company_id,
            max(status_id) as status_id,
            incident_no
        from
            tbv_incident_importance
        group by
            user_company_id,
            incident_no
       );
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_analysis --インシデントの分析一覧
--
create view tbv_incident_analysis as
select
    a.user_company_id,
    a.incident_no,
    a.status_id,
    a.answer_id,
    a.status,
    b.code_nm,
    upd_date,
    upd_user_cd
from
    tbt_incident_status a
    inner join tbv_opm_analysis b
    on (
        a.status_kb = '4' and /* analysis */
        a.status = b.code and
        a.user_company_id = b.user_company_id and
        a.del_flg = '0'
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_analysis_latest --インシデントの分析一覧（インシデント番号に対して最新のもののみ）
--
create view tbv_incident_analysis_latest as
select
    user_company_id,
    incident_no,
    status_id,
    answer_id,
    status,
    code_nm,
    upd_date,
    upd_user_cd
from
    tbv_incident_analysis
where
    (
        user_company_id,
        status_id,
        incident_no
    )
    in (
        select
            user_company_id,
            max(status_id) as status_id,
            incident_no
        from
            tbv_incident_analysis
        group by
            user_company_id,
            incident_no
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_analysis_latest_cnt --インシデントの分析一覧（マスタを主体として、トランTの該当する分析の件数との一覧）
--
create view tbv_incident_analysis_latest_cnt as
select
    m.user_company_id,
    m.code,
    m.code_nm,
    count(t.status) as cnt
from
    tbv_opm_analysis m
    left outer join tbv_incident_analysis_latest t
        on ( m.user_company_id = t.user_company_id and m.code = t.status )
group by
    m.user_company_id,
    m.code,
    m.code_nm;
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_status_group  -- インシデントのステータス群の一覧（インシデント番号に対して最新のもののみ）
-- -- ステータス群とは「ステータス」「優先度」などtbt_incident_statusに存在するもの。
create view tbv_incident_status_group as
select
    base.user_company_id,
    base.incident_no,
    base.incident_type,
    ty.code_nm as incident_type_nm,
    sts.status_id as status_key_id,
    sts.status as status_id,
    sts.code_nm as status_nm,
    pri.status_id as priority_key_id,
    pri.status as priority_id,
    pri.code_nm as priority_nm,
    imp.status_id as importance_key_id,
    imp.status as importance_id,
    imp.code_nm as importance_nm,
    aly.status_id as analysis_key_id,
    aly.status as analysis_id,
    aly.code_nm as analysis_nm
from
    tbt_incident base
    -- タイプ 
    inner join tbv_opm_type ty
        on (base.user_company_id = ty.user_company_id and base.incident_type = ty.code)
    -- ステータス 
    inner join tbv_incident_status_latest sts
        on (base.user_company_id = sts.user_company_id and base.incident_no = sts.incident_no)
    -- 優先度 
    inner join tbv_incident_priority_latest pri
        on (base.user_company_id = pri.user_company_id and base.incident_no = pri.incident_no)
    -- 重要度 
    inner join tbv_incident_importance_latest imp
        on (base.user_company_id = imp.user_company_id and base.incident_no = imp.incident_no)
    -- 分析 
    inner join tbv_incident_analysis_latest aly
        on (base.user_company_id = aly.user_company_id and base.incident_no = aly.incident_no)
where
    base.del_flg = '0';
-- ------------------------------------------------------


--
-- view structure for view tbv_incident_date_group -- インシデントの日付群の一覧
-- -- 日付群とは「発生日」「対応日」などtbt_incident_dateに存在するもの。
create view tbv_incident_date_group as
select
    base.user_company_id,
    base.incident_no,
    dt_1.date as receive_dt,
    dt_2.date as happen_dt,
    dt_3.date as deal_plan_dt,
    dt_4.date as deal_limit_dt,
    dt_5.date as deal_dt
from
    tbt_incident base
    -- 受付日 
    left outer join tbt_incident_date dt_1
       on (base.user_company_id = dt_1.user_company_id and base.incident_no = dt_1.incident_no and dt_1.date_kb = '1')
    -- 発生日 
    inner join tbt_incident_date dt_2
        on (base.user_company_id = dt_2.user_company_id and base.incident_no = dt_2.incident_no and dt_2.date_kb = '2')
    -- 対応予定日 
    left outer join tbt_incident_date dt_3
        on (base.user_company_id = dt_3.user_company_id and base.incident_no = dt_3.incident_no and dt_3.date_kb = '3')
    -- 対応期限 
    left outer join tbt_incident_date dt_4
        on (base.user_company_id = dt_4.user_company_id and base.incident_no = dt_4.incident_no and dt_4.date_kb = '4')
    -- 対応日 
    left outer join tbt_incident_date dt_5
        on (base.user_company_id = dt_5.user_company_id and base.incident_no = dt_5.incident_no and dt_5.date_kb = '5')
where
    base.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_incident          -- インシデントの基本となる情報の一覧
-- -- 日付やステータスの情報は別途Viewより取得するようにしている。
create view tbv_incident as
select
    base.user_company_id,
    base.incident_no,
    base.project_id as project_key_id,
    pj.bunrui_kaiso,
    pj.bunrui1_id as group_id,
    pj.bunrui1_nm as group_nm,
    pj.bunrui2_id as project_id,
    pj.bunrui2_nm as project_nm,
    base.incident_title,
    base.tanto_staff_cd,
    tnt.personal_nm as tanto_staff_nm,
    base.irai_staff_cd,
    iri.personal_nm as irai_staff_nm,
    base.correspondence_time,
    base.correspondence_minute,
    base.incident_text,
    base.incident_file_id,
    fl.file_path,
    base.incident_biko,
    base.mail_option,
    base.add_date,
    base.add_user_cd,
    adder.personal_nm as add_user_nm,
    base.upd_date,
    base.upd_user_cd,
    upder.personal_nm as upd_user_nm,
    date1.date_kb as date_kb_receive,
    date1.date as receive_dt,
    date2.date_kb as date_kb_happen,
    date2.date as happen_Dt,
    date3.date_kb as date_kb_deal_plan,
    date3.date as deal_plan_dt,
    date4.date_kb as date_kb_deal_limit,
    date4.date as deal_limit_dt,
    date5.date_kb as date_kb_deal,
    date5.date as deal_dt,
    sts503.status_id as status_id,
    sts503.answer_id as status_answer_id,
    sts503.status    as status_kb_status,
    sts503.code_nm   as status_nm,
    sts504.status_id as priority_id,
    sts504.answer_id as priority_answer_id,
    sts504.status    as status_kb_priority,
    sts504.code_nm   as priority_nm,
    sts505.status_id as importance_id,
    sts505.answer_id as importance_answer_id,
    sts505.status    as status_kb_importance,
    sts505.code_nm   as importance_nm,
    sts506.status_id as analysis_id,
    sts506.answer_id as analysis_answer_id,
    sts506.status    as status_kb_analysis,
    sts506.code_nm   as analysis_nm
from
    tbt_incident base                              
    inner join tbv_project pj                      -- プロジェクト/グループ */
        on (base.user_company_id = pj.user_company_id and base.project_id = pj.project_id)
    left outer join tbv_syain tnt                  -- 担当者 
        on (base.user_company_id = tnt.user_company_id and base.tanto_staff_cd = tnt.staff_cd )
    left outer join tbv_syain iri                  -- 依頼者 
        on (base.user_company_id = iri.user_company_id and base.irai_staff_cd = iri.staff_cd )
    left outer join tbv_user_info adder             -- 登録者 
        on(base.user_company_id = adder.user_company_id and base.add_user_cd = adder.user_cd)
    left outer join tbv_user_info upder             -- 更新者 
        on(base.user_company_id = upder.user_company_id and base.add_user_cd = upder.user_cd)
    left outer join tbt_opm_file fl                 -- ファイル 
        on(base.user_company_id = fl.user_company_id and base.incident_file_id = fl.file_id and fl.del_flg = '0')
    left outer join tbt_incident_date date1
        on(base.user_company_id = date1.user_company_id and base.incident_no = date1.incident_no and date1.date_kb = '1' and date1.del_flg = '0')
    left outer join tbt_incident_date date2
        on(base.user_company_id = date2.user_company_id and base.incident_no = date2.incident_no and date2.date_kb = '2' and date1.del_flg = '0')
    left outer join tbt_incident_date date3
        on(base.user_company_id = date3.user_company_id and base.incident_no = date3.incident_no and date3.date_kb = '3' and date1.del_flg = '0')
    left outer join tbt_incident_date date4
        on(base.user_company_id = date4.user_company_id and base.incident_no = date4.incident_no and date4.date_kb = '4' and date1.del_flg = '0')
    left outer join tbt_incident_date date5
        on(base.user_company_id = date5.user_company_id and base.incident_no = date5.incident_no and date5.date_kb = '5' and date1.del_flg = '0')
    left outer join tbv_incident_status_latest sts503
        on(base.user_company_id = sts503.user_company_id and base.incident_no = sts503.incident_no)
    left outer join tbv_incident_priority_latest sts504
        on(base.user_company_id = sts504.user_company_id and base.incident_no = sts504.incident_no)
    left outer join tbv_incident_importance_latest sts505
        on(base.user_company_id = sts505.user_company_id and base.incident_no = sts505.incident_no)
    left outer join tbv_incident_analysis_latest sts506
        on(base.user_company_id = sts506.user_company_id and base.incident_no = sts506.incident_no)
where
    base.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_relation_from_parent -- インシデントの関連一覧（親から子を見た場合）
-- -- 選択の為に出す為、子がいないものも持つ。
create view tbv_incident_relation_from_parent as
select
    base.user_company_id as user_company_id,
    base.incident_no as incident_no,
    base.incident_title,
    '1' as incident_kaiso,
    relation.relation_incident_no as each_relation_incident_no,
    base2.incident_title as each_relation_incident_title,
    relation.upd_date as upd_date
from
    tbt_incident base 
    left outer join tbt_incident_relation relation
         on (base.user_company_id = relation.user_company_id and base.incident_no = relation.incident_no and relation.del_flg = '0')
    left outer join tbt_incident base2
         on (base2.user_company_id = relation.user_company_id and base2.incident_no = relation.relation_incident_no and base2.del_flg = '0')
where
    base.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_relation_from_child -- インシデントの関連一覧（子から親をみた場合）
-- -- 親がいるものだけ。
create view tbv_incident_relation_from_child as
select
    relation.user_company_id as user_company_id,
    relation.relation_incident_no as incident_no,
    base.incident_title,
    '2' as incident_kaiso,
    relation.incident_no  as each_relation_incident_no,
    relation.upd_date as upd_date
from
    tbt_incident_relation relation
    left outer join tbt_incident base
         on (base.user_company_id = relation.user_company_id and base.incident_no = relation.incident_no and base.del_flg = '0')
where
    relation.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_each_incident_relation -- インシデントの関連一覧（インシデント番号に結びつく親子両方を検査）
--
create view tbv_each_incident_relation as
select
    user_company_id,
    incident_no,
    incident_title,
    incident_kaiso,
    each_relation_incident_no,
    upd_date
from
    tbv_incident_relation_from_parent
union
select
    user_company_id,
    incident_no,
    incident_title,
    incident_kaiso,
    each_relation_incident_no,
    upd_date
from
    tbv_incident_relation_from_child;
-- ------------------------------------------------------

--
-- view structure for view tbv_incident_answer_list -- インシデントの回答一覧
--
create view tbv_incident_answer_list as
select
    ans.user_company_id,
    ans.incident_no,
    ans.answer_id,
    ans.answer_text,
    sts.status_id as status_key_id,
    sts.status as status_id,
    sts.code_nm as code_nm,
    aly.status_id as analysis_key_id,
    aly.status as analysis_id,
    aly.code_nm as analysis_nm,
    ans.add_date,
    ans.add_user_cd,
    adder.personal_nm as add_user_nm,
    ans.upd_date,
    ans.upd_user_cd,
    upder.personal_nm as upd_user_nm
from
    tbt_incident_answer ans
    left outer join tbv_user_info adder
    on(ans.user_company_id = adder.user_company_id and ans.add_user_cd = adder.user_cd)
    left outer join tbv_user_info upder
    on(ans.user_company_id = upder.user_company_id and ans.add_user_cd = upder.user_cd)
    left outer join tbv_incident_status sts
    on(ans.user_company_id = sts.user_company_id and ans.incident_no = sts.incident_no and ans.answer_id = sts.answer_id)
    left outer join tbv_incident_analysis aly
    on(ans.user_company_id = aly.user_company_id and ans.incident_no = aly.incident_no and ans.answer_id = aly.answer_id)
where
    ans.del_flg = '0';
-- ------------------------------------------------------


--
-- view structure for view tbv_problem_status
--
create view tbv_problem_status as
select
    a.user_company_id,
    a.problem_no,
    a.status_id,
    a.answer_id,
    a.status,
    b.code_nm,
    upd_date,
    upd_user_cd
from
    tbt_problem_status a
    inner join tbv_opm_status b
    on(
        a.status_kb = '1' and /* status */
        a.status = b.code and
        a.user_company_id = b.user_company_id and
        a.del_flg = '0'
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_status_latest
--
create view tbv_problem_status_latest as
select
    user_company_id,
    problem_no,
    status_id,
    answer_id,
    status,
    code_nm,
    upd_date,
    upd_user_cd
from
    tbv_problem_status
where
    (
        user_company_id,
        status_id,
        problem_no
    )
    in (
        select
            user_company_id,
            max(status_id) as status_id,
            problem_no
        from
            tbv_problem_status
        group by
            user_company_id,
            problem_no
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_status_latest_cnt -- 問題のステータス一覧（マスタを主体として、トランTの該当するステータスの件数との一覧）
--
create view tbv_problem_status_latest_cnt as
select
    m.user_company_id,
    m.code,
    m.code_nm,
    count(t.status) as cnt
from
    tbv_opm_status m left outer join tbv_problem_status_latest t
    on(m.user_company_id = t.user_company_id and m.code = t.status)
group by
    m.user_company_id,
    m.code,
    m.code_nm;
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_priority
--
create view tbv_problem_priority as
select
    a.user_company_id,
    a.problem_no,
    a.status_id,
    a.answer_id,
    a.status,
    b.code_nm,
    upd_date,
    upd_user_cd
from
    tbt_problem_status a
    inner join tbv_opm_priority b
    on (
        a.status_kb = '2' and/* priority */
        a.status = b.code and
        a.user_company_id = b.user_company_id and
        a.del_flg = '0'
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_priority_latest
--
create view tbv_problem_priority_latest as
select
    user_company_id,
    problem_no,
    status_id,
    answer_id,
    status,
    code_nm,
    upd_date,
    upd_user_cd
from
    tbv_problem_priority
where
    (
        user_company_id,
        status_id,
        problem_no
    )
    in (
        select
            user_company_id,
            max(status_id) as status_id,
            problem_no
        from
            tbv_problem_priority
        group by
            user_company_id,
            problem_no
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_importance
--
create view tbv_problem_importance as
select
    a.user_company_id,
    a.problem_no,
    a.status_id,
    a.answer_id,
    a.status,
    b.code_nm,
    upd_date,
    upd_user_cd
from
    tbt_problem_status a
    inner join tbv_opm_importance b
    on (
        a.status_kb = '3' and/* importance */
        a.status = b.code and
        a.user_company_id = b.user_company_id and
        a.del_flg = '0'
);
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_importance_latest
--
create view tbv_problem_importance_latest as
select
    user_company_id,
    problem_no,
    status_id,
    answer_id,
    status,
    code_nm,
    upd_date,
    upd_user_cd
from
    tbv_problem_importance
where
    (
        user_company_id,
        status_id,
        problem_no
    )
    in (
        select
            user_company_id,
            max(status_id) as status_id,
            problem_no
        from
            tbv_problem_importance
        group by
            user_company_id,
            problem_no
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_analysis
--
create view tbv_problem_analysis as
select
    a.user_company_id,
    a.problem_no,
    a.status_id,
    a.answer_id,
    a.status,
    b.code_nm,
    upd_date,
    upd_user_cd
from
    tbt_problem_status a
    inner join tbv_opm_analysis b
    on (
        a.status_kb = '4' and/* analysis */
        a.status = b.code and
        a.user_company_id = b.user_company_id and
        a.del_flg = '0'
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_analysis_latest
--
create view tbv_problem_analysis_latest as
select
    user_company_id,
    problem_no,
    status_id,
    answer_id,
    status,
    code_nm,
    upd_date,
    upd_user_cd
from
    tbv_problem_analysis
where
    (
        user_company_id,
        status_id,
        problem_no
    )
    in (
        select
            user_company_id,
            max(status_id) as status_id,
            problem_no
        from
            tbv_problem_analysis
        group by
            user_company_id,
            problem_no
    );
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_analysis_latest_cnt -- 問題の分析一覧（マスタを主体として、トランTの該当する分析の件数との一覧）
--
create view tbv_problem_analysis_latest_cnt as
select
    m.user_company_id,
    m.code,
    m.code_nm,
    count(t.status) as cnt
from
    tbv_opm_analysis m left outer join tbv_problem_analysis_latest t
    on(m.user_company_id = t.user_company_id and m.code = t.status)
group by
    m.user_company_id,
    m.code,
    m.code_nm;
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_status_group
--
create view tbv_problem_status_group as
select
    base.user_company_id,
    base.problem_no,
    base.problem_type,
    ty.code_nm as problem_type_nm,
    sts.status_id as status_key_id,
    sts.status as status_id,
    sts.code_nm as status_nm,
    pri.status_id as priority_key_id,
    pri.status as priority_id,
    pri.code_nm as priority_nm,
    imp.status_id as importance_key_id,
    imp.status as importance_id,
    imp.code_nm  as importance_nm,
    aly.status_id as analysis_key_id,
    aly.status as analysis_id,
    aly.code_nm as analysis_nm
from
    tbt_problem base
    -- タイプ 
    inner join tbv_opm_type ty
        on (base.user_company_id = ty.user_company_id and base.problem_type = ty.code)
    -- ステータス 
    inner join tbv_problem_status_latest sts
        on (base.user_company_id = sts.user_company_id and base.problem_no = sts.problem_no)
    -- 優先度 
    inner join tbv_problem_priority_latest pri
        on (base.user_company_id = pri.user_company_id and base.problem_no = pri.problem_no)
    -- 重要度 
    inner join tbv_problem_importance_latest imp
        on (base.user_company_id = imp.user_company_id and base.problem_no = imp.problem_no)
    -- 分析 
    inner join tbv_problem_analysis_latest aly
        on (base.user_company_id = aly.user_company_id and base.problem_no = aly.problem_no)
where
    base.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_date_group
--
create view tbv_problem_date_group as
select
    base.user_company_id,
    base.problem_no,
    dt_1.date as receive_dt,
    dt_2.date as happen_dt,
    dt_3.date as deal_plan_dt,
    dt_4.date as deal_limit_dt,
    dt_5.date as deal_dt
from
    tbt_problem base
    -- 受付日 
    left outer join tbt_problem_date dt_1
       on (base.user_company_id = dt_1.user_company_id and base.problem_no = dt_1.problem_no and dt_1.date_kb = '1')
    -- 発生日 
    inner join tbt_problem_date dt_2
        on (base.user_company_id = dt_2.user_company_id and base.problem_no = dt_2.problem_no and dt_2.date_kb = '2')
    -- 対応予定日 
    left outer join tbt_problem_date dt_3
        on (base.user_company_id = dt_3.user_company_id and base.problem_no = dt_3.problem_no and dt_3.date_kb = '3')
    -- 対応期限 
    left outer join tbt_problem_date dt_4
        on (base.user_company_id = dt_4.user_company_id and base.problem_no = dt_4.problem_no and dt_4.date_kb = '4')
    -- 対応日 
    left outer join tbt_problem_date dt_5
        on (base.user_company_id = dt_5.user_company_id and base.problem_no = dt_5.problem_no and dt_5.date_kb = '5')
where
    base.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_base_list
--
create view tbv_problem_base_list as
select
    base.user_company_id,
    base.problem_no,
    base.project_id as project_key_id,
    pj.bunrui_kaiso,
    pj.bunrui1_id as group_id,
    pj.bunrui1_nm as group_nm,
    pj.bunrui2_id as project_id,
    pj.bunrui2_nm as project_nm,
    base.problem_title,
    base.tanto_staff_cd,
    tnt.personal_nm as tanto_staff_nm,
    base.irai_staff_cd,
    iri.personal_nm as irai_staff_nm,
    base.correspondence_time,
    base.correspondence_minute,
    base.problem_text,
    base.problem_file_id,
    fl.file_path,
    base.problem_biko,
    base.mail_option,
    base.add_date,
    base.add_user_cd,
    adder.personal_nm as add_user_nm,
    base.upd_date,
    base.upd_user_cd,
    upder.personal_nm as upd_user_nm
from
    tbt_problem base
    -- プロジェクト/グループ 
    inner join tbv_project pj
        on (base.user_company_id = pj.user_company_id and base.project_id = pj.project_id)
    -- 担当者 
    left outer join tbv_syain tnt
        on (base.user_company_id = tnt.user_company_id and base.tanto_staff_cd = tnt.staff_cd )
    -- 依頼者 
    left outer join tbv_syain iri
        on (base.user_company_id = iri.user_company_id and base.irai_staff_cd = iri.staff_cd )
    -- 登録者 
    left outer join tbv_user_info adder
        on(base.user_company_id = adder.user_company_id and base.add_user_cd = adder.user_cd)
    -- 更新者 
    left outer join tbv_user_info upder
        on(base.user_company_id = upder.user_company_id and base.add_user_cd = upder.user_cd)
    -- ファイル 
    left outer join tbt_opm_file fl
        on(base.user_company_id = fl.user_company_id and base.problem_file_id = fl.file_id and fl.del_flg = '0')
where
    base.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_relevance
--
create view tbv_problem_relevance as
select
    user_company_id as user_company_id,
    problem_no as problem_no,
    relevance_incident_no,
    upd_date as upd_date
from
    tbt_problem_relevance
where
    del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_problem_answer_list
--
create view tbv_problem_answer_list as
select
    ans.user_company_id,
    ans.problem_no,
    ans.answer_id,
    ans.answer_text,
    sts.status_id as status_key_id,
    sts.status as status_id,
    sts.code_nm as code_nm,
    aly.status_id as analysis_key_id,
    aly.status as analysis_id,
    aly.code_nm as analysis_nm,
    ans.add_date,
    ans.add_user_cd,
    adder.personal_nm as add_user_nm,
    ans.upd_date,
    ans.upd_user_cd,
    upder.personal_nm as upd_user_nm
from
    tbt_problem_answer ans
    left outer join tbv_user_info adder
    on(ans.user_company_id = adder.user_company_id and ans.add_user_cd = adder.user_cd)
    left outer join tbv_user_info upder
    on(ans.user_company_id = upder.user_company_id and ans.add_user_cd = upder.user_cd)
    left outer join tbv_problem_status sts
    on(ans.user_company_id = sts.user_company_id and ans.problem_no = sts.problem_no and ans.answer_id = sts.answer_id)
    left outer join tbv_problem_analysis aly
    on(ans.user_company_id = aly.user_company_id and ans.problem_no = aly.problem_no and ans.answer_id = aly.answer_id)
where
    ans.del_flg = '0';

