
-- 
-- view structure for view tmp_han_bill_jotai_0
--
create view tmp_han_bill_jotai_0 as
select
      a.user_company_id,
      min(case when a.sts_kb > '140' then '140' else a.sts_kb end) as sts_kb,        -- 状況
      b.bill_dt                     -- 請求日
from
      tbt_han_status a,
      tbt_han_bill b,
      tbm_tokui c
where a.sts_kb >='130'
  and c.seikyu_kb = '2'                                 -- 2:締請求先
  and a.user_company_id=b.user_company_id
  and a.bill_no=b.bill_no
  and b.user_company_id=c.user_company_id
  and b.tokui_id=c.tokui_id
  and a.del_flg = '0'
  and b.del_flg = '0'
  and c.del_flg = '0'
group by
      a.user_company_id,
      b.bill_dt;
-- ------------------------------------------------------

-- 締め処理画面で、仮締状態と締処理完了状態を表示する
-- view structure for view tbv_han_bill_jotai
--
create view tbv_han_bill_jotai as
select
      a.user_company_id,
      a.sts_kb,                      -- 状況
      a.bill_dt,                     -- 請求日
      b.code_nm as sts_kb_nm         
from
      tmp_han_bill_jotai_0 a
      left outer join tbm_code b
           on (a.user_company_id = b.user_company_id and a.sts_kb = b.code and b.code_kb='28' and b.del_flg ='0');
-- ------------------------------------------------------

--
-- view structure for view tbv_seikyusaki
--
create view tbv_seikyusaki as
select
      distinct
      user_company_id,
      case when seikyu_id is null then tokui_id else seikyu_id end as seikyu_id,
      simebi,
      seikyu_kb
from
      tbm_tokui
where
      seikyu_kb='2' and                                             -- 2:締請求先
      del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_seikyu_tokui
--
create view tbv_seikyu_tokui as
select
      distinct
      user_company_id,
      seikyu_id,
      tokui_id
from
      tbm_tokui
where
      seikyu_kb='2' and                                             -- 2:締請求先
      del_flg = '0';
-- ------------------------------------------------------

-- 
-- view structure for view tmp_han_syuka_0
--
create view tmp_han_syuka_0 as
select
      user_company_id,
      delivery_no,
      bill_no,
      sum(kin)             as kin,
      sum(den_eda_tax_kin) as tax
from
      tbt_han_syuka_detail
where
      del_flg = '0'
group by
      user_company_id,
      delivery_no,
      bill_no;
-- ------------------------------------------------------

-- 出荷データの入金日を取得する為のView
-- view structure for view tmp_han_syuka_2
--
--create view tmp_han_syuka_2 as 
--select
--      user_company_id,
--      delivery_no,
--      nyukin_no,
--      min(sts_kb) as sts_kb
--from
--      tbt_han_status
--where
--      sts_kb >='180'
--  and del_flg = '0'
--group by
--      user_company_id,
--      delivery_no,
--      nyukin_no;
-- ------------------------------------------------------

-- 出荷データの入金日を取得する為のView
-- view structure for view tmp_han_syuka_3
--
--create view tmp_han_syuka_3 as 
--select
--      a.user_company_id,
--      a.delivery_no,
--      min(a.sts_kb)    as sts_kb,
--      max(b.nyukin_dt) as nyukin_dt
--from
--      tmp_han_syuka_2 a 
--      left outer join tbt_han_nyukin b 
--           on (a.user_company_id = b.user_company_id and a.nyukin_no = b.nyukin_no and b.del_flg = '0')
--group by
--      a.user_company_id,
--      a.delivery_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_bill_sime_dt
--
create view tbv_han_bill_sime_dt as
select
      a.user_company_id,
      a.tokui_id,
      max(a.bill_sime_dt) as bill_sime_dt
from
      tbt_han_bill_zandaka a,
      tbm_tokui b
where a.del_flg = '0'
    and   a.user_company_id=b.user_company_id
    and   a.tokui_id=b.tokui_id
    and   b.seikyu_kb='2'                                   -- 2:締請求
group by
      a.user_company_id,
      a.tokui_id;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_syuka
--
create view tbv_han_syuka as
select
      distinct
      a.user_company_id,
      a.delivery_no,
      d.bill_no,
      b.seikyu_id,
      a.tokui_id,
      case when a.bill_alias_nm is null then b.tokui_cd_nm else b.tokui_cd || ' ' || a.bill_alias_nm end as tokui_nm,
      b.tokui_cd || ' ' || a.bill_alias_nm as alias_nm,
      a.bill_alias_nm as bill_alias_nm,
      cast('' as varchar) as tokui_url,
      a.bill_dt,
      a.uriage_kb,
      k.code_nm as uriage_kb_nm,
      a.toroku_staff_cd,
      g.personal_nm as toroku_staff_nm,
      a.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      a.tanto_staff_cd,
      c.personal_nm as tanto_staff_nm,
      a.tanto_organization_id,
      j.bunrui_nm as tanto_organization,
      a.bill_title,
      a.bill_dt as delivery_dt,
      d.kin,
      case when b.zei_keisan_kb='3' then d.tax else                          --明細毎の場合は、明細毎消費税額の合計がtaxにある
      case when b.zei_keisan_kb='2' then a.den_tax_kin else                  --納品毎
      case when b.zei_keisan_kb='1' then 0 end end end as tax,               --請求毎
      e.sts_kb,
      f.code_nm,
      h.nyukin_dt,
      a.add_user_cd
from
      tbt_han_syuka a
      left outer join tbv_tokui b
           on (a.user_company_id = b.user_company_id and a.tokui_id = b.tokui_id)
      left outer join tbv_syain c
           on a.user_company_id = c.user_company_id and a.tanto_staff_cd = c.staff_cd
      left outer join tmp_han_syuka_0 d
           on (a.user_company_id = d.user_company_id and a.delivery_no = d.delivery_no)
      left outer join tbt_han_status e
           on (a.user_company_id = e.user_company_id and a.delivery_no = e.delivery_no and e.del_flg='0')
      left outer join tbm_code f
           on (e.user_company_id = f.user_company_id and e.sts_kb = f.code and f.code_kb='24' and f.del_flg ='0')
      left outer join tbv_syain g
           on a.user_company_id = g.user_company_id and a.toroku_staff_cd = g.staff_cd
--      left outer join tmp_han_syuka_3 h
--           on a.user_company_id = h.user_company_id and a.delivery_no = h.delivery_no and h.sts_kb>='100'
      left outer join tbt_han_nyukin h
           on d.user_company_id = h.user_company_id and d.bill_no = h.bill_no and h.del_flg ='0'
      left outer join tbm_bunrui i
           on(a.user_company_id = i.user_company_id and i.bunrui_kb = '6' and a.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
      left outer join tbm_bunrui j
           on(a.user_company_id = j.user_company_id and j.bunrui_kb = '6' and a.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
      left outer join tbm_code k
           on (a.user_company_id = k.user_company_id and a.uriage_kb = k.code and k.code_kb='22' and k.del_flg ='0')
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_han_syuka_detail
--
create view tbv_han_syuka_detail as
select
      a.user_company_id,
      a.delivery_no,
      a.delivery_edano,
      a.order_no,
      b.uriage_kb,
      a.item_id,
      e.item_cd,
      a.product_nm,
      a.product_kikaku,
      a.su,
      a.tani_nm as tani_cd,
      d.code_nm as tani_nm,
      a.standard_tnk,
      a.tanka,
      (case when a.kin is null then 0 else a.kin end)  as kin,
      (case when a.den_eda_tax_kin is null then 0 else a.den_eda_tax_kin end)  as tax,
      a.syubetu,
      a.biko,
      a.syuka_dt,
      a.bill_no,
      b.bill_dt,
      b.add_date,
      c.seikyu_id,
      b.tokui_id,
      c.tokui_cd,
      (case when b.bill_alias_nm is null then c.tokui_cd_nm else c.tokui_cd || ' ' || b.bill_alias_nm end) as tokui_nm,
      cast('' as varchar) as tokui_url,
      b.toroku_staff_cd,
      f.personal_id as toroku_staff_id,
      f.personal_nm as toroku_staff_nm,
      b.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      b.tanto_staff_cd,
      g.personal_id as tanto_staff_id,
      g.personal_nm as tanto_staff_nm,
      b.tanto_organization_id,
      j.bunrui_nm as tanto_organization,
      b.bill_title,
      b.bill_create_kb,
      case when a.delivery_edano = 1 then (case when b.den_tax_kin is null then 0 else b.den_tax_kin end ) else 0 end as den_tax_kin,  -- 伝票毎消費税額は、枝番1のみ入っている
      b.urikake_den_tax_kin,
      case when c.zei_keisan_kb='3' then h.tax else                          --明細毎の場合は、納品書単位で合計した消費税額
      case when c.zei_keisan_kb='2' then b.den_tax_kin else                  --納品毎
      case when c.zei_keisan_kb='1' then 0 end end end as cal_tax            --請求毎
from
      tbt_han_syuka_detail a
      left outer join tbt_han_syuka b
           on (a.user_company_id = b.user_company_id and a.delivery_no = b.delivery_no and b.del_flg = '0')
      left outer join tbv_tokui c
           on (b.user_company_id = c.user_company_id and b.tokui_id = c.tokui_id)
      left outer join tbm_code d
           on (a.user_company_id = d.user_company_id and a.tani_nm = d.code and d.code_kb = '2' and d.del_flg='0')
      left outer join tbv_item e
           on (a.user_company_id = e.user_company_id and a.item_id = e.item_id)
      left outer join tbv_syain f
           on b.user_company_id = f.user_company_id and b.toroku_staff_cd = f.staff_cd
      left outer join tbv_syain g
           on b.user_company_id = g.user_company_id and b.tanto_staff_cd = g.staff_cd
      left outer join tmp_han_syuka_0 h
           on (a.user_company_id = h.user_company_id and a.delivery_no = h.delivery_no)
      left outer join tbm_bunrui i
           on(b.user_company_id = i.user_company_id and i.bunrui_kb = '6' and b.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
      left outer join tbm_bunrui j
           on(b.user_company_id = j.user_company_id and j.bunrui_kb = '6' and b.tanto_organization_id = j.bunrui_id  and j.del_flg = '0')
where a.del_flg = '0';

-- ------------------------------------------------------

--
-- view structure for view tbv_han_bill_zandaka
--
create view tbv_han_bill_zandaka as
select
      a.user_company_id,
      a.bill_no,
      a.bill_sime_dt,
      a.tokui_id,
      b.tokui_cd_nm as tokui_nm,
      b.seikyu_kb,
      cast('' as varchar) as tokui_url,
      substring(a.bill_sime_dt,7) as simebi,
      case when a.zenzan_kin         is null then 0 else a.zenzan_kin         end as zenzan_kin,
      case when a.tou_uri_kin        is null then 0 else a.tou_uri_kin        end as tou_uri_kin,
      case when a.tou_henp_kin       is null then 0 else a.tou_henp_kin       end as tou_henp_kin,
      case when a.tou_nebi_kin       is null then 0 else a.tou_nebi_kin       end as tou_nebi_kin,
      case when a.tou_nema_kin       is null then 0 else a.tou_nema_kin       end as tou_nema_kin,
      case when a.tou_tax_kin        is null then 0 else a.tou_tax_kin        end as tou_tax_kin,
      case when a.tou_kake_kin       is null then 0 else a.tou_kake_kin       end as tou_kake_kin,
      case when a.tou_genkin_nyu_kin is null then 0 else a.tou_genkin_nyu_kin end as tou_genkin_nyu_kin,
      case when a.tou_tega_nyu_kin   is null then 0 else a.tou_tega_nyu_kin   end as tou_tega_nyu_kin,
      case when a.tou_kogit_nyu_kin  is null then 0 else a.tou_kogit_nyu_kin  end as tou_kogit_nyu_kin,
      case when a.tou_furik_nyu_kin  is null then 0 else a.tou_furik_nyu_kin  end as tou_furik_nyu_kin,
      case when a.tou_furik_tes_kin  is null then 0 else a.tou_furik_tes_kin  end as tou_furik_tes_kin,
      case when a.tou_nebi_nyu_kin   is null then 0 else a.tou_nebi_nyu_kin   end as tou_nebi_nyu_kin,
      case when a.tou_sosai_nyu_kin  is null then 0 else a.tou_sosai_nyu_kin  end as tou_sosai_nyu_kin,
      case when a.tou_other_nyu_kin  is null then 0 else a.tou_other_nyu_kin  end as tou_other_nyu_kin,
      case when a.tou_nyuk_kei_kin   is null then 0 else a.tou_nyuk_kei_kin   end as tou_nyuk_kei_kin,
      case when a.touzan_kin         is null then 0 else a.touzan_kin         end as touzan_kin
from
      tbt_han_bill_zandaka a
      left outer join tbv_tokui b
           on (a.user_company_id = b.user_company_id and a.tokui_id = b.tokui_id)
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_han_bill_0
-- 請求明細一覧      請求番号毎の入金登録日と入金額
create view tmp_han_bill_0 as
select
      a.user_company_id,
      a.bill_no,
      max(a.nyukin_dt) as nyukin_dt,
      sum(case when a.nyukin_kin is null then 0 else a.nyukin_kin end) as sum_nyukin_kin
from
      tbt_han_nyukin a
where
      a.del_flg = '0'
group by
      a.user_company_id,
      a.bill_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_bill
--      請求番号毎の請求金額や消し込みフラグ＋残高テーブル情報
create view tbv_han_bill as
select
      a.user_company_id,
      a.bill_no,
      a.bill_dt,
      a.tokui_id,                      -- 得意先ID
      b.tokui_cd,                      -- 得意先コード
      case when a.bill_alias_nm is null then b.tokui_cd_nm else b.tokui_cd || ' ' || a.bill_alias_nm end as tokui_nm,
      b.tanto_staff_cd as tanto_staff_cd,                -- 自社担当者
      b.tanto_staff_nm as tanto_staff_nm,                   -- 自社担当者名
      b.organization_id,               -- 自社担当者所属名称
      b.organization,
      b.seikyu_kb,                     -- 請求区分(都度・締）
      b.seikyu_style_kb,               -- 請求スタイル（繰越・非繰越））
      b.simebi,                        -- 締日
      b.sight,                         -- サイト
      b.kaisyu_hou1_kb,                -- 回収方法１
      b.kaisyu_hou2_kb,                -- 回収方法２
      b.kaisyu_hani_kin,               -- 回収方法境界金額
      a.bill_hakou_dt,
      a.apply_flg,                     -- 消し込みフラグ
      cast('' as varchar) as tokui_url,
      c.bill_sime_dt,
      case when c.zenzan_kin          is null then 0 else c.zenzan_kin         end as zenzan_kin,
      case when c.tou_uri_kin         is null then 0 else c.tou_uri_kin        end as tou_uri_kin,
      case when c.tou_henp_kin        is null then 0 else c.tou_henp_kin       end as tou_henp_kin,
      case when c.tou_nebi_kin        is null then 0 else c.tou_nebi_kin       end as tou_nebi_kin,
      case when c.tou_nema_kin        is null then 0 else c.tou_nema_kin       end as tou_nema_kin,
      case when c.tou_tax_kin         is null then 0 else c.tou_tax_kin        end as tou_tax_kin,                   -- 当月消費税金額
      case when c.tou_kake_kin        is null then 0 else c.tou_kake_kin       end as tou_kake_kin,                  -- 当月売上合計金額
      case when c.tou_genkin_nyu_kin  is null then 0 else c.tou_genkin_nyu_kin end as tou_genkin_nyu_kin,
      case when c.tou_tega_nyu_kin    is null then 0 else c.tou_tega_nyu_kin   end as tou_tega_nyu_kin,
      case when c.tou_kogit_nyu_kin   is null then 0 else c.tou_kogit_nyu_kin  end as tou_kogit_nyu_kin,
      case when c.tou_furik_nyu_kin   is null then 0 else c.tou_furik_nyu_kin  end as tou_furik_nyu_kin,
      case when c.tou_furik_tes_kin   is null then 0 else c.tou_furik_tes_kin  end as tou_furik_tes_kin,
      case when c.tou_nebi_nyu_kin    is null then 0 else c.tou_nebi_nyu_kin   end as tou_nebi_nyu_kin,
      case when c.tou_sosai_nyu_kin   is null then 0 else c.tou_sosai_nyu_kin  end as tou_sosai_nyu_kin,
      case when c.tou_other_nyu_kin   is null then 0 else c.tou_other_nyu_kin  end as tou_other_nyu_kin,
      case when c.tou_nyuk_kei_kin    is null then 0 else c.tou_nyuk_kei_kin   end as tou_nyuk_kei_kin,               -- 当月入金合計
      case when c.touzan_kin          is null then 0 else c.touzan_kin         end as touzan_kin,
      d.nyukin_dt,
      d.sum_nyukin_kin
from
      tbt_han_bill a
      left outer join tbv_tokui b
           on (a.user_company_id = b.user_company_id and a.tokui_id = b.tokui_id)
      left outer join tbt_han_bill_zandaka c
           on (a.user_company_id = c.user_company_id and a.bill_no = c.bill_no and c.del_flg = '0')
      left outer join tmp_han_bill_0 d
           on (a.user_company_id = d.user_company_id and a.bill_no = d.bill_no)
where a.del_flg = '0'
;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_bill_detail
--
create view tbv_han_bill_detail as
select
      distinct
      a.user_company_id,
      a.status_id,
      a.bill_no,
      c.bill_edano,
      c.tokui_id,
      j.tokui_cd,
      c.syubetu,
      d.uriage_kb,
      g.code_nm as uriage_kb_nm,
      a.delivery_no,
      a.delivery_edano,
      a.order_no,
      b.bill_dt,
      e.syuka_dt,
      cast(substr(e.syuka_dt,1,4) as varchar) as syuka_dt_yy,
      cast(substr(e.syuka_dt,5,2) as varchar) as syuka_dt_mm,
      cast(substr(e.syuka_dt,7,2) as varchar) as syuka_dt_dd,
      d.tanto_staff_cd,
      f.personal_nm as tanto_staff_nm,
      c.item_id,
      c.product_nm,
      c.product_kikaku,
      c.su,
      c.tani_nm as tani_cd,
      h.code_nm as tani_nm,
      c.tanka,
      c.kin,
      c.biko,
      c.den_eda_tax_kin as tax,
      i.tax_kb                                   -- 商品毎の税区分  1:外税 2:内税 3:非課税
from
      tbt_han_status a
      left outer join tbt_han_bill b
           on(a.user_company_id = b.user_company_id and a.bill_no = b.bill_no and b.del_flg = '0')
      left outer join tbt_han_bill_detail c
           on(a.user_company_id = c.user_company_id and a.bill_no = c.bill_no and a.bill_edano = c.bill_edano and c.del_flg = '0')
      join tbt_han_syuka d
           on(a.user_company_id = d.user_company_id and a.delivery_no = d.delivery_no and d.del_flg = '0')
      join tbt_han_syuka_detail e 
          on(a.user_company_id = e.user_company_id and a.delivery_no = e.delivery_no and a.delivery_edano = e.delivery_edano and e.del_flg = '0') 
      left outer join tbv_syain f
           on(d.user_company_id = f.user_company_id and d.tanto_staff_cd = f.staff_cd)
      left outer join tbm_code g
           on(d.user_company_id = g.user_company_id and d.uriage_kb = g.code and g.code_kb='22')
      left outer join tbm_code h
           on(c.user_company_id = h.user_company_id and c.tani_nm = h.code and h.code_kb = '2' and h.del_flg='0')
      left outer join tbv_item i
           on(c.user_company_id = i.user_company_id and c.item_id = i.item_id)
      left outer join tbv_tokui j
           on (c.user_company_id=j.user_company_id and c.tokui_id=j.tokui_id )
where
      a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_han_bill_status
--
create view tbv_han_bill_status as
select
    a.user_company_id,
    min(a.sts_kb) as sts_kb,
    a.bill_no,
    b.bill_sime_dt,
    c.apply_flg,
    c.tokui_id as seikyu_id
from
    tbt_han_status a,
    tbt_han_bill_zandaka b,
    tbt_han_bill c
where a.user_company_id=b.user_company_id
    and   a.bill_no=b.bill_no
    and   a.user_company_id=c.user_company_id
    and   a.bill_no=c.bill_no
    and   a.del_flg = '0'
    and   b.del_flg = '0'
    and   c.del_flg = '0'
group by
    a.user_company_id,
    a.bill_no,
    b.bill_sime_dt,
    c.apply_flg,
    c.tokui_id;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_0
--      入金番号中の最小のステータスを取得
create view tmp_han_nyukin_0 as 
select
      user_company_id,
      nyukin_no as nyukin_no,
      min(sts_kb) as sts_kb
from
      tbt_han_status
where
      del_flg = '0'
      and nyukin_no is not null
group by
      user_company_id,
      nyukin_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_1
--      請求書番号中の最大の入金番号を取得
create view tmp_han_nyukin_1 as 
select
      user_company_id,
      bill_no as bill_no,
      max(case when nyukin_no is null then 0 else nyukin_no end) as nyukin_no
from
      tbt_han_status
where
      del_flg = '0'
group by
      user_company_id,
      bill_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_2
--      請求書番号中の最小のステータスを取得
create view tmp_han_nyukin_2 as 
select
      a.user_company_id,
      a.bill_no,
      min(a.sts_kb)    as sts_kb
from
      tbt_han_status a 
where
      a.del_flg = '0'
      and a.bill_no is not null
group by
      a.user_company_id,
      a.bill_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_3
--      繰越請求の最新の請求日付を取得（請求スタイルが繰越）
create view tmp_han_nyukin_3 as 
select
      a.user_company_id,
      a.tokui_id,
      max(a.bill_dt) as bill_dt
from
      tbv_han_bill a
      left outer join tmp_han_nyukin_2 b
           on (a.user_company_id = b.user_company_id and a.bill_no = b.bill_no and b.sts_kb <> '130')
where
      a.seikyu_style_kb = '1'
group by
      a.user_company_id,
      a.tokui_id;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_4
--      入金一覧画面用
create view tmp_han_nyukin_4 as
select
      max(a.bill_dt) as bill_dt,
      a.user_company_id,
      a.bill_no,
      a.tokui_id,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.apply_flg,
      a.tou_kake_kin,
      a.tou_tax_kin,
      b.sts_kb
from
      tbv_han_bill a
      right outer join tmp_han_nyukin_2 b
           on a.user_company_id = b.user_company_id and a.bill_no = b.bill_no and b.sts_kb <> '130'
where
      a.seikyu_style_kb = '1'
group by
      a.user_company_id,
      a.tokui_id,
      a.bill_no,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.apply_flg,
      a.tou_kake_kin,
      a.tou_tax_kin,
      b.sts_kb;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_5
--      請求書番号中の入金のない請求番号を取得
create view tmp_han_nyukin_5 as 
select
      user_company_id,
      bill_no as bill_no
from
      tbt_han_status
where
      del_flg = '0'
      and nyukin_no is null
      and bill_no is not null
      and sts_kb = '140' 
group by
      user_company_id,
      bill_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_nyukin
--   入金一覧画面 （入金レコード[請求と繋がるものを含む] 
--                       union 
--                   非繰越の得意先の請求レコードは全て対象）
--                       union 
--                   請求書レコード[入金の一件もない請求]）
--                  ※請求レコードは、請求スタイルが繰越は最新の１件だけを非繰越は全てのレコードを表示する
create view tbv_han_nyukin as
select
      a.user_company_id,
      a.nyukin_no,
      a.nyukin_code_kb,
      b.code_nm as nyukin_code_nm,
      apply_bill_no as bill_no,
      a.urikake_sime_no,
      a.tokui_id,
      case when g.tokui_nm is null then c.tokui_cd_nm else g.tokui_nm end as tokui_nm,
      cast('' as varchar) as tokui_url,
      a.toroku_staff_cd,
      d.personal_nm as toroku_staff_nm,
      a.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      c.tanto_staff_cd as tanto_staff_cd,
      c.tanto_staff_nm as tanto_staff_nm,
      a.nyukin_kin,
      a.furikomi_kin,
      a.nyukin_dt,
      a.nyukin_title,
      e.sts_kb,
      f.code_nm,
      g.apply_flg,
      g.bill_dt,
      g.tou_kake_kin as bill_kin,
      g.tou_kake_kin - g.tou_tax_kin as nonyu_kin,
      g.tou_tax_kin as nonyu_tax_kin,
      g.tou_kake_kin as nonyu_total_kin,
      a.add_date
from
      tbt_han_nyukin a
      left outer join tbm_code b
           on (b.code_kb = '23' and a.user_company_id = b.user_company_id and a.nyukin_code_kb = b.code and b.del_flg = '0')
      left outer join tbv_tokui c
           on (a.user_company_id = c.user_company_id and a.tokui_id = c.tokui_id)
      left outer join tbv_syain d
           on (a.user_company_id = d.user_company_id and a.toroku_staff_cd = d.staff_cd)
      left outer join tmp_han_nyukin_0 e
           on (a.user_company_id = e.user_company_id and a.nyukin_no = e.nyukin_no)
      left outer join tbm_code f
           on (f.code_kb='24' and e.user_company_id = f.user_company_id and e.sts_kb = f.code and f.del_flg = '0')
      left outer join tbv_han_bill g
           on (a.user_company_id = g.user_company_id and a.apply_bill_no = g.bill_no)
      left outer join tbm_bunrui i
           on(a.user_company_id = i.user_company_id and i.bunrui_kb = '6' and a.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
where a.del_flg = '0'
union all
select                         
      a.user_company_id,
      null as nyukin_no,
      cast('' as varchar) as nyukin_code_kb,
      cast('' as varchar) as nyukin_code_nm,
      a.bill_no,
      null as urikake_sime_no,
      a.tokui_id,
      a.tokui_nm,
      cast('' as varchar) as tokui_url,
      cast('' as varchar) as toroku_staff_cd,
      cast('' as varchar) as toroku_staff_nm,
      0 as toroku_organization_id,
      cast('' as varchar) as toroku_organization,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      0 as nyukin_kin,
      0 as furikomi_kin,
      cast('' as varchar) as nyukin_dt,
      cast('' as varchar) as nyukin_title,
      c.sts_kb as sts_kb,
      f.code_nm,
      a.apply_flg,
      a.bill_dt,
      a.tou_kake_kin as bill_kin,
      a.tou_kake_kin - a.tou_tax_kin as nonyu_kin,
      a.tou_tax_kin as nonyu_tax_kin,
      a.tou_kake_kin as nonyu_total_kin,
      null as add_date
from
      tbv_han_bill a
      left outer join tmp_han_nyukin_1 b
           on ((b.nyukin_no = 0 or b.nyukin_no is null) and a.user_company_id = b.user_company_id and a.bill_no = b.bill_no)
      left outer join tmp_han_nyukin_2 c
           on (c.sts_kb <> '130' and a.user_company_id = c.user_company_id and a.bill_no = c.bill_no)    -- 仮締状態の請求データは除く
      left outer join tbm_code f
           on ( f.code_kb='24' and c.user_company_id = f.user_company_id and c.sts_kb = f.code and f.del_flg = '0')
--where
--      a.seikyu_style_kb = '2'      -- 1:繰越 2:繰越しない
union all
select
      a.user_company_id,
      null as nyukin_no,
      cast('' as varchar) as nyukin_code_kb,
      cast('' as varchar) as nyukin_code_nm,
      a.bill_no,
      null as urikake_sime_no,
      a.tokui_id,
      a.tokui_nm,
      cast('' as varchar) as tokui_url,
      cast('' as varchar) as toroku_staff_cd,
      cast('' as varchar) as toroku_staff_nm,
      0 as toroku_organization_id,
      cast('' as varchar) as toroku_organization,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      0 as nyukin_kin,
      0 as furikomi_kin,
      cast('' as varchar) as nyukin_dt,
      cast('' as varchar) as nyukin_title,
      a.sts_kb as sts_kb,
      f.code_nm,
      a.apply_flg,
      a.bill_dt,
      a.tou_kake_kin as bill_kin,
      a.tou_kake_kin - a.tou_tax_kin as nonyu_kin,
      a.tou_tax_kin as nonyu_tax_kin,
      a.tou_kake_kin as nonyu_total_kin,
      null as add_date
from
      tmp_han_nyukin_4 a
      right outer join tmp_han_nyukin_5 b
           on (a.user_company_id = b.user_company_id and a.bill_no = b.bill_no )
      left outer join tbm_code f
           on (f.code_kb='24' and a.user_company_id = f.user_company_id and a.sts_kb = f.code and f.del_flg = '0');
-- ------------------------------------------------------

--
-- view structure for view tbv_han_bill_zandaka_detail
--  請求残高詳細画面用（明細）
create view tbv_han_bill_zandaka_detail as
select
      user_company_id,
      bill_dt as dt,
      delivery_no,
      bill_no,
      null as nyukin_no,
      '売上' as syubetu,
      uriage_kb as kb,
      uriage_kb_nm as kb_nm,
      product_nm,
      product_kikaku,
      kin as uriage_kin,
      tax,
      0 as nyukin_kin,
      su,
      tani_cd,
      tani_nm,
      tanka
from
      tbv_han_bill_detail
union all
select
      a.user_company_id,
      a.nyukin_dt as dt,
      null as delivery_no,
      a.bill_no,
      a.nyukin_no,
      '入金' as syubetu,
      a.nyukin_code_kb as kb,
      b.code_nm as kb_nm,
      cast('' as varchar) as product_nm,
      cast('' as varchar) as product_kikaku,
      0 as uriage_kin,
      0 as tax,
      a.nyukin_kin,
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka
from
      tbt_han_nyukin a,
      tbm_code b
where a.user_company_id = b.user_company_id
and   a.nyukin_code_kb  = b.code 
and   b.code_kb = '23' 
and   a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_han_urikake_zandaka
--
create view tbv_han_urikake_zandaka as
select
      a.user_company_id,
      a.urikake_sime_no,
      a.urikake_sime_dt,
      a.tokui_id,
      b.tokui_cd,
      b.tokui_cd_nm as tokui_nm,
      b.tanto_staff_cd as tanto_staff_cd,                    -- 自社担当者コード
      b.tanto_staff_nm as tanto_staff_nm,                    -- 自社担当者名
      b.branch_nm,
      cast('' as varchar) as tokui_url,
      b.simebi,
      b.zei_keisan_kb,
     (case when a.zenzan_kin         is null then 0 else a.zenzan_kin          end) as zenzan_kin,
     (case when a.tou_uri_kin        is null then 0 else a.tou_uri_kin         end) as tou_uri_kin,
     (case when a.tou_henp_kin       is null then 0 else a.tou_henp_kin        end) as tou_henp_kin,
     (case when a.tou_nebi_kin       is null then 0 else a.tou_nebi_kin        end) as tou_nebi_kin,
     (case when a.tou_nema_kin       is null then 0 else a.tou_nema_kin        end) as tou_nema_kin,
     (case when a.tou_tax_kin        is null then 0 else a.tou_tax_kin         end) as tou_tax_kin,
     (case when a.tou_uri_kin is null then 0 else a.tou_uri_kin end) - (case when a.tou_henp_kin is null then 0 else a.tou_henp_kin end) - (case when a.tou_nebi_kin is null then 0 else a.tou_nebi_kin end) + (case when a.tou_nema_kin is null then 0 else a.tou_nema_kin end) as tou_uri_total,
     (case when a.tou_kake_kin       is null then 0 else a.tou_kake_kin        end) as tou_kake_kin,
     (case when a.tou_genkin_nyu_kin is null then 0 else a.tou_genkin_nyu_kin  end) as tou_genkin_nyu_kin,
     (case when a.tou_tega_nyu_kin   is null then 0 else a.tou_tega_nyu_kin    end) as tou_tega_nyu_kin,
     (case when a.tou_kogit_nyu_kin  is null then 0 else a.tou_kogit_nyu_kin   end) as tou_kogit_nyu_kin,
     (case when a.tou_furik_nyu_kin  is null then 0 else a.tou_furik_nyu_kin   end) as tou_furik_nyu_kin,
     (case when a.tou_furik_tes_kin  is null then 0 else a.tou_furik_tes_kin   end) as tou_furik_tes_kin,
     (case when a.tou_nebi_nyu_kin   is null then 0 else a.tou_nebi_nyu_kin    end) as tou_nebi_nyu_kin,
     (case when a.tou_sosai_nyu_kin  is null then 0 else a.tou_sosai_nyu_kin   end) as tou_sosai_nyu_kin,
     (case when a.tou_other_nyu_kin  is null then 0 else a.tou_other_nyu_kin   end) as tou_other_nyu_kin,
     (case when a.tou_nyuk_kei_kin   is null then 0 else a.tou_nyuk_kei_kin    end) as tou_nyuk_kei_kin,
     (case when a.touzan_kin         is null then 0 else a.touzan_kin          end) as touzan_kin
from
      tbt_han_urikake_zandaka a
      left outer join tbv_tokui b
        on (a.user_company_id = b.user_company_id and a.tokui_id = b.tokui_id)
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_han_uri_detail
--
create view tbv_han_uri_detail as
select
      a.user_company_id,
      a.status_id,
      a.uri_no,
      a.uri_edano,
      a.delivery_no,
      a.delivery_edano,
      b.urikake_sime_no,
      b.tokui_id,
      b.uri_dt,                      -- yyyymm形式
      b.uriage_kb,
      d.code_nm as uriage_kb_nm,
      c.item_id,
      i.item_cd,
      c.product_nm,
      c.product_kikaku,
      c.su,
      c.tani_cd,
      g.code_nm as tani_nm,
      c.tanka,
      c.kin,
      case when f.zei_keisan_kb='3' then c.den_eda_tax_kin else 
      case when f.zei_keisan_kb='2' then b.den_tax_kin else
      case when f.zei_keisan_kb='1' then 0 end end end as tax,
      b.tanto_staff_cd,
      e.personal_nm as tanto_staff_nm,
      e.personal_kn as tanto_staff_kn,
      h.bill_dt as syuka_dt
from
      tbt_han_status a 
      join tbt_han_uri b
           on(a.user_company_id = b.user_company_id and a.uri_no = b.uri_no and b.del_flg = '0')
      join tbt_han_uri_detail c
           on(a.user_company_id = c.user_company_id and a.uri_no = c.uri_no  and a.uri_edano = c.uri_edano and a.uri_no = c.uri_no and c.del_flg = '0')
      left outer join tbm_code d
           on(b.user_company_id = d.user_company_id and b.uriage_kb = d.code and d.code_kb='22' and d.del_flg = '0')
      left outer join tbv_syain e
           on (b.user_company_id=e.user_company_id and b.tanto_staff_cd=e.staff_cd)
      left outer join tbv_jisya f
           on (b.user_company_id=f.user_company_id and f.jisya_id=1)
      left outer join tbm_code g
           on c.user_company_id = g.user_company_id and c.tani_cd = g.code and g.code_kb = '2' and g.del_flg='0'
      join tbt_han_syuka h
           on(a.user_company_id = h.user_company_id and a.delivery_no = h.delivery_no and h.del_flg = '0')
      join tbv_item i
           on(c.user_company_id = i.user_company_id and c.item_id = i.item_id)
where
      a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_han_urikake_zandaka_detail
--
create view tbv_han_urikake_zandaka_detail as
select
      user_company_id,
      tokui_id,
      urikake_sime_no,
      uri_dt as dt,
      syuka_dt,
      delivery_no,
      delivery_edano,
      null as nyukin_no,
      '売上' as syubetu,
      uriage_kb as kb,
      uriage_kb_nm as kb_nm,
      product_nm,
      product_kikaku,
      kin as uriage_kin,
      tax as tax,
      0 as nyukin_kin,
      su,
      tani_cd,
      tani_nm,
      tanka
from
      tbv_han_uri_detail
union all
select
      user_company_id,
      tokui_id,
      urikake_sime_no,
      nyukin_dt as dt,
      nyukin_dt as syuka_dt,
      null as delivery_no,
      null as delivery_edano,
      nyukin_no,
      '入金' as syubetu,
      nyukin_code_kb as kb,
      nyukin_code_nm as kb_nm,
      cast('' as varchar) as product_nm,
      cast('' as varchar) as product_kikaku,
      0 as uriage_kin,
      0 as tax,
      nyukin_kin,
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka
from
      tbv_han_nyukin
where
      urikake_sime_no is not null;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_syuka_tanto
--
create view tbv_han_syuka_tanto as
select
      distinct
      a.user_company_id as user_company_id,
      a.tanto_staff_cd,
      b.personal_nm as tanto_staff_nm
from
      tbt_han_syuka a
      left outer join tbv_syain b
          on (a.user_company_id=b.user_company_id and a.tanto_staff_cd=b.staff_cd )
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_han_seikyu_0
--      非課税の請求金額を集計
create view tmp_han_seikyu_0 as
select 
      a.user_company_id,
      a.bill_no,
      sum(case when a.kin is null then 0 else a.kin end) as hikazei_kin
from
      tbv_han_bill_detail a
where
      a.tax_kb = '3'              -- 1:外税 2:内税 3:非課税
group by
      a.user_company_id,
      a.bill_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_seikyu
-- 請求書
create view tbv_han_seikyu as
select
      a.user_company_id,
      a.tokui_id,                           -- 請求先ID
      a.tokui_cd,
      d.tokui_id as detail_tokui_id,        -- 得意先ID
      d.tokui_cd as detail_tokui_cd,
      k.tokui_cd_nm as detail_tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.bill_no,
      a.bill_sime_dt,
      b.zipcode,
      b.address1,
      b.address2,
      b.address3,
      b.address4,
      a.tokui_nm,
      c.jisya_nm,
      c.zipcode as jisya_zipcode,
      c.address1 as jisya_address1,
      c.address2 as jisya_address2,
      c.address3 as jisya_address3,
      c.address4 as jisya_address4,
      c.tel as jisya_tel,
      j.bank_nm,                             -- 銀行名   as user_furikomi_cd,
      j.branch_nm,                           -- 銀行支店名 
      j.account_cd,                          -- 口座番号 null as user_account_cd,
      j.koza_meigi_nm,                       -- 口座名義 null as user_president,
--      b.jisya_tanto_id as tanto_staff_cd,    -- 自社担当コード
--      b.personal_nm    as tanto_staff_nm,    -- 自社担当名 null as user_tanto,
      a.zenzan_kin,
      a.tou_nyuk_kei_kin,
      a.zenzan_kin - a.tou_nyuk_kei_kin as tou_kuri_kin,
      a.tou_uri_kin,
      a.tou_henp_kin,
      a.touzan_kin,
      a.tou_tax_kin,
      d.syuka_dt,
      d.delivery_no,
      d.delivery_edano,
      d.uriage_kb_nm,
      d.product_nm,
      d.product_kikaku,
      d.su,
      d.tani_cd,
      d.tani_nm,
      d.tanka,
      d.kin,
      (case when e.hikazei_kin is null then 0 else e.hikazei_kin end) as hikazei_kin,  -- 請求毎の非課税額合計（ヘッダ用）
      d.biko
from
      tbv_han_bill a
      left outer join tbv_tokui b
           on (a.user_company_id=b.user_company_id and a.tokui_id=b.tokui_id )
      left outer join tbv_jisya c
           on (a.user_company_id=c.user_company_id and c.jisya_id=1 )
      left outer join tbv_han_bill_detail d
           on (a.user_company_id=d.user_company_id and a.bill_no=d.bill_no )
      left outer join tmp_han_seikyu_0 e
           on (a.user_company_id=e.user_company_id and a.bill_no=e.bill_no )
      left outer join tmp_tbv_torihikisaki_koza_jisya j          -- 自社口座を参照
           on(a.user_company_id = j.user_company_id)
      left outer join tbv_tokui k
           on (d.user_company_id=k.user_company_id and d.tokui_id=k.tokui_id );
-- ------------------------------------------------------

--
-- view structure for view tmp_han_uri_gepo_0
-- 売上月報（得意先別担当者別売上年月別合計　都度請求得意先）
--
create view tmp_han_uri_gepo_0 as
select
      a.user_company_id,
      b.tokui_id,
      b.tokui_cd,
      b.tokui_cd_nm as tokui_nm,
      b.tanto_staff_cd as tanto_staff_cd,
      d.personal_nm as tanto_staff_nm,
      b.seikyu_kb,
      a.bill_dt,
      substr(a.bill_dt,1,6) as bill_ym_dt,
      0 as kakekin,
      sum(a.kin) as genkin,
      sum(a.kin) as uri_kei_kin,
      sum(a.tax) as tou_tax_kin,                          -- 明細毎消費税額
      sum(a.den_tax_kin) as tou_den_tax_kin,              -- 伝票毎消費税額
      sum(a.kin + a.tax + a.den_tax_kin) as goukei_kin
from
      tbv_han_syuka_detail a
      join tbv_tokui b
           on (a.user_company_id = b.user_company_id and a.tokui_id=b.tokui_id and b.seikyu_kb='1')
--      join tbt_han_syuka c
--           on (a.user_company_id = c.user_company_id and a.delivery_no = c.delivery_no)
      join tbv_syain d
           on (b.user_company_id = d.user_company_id and b.tanto_staff_cd = d.staff_cd)
group by 
      a.user_company_id,
      b.tokui_id,
      b.tokui_cd,
      b.tokui_cd_nm,
      b.tanto_staff_cd,
      b.seikyu_kb,
      d.personal_nm,
      a.bill_dt;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_uri_gepo_1
-- 売上月報（全社合計 都度請求）
--
create view tmp_han_uri_gepo_1 as
select
      a.user_company_id,
      a.bill_ym_dt,
      sum(a.kakekin) as kakekin,
      sum(a.genkin) as genkin,
      sum(a.uri_kei_kin) as uri_kei_kin,
      sum(a.tou_tax_kin) as tou_tax_kin,
      sum(a.tou_den_tax_kin) as tou_den_tax_kin,
      sum(a.goukei_kin) as goukei_kin
from
      tmp_han_uri_gepo_0 a
group by 
      a.user_company_id,
      a.bill_ym_dt;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_uri_gepo_2
-- 売上月報（得意先別担当者別売上年月別合計　締請求得意先）
--
create view tmp_han_uri_gepo_2 as
select
      a.user_company_id,
      b.tokui_id,
      b.tokui_cd,
      b.tokui_cd_nm as tokui_nm,
      b.tanto_staff_cd as tanto_staff_cd,
      d.personal_nm as tanto_staff_nm,
      b.seikyu_kb,
      a.bill_dt,
      substr(a.bill_dt,1,6) as bill_ym_dt,
      sum(a.kin) as kakekin,
      0 as genkin,
      sum(a.kin) as uri_kei_kin,
      sum(a.tax) as tou_tax_kin,
      sum(a.den_tax_kin) as tou_den_tax_kin,
      sum(a.kin + a.tax + a.den_tax_kin) as goukei_kin
from
      tbv_han_syuka_detail a
      join tbv_tokui b
           on (a.user_company_id = b.user_company_id and a.tokui_id=b.tokui_id and b.seikyu_kb='2')
      join tbt_han_syuka c
           on (a.user_company_id = c.user_company_id and a.delivery_no = c.delivery_no and c.del_flg = '0')
      join tbv_syain d
           on (b.user_company_id = d.user_company_id and b.tanto_staff_cd = d.staff_cd)
group by 
      a.user_company_id,
      b.tokui_id,
      b.tokui_cd,
      b.tokui_cd_nm,
      b.tanto_staff_cd,
      b.seikyu_kb,
      d.personal_nm,
      a.bill_dt;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_uri_gepo_3
-- 売上月報（全社合計 締請求）
--
create view tmp_han_uri_gepo_3 as
select
      a.user_company_id,
      a.bill_ym_dt,
      sum(a.kakekin) as kakekin,
      sum(a.genkin) as genkin,
      sum(a.uri_kei_kin) as uri_kei_kin,
      sum(a.tou_tax_kin) as tou_tax_kin,
      sum(a.tou_den_tax_kin) as tou_den_tax_kin,
      sum(a.goukei_kin) as goukei_kin
from
      tmp_han_uri_gepo_2 a
group by 
      a.user_company_id,
      a.bill_ym_dt;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_uri_gepo_4
-- 売上月報（全社合計）
--
create view tmp_han_uri_gepo_4 as
select
      a.user_company_id,
      a.bill_ym_dt,
      sum(a.kakekin) as kakekin,
      sum(a.genkin) as genkin,
      sum(a.uri_kei_kin) as uri_kei_kin,
      sum(a.tou_tax_kin) as tou_tax_kin,
      sum(a.tou_den_tax_kin) as tou_den_tax_kin,
      sum(a.goukei_kin) as goukei_kin
from
      (
      select * from tmp_han_uri_gepo_1
      union
      select * from tmp_han_uri_gepo_3
      ) a
group by
      a.user_company_id,
      a.bill_ym_dt;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_uri_gepo_5
-- 売上月報（売上年月別得意先別担当者別 都度請求）
--
create view tmp_han_uri_gepo_5 as
select
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.bill_ym_dt,
      sum(a.kakekin) as kakekin,
      sum(a.genkin) as genkin,
      sum(a.uri_kei_kin) as uri_kei_kin,
      sum(a.tou_tax_kin) as tou_tax_kin,
      sum(a.tou_den_tax_kin) as tou_den_tax_kin,
      sum(a.goukei_kin) as goukei_kin
from
      tmp_han_uri_gepo_0 a
group by 
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.bill_ym_dt;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_uri_gepo_6
-- 売上月報（売上年月別得意先別担当者別　締請求）
--
create view tmp_han_uri_gepo_6 as
select
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.bill_ym_dt,
      sum(a.kakekin) as kakekin,
      sum(a.genkin) as genkin,
      sum(a.uri_kei_kin) as uri_kei_kin,
      sum(a.tou_tax_kin) as tou_tax_kin,
      sum(a.tou_den_tax_kin) as tou_den_tax_kin,
      sum(a.goukei_kin) as goukei_kin
from
      tmp_han_uri_gepo_2 a
group by 
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.bill_ym_dt;
-- ------------------------------------------------------

-- view structure for view tbv_han_uri_gepo
-- 売上月報（得意先別・担当者別　※帳票出力時点の得意先担当者で集計）都度請求 union 締請求
create view tbv_han_uri_gepo as
select distinct
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.bill_ym_dt,
      a.kakekin,
      a.genkin,
      a.uri_kei_kin,
      (a.tou_tax_kin + a.tou_den_tax_kin) as tou_tax_kin,
      a.goukei_kin,
      b.kakekin as kei_kakekin,        
      b.genkin as kei_genkin,          
      b.uri_kei_kin as kei_uri_kin,    
      b.tou_tax_kin as kei_tax_kin,    
      b.tou_den_tax_kin as kei_den_tax_kin,    
      b.goukei_kin as kei_goukei_kin   
from
      tmp_han_uri_gepo_5 a
      join tmp_han_uri_gepo_4 b
           on (a.user_company_id = b.user_company_id and a.bill_ym_dt = b.bill_ym_dt)
union all
select distinct
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.bill_ym_dt,
      a.kakekin,
      a.genkin,
      a.uri_kei_kin,
      (a.tou_tax_kin + a.tou_den_tax_kin) as tou_tax_kin,
      a.goukei_kin,
      b.kakekin as kei_kakekin,
      b.genkin as kei_genkin,
      b.uri_kei_kin as kei_uri_kin,
      b.tou_tax_kin as kei_tax_kin,
      b.tou_den_tax_kin as kei_den_tax_kin,
      b.goukei_kin as kei_goukei_kin
from
      tmp_han_uri_gepo_6 a
      join tmp_han_uri_gepo_4 b
           on (a.user_company_id = b.user_company_id and a.bill_ym_dt = b.bill_ym_dt);
-- ------------------------------------------------------

--
-- view structure for view tmp_han_bill_list_0
-- 請求一覧　ヘッダ部　合計
create view tmp_han_bill_list_0 as
select 
      a.user_company_id,
      c.yymm,
      sum(a.zenzan_kin) as sum_zenzan_kin,
      sum(a.tou_nyuk_kei_kin) as sum_tou_nyuk_kei_kin,
      sum(a.zenzan_kin) - sum(a.tou_nyuk_kei_kin) as sum_kurikosi_kin,
      case when sum(a.zenzan_kin) = 0 then 0 else 
      (sum(a.tou_nyuk_kei_kin) / sum(a.zenzan_kin) * 100)
      end as sum_ritu,
      sum(a.tou_kake_kin - a.tou_tax_kin) as sum_uri_kin,
      sum(a.tou_tax_kin) as sum_tou_tax_kin,
      sum(a.tou_kake_kin) as sum_tou_uri_total,
      sum(a.touzan_kin) as sum_touzan_kin
from
      tbv_han_bill a 
      join tbm_date c
           on(a.bill_sime_dt = c.ymd or a.bill_sime_dt = c.simebi)
group by
      a.user_company_id,
      c.yymm;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_bill_list_1
--      請求書番号中の最小のステータスを取得
create view tmp_han_bill_list_1 as 
select
      a.user_company_id,
      a.bill_no,
      min(a.sts_kb)    as sts_kb
from
      tbt_han_status a 
where
      a.del_flg = '0'
group by
      a.user_company_id,
      a.bill_no;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_bill_list_2
--      繰越請求の最新の請求日付を取得（請求スタイルが繰越）
create view tmp_han_bill_list_2 as 
select
      a.user_company_id,
      a.tokui_id,
      max(a.bill_dt) as bill_dt
from
      tbv_han_bill a
      left outer join tmp_han_nyukin_2 b
           on (a.user_company_id = b.user_company_id and a.bill_no = b.bill_no)
where
      a.seikyu_style_kb = '1'
--      and b.sts_kb <> '130'
group by
      a.user_company_id,
      a.tokui_id;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_bill_list
-- 請求一覧  最新のレコード（繰越） union 締年月毎の残高レコード（非繰越）
create view tbv_han_bill_list as
select
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.seikyu_style_kb,
      a.simebi,
      e.yymm,
      a.zenzan_kin,
      a.tou_nyuk_kei_kin,
     (a.zenzan_kin - a.tou_nyuk_kei_kin) as kurikosi_kin,
      case when a.tou_kake_kin = 0 then 0 else 
     (a.tou_nyuk_kei_kin / a.tou_kake_kin * 100) end as ritu,
      a.tou_kake_kin - a.tou_tax_kin as uri_kin,
      a.tou_tax_kin,
      a.tou_kake_kin as tou_uri_total,
      a.touzan_kin,
      case when (case when a.touzan_kin is null then 0 else a.touzan_kin end) <= 
                (case when a.kaisyu_hani_kin  is null then 0 else a.kaisyu_hani_kin end)
           then c.code_nm else d.code_nm end as kaisyu_hou_nm,
--    以下は合計用カラム
      f.sum_zenzan_kin,
      f.sum_tou_nyuk_kei_kin,
      f.sum_kurikosi_kin,
      f.sum_ritu,
      f.sum_uri_kin,
      f.sum_tou_tax_kin,
      f.sum_tou_uri_total,
      f.sum_touzan_kin
from
      tbv_han_bill a 
      left outer join tmp_han_bill_list_1 b
           on (a.user_company_id = b.user_company_id and a.bill_no = b.bill_no)
      left outer join tbm_code c
           on(a.user_company_id = c.user_company_id and a.kaisyu_hou1_kb = c.code and c.code_kb = '19' and c.del_flg='0')
      left outer join tbm_code d
           on(a.user_company_id = d.user_company_id and a.kaisyu_hou2_kb = d.code and d.code_kb = '19' and d.del_flg='0')
      join tbm_date e
           on(a.bill_sime_dt = e.ymd or a.bill_sime_dt = e.simebi)
      left outer join tmp_han_bill_list_0 f
           on(a.user_company_id = f.user_company_id and e.yymm = f.yymm)
where
      a.seikyu_style_kb = '2'               -- 非繰越
--      and b.sts_kb <> '130'                        -- 仮締状態の請求データは除く
union all
select
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.seikyu_kb,
      a.seikyu_style_kb,
      a.simebi,
      e.yymm,
      a.zenzan_kin,
      a.tou_nyuk_kei_kin,
     (a.zenzan_kin - a.tou_nyuk_kei_kin) as kurikosi_kin,
      case when a.zenzan_kin = 0 then 0 else 
     (a.tou_nyuk_kei_kin / a.zenzan_kin * 100) end as ritu,
      a.tou_kake_kin - a.tou_tax_kin as uri_kin,
      a.tou_tax_kin,
      a.tou_kake_kin as tou_uri_total,
      a.touzan_kin,
      case when (case when a.touzan_kin is null then 0 else a.touzan_kin end) <= 
                (case when a.kaisyu_hani_kin  is null then 0 else a.kaisyu_hani_kin end)
           then c.code_nm else d.code_nm end as kaisyu_hou_nm,
--    以下は合計用カラム
      f.sum_zenzan_kin,
      f.sum_tou_nyuk_kei_kin,
      f.sum_kurikosi_kin,
      f.sum_ritu,
      f.sum_uri_kin,
      f.sum_tou_tax_kin,
      f.sum_tou_uri_total,
      f.sum_touzan_kin
from
      tbv_han_bill a 
      join tmp_han_bill_list_2 b
           on (a.user_company_id = b.user_company_id and a.tokui_id = b.tokui_id and a.bill_dt = b.bill_dt)
      left outer join tbm_code c
           on(a.user_company_id = c.user_company_id and a.kaisyu_hou1_kb = c.code and c.code_kb = '19' and c.del_flg='0')
      left outer join tbm_code d
           on(a.user_company_id = d.user_company_id and a.kaisyu_hou2_kb = d.code and d.code_kb = '19' and d.del_flg='0')
      join tbm_date e
           on(a.bill_sime_dt = e.ymd or a.bill_sime_dt = e.simebi)
      left outer join tmp_han_bill_list_0 f
           on(a.user_company_id = f.user_company_id and e.yymm = f.yymm);
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_yotei_0
-- 入金予定表      繰越請求の得意先で最新の請求レコードのみを抽出（消し込みフラグが立っていない事） 
create view tmp_han_nyukin_yotei_0 as
select 
      a.user_company_id,
      a.tokui_id,
      a.tokui_nm,
      max(a.bill_dt) as bill_dt
from
      tbv_han_bill a
where
      a.seikyu_style_kb = '1'
group by
      a.user_company_id,
      a.tokui_id,
      a.tokui_nm;
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_yotei_1
-- 入金予定表      繰越請求分
create view tmp_han_nyukin_yotei_1 as
select
      a.user_company_id,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.bill_no,
      a.bill_dt,
      a.bill_hakou_dt,
      a.sight,  
      a.kaisyu_hou1_kb,
      a.kaisyu_hou2_kb,
      a.kaisyu_hani_kin,
      a.seikyu_style_kb,
      a.seikyu_kb,                -- 請求区分 （ 1:都度請求、2:締請求 ） 
      a.tou_kake_kin,
      a.tou_tax_kin,
      a.touzan_kin,                -- 当月売掛残高 （ 入金予定額として利用 ）
      a.apply_flg                  -- 消し込みフラグ ( '':未消込  1:消込済 )
from
      tbv_han_bill a
      join tmp_han_nyukin_yotei_0 b
           on (a.user_company_id = b.user_company_id and a.tokui_id = b.tokui_id and a.bill_dt = b.bill_dt)
where
      a.seikyu_style_kb = '1';
-- ------------------------------------------------------

--
-- view structure for view tmp_han_nyukin_yotei_2
-- 入金予定表      請求番号毎の入金額
create view tmp_han_nyukin_yotei_2 as
select
      a.user_company_id,
      a.bill_no,
      sum(case when a.nyukin_kin is null then 0 else a.nyukin_kin end) as sum_nyukin_kin,
      sum(case when a.furikomi_kin is null then 0 else a.furikomi_kin end) as sum_furikomi_kin
from
      tbv_han_nyukin a
group by
      a.user_company_id,
      a.bill_no;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_nyukin_yotei
-- 入金予定表、未入金一覧用      販売用請求テーブルの中で消し込みフラグが立っていないレコードを抽出,（非繰越請求は全て出力）
create view tbv_han_nyukin_yotei as
select
      a.user_company_id,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.bill_no,
      a.bill_dt,
      h.ymd as bill_dt_ymd,
      a.bill_hakou_dt,
      a.sight,                     
      a.kaisyu_hou1_kb,
      b.code_nm as kaisyu_hou1_nm,
      a.kaisyu_hou2_kb,
      c.code_nm as kaisyu_hou2_nm,
      a.kaisyu_hani_kin,
      a.seikyu_style_kb,
      e.code_nm as seikyu_style_nm,
      a.seikyu_kb,                -- 請求区分 （ 1:都度請求、2:締請求 ） 
      f.code_nm as seikyu_nm,
      a.tou_kake_kin - a.tou_tax_kin as tou_uri_kin,
      a.tou_tax_kin,
      a.touzan_kin,                -- 当月売掛残高 （ 入金予定額として利用 ）
      ((case when g.sum_nyukin_kin is null then 0 else g.sum_nyukin_kin end) + (case when g.sum_furikomi_kin is null then 0 else g.sum_furikomi_kin end)) as sum_nyukin_kin,
      a.apply_flg                  -- 消し込みフラグ ( '':未消込  1:消込済 )
from
      tbv_han_bill a
      join tbm_date h
           on(a.bill_dt = h.ymd or a.bill_dt = h.simebi)
      left outer join tbm_code b
           on (a.user_company_id = b.user_company_id and a.kaisyu_hou1_kb = b.code and b.code_kb = '19' and b.del_flg='0')
      left outer join tbm_code c
           on (a.user_company_id = c.user_company_id and a.kaisyu_hou2_kb = c.code and c.code_kb = '19' and c.del_flg='0')
      left outer join tbm_code e
           on (a.user_company_id = e.user_company_id and a.seikyu_style_kb = e.code and e.code_kb = '9' and e.del_flg='0')
      left outer join tbm_code f
           on (a.user_company_id = f.user_company_id and a.seikyu_kb = f.code and f.code_kb = '8' and f.del_flg='0')
      left outer join tmp_han_nyukin_yotei_2 g
           on (a.user_company_id = g.user_company_id and a.bill_no = g.bill_no)
where
      a.seikyu_style_kb = '2'          -- 請求スタイル区分 1:繰越請求 2:非繰越
union all
select
      a.user_company_id,
      a.tanto_staff_cd,
      a.tanto_staff_nm,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.bill_no,
      a.bill_dt,
      h.ymd as bill_dt_ymd,
      a.bill_hakou_dt,
      a.sight,                     
      a.kaisyu_hou1_kb,
      b.code_nm as kaisyu_hou1_nm,
      a.kaisyu_hou2_kb,
      c.code_nm as kaisyu_hou2_nm,
      a.kaisyu_hani_kin,
      a.seikyu_style_kb,
      e.code_nm as seikyu_style_nm,
      a.seikyu_kb,   
      f.code_nm as seikyu_nm,
      a.tou_kake_kin - a.tou_tax_kin as tou_uri_kin,
      a.tou_tax_kin,
      a.touzan_kin, 
      ((case when g.sum_nyukin_kin is null then 0 else g.sum_nyukin_kin end) + (case when g.sum_furikomi_kin is null then 0 else g.sum_furikomi_kin end)) as sum_nyukin_kin,
      a.apply_flg
from
      tmp_han_nyukin_yotei_1 a
      join tbm_date h
           on(a.bill_dt = h.ymd or a.bill_dt = h.simebi)
      left outer join tbm_code b
           on (a.user_company_id = b.user_company_id and a.kaisyu_hou1_kb = b.code and b.code_kb = '19' and b.del_flg='0')
      left outer join tbm_code c
           on (a.user_company_id = c.user_company_id and a.kaisyu_hou2_kb = c.code and c.code_kb = '19' and c.del_flg='0')
      left outer join tbm_code e
           on (a.user_company_id = e.user_company_id and a.seikyu_style_kb = e.code and e.code_kb = '9' and e.del_flg='0')
      left outer join tbm_code f
           on (a.user_company_id = f.user_company_id and a.seikyu_kb = f.code and f.code_kb = '8' and f.del_flg='0')
      left outer join tmp_han_nyukin_yotei_2 g
           on (a.user_company_id = g.user_company_id and a.bill_no = g.bill_no);
-- ------------------------------------------------------

--
-- view structure for view tmp_han_urikake_list_0
-- 売掛一覧　ヘッダ部　合計
create view tmp_han_urikake_list_0 as
select 
      a.user_company_id,
      a.urikake_sime_dt,
      sum(a.zenzan_kin) as sum_zenzan_kin,
      sum(a.tou_nyuk_kei_kin) as sum_tou_nyuk_kei_kin,
      sum(a.zenzan_kin) - sum(a.tou_nyuk_kei_kin) as sum_kurikosi_kin,
      sum(a.tou_uri_total - a.tou_tax_kin) as sum_uri_kin,
      sum(a.tou_tax_kin) as sum_tou_tax_kin,
      sum(a.tou_uri_total) as sum_tou_uri_total,
      sum(a.touzan_kin) as sum_touzan_kin
from
      tbv_han_urikake_zandaka a 
      left outer join tbv_tokui b
           on(a.user_company_id = b.user_company_id and a.tokui_id = b.tokui_id)
group by
      a.user_company_id,
      a.urikake_sime_dt;
-- ------------------------------------------------------

--
-- view structure for view tbv_han_urikake_list
-- 売掛一覧表                                                  
create view tbv_han_urikake_list as
select
      a.user_company_id,
      a.urikake_sime_dt,      -- yyyymm でセットされている
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,        -- 自社担当
      a.tanto_staff_nm,           -- 自社担当者名
      a.zenzan_kin,            -- 前回請求額
      a.tou_nyuk_kei_kin,      -- 入金額
      a.zenzan_kin - a.tou_nyuk_kei_kin as kurikosi_kin,  -- 繰越金額
      a.tou_uri_total,         -- 売上金額 
      a.tou_tax_kin,           -- 消費税額
      a.tou_kake_kin,          -- 売上金額 + 消費税額 = 掛売合計
      a.touzan_kin,             -- 繰越金額 + 掛売合計 = 売掛残金額
      c.sum_zenzan_kin,
      c.sum_tou_nyuk_kei_kin,
      c.sum_kurikosi_kin,
      c.sum_uri_kin,
      c.sum_tou_tax_kin,
      c.sum_tou_uri_total,
      c.sum_touzan_kin

from
    tbv_han_urikake_zandaka a
    left outer join tmp_han_urikake_list_0 c
         on (a.user_company_id=c.user_company_id and a.urikake_sime_dt = c.urikake_sime_dt);
-- ------------------------------------------------------

--
-- view structure for view tbv_han_urikake_kanri
-- 売掛管理表  （月次売掛管理表）                              
create view tbv_han_urikake_kanri as
select
      a.user_company_id,
      a.urikake_sime_dt,      -- yyyymm でセットされている
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.tanto_staff_cd,        -- 自社担当
      a.tanto_staff_nm,           -- 自社担当者名
      a.zenzan_kin,            -- 前回売掛金額
      a.tou_genkin_nyu_kin,    -- 現金入金額
      a.tou_tega_nyu_kin,      -- 手形入金額
     (a.tou_nyuk_kei_kin - a.tou_genkin_nyu_kin -  a.tou_tega_nyu_kin) as tou_sonota_nyu_kin,    -- その他入金
      a.tou_nyuk_kei_kin,      -- 入金額合計
      a.tou_uri_total,         -- 売上金額 
      a.tou_tax_kin,           -- 消費税額
      a.touzan_kin,            -- 売掛残金額
      c.sum_zenzan_kin,
      c.sum_tou_nyuk_kei_kin,
      c.sum_kurikosi_kin,
      c.sum_uri_kin,
      c.sum_tou_tax_kin,
      c.sum_tou_uri_total,
      c.sum_touzan_kin

from
    tbv_han_urikake_zandaka a
    left outer join tmp_han_urikake_list_0 c
         on (a.user_company_id=c.user_company_id and a.urikake_sime_dt = c.urikake_sime_dt);
-- ------------------------------------------------------

--
-- view structure for view tmp_han_tokui_moto_0
-- 得意先元帳  （売上明細 ＆ 入金＆残高 ＆ 請求消費税毎得意先の税額）
create view tmp_han_tokui_moto_0 as
select
      a.user_company_id,
      a.tokui_id,
      b.tokui_cd,
      b.tokui_cd_nm as tokui_nm,
      a.delivery_no,            -- 納品書番号
      a.delivery_edano,         -- 納品書枝番号
      a.uri_no,                 -- 売上番号
      a.uri_edano,
      null as nyukin_no,    
      a.item_id,
      a.item_cd,
      a.product_nm,
      a.syuka_dt as uri_dt,           -- 売上日(yyyymmdd)
      c.urikake_sime_dt,    -- 売掛締(yyyymm)
      a.su,
      a.tani_cd,
      d.code_nm as tani_nm,
      a.tanka,
      a.kin,
      a.tax,
      a.kin + a.tax as uri_kin,  -- 合計売上金額（売上金額＋消費税）
      0 as nyukin_kin,
                                -- 差引残高はphpにて行なう
      c.zenzan_kin,              -- 繰越残高
      c.tou_uri_total,           -- ヘッダの売上金額合計
      c.tou_nyuk_kei_kin,        -- ヘッダの入金金額合計
      c.touzan_kin               -- ヘッダの差引残高
from
      tbv_han_uri_detail a
      left outer join tbv_tokui b
           on (a.user_company_id=b.user_company_id and a.tokui_id=b.tokui_id)
      left outer join tbv_han_urikake_zandaka c
           on (a.user_company_id=c.user_company_id and a.tokui_id = c.tokui_id and a.urikake_sime_no=c.urikake_sime_no)
      left outer join tbm_code d
           on (a.user_company_id = d.user_company_id and a.tani_cd = d.code and d.code_kb = '2' and d.del_flg='0')
union all
select
      a.user_company_id,
      a.tokui_id,
      b.tokui_cd,
      b.tokui_cd_nm as tokui_nm,
      null as delivary_no,            -- 納品書番号
      null as delivary_edano,         -- 納品書枝番号
      null as uri_no,    
      null as uri_edano,
      a.nyukin_no,    
      0 as item_id,
      cast('' as varchar) as item_cd,
      cast('' as varchar) as product_nm,
      a.nyukin_dt as uri_dt,
      c.urikake_sime_dt,    
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka,
      0 as kin,
      0 as tax,
      0 as uri_kin,        -- 合計売上金額（売上金額＋消費税）
      a.nyukin_kin + a.furikomi_kin as nyukin_kin,
                           -- 差引残高はphpにて行なう
      c.zenzan_kin,              -- 繰越残高
      c.tou_uri_total,           -- ヘッダの売上金額合計
      c.tou_nyuk_kei_kin,        -- ヘッダの入金金額合計
      c.touzan_kin               -- ヘッダの差引残高
from
      tbt_han_nyukin a
      left outer join tbv_tokui b
           on (a.user_company_id=b.user_company_id and a.tokui_id=b.tokui_id)
      left outer join tbv_han_urikake_zandaka c
           on (a.user_company_id=c.user_company_id and a.tokui_id = c.tokui_id and a.urikake_sime_no=c.urikake_sime_no and  a.tokui_id = c.tokui_id)
where a.del_flg = '0'
union all
select
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      null as delivary_no,            -- 納品書番号
      null as delivary_edano,         -- 納品書枝番号
      0 as uri_no,    
      0 as uri_edano,
      0 as nyukin_no,    
      0 as item_id,
      cast('' as varchar) as item_cd,
      '' as product_nm,
      '1' as uri_dt,              -- 日付が1番は、繰越残高レコード
      a.urikake_sime_dt,    -- 売掛締
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka,
      0 as kin,
      0 as tax,
      0 as uri_kin,        -- 合計売上金額（売上金額＋消費税）
      0 as nyukin_kin,
                           -- 差引残高はphpにて行なう
      0 as zenzan_kin,              -- 繰越残高
      0 as tou_uri_total,           -- ヘッダの売上金額合計
      0 as tou_nyuk_kei_kin,        -- ヘッダの入金金額合計
      a.zenzan_kin as touzan_kin               -- ヘッダの差引残高
from
      tbv_han_urikake_zandaka a
union all
select                              -- 請求毎消費税額
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      null as delivary_no,        
      null as delivary_edano,     
      null as uri_no,    
      null as nyukin_no,    
      null as uri_edano,
      0 as item_id,
      cast('' as varchar) as item_cd,
      cast('' as varchar) as product_nm,
      '99999999' as uri_dt,    
      a.urikake_sime_dt,    
      0 as su,
      cast('' as varchar) as tani_cd,
      cast('' as varchar) as tani_nm,
      0 as tanka,
      0 as kin,
      a.tou_tax_kin as tax,
      a.tou_tax_kin as uri_kin,        
      0 as nyukin_kin,
      0 as zenzan_kin,              
      0 as tou_uri_total,           
      0 as tou_nyuk_kei_kin,        
      0 as touzan_kin    
from
      tbv_han_urikake_zandaka a
where
      a.zei_keisan_kb = '1';
-- ------------------------------------------------------

--
-- view structure for view tbv_han_tokui_moto
-- 得意先元帳  （残高と売上明細と入金）
create view tbv_han_tokui_moto as
select
      a.user_company_id,
      a.tokui_id,
      a.tokui_cd,
      a.tokui_nm,
      a.delivery_no,            -- 納品書番号
      a.delivery_edano,         -- 納品書枝番号
      a.uri_no,    
      a.uri_edano,
      a.nyukin_no,    
      a.item_id,
      a.item_cd,
      a.product_nm,
      a.uri_dt,
      a.urikake_sime_dt,
      a.su,
      a.tani_cd,
      a.tani_nm,
      a.tanka,
      a.kin,
      a.tax,
      a.uri_kin,        -- 合計売上金額（売上金額＋消費税）
      a.nyukin_kin,
                           -- 差引残高はphpにて行なう
      a.zenzan_kin,              -- 繰越残高
      a.tou_uri_total,           -- ヘッダの売上金額合計
      a.tou_nyuk_kei_kin,        -- ヘッダの入金金額合計
      a.touzan_kin               -- ヘッダの差引残高
from
      tmp_han_tokui_moto_0 a
order by 
      a.user_company_id,
      a.tokui_id,
      a.urikake_sime_dt;
