
--
-- view structure for view tmp_tanaorosi_jyunbi_0
--
-- 棚卸指示と棚卸を結合(棚卸中のデータを抽出)
-- 
create view tmp_tanaorosi_jyunbi_0 as
select
     a.user_company_id,
     a.tanaorosi_siji_id,
     a.tanaorosi_siji_edano,
     a.sisetubi_id,
     a.injijyun_no,
     a.zaiko_id,
     a.item_id,
     a.bunrui_kb,
     a.bunrui_id,
     a.tanaorosi_mae_zaiko_su,
     a.tanaorosi_su,
     b.tanaorosi_dt,
     b.tanaorosi_sts_kb,
     b.tanaorosi_kb as siji_tanaorosi_kb,
     b.sisetubi_kb as siji_sisetubi_kb,
     b.sisetubi_id as siji_sisetubi_id,
     b.bunrui_kb as siji_bunrui_kb,
     b.bunrui1_id as siji_bunrui1_id,
     b.bunrui2_id as siji_bunrui2_id,
     b.bunrui3_id as siji_bunrui3_id
from
    tbt_tanaorosi a
    join tbt_tanaorosi_siji b
         on(a.user_company_id = b.user_company_id and a.tanaorosi_siji_id = b.tanaorosi_siji_id and b.del_flg = '0' and b.tanaorosi_sts_kb = '1')
where
    a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_tanaorosi_jyunbi_zaiko
--
-- 棚卸準備情報（在庫用）
--
create view tbv_tanaorosi_jyunbi_zaiko as
select
     '01' as siji_tanaorosi_kb,
     a.user_company_id,
     a.zaiko_id,
     a.item_id,
     a.tana_id,
     a.lotto_cd,
     a.zaiko_su,
     a.picking_su,
     a.hikiate_su,
     a.yuko_zaiko_su,
     a.last_nyuko_dt,
     a.last_syuko_dt,
     b.sisetubi_id,
     b.sisetubi_kb,
     b.code_syubetu_nm,
     b.sisetubi_nm,
     b.bunrui_kaiso,
     b.bunrui1_id as tanaban1_cd,
     b.bunrui1_nm as tanaban1_nm,
     b.bunrui2_id as tanaban2_cd,
     b.bunrui2_nm as tanaban2_nm,
     b.bunrui3_id as tanaban3_cd,
     b.bunrui3_nm as tanaban3_nm,
     c.item_cd,
     c.item_nm,
     c.item_kb,
     c.item_kikaku
from
     tbt_zaiko a
     left outer join tbv_tana b
          on(a.user_company_id = b.user_company_id and a.tana_id = b.tana_id)
     left outer join tbv_item c
          on(a.user_company_id = c.user_company_id and a.item_id = c.item_id)
     left outer join tmp_tanaorosi_jyunbi_0 d
          on(a.user_company_id = d.user_company_id and a.zaiko_id = d.zaiko_id and d.siji_tanaorosi_kb='01')
where
     a.del_flg = '0' and
     d.user_company_id is null;
-- ------------------------------------------------------

--
-- view structure for view tbv_tanaorosi_jyunbi_bihin
--
-- 棚卸準備情報（備品用）
--
create view tbv_tanaorosi_jyunbi_bihin as
select
     '02' as siji_tanaorosi_kb,
      a.user_company_id,
      a.bihin_id,
      0 as item_id,
      0 as tana_id,
      '' as lotto_cd,
      1 as zaiko_su,
      0 as picking_su,
      0 as hikiate_su,
      0 as yuko_zaiko_su,
      0 as last_nyuko_dt,
      0 as last_syuko_dt,
      a.sisetubi_id,
      a.sisetubi_kb,
      a.sisetubi_kb_nm,
      a.sisetubi_nm,
      a.bunrui_kaiso,
      a.bunrui1_id,
      a.bunrui1_nm,
      a.bunrui2_id,
      a.bunrui2_nm,
      a.bunrui3_id,
      a.bunrui3_nm,
      a.bihin_kanri_cd,
      a.bihin_nm,
      a.bunrui_kb,
      a.bihin_serial_cd
from
      tbv_bihin a
      left outer join tmp_tanaorosi_jyunbi_0 b
           on(a.user_company_id = b.user_company_id and a.bihin_id = b.zaiko_id and b.siji_tanaorosi_kb='02')
where
      b.user_company_id is null;
-- ------------------------------------------------------

--
-- view structure for view tbv_tanaorosi_siji
--
-- 棚卸指示一覧
--
create view tbv_tanaorosi_siji as
select
     a.user_company_id,
     a.tanaorosi_siji_id,
     a.tanaorosi_dt,
     a.tanaorosi_sts_kb,
     a.tanaorosi_kb,
     a.sisetubi_kb,
     a.sisetubi_id,
     a.bunrui_kb,
     a.bunrui1_id,
     a.bunrui2_id,
     a.bunrui3_id,
     b.sisetubi_cd,
     b.sisetubi_nm,
     b.sisetubi_user_cd,
     b.sisetubi_user_nm,
     b.syuyo_su,
     b.sisetubi_bk,
     b.code_syubetu_nm,
     c.bunrui1_nm,
     d.bunrui2_nm,
     e.bunrui3_nm
from
     tbt_tanaorosi_siji a
     left outer join tbv_sisetubi b
          on(a.user_company_id = b.user_company_id and a.sisetubi_id = b.sisetubi_id)
     left outer join tbv_bunrui c
          on(a.user_company_id = c.user_company_id and a.bunrui_kb = c.bunrui_kb and a.bunrui1_id = c.bunrui_id)
     left outer join tbv_bunrui d
          on(a.user_company_id = d.user_company_id and a.bunrui_kb = d.bunrui_kb and a.bunrui2_id = d.bunrui_id)
     left outer join tbv_bunrui e
          on(a.user_company_id = e.user_company_id and a.bunrui_kb = e.bunrui_kb and a.bunrui3_id = e.bunrui_id)
where
     a.del_flg = '0' and
     a.tanaorosi_sts_kb = '1';
-- ------------------------------------------------------

--
-- view structure for view tbv_tanaorosi_regist_detail
--
-- 棚卸明細
-- 
create view tbv_tanaorosi_regist_detail as
select
     a.user_company_id,
     a.tanaorosi_siji_id,
     a.tanaorosi_siji_edano,
     g.tana_id,
     a.sisetubi_id,
     a.injijyun_no,
     a.zaiko_id,
     a.item_id,
     a.bunrui_kb,
     a.bunrui_id,
     a.tanaorosi_mae_zaiko_su,
     a.tanaorosi_su,
     b.tanaorosi_dt,
     b.tanaorosi_sts_kb,
     b.tanaorosi_kb as siji_tanaorosi_kb,
     b.sisetubi_kb as siji_sisetubi_kb,
     b.sisetubi_id as siji_sisetubi_id,
     b.bunrui_kb as siji_bunrui_kb,
     b.bunrui1_id as siji_bunrui1_id,
     b.bunrui2_id as siji_bunrui2_id,
     b.bunrui3_id as siji_bunrui3_id,
     c.code_syubetu_nm,
     c.sisetubi_nm,
     d.bunrui1_nm as tanaban1_nm,
     d.bunrui2_nm as tanaban2_nm,
     d.bunrui3_nm as tanaban3_nm,
     case when b.tanaorosi_kb = '01' then e.item_cd else f.bihin_kanri_cd end as item_cd,
     case when b.tanaorosi_kb = '01' then e.item_nm else f.bihin_nm end as item_nm,
     case when b.tanaorosi_kb = '01' then e.item_kikaku else f.bihin_serial_cd end as item_kikaku
from
     tbt_tanaorosi a
     join tbt_tanaorosi_siji b
          on(a.user_company_id = b.user_company_id and a.tanaorosi_siji_id = b.tanaorosi_siji_id and b.del_flg = '0' and b.tanaorosi_sts_kb = '1')
     left outer join tbv_sisetubi c
          on(a.user_company_id = c.user_company_id and a.sisetubi_id = c.sisetubi_id)
     left outer join tbv_bunrui d
          on(a.user_company_id = d.user_company_id and a.bunrui_kb = d.bunrui_kb and a.bunrui_id = d.bunrui_id)
     left outer join tbv_item e
          on(a.user_company_id = e.user_company_id and a.item_id = e.item_id)
     left outer join tbv_bihin f
          on(a.user_company_id = f.user_company_id and a.zaiko_id = f.bihin_id)
     left outer join tbv_tana g
          on(d.user_company_id = g.user_company_id and d.bunrui_id = g.bunrui_id)
where
     a.del_flg = '0';
----------a.tanaorosi_mae_zaiko_su <> a.tanaorosi_su;
-- ------------------------------------------------------

--
-- view structure for view tbv_tanaorosi_siji_regist
--
-- 棚卸指示を施設設備毎に分解し棚卸登録画面の棚卸表を選択する際に利用する
-- 
create view tbv_tanaorosi_siji_regist as
select
     a.user_company_id,
     a.tanaorosi_sts_kb,
     a.tanaorosi_kb as siji_tanaorosi_kb,
     a.sisetubi_kb as siji_sisetubi_kb,
     a.sisetubi_id as siji_sisetubi_id,
     a.bunrui_kb as siji_bunrui_kb,
     a.bunrui1_id as siji_bunrui1_id,
     a.bunrui2_id as siji_bunrui2_id,
     a.bunrui3_id as siji_bunrui3_id,
     b.tanaorosi_siji_id,
     b.tanaorosi_siji_edano,
     g.tana_id,
     b.sisetubi_id,
     c.code_syubetu_nm,
     c.sisetubi_nm,
     d.bunrui1_nm,
     e.bunrui2_nm,
     f.bunrui3_nm
from
     tbt_tanaorosi_siji a
     join tbt_tanaorosi b
          on(a.user_company_id = b.user_company_id and a.tanaorosi_siji_id = b.tanaorosi_siji_id and b.del_flg = '0')
     left outer join tbv_sisetubi c
          on(b.user_company_id = c.user_company_id and b.sisetubi_id = c.sisetubi_id)
     left outer join tbv_bunrui d
          on(a.user_company_id = d.user_company_id and a.bunrui_kb = d.bunrui_kb and a.bunrui1_id = d.bunrui_id)
     left outer join tbv_bunrui e
          on(a.user_company_id = e.user_company_id and a.bunrui_kb = e.bunrui_kb and a.bunrui2_id = e.bunrui_id)
     left outer join tbv_bunrui f
          on(a.user_company_id = f.user_company_id and a.bunrui_kb = f.bunrui_kb and a.bunrui3_id = f.bunrui_id)
     left outer join tbv_tana g
          on(b.user_company_id = g.user_company_id and b.sisetubi_id = g.sisetubi_id)
where
    a.del_flg = '0' and
    a.tanaorosi_sts_kb = '1';

