--
-- view structure for view tbv_user_info
--
create view tbv_user_info as 
select
    a.user_company_id as user_company_id,
    a.personal_id,
    b.mail,
    a.user_cd,
    a.password,
    a.add_date,
    d.hash,
    d.tmp_password,
    a.auth_group_id,
    c.auth_group_nm,
    f.auth_rank,
    a.activate,
    b.personal_nm,
    b.personal_kn,
    b.birthday,
    b.bloodtype,
    b.office_mail,
    b.mobile_mail,
    b.url,
    b.etc,
    b.personal_tel,
    b.personal_fax,
    b.personal_mobile,
    b.personal_zipcode,
    b.personal_address1,
    b.personal_address2,
    b.personal_address3,
    b.personal_address4,
    b.parent_tel,
    b.parent_fax,
    b.parent_mobile,
    b.parent_zipcode,
    b.parent_address1,
    b.parent_address2,
    b.parent_address3,
    b.parent_address4,
    b.company_id,
    b.company_nm,
    b.branch_nm,
    b.company_kn,
    b.branch_kn,
    b.president,
    b.business_type,
    b.bond_code,
    b.company_url,
    b.parent_company_id,
    b.parent_company_nm,
    b.parent_branch_nm,
    b.company_etc,
    b.company_mail,
    b.staff_cd,
    b.organization_id,
    i.bunrui_nm as organization,
    b.official_id,
    b.official_nm,
    b.mobile,
    b.tel_in,
    b.company_tel,
    b.company_fax,
    b.company_zipcode,
    b.company_address1,
    b.company_address2,
    b.company_address3,
    b.company_address4, 
    e.ical_file
from tbm_user_info a
    left outer join tbv_personal_info b
        on (a.user_company_id = b.user_company_id and a.personal_id = b.personal_id )
    left outer join tbm_authentication_group c
        on (a.user_company_id = c.user_company_id and a.auth_group_id = c.auth_group_id and c.del_flg = '0')
    left outer join tbt_logon_user_info d
        on (a.user_company_id = d.user_company_id and a.user_cd = d.user_cd )
    left outer join tbm_personal_base e
        on (a.user_company_id = e.user_company_id and a.personal_id = e.personal_id )
    left outer join tbm_bunrui i
        on(b.user_company_id = i.user_company_id and i.bunrui_kb = '6' and b.organization_id = i.bunrui_id and i.del_flg = '0')
    left outer join tbm_authentication_group f
        on(a.user_company_id = f.user_company_id and a.auth_group_id = f.auth_group_id and f.del_flg = '0')
where a.del_flg = '0';

--
-- view structure for view tbv_logon_user_info
--
create view tbv_logon_user_info as 
select
    a.user_company_id as user_company_id,
    a.user_cd,
    a.personal_id,
    a.hash,
    a.data_limit
from tbt_logon_user_info a;

--
-- view structure for view tbv_auth_group_function_info
--
create view tbv_auth_group_function_info as 
select
    a.user_company_id,
    b.auth_group_id,
    a.function_cd
from tbm_function_info a
    join tbm_authentication_relation b
        on (a.user_company_id = b.user_company_id and a.auth_id = b.auth_id)
where
    a.del_flg = '0' and b.del_flg = '0'
group by
    a.user_company_id,
    b.auth_group_id,
    a.function_cd
order by
    auth_group_id;

