--
-- view structure for view tmp_nyuko_0
--
-- ステータステーブルを発注番号・枝番でグループ
--
create view tmp_nyuko_0 as
select
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      a.nyuka_kenpin_no,
      a.nyuka_kenpin_edano,
      a.sts_kb
from  tbt_kou_status a
where 
      a.del_flg = '0'
 and (a.sts_kb = '110' or a.sts_kb = '120');
-- ------------------------------------------------------

--
-- view structure for view tmp_nyuko_1
--
create view tmp_nyuko_1 as
select
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      sum(b.nyusyuko_su) as nyusyuko_su_total
from  tbt_kou_status a
      left outer join tbt_nyusyuko_rireki b 
      on (a.sts_kb in ('110','120') and a.user_company_id = b.user_company_id and a.nyusyuko_rireki_id = b.nyusyuko_rireki_id and b.del_flg = '0') 
where 
      a.del_flg = '0'
group by 
      a.user_company_id, 
      a.order_no,
      a.order_edano;
-- ------------------------------------------------------

--
-- view structure for view tbv_nyuko
--
create view tbv_nyuko as
select
      distinct
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      a.nyuka_kenpin_no,
      a.nyuka_kenpin_edano,
      a.sts_kb,
      b.nyusyuko_su_total,
      c.order_dt,
      c.toroku_staff_cd,
      c.toroku_organization_id,
      i.bunrui_nm as toroku_organization,
      c.tanto_staff_cd,
      c.tanto_organization_id,
      j.bunrui_nm as tanto_organization,
      c.siire_id,
      g.siire_cd,
      g.siire_cd_nm as siire_nm,
      cast('' as varchar) as siire_url,
      c.nouki_dt,
      c.order_title,
      d.item_id,
      h.item_cd,
      d.product_nm,
      d.product_kikaku,
      d.syubetu,
      d.su,
      d.tani_nm,
      d.tanka,
      d.kin,
      d.biko,
      f.nyuka_su
from  tmp_nyuko_0 a 
      left outer join tmp_nyuko_1 b
           on ( a.user_company_id = b.user_company_id and a.order_no = b.order_no and a.order_edano = b.order_edano )
      join tbt_kou_order c
           on ( a.order_no = c.order_no and c.del_flg = '0' )
      join tbt_kou_order_detail d
           on ( a.order_no = d.order_no and a.order_edano = d.order_edano and d.del_flg = '0')
      left outer join tbt_kou_nyuka e 
           on ( a.user_company_id = e.user_company_id and a.nyuka_kenpin_no = e.nyuka_kenpin_no and e.del_flg = '0' )
      left outer join tbt_kou_nyuka_detail f   
           on ( a.user_company_id = f.user_company_id and a.nyuka_kenpin_no = f.nyuka_kenpin_no and a.nyuka_kenpin_edano = f.nyuka_kenpin_edano and f.del_flg = '0' )
      left outer join tbv_siire g
           on ( a.user_company_id = g.user_company_id and c.siire_id = g.siire_id )
      left outer join tbv_item h
           on ( d.user_company_id = h.user_company_id and d.item_id = h.item_id )
      left outer join tbm_bunrui i
           on(c.user_company_id = i.user_company_id and i.bunrui_kb = '6' and c.toroku_organization_id = i.bunrui_id and i.del_flg = '0')
      left outer join tbm_bunrui j
           on(c.user_company_id = j.user_company_id and j.bunrui_kb = '6' and c.tanto_organization_id = j.bunrui_id  and j.del_flg = '0');
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_order_regist_user
--
create view tbv_kou_order_regist_user as
select
    distinct
    a.user_company_id as user_company_id,
    a.toroku_staff_cd as toroku_staff_cd,
    b.personal_nm     as toroku_staff_nm
from
    tbt_kou_order a
    left outer join tbv_syain b
         on (a.user_company_id=b.user_company_id and a.toroku_staff_cd=b.staff_cd )
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_order_tanto
--
create view tbv_kou_order_tanto as
select
    distinct
    a.user_company_id as user_company_id,
    a.tanto_staff_cd  as tanto_staff_cd,
    b.personal_nm     as tanto_staff_nm
from
    tbt_kou_order a
    left outer join tbv_syain b
         on (a.user_company_id=b.user_company_id and a.tanto_staff_cd=b.staff_cd )
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tbv_zaiko_tana
--
create view tbv_zaiko_tana as
select
     a.user_company_id, 
     a.zaiko_id, 
     a.tana_id, 
     a.lotto_cd, 
     a.zaiko_su, 
     a.picking_su, 
     a.hikiate_su, 
     a.last_nyuko_dt, 
     a.last_syuko_dt, 
     b.sisetubi_id, 
     b.bunrui_kb, 
     b.bunrui_id, 
     c.sisetubi_cd,
     c.sisetubi_kb,
     c.sisetubi_nm,
     c.sisetubi_user_cd,
     c.syuyo_su,
     c.sisetubi_bk,
     c.code_syubetu_nm,
     f.bunrui1_nm,
     f.bunrui2_nm,
     f.bunrui3_nm,
     a.item_id, 
     g.item_cd,
     g.jan_cd,
     g.item_nm,
     g.item_kikaku,
     g.item_kb,
     g.syubetu,
     g.maker_id
from  tbt_zaiko a
     left outer join tbm_tana b
          on (a.user_company_id=b.user_company_id and a.tana_id=b.tana_id and b.del_flg = '0')
     left outer join tbv_sisetubi c
          on (b.user_company_id=c.user_company_id and b.sisetubi_id=c.sisetubi_id )
     left outer join tbv_bunrui f 
          on (b.user_company_id=f.user_company_id and b.bunrui_kb=f.bunrui_kb and b.bunrui_id=f.bunrui_id )
     left outer join tbv_item g 
          on (a.user_company_id=g.user_company_id and a.item_id=g.item_id)
where a.del_flg = '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_nyuko_detail_list_0
--
--  ステータステーブルを受注番号・枝番・ステータス区分でグループ化
create view tmp_nyuko_detail_list_0 as
select
      a.user_company_id, 
      a.order_no,
      a.order_edano,
      a.nyuka_kenpin_no,
      a.nyuka_kenpin_edano,
      a.nyusyuko_rireki_id,
      a.status_Id,
      a.sts_kb
from  tbt_kou_status a
where a.del_flg = '0'
    and a.sts_kb in ('110', '120');
-- ------------------------------------------------------

--
-- view structure for view tbv_nyuko_detail_list
--
create view tbv_nyuko_detail_list as
select
    a.user_company_id,
    a.order_no,
    a.order_edano,
    a.nyuka_kenpin_no,
    a.nyuka_kenpin_edano,
    a.nyusyuko_rireki_id,
    a.status_Id,
    a.sts_kb,
    b.zaiko_id,
    c.zaiko_su,
    b.nyusyuko_su,
    b.aite_zaiko_id,
    b.nyusyuko_dt,
    c.item_id,
    c.tana_id,
    c.sisetubi_id,
    c.code_syubetu_nm,
    c.sisetubi_nm,
    c.bunrui1_nm,
    c.bunrui2_nm,
    c.bunrui3_nm
from
    tmp_nyuko_detail_list_0 a
    left outer join tbt_nyusyuko_rireki b
         on (a.user_company_id=b.user_company_id and a.nyusyuko_rireki_id=b.nyusyuko_rireki_id and b.del_flg = '0')
    left outer join tbv_zaiko_tana c
         on (b.user_company_id=c.user_company_id and b.zaiko_id=c.zaiko_id)
where a.nyusyuko_rireki_id != '0';
-- ------------------------------------------------------

--
-- view structure for view tmp_kou_status_nyuka_detail
--
-- 購買ステータスと入出庫履歴をひもづける
-- 入荷検品番号と入荷検品枝番号の組み合わせが同じものに対して入出庫数の合計を算出
--
create view tmp_kou_status_nyuka_detail as
select
    a.user_company_id,
    a.nyuka_kenpin_no,
    a.nyuka_kenpin_edano,
    sum(c.nyusyuko_su) as nyusyuko_su_total
from 
    tbt_kou_status a 
    left outer join tbt_nyusyuko_rireki c
         on (a.user_company_id = c.user_company_id and a.nyusyuko_rireki_id = c.nyusyuko_rireki_id and c.del_flg = '0')
where a.del_flg = '0'
group by 
    a.user_company_id,
    a.nyuka_kenpin_no,
    a.nyuka_kenpin_edano;
-- ------------------------------------------------------

--
-- view structure for view tbv_kou_status_nyuka_detail
--
-- 入庫登録時に使用
-- 複数の入荷がある場合を考慮する必要があるため作成
--
create view tbv_kou_status_nyuka_detail as
select
    a.user_company_id,
    a.status_id,
    a.mitu_irai_no,
    a.mitu_irai_edano,
    a.mitu_no,
    a.mitu_edano,
    a.order_no,
    a.order_edano,
    a.nyuka_kenpin_no,
    a.nyuka_kenpin_edano,
    a.nyusyuko_rireki_id,
    a.paid_sime_no,
    a.paid_sime_edano,
    a.siire_no,
    a.siire_edano,
    a.syukkin_no,
    a.sts_kb,
    a.syonin_dt,
    b.nyuka_su - c.nyusyuko_su_total as nyuka_su    --入荷数-入出庫数合計=入荷可能数
from 
    tbt_kou_status a 
    join tbt_kou_nyuka_detail b
         on (a.user_company_id = b.user_company_id and a.nyuka_kenpin_no = b.nyuka_kenpin_no and a.nyuka_kenpin_edano = b.nyuka_kenpin_edano and b.del_flg = '0')
    join tmp_kou_status_nyuka_detail c
         on (a.user_company_id = c.user_company_id and a.nyuka_kenpin_no = c.nyuka_kenpin_no and a.nyuka_kenpin_edano = c.nyuka_kenpin_edano)
where a.del_flg = '0';
