<?php
/**
 * code module actions.
 *
 * @package     aurora
 * @subpackage  ini/code
 * @author      Daiki HATANAKA <hatanaka@exbridge.jp>
 * @version     V 1.000
 * @Created     2008-5-22
 * @copyright 2008- EXBRIDGE,Inc. All Rights Reserved.
 *
 * Description:
 *
 */
class codeController extends xbeAuroraIniController {
    var $view;      //CodeViewオブジェクトインスタンス
    var $_display_name  = TL_CODE; //画面名
    /**
     * 初期処理
     *
     * コントローラー初期処理
     *
     */
    function init() {
        load_view('Code', 'xbrg_ini');
        load_app('mst');

        parent::init(__CLASS__);
        $this->view = CodeView::getInstance();

    }

    /**
     * デフォルト呼出
     *
     * コードマスタ画面表示へフォワードする
     *
     */
    function executeDefault() {
        init_breadcrumb();
        if (isNULL($this->view->getCodeKb())) {
            $code_kb_list = include(PW_ROOT_DIR .'/app/config/aurora/xbCodeKb.inc');
            foreach ($code_kb_list as $key=>$value) {
                $this->view->setCodeKb($key);
                break;
            }
        }
        $this->setSession(V_CODE, null);
        $this->forward('Show');
    }

    /**
     * データの保存チェック
     *
     * POSTされたデータのチェックを行う
     *
     */
    public function executeRequestCheck() {
        $view = $this->getSession(V_CODE);
        if(!isNULL($view)) $this->view = $view;

        //リクエスト取得
        $this->view->codeKb     = $this->codeKb;
        $this->view->code       = $this->code;
        $this->view->codeNm     = $this->codeNm;

        //入力チェック
        if($this->view->isValid()){
            $this->setSession(V_CODE,$this->view);
        }
        else{
            echo $this->view->message;
        }
        return PW_TERMINATE_PROCESS;
    }

    /**
     * コードマスタへのデータ保存を行う
     *
     * saveメソッドを呼び出して登録処理を行う
     *
     */
    public function executeRequestSave() {
        $this->view = $this->getSession(V_CODE);

        //登録実行
        $r_code = auroraService::getInstance('MstCodeService')->saveCode($this->view);
        if( $r_code == R_SUCCESS_INSERT ){
            $r_message = I_DB_01;
        }
        else if( $r_code == R_SUCCESS_UPDATE ){
            $r_message = I_DB_02;
        }
        else{
            $r_message = E_DB_99;
        }

        //結果情報セット
        $this->set_result_infomation($r_code, $r_message);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * コードマスタからデータの削除を行う
     *
     * deleteメソッドを呼び出して削除処理を行う
     *
     */
    public function executeRequestDelete() {
        //リクエスト取得
        $this->view = $this->getSession(V_CODE);
        $detailView = $this->view->getCodeListDetailView();
        foreach ($this->chk as $key => $val) {
            $detailView[$val]->setChecked('1');
        }
        $this->view->setCodeListDetailView($detailView);

        //削除実行
        $r_code = auroraService::getInstance('MstCodeService')->deleteCodeList($this->view);
        if($r_code == R_SUCCESS_DELETE) {
            $r_message = I_DB_04;
        }
        else if ($r_code == R_SUCCESS) {
            $r_message = I_DB_05;
        }

        //結果情報セット
        $this->set_result_infomation($r_code, $r_message);
        $this->redirectTo('Show');
    }

    /**
     * ページャー
     *
     * ページIDを受け渡す
     *
     */
    public function executeRequestPaging() {
        $this->view->setCodeKb($this->code_kb);
        $this->view->setPageId($this->page_id);
        $this->setSession(V_CODE,$this->view);
        $this->forward('Show');
    }

    /**
     * 検索
     *
     * 検索条件に従って、検索することを行います
     *
     * @access  なし
     * @param  なし
     * @return なし
     * @see    なし
     */
    public function executeRequestSearch()
    {
        $this->view->setCodeKb($this->codeKbKey);
        $this->setSession(V_CODE,$this->view);
        $this->forward ('Show');
    }

    /**
     * 画面表示
     *
     * 部品構成画面を表示する
     *
     */
    public function executeShow() {
        $view = $this->getSession(V_CODE);
        if(!isNULL($view)){
            $this->view = $view;
            $this->view->setCode('');
            $this->view->setCodeNm('');
        }

        auroraService :: getInstance('MstCodeService')->getCodeList($this->view);
        $view = $this->setSession(V_CODE, $this->view);
        return $this->render('ini/code');
    }
}
?>