<?php
/**
 * uamUserListController controller class.
 *
 * @author    S.Tajima <tajima@exbridge.jp> 2007/12/12
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class uamUserListController extends xbeAuroraUamController {

    var $_display_name  = TL_LOGON_LIST; //画面名

    /**
     * 初期処理
     *
     * コントローラー初期処理
     *
     */
    function init() {
        load_view('UserList', 'xbrg_uam');
        load_view('User',     'common');
        parent::init(__CLASS__);
        $this->view = UserListView::getInstance();
    }

    /**
     * デフォルト呼出
     *
     * ログイン画面表示へフォワードする
     *
     */
    function executeDefault() {
        init_breadcrumb();
        $this->view->setActivate(ACTIVATED_YES);
        $this->setSession(FROM, null);
        $this->forward('Show');
    }

    /**
     * ユーザー検索
     *
     * 設定された条件で検索を行う
     *
     */
    function executeRequestSearch() {
        $this->view->setUserCompanyId($this->userCompanyId);
        $this->view->setUserNm($this->userNm);
        $this->view->setMail($this->mail);
        $this->view->setAuthGroupId($this->authGroupId);
        $this->view->setActivate($this->activate);
        $this->forward('Show');
    }

    /**
     * ページ移動
     *
     * ページ移動を行い表示画面へフォワードする
     *
     */
    function executeRequestPaging() {
        $this->view->pageId = $this->pageId;
        $this->forward('Show');
    }

    /**
     * ユーザー複数削除処理
     *
     * チェックされたユーザーの一括削除を行う
     *
     */
    function executeRequestDelete() {
        $detailList = array();
        foreach ($this->chk as $key=>$val) {
            $detailView = UserListDetailView::getInstance();
            $detailView->setChecked('1');
            $detailView->setUserCd($val);
            $detailList[] = $detailView;
        }
        $this->view->setUserListDetailView($detailList);

        //削除実行
        $r_code = auroraService::getInstance('MstUserService')->deleteUserList($this->view);
        if($r_code == R_SUCCESS_DELETE) {
            $r_message = I_DB_04;
        }
        else if ($r_code == R_SUCCESS) {
            $r_message = I_DB_05;
        }

        //結果情報セット
        $this->set_result_infomation($r_code, $r_message);

        $this->redirectTo('Show');
    }

    /**
     * ユーザー承認 (Ajax)
     *
     * 指定されたユーザーの承認・未承認処理を行う
     *
     */
    function executeRequestActivate() {
        $view = UserView::getInstance();
        $view->setUserCd($this->user_cd);
        $view->setActivate($this->activate);
        $r_code = auroraService::getInstance('MstUserService')->activateUser($view);

        if($r_code != R_SUCCESS_UPDATE) {
            debugLog(E_UNKNOWN, __CLASS__, __FILE__, __LINE__);
            echo E_UNKNOWN;
        }
        return PW_TERMINATE_PROCESS;
    }

    /**
     * ユーザー登録／更新へ遷移
     *
     * ユーザーの登録／更新画面へ遷移する
     *
     */
    function executeRequestUser() {
        push_breadcrumb(TL_LOGON_LIST, XBEUAM_R_USERLIST);
        $this->redirectToPath(XBEUAM_R_USER, array('userCompanyId'=>$this->userCompanyId, 'personalId'=>$this->personalId, 'from'=>'1'));

        return PW_TERMINATE_PROCESS;
    }

    /**
     * ログオン呼出
     *
     * ログイン処理を行う
     *
     */
    function executeShow() {
        $this->view = auroraService::getInstance('MstUserService')->getUserList($this->view);
        return $this->render('uam/user_list');
    }
}
?>
