<?php
/**
 * webLogon controller class.
 *
 * @author    S.Tajima <tajima@exbridge.jp> 2007/11/03
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class webLogonController extends xbpwController {

    var $_sv;
    var $_vo;

    /**
     * 初期処理
     *
     * コントローラー初期処理
     *
     */
    function init(){
        load_service();
        load_app('uam');
        load_app('mst');
        load_app('ccm');
        load_view('User', 'common');
        load_view('UserLogon', 'xbrg_uam');
        load_view('UserList', 'xbrg_uam');
        load_view('PersonalBase', 'xbrg_ccm');
        load_view('PersonalDetail', 'xbrg_ccm');
        load_view('PersonalHome', 'xbrg_ccm');
        load_view('PersonalParent', 'xbrg_ccm');
        load_view('PersonalEmployee', 'xbrg_ccm');
        //load_view('UserListView', 'xbrg_uam');
        //$this->view = UserLogonView::getInstance();
    }

    /**
     * ログオン呼出
     *
     * 概要
     *
     * ログイン処理を行う
     *
     */
    function executeRequestLogon(){
        //
        //リクエストを取得する
        //
        //[user_cd][user_pw]
        //
        $userInfo = array();
        $userInfo['user_company_id'] = $this->user_company_id;
        $userInfo['user_cd'] = $this->user_cd;
        $userInfo['user_pw'] = $this->user_pw;
        $userInfo['remember'] = $this->remember;
        //
        //AURORAのユーザー認証を行う
        //
        $userInfo = auroraService::getInstance('WebService')->userLogon($userInfo);

        //@todo 「OK,NG」はやめるようにしたい
        if ($userInfo['status']) {
            echo "OK," . $userInfo['user_cd'] . "," . $userInfo['hash'];
        }
        else {
            echo "NG," . E_IC_LOGONCHK;
        }
        return PW_TERMINATE_PROCESS;
    }

    /**
     * ユーザー情報取得呼出
     *
     * 概要
     *
     * ユーザー情報取得処理を行う
     *
     */
    function executeRequestUserInfo() {
        //
        //リクエストを取得する
        //
        $userInfo = array();
        $userInfo['user_company_id'] = $this->user_company_id;
        $userInfo['user_cd'] = $this->user_cd;
        $userInfo['hash'] = $this->hash;
        //
        //AURORAログオン中ユーザー情報設定
        //
        $userInfo = auroraService::getInstance('WebService')->getUserInfo($userInfo);
        if ($userInfo['personal_id'] == "WEB-SERVICE-LOGON-NG") {
            echo "";
        }
        else {//@add K.Arai(2008/04/14)  $userInfo['store_id']
            echo $userInfo['user_cd'] . "," . $userInfo['personal_id'] . "," . $userInfo['hash'] . "," . $userInfo['user_nm'] . "," . $userInfo['mail'] . "," . $userInfo['sec_level'] . "," . $userInfo['ical_file']. "," . $userInfo['password']. "," . $userInfo['store_id'];
        }
        return PW_TERMINATE_PROCESS;
    }

    /**
     * メニュー情報取得呼出
     *
     * 概要
     *
     * メニュー情報取得処理を行う
     *
     */
    function executeRequestMenuInfo() {
        //
        //リクエストを取得する
        //
        $userInfo = array();
//@todo user_company_idが本来は必要
        $userInfo['user_cd'] = $this->user_cd;
        $userInfo['hash']    = $this->hash;
        //
        //AURORAログオン中ユーザー判定
        //

        $menuConfigure = include(XBE_LIBS_DIR . '/xb.library/menu/xbMenuConfig.class.php');
        foreach ($menuConfigure as $key => $menuInfo) {
            //メニュー表示権限の有無判定
            $userInfo['hash'] = $menuInfo["credential"];
            if (auroraService::getInstance('WebService')->isCredential($userInfo)) {
                if (isNULL($str)) {
                    $str = $str . $key;
                }
                else {
                    $str = $str . "," . $key;
                }
            }
        }
        echo $str;
        return PW_TERMINATE_PROCESS;
    }

    /**
     * ガジェット情報取得呼出
     *
     * 概要
     *
     * ガジェット情報取得処理を行う
     *
     */
    function executeRequestMenuGadgetInfo() {
        //
        //リクエストを取得する
        //
        //[user_cd][hash][menu_id]
        //
        $userInfo = array();
//@todo user_company_idが本来は必要
        $userInfo['user_cd'] = $this->user_cd;
        $userInfo['hash']    = $this->hash;
        $menuid              = $this->menu_id;

        //
        //AURORAログオン中ユーザー判定
        //
        $userInfo = auroraService::getInstance('WebService')->isLogon($userInfo);

        if ($userInfo['status']) {
            //
            //メニューガジェット作成
            //
            if(CUSTOMER == CUSTOMER_ASAHI_EC){
                $menuConfigure = include(XBE_LIBS_DIR . '/xb.library/menu/xbMenuConfig.class.php.asahi_ec');
            }
            else{
                if (DETAIL_REGIST_TYPE == '1') {
                    $menuConfigure = include(XBE_LIBS_DIR . '/xb.library/menu/xbMenuConfig.class.php.detail_type_1');
                }
                else {
                    $menuConfigure = include(XBE_LIBS_DIR . '/xb.library/menu/xbMenuConfig.class.php');
                }
            }
            $menuInfo = $menuConfigure[$menuid];

            require_once(XBE_LIBS_DIR . '/xb.library/xml/xbGadget.class.php');
            $gedget = xbGadget::getInstance();
            $gedget->setTitle($menuInfo["title"]);
            $gedget->setContents($this->createContents($menuInfo["child"]));

            header('Content-type: text/xml');
            echo $gedget->get();
        }
        else{
            echo "";
        }
        return PW_TERMINATE_PROCESS;
    }

    /**
     * ガジェットコンテンツ生成
     *
     * 概要
     *
     * ガジェットコンテンツ生成を行う
     *
     * @access private
     */
    function createContents($menuInfos) {

        $userInfo = array();
//@todo user_company_idが本来は必要
        $userInfo['user_cd'] = $this->user_cd;
        $userInfo['hash']    = $this->hash;

        $str = "<![CDATA[ \n";
        foreach ($menuInfos as $menuInfo) {
            //各コンテンツインストールの有無
            if ($menuInfo["enable"]=='YES') {
                //各コンテンツ使用権限の有無
                $userInfo['hash'] = $menuInfo["credential"];
                if (auroraService::getInstance('WebService')->isCredential($userInfo)) {
                    $str = $str . "<a href='" . xbUtil::getRedirectURL($menuInfo["baseurl"] . '/' . $menuInfo["subbase"] . "?user_cd=" . $this->user_cd . "&hash=" . $this->hash) . "' target=_blank>";
                    $str = $str . "<img src='" . xbUtil::getRedirectURL($menuInfo["gd_image"]) . "' alt='" . $menuInfo["title"] . "' width='118px' height='36px' border=0>";
                    $str = $str . "<span style='display:none'>".$menuInfo["title"]."</span>";
                    $str = $str . "</img>";
                    $str = $str . "</a>";
                }
                else {
                    $str = $str . "<img src='" . xbUtil::getRedirectURL($menuInfo["gd_image"]) . "' alt='" . $menuInfo["title"] . "' style='filter:alpha(opacity=25);-moz-opacity:.25;opacity:.25;' width='118px' height='36px' border=0>";
                    $str = $str . "<span style='display:none'>".$menuInfo["title"]."</span>";
                    $str = $str . "</img>";
                }
            }
        }
        $str = $str . "\n]]>";
        return $str;
    }

    function executeTestFlashGadgetInfo(){
        header('Content-type: text/xml');
        $str = "<menus><menu><url>http://localhost/aurora/xbrg_ctm.php?user_cd=admin&hash=cc1f76ea2c1f8663ec6f6fd7e5fa5e48</url><title>勤怠管理</title><descript>勤怠管理の説明</descript><help>勤怠管理のヘルプ</help></menu><menu><url>http://localhost/aurora/xbrg_ccm.php?user_cd=admin&hash=cc1f76ea2c1f8663ec6f6fd7e5fa5e48</url><title>住所管理</title><descript>住所管理の説明</descript><help>住所管理のヘルプ</help></menu><menu><url>http://localhost/aurora/xbrg_eac.php?user_cd=admin&hash=cc1f76ea2c1f8663ec6f6fd7e5fa5e48</url><title>経費精算</title><descript>経費清算管理の説明</descript><help>経費清算管理のヘルプ</help></menu><menu><url>http://localhost/aurora/xbrg_dom.php?user_cd=admin&hash=cc1f76ea2c1f8663ec6f6fd7e5fa5e48</url><title>文書管理</title><descript>文書管理の説明</descript><help>文書管理のヘルプ</help></menu><menu><url>http://localhost/aurora/xbrg_fms.php?user_cd=admin&hash=cc1f76ea2c1f8663ec6f6fd7e5fa5e48</url><title>備品管理</title><descript>備品管理の説明</descript><help>備品管理のヘルプ</help></menu></menus>";
        echo $str;
        return PW_TERMINATE_PROCESS;
    }
    /**
     * Flashガジェット情報取得呼出
     *
     * 概要
     *
     * Flashガジェット情報取得処理を行う
     *
     * @access private
     */
    function executeCreateFlashGadgetInfo(){
        header('Content-type: text/xml');
        //
        //リクエストを取得する
        //
        //[user_cd][hash][menu_id]
        //
        $userInfo = array();
//@todo user_company_idが本来は必要
        $userInfo['user_cd'] = $this->user_cd;
        $userInfo['hash']    = $this->hash;
        $menuid              = $this->menu_id;

        //
        //AURORAログオン中ユーザー判定
        //
        $userInfo = auroraService::getInstance('WebService')->isLogon($userInfo);

        if ($userInfo['status']) {
            //
            //メニューガジェット作成
            //
            if(CUSTOMER == CUSTOMER_ASAHI_EC){
                $menuConfigure = include(XBE_LIBS_DIR . '/xb.library/menu/xbMenuConfig.class.php.asahi_ec');
            }
            else{
                $menuConfigure = include(XBE_LIBS_DIR . '/xb.library/menu/xbMenuConfig.class.php');
            }
            $menuInfos = $menuConfigure[$menuid];

            //require_once(XBE_LIBS_DIR . '/xb.library/xml/xbGadget.class.php');
            //$gedget = xbGadget::getInstance();
            //$gedget->setTitle($menuInfo["title"]);
            //$gedget->setContents($this->createContents($menuInfo["child"]));
            //echo $gedget->get();
            //var_export($menuInfos);
            $str = "<menus>";
            foreach ($menuInfos["child"] as $menuInfo) {
                //各コンテンツインストールの有無
                if ($menuInfo["enable"]=='YES') {
                    $str .= "<menu>";
                    //各コンテンツ使用権限の有無
                    $userInfo['hash'] = $menuInfo["credential"];
                    if (auroraService::getInstance('WebService')->isCredential($userInfo)) {
                        $str .= "<url>". xbUtil::getRedirectURL($menuInfo["baseurl"] . '/' . $menuInfo["subbase"] . "?user_cd=" . $this->user_cd . "&hash=" . $this->hash) ."</url>";
                        $str .= "<title>".$menuInfo["title"]."</title>";
                        $str .= "<descript>".$menuInfo["gd_descript"]."</descript>";
                        $str .= "<help>".$menuInfo["gd_help"]."</help>";
                        //$str = $str . "<a href='" . xbUtil::getRedirectURL($menuInfo["baseurl"] . '/' . $menuInfo["subbase"] . "?user_cd=" . $this->user_cd . "&hash=" . $this->hash) . "' target=_blank>";
                        //$str = $str . "<img src='" . xbUtil::getRedirectURL($menuInfo["gd_image"]) . "' alt='" . $menuInfo["title"] . "' width='118px' height='36px' border=0>";
                        //$str = $str . "<span style='display:none'>".$menuInfo["title"]."</span>";
                        //$str = $str . "</img>";
                        //$str = $str . "</a>";
                    }
                    else {
                        $str .= "<url></url>";
                        $str .= "<title>".$menuInfo["title"]."</title>";
                        $str .= "<descript>".$menuInfo["gd_descript"]."</descript>";
                        $str .= "<help>".$menuInfo["gd_help"]."</help>";
                        //$str = $str . "<img src='" . xbUtil::getRedirectURL($menuInfo["gd_image"]) . "' alt='" . $menuInfo["title"] . "' style='filter:alpha(opacity=25);-moz-opacity:.25;opacity:.25;' width='118px' height='36px' border=0>";
                        //$str = $str . "<span style='display:none'>".$menuInfo["title"]."</span>";
                        //$str = $str . "</img>";
                    }
                    $str .= "</menu>";
                }
            }
            $str.= "</menus>";
            echo $str;
        }
        else{
            echo "";
        }

        return PW_TERMINATE_PROCESS;
    }
    /**
     * 新着メール情報取得呼出
     *
     * 概要
     *
     * 新着メール情報取得処理を行う
     *
     * @access private
     */
    //ソケットからの読み取り処理
    function _MailCheck_ReadSocket($fp,$term,&$buf){
        while(true){
            $res = fgets($fp);
            //ターミネータを検索
            $flg = ereg($term,$res);
            if($flg!=false) return true;
            //応答をバッファに格納
            $buf[] = $res;
            //エラー応答をチェック
            $flg = ereg('ERR',$res);
            if($flg!=false) return false;
            //タイムアウト判定
            $stat = socket_get_status($fp);
            if ($stat["timed_out"]) {
                echo "ERR:TimeOut";
                return false;
            }
        }
    }
    //ソケットからの読み取り処理（エラー処理用にラッピング）
    function _MailCheck_ReadProtcolAction($fp,$term,&$buf,$action){
        $buf = array();
        if(!$this->_MailCheck_ReadSocket($fp,$term,$buf)){
            //レスポンスが返ってこない場合
            echo "ERR:".$action;
            return false;
        }
        return true;
    }
    //ソケットへの書き込み
    function _MailCheck_WriteProtcolAction($fp,$command){
        $res = fputs($fp,$command."\n");
        if(!$res){
            //書き込みに失敗したとき
            echo "ERR:".$action."- Request";
            return false;
        }
        return true;
    }
    function executeMailCheckGadgetInfo(){
        header('Content-type: text/html');
        $Host = $_REQUEST['host'];
        $Port = $_REQUEST['port'];
        $User = $_REQUEST['user'];
        $Pass = $_REQUEST['pass'];
        $TimeOut = 30;
        $SockTimeOut = 5;
        $Buf = array();
        //ホストへ接続
        $fp = fsockopen ($Host, $Port, $errno, $errstr, $TimeOut);
        if(!$fp){
            //接続失敗
            echo "ERR:".$errno."-".$errstr;
            return PW_TERMINATE_PROCESS;
        }
        //ソケット通信のタイムアウトを設定
        socket_set_timeout($fp, $SockTimeOut);
        //コネクションメッセージの読み取り
        if(!$this->_MailCheck_ReadProtcolAction($fp,'OK',$Buf,'Connect')) return PW_TERMINATE_PROCESS;
        //ユーザー設定
        if(!$this->_MailCheck_WriteProtcolAction($fp,'user '.$User)) return PW_TERMINATE_PROCESS;
        //ユーザー設定応答の読み取り
        if(!$this->_MailCheck_ReadProtcolAction($fp,'OK',$Buf,'User')) return PW_TERMINATE_PROCESS;
        //パスワード設定
        if(!$this->_MailCheck_WriteProtcolAction($fp,'pass '.$Pass)) return PW_TERMINATE_PROCESS;
        //パスワード設定応答の読み取り
        if(!$this->_MailCheck_ReadProtcolAction($fp,'OK',$Buf,'Pass')) return PW_TERMINATE_PROCESS;
        //新着メール問い合わせ
        if(!$this->_MailCheck_WriteProtcolAction($fp,'list')) return PW_TERMINATE_PROCESS;
        //新着メール応答の読み取り
        if(!$this->_MailCheck_ReadProtcolAction($fp,'OK',$Buf,'List')) return PW_TERMINATE_PROCESS;
        if(!$this->_MailCheck_ReadProtcolAction($fp,'\.',$Buf,'List')) return PW_TERMINATE_PROCESS;
        //新着メール情報を出力
        $ret = implode("",$Buf);
        print $ret;
        //通信の終了
        if(!$this->_MailCheck_WriteProtcolAction($fp,'quit')) return PW_TERMINATE_PROCESS;
        fclose ($fp);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * ユーザー登録
     *
     * 概要
     *
     * ログイン処理を行う
     *
     */
    function executeRequestUserSave(){
        //
        //リクエストを取得する
        //
        $userInfo = array();
        $userInfo['user_company_id'] = $this->user_company_id;
        $userInfo['personal_id']  = $this->personal_id;
        $userInfo['user_cd']      = $this->user_cd;
        $userInfo['user_pw']      = $this->user_pw;
        $userInfo['user_nm']      = $this->user_nm;
        $userInfo['email']        = $this->email;
        $userInfo['sec_level']    = $this->sec_level;
        debugLog('parameters'.print_r($userInfo,1), __CLASS__, __FILE__, __LINE__);

        //ユーザー登録
        $result = auroraService::getInstance('WebService')->createUser($userInfo);
        //$result 1:新規登録  2:更新  -4:重複
        echo $result;

        return PW_TERMINATE_PROCESS;
    }

    /**
     * パスワード送信
     *
     * 概要
     *
     * 指定したmailに仮パスワードを送信
     *
     */
    function executeRequestSendPassword() {
        //指定したメールアドレスにパスワード送信
        $result = auroraService::getInstance('WebService')->sendPassword($this->mail);
        //$result :0 成功 :-1失敗
        echo $result;
        return PW_TERMINATE_PROCESS;
    }

    /**
     * メッセージ送信
     *
     * 概要
     *
     * 管理者にメッセージを送信
     *
     */
    function executeRequestSendMessage() {
        //UTF-8を適切な文字コードに変換
        $mailInfo = array();
        $mailInfo['user_company_id'] = $this->user_company_id;
        $mailInfo['user_cd'] = $this->user_cd;
        $mailInfo['message'] = xbUtil::decoding($this->message);
        $mailInfo['from_mail'] = $this->mail;

        //管理者にメッセージを送信
        $result = auroraService::getInstance('WebService')->sendMessage($mailInfo);
        //$result :0 成功 :-1失敗
        echo $result;
        return PW_TERMINATE_PROCESS;
    }

    /**
     * アクティベート
     *
     * 概要
     *
     * 仮登録ユーザーを本登録する
     *
     */
    function executeRequestUserActivate() {
        debugLog('Called ' . __METHOD__, __CLASS__, __FILE__, __LINE__);

        $userInfo = array();
        $userInfo['user_company_id'] = $this->user_company_id;
        $userInfo['user_cd'] = $this->user_cd;
        //アクティベート
        $result = auroraService::getInstance('WebService')->activateUser($userInfo);
        echo $result;
        return PW_TERMINATE_PROCESS;
    }

    /**
     * アクティベート
     *
     * 概要
     *
     * 仮登録ユーザーを削除する
     *
     */
    function executeRequestUserDelete() {
        //
        //リクエストを取得する
        //
        //[user_cd][user_pw]
        //
        $userInfo = array();
        $userInfo['user_company_id'] = $this->user_company_id;
        $userInfo['user_cd'] = $this->user_cd;
        $userInfo['user_pw'] = $this->user_pw;
        $personal_id         = $this->personal_id;

        //AURORAのユーザー認証を行う
        $userInfo = auroraService::getInstance('WebService')->userLogon($userInfo);

        if (!$userInfo['status'] || ($userInfo['personal_id'] != $personal_id)) {
            echo R_ERROR;
            return PW_TERMINATE_PROCESS;
        }

        //AURORAのユーザー削除を行う
        $result = auroraService::getInstance('WebService')->deleteUser($userInfo);

        echo $result;
        return PW_TERMINATE_PROCESS;
    }

}
?>
