<?php
/**
 * webMaster controller class.
 *
 * @author    S.Tajima <tajima@exbridge.jp> 2008/01/10
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class webMasterController extends xbpwController {

    var $_sv;
    var $_vo;

    /**
     * 
     *
     * Rg[[
     *
     */
    function init(){
        load_service();
        load_app('uam');
        load_app('mst');
        load_app('ini');
        load_view('User', 'common');
        load_view('UserList', 'xbrg_uam');
        load_view('Tokui', 'xbrg_mst');
        load_view('Tanto', 'xbrg_mst');
        load_view('Code', 'xbrg_ini');
        load_view('Bunrui', 'xbrg_ini');
        load_view('Saiban', 'xbrg_ini');

        load_app('ccm');
        load_view('PersonalBase', 'xbrg_ccm');
        load_view('PersonalDetail', 'xbrg_ccm');
        load_view('PersonalHome', 'xbrg_ccm');
        load_view('PersonalParent', 'xbrg_ccm');
        load_view('PersonalEmployee', 'xbrg_ccm');
        load_view('PersonalRecruit', 'xbrg_ccm');
        load_view('PersonalMember', 'xbrg_ccm');

        load_view('Syain', 'xbrg_mst');
        load_view('SyainDetail', 'xbrg_mst');
        load_view('SyainListDetail', 'xbrg_mst');

        load_view('CompanySearch', 'common');
        load_view('CompanyBase', 'common');
        load_view('CompanyList', 'xbrg_ccm');
        load_view('CompanyListDetail', 'xbrg_ccm');

        load_view('PersonalSearch', 'common');
        load_view('PersonalListDetail', 'common');
    }

    /**
     * Action:  Z擾 
     *
     *
     * @param : zipcode.
     * @return: json
     * @access: public.
     */
    public function executeRequestAddress() {
        $zipView = auroraValueObject :: getInstance('ZipControlView');
        $zipView->zipcode = $this->zipcode;
        $addressInfo = auroraService :: getInstance('ZipService')->zipToAddress($zipView);

        $address = array();
        $address['zipcode']     = $addressInfo->zipcode;
        $address['address1']    = $addressInfo->address1;
        $address['address2']    = $addressInfo->address2;
        $address['address3']    = $addressInfo->address3;
        $address['address4']    = $addressInfo->address4;

        echo json_encode($address);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * [U[ꗗ擾ďo
     *
     * @return json`
     */
    function executeRequestUserList() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        //
        //[U[ꗗ擾
        //
        $view = UserListView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view = auroraService::getInstance('MstUserService')->getUserList($view);

        $ulist = array();
        foreach ($view->getUserListDetailView() as $vDetail) {
            $user = array();
            $user['personal_id']  = $vDetail->getPersonalId();
            $user['user_cd']      = $vDetail->getUserCd();
            $user['user_nm']      = $vDetail->getUserNm();
            $user['staff_cd']     = $vDetail->getStaffCd();
            $user['mail']         = $vDetail->getMail();
            $user['mobile_mail']  = $vDetail->getMobileMail();
            $user['sec_level']    = $vDetail->getSecLevel();
            $user['sec_level_nm'] = $vDetail->getSecLevelNm();
            $user['ical_file']    = $vDetail->getIcalFile();
            $ulist[$vDetail->getPersonalId()] = $user;
        }

        echo json_encode($ulist);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * [U[擾ďo
     *
     * @return json`
     */
    function executeRequestUser() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        //
        //[U[擾
        //
        $view = UserView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setUserCd($this->user_cd);
        $view->setPersonalId($this->personal_id);
        $view->setMail($this->mail);
        $view->setMobileMail($this->mobile_mail);
        $view = auroraService::getInstance('MstUserService')->getUser($view);

        $user = array();
        $user['personal_id']  = $view->getPersonalId();
        $user['user_cd']      = $view->getUserCd();
        $user['user_nm']      = $view->getUserNm();
        $user['staff_cd']     = $view->getStaffCd();
        $user['mail']         = $view->getMail();
        $user['mobile_mail']  = $view->getMobileMail();
        $user['sec_level']    = $view->getSecLevel();
        $user['ical_file']    = $view->getIcalFile();

        echo json_encode($user);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * Ӑꗗ擾ďo
     *
     * @return json`
     */
    function executeRequestTokuiList() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        //
        //Ӑꗗ擾
        //
        $view = TokuiView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setTokuiId($this->tokui_id);
        $view->setTokuiCd($this->tokui_cd);
        $view->setTokuiNm($this->tokui_nm);
        $view = auroraService::getInstance('MstTokuiService')->getTokuiList($view);

        $tlist = array();
        foreach ($view->getTokuiListDetailView() as $vDetail) {
            $tokui = array();
            $tokui['company_id']   = $vDetail->getCompanyId();
            $tokui['tokui_id']     = $vDetail->getTokuiId();
            $tokui['tokui_cd']     = $vDetail->getTokuiCd();
            $tokui['tokui_nm']     = $vDetail->getTokuiNm();
            $tokui['tokui_kn']     = $vDetail->getTokuiKn();
            $tokui['tel']          = $vDetail->getTel();
            $tokui['fax']          = $vDetail->getFax();
            $tokui['mail']         = $vDetail->getMail();
            $tokui['zipcode']      = $vDetail->getZipcode();
            $tokui['address1']     = $vDetail->getAddress1();
            $tokui['address2']     = $vDetail->getAddress2();
            $tokui['address3']     = $vDetail->getAddress3();
            $tokui['address4']     = $vDetail->getAddress4();
            $tlist[$vDetail->getTokuiId()] = $tokui;
        }

        echo json_encode($tlist);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * R[hꗗ擾ďo
     *
     * @return json`
     */
    function executeRequestCodeList() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        if (isNull($this->code_kb)) {
            return PW_TERMINATE_PROCESS;
        }

        //
        //R[hꗗ擾
        //
        $view = CodeView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setCodeKb($this->code_kb);
        $view = auroraService::getInstance('MstCodeService')->getCodeList($view);

        $list = array();
        foreach ($view->getCodeListDetailView() as $vDetail) {
            $code = array();
            $code['code'] = $vDetail->getCode();
            $code['code_nm'] = $vDetail->getCodeNm();
            $list[$vDetail->getCode()] = $code;
        }

        echo json_encode($list);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * ވꗗ擾ďo
     *
     * @return json`
     */
    function executeRequestBunruiList() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        if (isNull($this->bunrui_kb)) {
            return PW_TERMINATE_PROCESS;
        }

        //
        //ވꗗ擾
        //
        $view = BunruiView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setBunruiKb($this->bunrui_kb);
        $view = auroraService::getInstance('MstBunruiService')->getBunruiList($view);

        $list = array();
        foreach ($view->getBunruiDetailView() as $vDetail) {
            $bunrui = array();
            $bunrui['user_company_id'] = $vDetail->getUserCompanyId();
            $bunrui['bunrui_kb'] = $vDetail->getBunruiKb();
            $bunrui['bunrui_id'] = $vDetail->getBunruiId();
            $bunrui['bunrui_cd'] = $vDetail->getBunruiCd();
            $bunrui['bunrui_nm'] = $vDetail->getBunruiNm();
            $list[$vDetail->getBunruiId()] = $bunrui;
        }

        echo json_encode($list);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * ̔Ԕԍ擾
     *
     * @return json`
     */
    function executeRequestSaibanInfo() {

        //
        //̔Ԕԍ擾
        //
        $view = SaibanView::getInstance();
        $view->setUserCompanyId($this->uc_id);
        $view->setSaibanCd($this->saiban_cd);
        $saiban = auroraService::getInstance('MstSaibanService')->getNumber($view);

        //echo json_encode($view);
        echo $saiban;
        return PW_TERMINATE_PROCESS;
    }

    /**
     * X܊Ǘ擾
     *
     * @return json`
     */
    function executeRequestStoreAdminList() {

        $sv = xbpwContext::getService('mstStoreAdmin', 'aurora');
        $vo = $sv->getValueObject();
        $vo->user_company_id = $this->user_company_id;
        $vo->personal_id = $this->personal_id;

        //X܊Ǘ擾
        $result = $sv->getStoreAdminList($vo);
        $store_admin_list = $vo->store_admin_list;

        echo json_encode($store_admin_list);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * X܈ꗗ擾ďo
     *
     *
     * @return json`
     */
    function executeRequestStoreList() {
        $sv = xbpwContext::getService('mstStore','aurora');
        $vo = $sv->getValueObject($this);
        if (isNull($this->_vo->user_company_id)) {
            $vo->user_company_id = USER_COMPANY_ID;
        }
        $vo->company_id       = $this->company_id;
        $vo->flg_closed_store = $this->flg_closed_store;

        //X܏擾
        $result = $sv->getStoreList($vo);
        $store_list = $vo->store_list;

        echo json_encode($store_list);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * N[g擾
     */
    function executeRequestPersonalRecruit(){
        $view = PersonalRecruitView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalId($this->personal_id);
        $result = auroraService::getInstance('PersonalService')->getPersonalRecruit($view);

        $info   = array();
        $info['user_company_id'] = $view->getUserCompanyId();
        $info['personal_id']    = $view->getPersonalId();
        $info['personal_nm']    = $view->getPersonalNm();
        $info['personal_kn']    = $view->getPersonalKn();
        $info['mail']           = $view->getMail();
        $info['mobile_mail']    = $view->getMobileMail();
        $info['sex']            = $view->getSex();
        $info['tel']            = $view->getTel();
        $info['fax']            = $view->getFax();
        $info['mobile']         = $view->getMobile();
        $info['zipcode']        = $view->getZipcode();
        $info['address1']       = $view->getAddress1();
        $info['address2']       = $view->getAddress2();
        $info['address3']       = $view->getAddress3();
        $info['address4']       = $view->getAddress4();
        $info['request_area']   = $view->getRequestArea();
        $info['work_area']      = $view->getWorkArea();
        $info['transportation_kb'] = $view->getTransportationKb();
        $info['start_dt_yyyy'] = $view->getStartDtYear();
        $info['start_dt_mm'] = $view->getStartDtMonth();
        $info['start_dt_dd'] = $view->getStartDtDay();
        $info['birthday_yyyy'] = $view->getBirthdayYear();
        $info['birthday_mm'] = $view->getBirthdayMonth();
        $info['birthday_dd'] = $view->getBirthdayDay();
        $info['medium_kb'] = $view->getMediumKb();
        $info['employ_kb'] = $view->getEmployKb();
        $info['staff_cd'] = $view->getStaffCd();
        $info['add_date'] = $view->getAddDate();
        $info['store_id'] = $view->getStoreId();
        $info['store_nm'] = $view->getStoreNm();
        $info['qr_id'] = $view->getQrId();
        $info['biko'] = $view->getBiko();
        $info['bunrui_id'] = $view->getBunruiId();
        $info['bunrui_nm'] = $view->getBunruiNm();
        $info['recruit_kb'] = $view->getRecruitKb();
        $info['recruit_kb_nm'] = $view->getRecruitKbNm();
        $info['recruit_biko'] = $view->getRecruitBiko();
        $info['school_nm'] = $view->getSchoolNm();
        $info['educational_background_kb'] = $view->getEducationalBackgroundKb();

        echo json_encode($info);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * N[gꗗ擾
     */
    function executeRequestPersonalRecruitList(){
        $view = PersonalRecruitListView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalNm($this->personal_nm);
        $view->setPersonalKn($this->personal_kn);
        $view->setMail($this->mail);
        $view->setStoreId($this->store_id);
        $view->setQrId($this->qr_id);
        $view->setEmployKb($this->employ_kb_list);
        $result = auroraService::getInstance('PersonalService')->getPersonalRecruitList($view);

        $recruit_list = array();
        foreach($view->getPersonalRecruitViewList() as $recruitView) {
            $info   = array();
            $info['user_company_id'] = $recruitView->getUserCompanyId();
            $info['personal_id']    = $recruitView->getPersonalId();
            $info['personal_nm']    = $recruitView->getPersonalNm();
            $info['personal_kn']    = $recruitView->getPersonalKn();
            $info['mail']           = $recruitView->getMail();
            $info['mobile_mail']    = $recruitView->getMobileMail();
            $info['sex']            = $recruitView->getSex();
            $info['sex_nm']         = $recruitView->getSexNm();
            $info['tel']            = $recruitView->getTel();
            $info['fax']            = $recruitView->getFax();
            $info['mobile']         = $recruitView->getMobile();
            $info['zipcode']        = $recruitView->getZipcode();
            $info['address1']       = $recruitView->getAddress1();
            $info['address2']       = $recruitView->getAddress2();
            $info['address3']       = $recruitView->getAddress3();
            $info['address4']       = $recruitView->getAddress4();
            $info['request_area']   = $recruitView->getRequestArea();
            $info['work_area']      = $recruitView->getWorkArea();
            $info['transportation_kb']      = $recruitView->getTransportationKb();
            $info['transportation_kb_nm']   = $recruitView->getTransportationKbNm();
            $info['start_dt_yyyy']  = $recruitView->getStartDtYear();
            $info['start_dt_mm']    = $recruitView->getStartDtMonth();
            $info['start_dt_dd']    = $recruitView->getStartDtDay();
            $info['birthday_yyyy']  = $recruitView->getBirthdayYear();
            $info['birthday_mm']    = $recruitView->getBirthdayMonth();
            $info['birthday_dd']    = $recruitView->getBirthdayDay();
            $info['medium_kb']      = $recruitView->getMediumKb();
            $info['medium_kb_nm']   = $recruitView->getMediumKbNm();
            $info['employ_kb']      = $recruitView->getEmployKb();
            $info['employ_kb_nm']   = $recruitView->getEmployKbNm();
            $info['staff_cd']       = $recruitView->getStaffCd();
            $info['add_date']       = $recruitView->getAddDate();
            $info['store_id']       = $recruitView->getStoreId();
            $info['store_nm']       = $recruitView->getStoreNm();
            $info['qr_id']          = $recruitView->getQrId();
            $info['biko']           = $recruitView->getBiko();
            $info['bunrui_id']      = $recruitView->getBunruiId();
            $info['bunrui_nm']      = $recruitView->getBunruiNm();
            $info['recruit_kb']     = $recruitView->getRecruitKb();
            $info['recruit_kb_nm']  = $recruitView->getRecruitKbNm();
            $info['recruit_biko']   = $recruitView->getRecruitBiko();
            $info['school_nm']      = $recruitView->getSchoolNm();
            $info['educational_background_kb'] = $recruitView->getEducationalBackgroundKb();
            $recruit_list[]         = $info;
        }

        $info_array = array();
        $info_array['page_info'] = xbUtil::getPageInfo($view->pageId, $view->limit, $view->cnt);
        $info_array['list_info'] = $recruit_list;
        echo json_encode($info_array);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * N[g폜
     */
    function executeRequestDeletePersonalRecruitList(){
        $view = PersonalRecruitListView::getInstance();
        $recruit_list = array();
        $personal_id_list = $this->personal_id_list;
        foreach($personal_id_list as $personal_id) {
            $PersonalRecruitView = PersonalRecruitView::getInstance();
            $PersonalRecruitView->setUserCompanyId(USER_COMPANY_ID);
            $PersonalRecruitView->setPersonalId($personal_id);
            $recruit_list[] = $PersonalRecruitView;
        }
        $view->setPersonalRecruitViewList($recruit_list);
        $result = auroraService::getInstance('PersonalService')->deletePersonalRecruitList($view);

        echo $result;

        return PW_TERMINATE_PROCESS;
    }

    /**
     * N[go^
     *
     * Tv
     *
     * N[go^s
     *
     */
    function executeRequestSavePersonalRecruit(){
        $view = PersonalRecruitView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalId($this->personal_id);
        $view->setPersonalNm($this->personal_nm);
        $view->setPersonalKn($this->personal_kn);
        $view->setMail($this->mail);
        $view->setMobileMail($this->mobile_mail);
        $view->setSex($this->sex);
        $view->setTel($this->tel);
        $view->setFax($this->fax);
        $view->setMobile($this->mobile);
        $view->setZipcode($this->zipcode);
        $view->setAddress1($this->address1);
        $view->setAddress2($this->address2);
        $view->setAddress3($this->address3);
        $view->setAddress4($this->address4);
        $view->setRequestArea($this->request_area);
        $view->setWorkArea($this->work_area);
        $view->setTransportationKb($this->transportation_kb);
        $view->setStartDtYear($this->start_dt_yyyy);
        $view->setStartDtMonth($this->start_dt_mm);
        $view->setStartDtDay($this->start_dt_dd);
        $view->setBirthdayYear($this->birthday_yyyy);
        $view->setBirthdayMonth($this->birthday_mm);
        $view->setBirthdayDay($this->birthday_dd);
        $view->setMediumKb($this->medium_kb);
        $view->setStoreId($this->store_id);
        $view->setQrId($this->qr_id);
        $view->setEmployKb($this->employ_kb);
        $view->setStaffCd($this->staff_cd);
        $view->setBiko($this->biko);
        $view->setZipcode($this->zipcode);
        $view->setAddress1($this->address1);
        $view->setAddress2($this->address2);
        $view->setAddress3($this->address3);
        $view->setAddress4($this->address4);

        $view->setBunruiId($this->bunrui_id);
        $view->setRecruitKb($this->recruit_kb);
        $view->setRecruitBiko($this->recruit_biko);
        $view->setSchoolNm($this->school_nm);
        $view->setEducationalBackgroundKb($this->educational_background_kb);

        $result = auroraService::getInstance('PersonalService')->savePersonalRecruit($view);

        $result_info = array();
        $result_info['r_code'] = $result;
        $result_info['personal_id'] = $view->getPersonalId();
        //$result 1:VKo^  2:XV  -4:d
        echo json_encode($result_info);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * 擾
     */
    function executeRequestPersonalMember(){
        $view = PersonalMemberView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalId($this->personal_id);
        $result = auroraService::getInstance('PersonalService')->getPersonalMember($view);
        $info   = array();
        $info['user_company_id'] = $view->getUserCompanyId();
        $info['personal_id']     = $view->getPersonalId();
        $info['personal_nm']     = $view->getPersonalNm();
        $info['personal_kn']     = $view->getPersonalKn();
        $info['mail']            = $view->getMail();
        $info['mobile_mail']     = $view->getMobileMail();
        $info['sex']             = $view->getSex();
        $info['tel']             = $view->getTel();
        $info['fax']             = $view->getFax();
        $info['mobile']          = $view->getMobile();
        $info['zipcode']         = $view->getZipcode();
        $info['address1']        = $view->getAddress1();
        $info['address2']        = $view->getAddress2();
        $info['address3']        = $view->getAddress3();
        $info['address4']        = $view->getAddress4();
        $info['birthday_yyyy']   = $view->getBirthdayYear();
        $info['birthday_mm']     = $view->getBirthdayMonth();
        $info['birthday_dd']     = $view->getBirthdayDay();
        $info['medium_kb']       = $view->getMediumKb();
        $info['medium_kb_nm']    = $view->getMediumKbNm();
        $info['staff_cd']        = $view->getStaffCd();
        $info['add_date']        = $view->getAddDate();
        $info['store_id']        = $view->getStoreId();
        $info['store_nm']        = $view->getStoreNm();
        $info['qr_id']           = $view->getQrId();
        $info['biko']            = $view->getBiko();
        echo json_encode($info);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * ꗗ擾
     */
    function executeRequestPersonalMemberList(){
        $view = PersonalMemberListView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalNm($this->personal_nm);
        $view->setPersonalKn($this->personal_kn);
        $view->setMail($this->mail);
        $view->setStoreId($this->store_id);
        $view->setQrId($this->qr_id);
        $result = auroraService::getInstance('PersonalService')->getPersonalMemberList($view);

        $member_list = array();
        foreach($view->getPersonalMemberViewList() as $memberView) {
            $info   = array();
            $info['user_company_id'] = $memberView->getUserCompanyId();
            $info['personal_id']     = $memberView->getPersonalId();
            $info['personal_nm']     = $memberView->getPersonalNm();
            $info['personal_kn']     = $memberView->getPersonalKn();
            $info['mail']            = $memberView->getMail();
            $info['mobile_mail']     = $memberView->getMobileMail();
            $info['sex']             = $memberView->getSex();
            $info['sex_nm']          = $memberView->getSexNm();
            $info['tel']             = $memberView->getTel();
            $info['fax']             = $memberView->getFax();
            $info['mobile']          = $memberView->getMobile();
            $info['zipcode']         = $memberView->getZipcode();
            $info['address1']        = $memberView->getAddress1();
            $info['address2']        = $memberView->getAddress2();
            $info['address3']        = $memberView->getAddress3();
            $info['address4']        = $memberView->getAddress4();
            $info['birthday_yyyy']   = $memberView->getBirthdayYear();
            $info['birthday_mm']     = $memberView->getBirthdayMonth();
            $info['birthday_dd']     = $memberView->getBirthdayDay();
            $info['medium_kb']       = $memberView->getMediumKb();
            $info['medium_kb_nm']    = $memberView->getMediumKbNm();
            $info['staff_cd']        = $memberView->getStaffCd();
            $info['add_date']        = $memberView->getAddDate();
            $info['store_id']        = $memberView->getStoreId();
            $info['store_nm']        = $memberView->getStoreNm();
            $info['qr_id']           = $memberView->getQrId();
            $info['biko']            = $memberView->getBiko();
            $member_list[]           = $info;
        }

        $info_array = array();
        $info_array['page_info'] = xbUtil::getPageInfo($view->pageId, $view->limit, $view->cnt);
        $info_array['list_info'] = $member_list;
        echo json_encode($info_array);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * 폜
     */
    function executeRequestDeletePersonalMemberList(){
        $view = PersonalMemberListView::getInstance();
        $member_list = array();
        $personal_id_list = $this->personal_id_list;
        foreach($personal_id_list as $personal_id) {
            $PersonalMemberView = PersonalMemberView::getInstance();
            $PersonalMemberView->setUserCompanyId(USER_COMPANY_ID);
            $PersonalMemberView->setPersonalId($personal_id);
            $member_list[] = $PersonalMemberView;
        }
        $view->setPersonalMemberViewList($member_list);
        $result = auroraService::getInstance('PersonalService')->deletePersonalMemberList($view);
        echo $result;
        return PW_TERMINATE_PROCESS;
    }

    /**
     * o^
     *
     * Tv
     *
     * o^s
     *
     */
    function executeRequestSavePersonalMember(){
        $view = PersonalMemberView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalId($this->personal_id);
        $view->setPersonalNm($this->personal_nm);
        $view->setPersonalKn($this->personal_kn);
        $view->setMail($this->mail);
        $view->setMobileMail($this->mobile_mail);
        $view->setSex($this->sex);
        $view->setTel($this->tel);
        $view->setFax($this->fax);
        $view->setMobile($this->mobile);
        $view->setZipcode($this->zipcode);
        $view->setAddress1($this->address1);
        $view->setAddress2($this->address2);
        $view->setAddress3($this->address3);
        $view->setAddress4($this->address4);
        $view->setBirthdayYear($this->birthday_yyyy);
        $view->setBirthdayMonth($this->birthday_mm);
        $view->setBirthdayDay($this->birthday_dd);
        $view->setMediumKb($this->medium_kb);
        $view->setStoreId($this->store_id);
        $view->setQrId($this->qr_id);
        $view->setStaffCd($this->staff_cd);
        $view->setBiko($this->biko);
        $view->setZipcode($this->zipcode);
        $view->setAddress1($this->address1);
        $view->setAddress2($this->address2);
        $view->setAddress3($this->address3);
        $view->setAddress4($this->address4);
        $result = auroraService::getInstance('PersonalService')->savePersonalMember($view);

        $result_info = array();
        $result_info['r_code'] = $result;
        $result_info['personal_id'] = $view->getPersonalId();
        //$result 1:VKo^  2:XV  -4:d
        echo json_encode($result_info);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * ꗗ擾ďo
     *
     * @return json`
     */
    function executeRequestQuestionList() {
        $sv = xbpwContext::getService('mstQuestion');
        $vo = $sv->getValueObject();
        $vo->user_company_id    = $this->user_company_id;
        $vo->store_id           = $this->store_id;
        $vo->page_id            = $this->page_id;

        //擾
        $result = $sv->getQuestionList($vo);

        $question_list = $vo->question_list;

        $info_array = array();
        $info_array['page_info'] = xbUtil::getPageInfo($vo->page_id, $vo->limit, $vo->count);
        $info_array['list_info'] = $question_list;
        echo json_encode($info_array);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * 폜
     */
    function executeRequestDeleteQuestionList(){
        $sv = xbpwContext::getService('mstQuestion');
        $vo = $sv->getValueObject();
        $vo->user_company_id = $this->user_company_id;
        $vo->del_question_list = $this->del_question_list;
        $result = $sv->deleteQuestionList($vo);
        echo $result;
        return PW_TERMINATE_PROCESS;
    }

    /**
     * o^
     *
     * Tv
     *
     * o^o^s
     *
     */
    function executeRequestSaveQuestion(){
        $sv = xbpwContext::getService('mstQuestion');

        $vo->user_company_id = $this->user_company_id;
        $vo->question_id     = $this->question_id;
        $vo->store_id        = $this->store_id;
        $vo->question_type   = $this->question_type;
        $vo->question_nm     = $this->question_nm;
        $vo->select_id_list  = $this->select_id_list;
        $result = $sv->saveQuestion($vo);

        $result_info = array();
        $result_info['r_code']      = $result;
        $result_info['question_id'] = $vo->question_id;
        //$result 1:VKo^  2:XV  -4:d
        echo json_encode($result_info);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * Јꗗ擾ďo
     *
     * @return json`
     */
    function executeRequestCompanyList() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        $view = CompanySearchView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        //S擾
        $view->setPageId(null);
        $view = auroraService::getInstance('CompanyService')->getCompanyList($view);

        $companyList = array();
        foreach($view->getCompanyListDetailView() as $company) {
            if ($company->getUserCompanyId()!=$company->getCompanyId()) {
                $companyList[$company->getCompanyId()] = $company->getCompanyNm();
            }
        }

        echo json_encode($companyList);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * Ў擾ďo
     *
     * @return json`
     */
    function executeRequestCompany() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        $view = CompanyBaseView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setCompanyId($this->company_id);
        $view = auroraService::getInstance('CompanyService')->getCompany($view);

        $data = array();
        $data['company_kn'] = $view->getCompanyKn();
        $data['company_nm'] = $view->getCompanyNm();
        $data['branch_kn'] = $view->getBranchKn();
        $data['branch_nm'] = $view->getBranchNm();
        $data['president'] = $view->getPresident();
        $data['business_type'] = $view->getBusinessType();
        $data['bond_code'] = $view->getBondCode();
        $data['url'] = $view->getUrl();
        $data['mail'] = $view->getMail();
        $data['parent_company_id'] = $view->getParentCompanyId();
        $data['parent_company_nm'] = $view->getParentCompanyNm();
        $data['tel'] = $view->getTel();
        $data['fax'] = $view->getFax();
        $data['zipcode'] = $view->getZipcode();
        $data['address1'] = $view->getAddress1();
        $data['address2'] = $view->getAddress2();
        $data['address3'] = $view->getAddress3();
        $data['address4'] = $view->getAddress4();
        $data['yosin_kin'] = $view->getYosinKin();
        $data['start_dt'] = $view->getStartDt();
        $data['end_dt'] = $view->getEndDt();

        echo json_encode($data);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * lꗗ擾ďo
     *
     * @return json`
     */
    function executeRequestPersonalList() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        $view = PersonalSearchView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        //S擾
        $view->setPageId(null);

        $view = auroraService::getInstance('PersonalService')->getPersonalList($view);

        $list = array();
        foreach ($view->getPersonalListDetailView() as $personal) {
            if ($personal->getUserCompanyId() != $personal->getCompanyId()) {
                $list[$personal->getPersonalId()] = $personal->getPersonalNm();
            }
        }

        echo json_encode($list);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * l擾ďo
     *
     * @return json`
     */
    function executeRequestPersonal() {

        if (AUTH_MAGIC != $this->magic) {
            return PW_TERMINATE_PROCESS;
        }

        $view = PersonalBaseView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalId($this->personal_id);
        $view = auroraService::getInstance('PersonalService')->getPersonal($view);

        $data = array();
        $data['personal_kn'] = $view->getPersonalKn();
        $data['personal_nm'] = $view->getPersonalNm();
        $data['birthday_yyyy'] = $view->getBirthdayYear();
        $data['birthday_mm'] = $view->getBirthdayMonth();
        $data['birthday_dd'] = $view->getBirthdayDay();
        $data['bloodtype'] = $view->getBloodType();
        $data['sex'] = $view->getSex();
        $data['mail'] = $view->getMail();
        $data['mobile_mail'] = $view->getMobileMail();
        $data['url'] = $view->getUrl();
        $data['etc'] = $view->getEtc();
        $data['ical_file'] = $view->getIcalFile();
        $data['tel'] = $view->getHomeView()->getTel();
        $data['fax'] = $view->getHomeView()->getFax();
        $data['mobile'] = $view->getHomeView()->getMobile();
        //$data['mobile_mail'] = $view->getHomeView()->getMobileMail();
        $data['zipcode'] = $view->getHomeView()->getZipcode();
        $data['address1'] = $view->getHomeView()->getAddress1();
        $data['address2'] = $view->getHomeView()->getAddress2();
        $data['address3'] = $view->getHomeView()->getAddress3();
        $data['address4'] = $view->getHomeView()->getAddress4();
        //parent͏ȗ
        //$data['tel'] = $view->getParrentView()->getTel();
        //$data['fax'] = $view->getParrentView()->getFax();
        //$data['mobile'] = $view->getParrentView()->getMobile();
        //$data['mobile_mail'] = $view->getParrentView()->getMobileMail();
        //$data['zipcode'] = $view->getParrentView()->getZipcode();
        //$data['address1'] = $view->getParrentView()->getAddress1();
        //$data['address2'] = $view->getParrentView()->getAddress2();
        //$data['address3'] = $view->getParrentView()->getAddress3();
        //$data['address4'] = $view->getParrentView()->getAddress4();
        $data['company_id'] = $view->getEmployeeView()->getCompanyId();
        $data['company_nm'] = $view->getEmployeeView()->getCompanyNm();
        $data['staff_cd'] = $view->getEmployeeView()->getStaffCd();
        $data['organization'] = $view->getEmployeeView()->getOrganization();
        $data['organization_id'] = $view->getEmployeeView()->getOrganizationId();
        $data['official_id'] = $view->getEmployeeView()->getOfficialId();
        $data['official_nm'] = $view->getEmployeeView()->getOfficialNm();
        $data['mobile'] = $view->getEmployeeView()->getMobile();
        $data['tel_in'] = $view->getEmployeeView()->getTelIn();
        $data['emp_mail'] = $view->getEmployeeView()->getEmpMail();
        $data['official_list'] = $view->getEmployeeView()->getOfficialList();
        $data['retire_yyyy'] = $view->getEmployeeView()->getRetireYear();
        $data['retire_mm'] = $view->getEmployeeView()->getRetireMonth();
        $data['retire_dd'] = $view->getEmployeeView()->getRetireDay();
        $data['enter_yyyy'] = $view->getEmployeeView()->getEnterYear();
        $data['enter_mm'] = $view->getEmployeeView()->getEnterMonth();
        $data['enter_dd'] = $view->getEmployeeView()->getEnterDay();

        echo json_encode($data);

        return PW_TERMINATE_PROCESS;
    }

    /**
     * lo^
     *
     * Tv
     *
     * lo^s
     *
     */
    function executeRequestSavePersonal(){
        //l
        if('1'==$this->client_kb){
            $view = PersonalBaseView::getInstance();
            $view->setUserCompanyId(USER_COMPANY_ID);
            $view->setPersonalNm($this->personal_nm);
            $view->setPersonalKn($this->personal_kn);
            $view->setMail($this->mail);
            $view->setUrl($this->url);

            //table PersonalAddress
            $personalHomeView = PersonalHomeView::getInstance();
            $personalHomeView->setUserCompanyId(USER_COMPANY_ID);
            $personalHomeView->setTel($this->tel);
            $personalHomeView->setZipcode($this->zipcode);
            $personalHomeView->setAddress1($this->address1);
            $personalHomeView->setAddress2($this->address2);
            $personalHomeView->setAddress3($this->address3);
            $personalHomeView->setAddress4($this->address4);
        }else{
            $view = PersonalBaseView::getInstance();
            $view->setUserCompanyId(USER_COMPANY_ID);
            $view->setPersonalNm($this->personal_nm);
            $view->setPersonalKn($this->personal_kn);

            //table PersonalAddress
            $personalHomeView = PersonalHomeView::getInstance();
            $personalHomeView->setUserCompanyId(USER_COMPANY_ID);
        }

        //table PersonalEmployee
        $personalEmployeeView = PersonalEmployeeView::getInstance();
        $personalEmployeeView->setUserCompanyId(USER_COMPANY_ID);

        //table PersonalParent
        $personalParentView = PersonalParentView::getInstance();
        $personalParentView->setUserCompanyId(USER_COMPANY_ID);

        //--------------------------------------------------------------
        //lpPviewɂ܂Ƃ߂
        //--------------------------------------------------------------
        $view->setParentView($personalParentView);
        $view->setHomeView($personalHomeView);
        $view->setEmployeeView($personalEmployeeView);

        $result = auroraService::getInstance('PersonalService')->savePersonal($view);

        $result_info = array();
        $result_info['r_code'] = $result;
        $result_info['personal_id'] = $view->getPersonalId();
        //$result 1:VKo^  2:XV  -4:d
        echo json_encode($result_info);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * Џo^
     *
     * Tv
     *
     * Џo^s
     *
     */
    function executeRequestSaveCompany(){
        $view = CompanyBaseView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setCompanyNm($this->company_nm);
        $view->setCompanyKn($this->company_kn);
        $view->setUrl($this->url);
        $view->setTel($this->tel);
        $view->setZipcode($this->zipcode);
        $view->setAddress1($this->address1);
        $view->setAddress2($this->address2);
        $view->setAddress3($this->address3);
        $view->setAddress4($this->address4);

        $result = auroraService::getInstance('CompanyService')->saveCompany($view);

        $result_info = array();
        $result_info['r_code'] = $result;
        $result_info['company_id'] = $view->getCompanyId();
        //$result 1:VKo^  2:XV  -4:d
        echo json_encode($result_info);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * ]ƈo^
     *
     * Tv
     *
     * ]ƈo^s
     *
     */
    function executeRequestSavePersonalEmployee(){
        //table PersonalEmployee
        $view = PersonalEmployeeView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalId($this->personal_id);
        $view->setCompanyId($this->company_id);
        $view->setEmpMail($this->mail);
        $view->setTelIn($this->tel);

        $result = auroraService::getInstance('PersonalService')->_savePersonalEmployee($view);

        $result_info = array();
        $result_info['r_code'] = $result;
        //$result 1:VKo^  2:XV  -4:d
        echo json_encode($result_info);
        return PW_TERMINATE_PROCESS;
    }

    /**
     * Sҏo^
     *
     * Tv
     *
     * Sҏo^s
     *
     */
    function executeRequestSaveTanto(){
        //table PersonalEmployee
        $view = TantoView::getInstance();
        $view->setUserCompanyId(USER_COMPANY_ID);
        $view->setPersonalId($this->personal_id);

        $result = auroraService::getInstance('MstTantoService')->createTanto($view);

        $result_info = array();
        $result_info['r_code'] = $result;
        $result_info['tanto_id'] = $view->getTantoId();
        //$result 1:VKo^  2:XV  -4:d
        echo json_encode($result_info);
        return PW_TERMINATE_PROCESS;
    }

}
?>
