<?php
/**
 * account controller class.
 *
 * @author    Y.Shimizu <shimizu@exbridge.jp> 2007/12/11
 *            S.Tajima <tajima@exbridge.jp> 2008/08/25
 * @version   svn:$Id: accountController.php 8143 2008-09-15 04:14:47Z tajima $
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class accountController extends xbeCoreCommonController {

    var $_display_name = TL_MYACCOUN;

    var $_pw_layout_template = 'top';

    var $_pw_css = array('css/core.css', 'css/user.css');

    var $_pw_jscript = array(
                        'js/ext/jquery/jquery.js',
                        'js/interface.js',
                        'js/xbeJquery.js',
                        'js/validation.js',
                        'js/logon/account.js'); //Jscript

    /**
     * デフォルト呼出
     *
     * Myアカウント画面表示へフォワードする
     *
     */
    function executeDefault() {
        if ($this->authenticated) {
            $this->user_cd      = $this->logon_user_cd;
            $this->personal_id  = $this->logon_personal_id;
            $this->user_nm      = $this->logon_user_nm;
            $this->sec_level    = $this->logon_sec_level;
            $this->mail         = $this->logon_mail;
        }
        else {
            //未認証時は認証画面へ
            $this->redirectToPath(R_LOGON_HOME);
        }
        if ($this->result == '1') {
            $this->_result  = R_SUCCESS;
            $this->_message = I_CHANGE_PASSWORD;
        }
        $this->forward('ShowAccount');
    }

    /**
     * アカウント登録処理
     *
     * アカウント登録を行い、結果によって画面遷移を行う
     *
     */
    function executeRequestAccountSave() {
        //リクエストを取得する
        $user_company_id = $this->user_company_id;
        $personal_id     = $this->personal_id;
        $user_nm         = $this->user_nm;
        $user_cd         = $this->user_cd;
        $password        = $this->password;
        $mail            = $this->mail;
        $sec_level       = $this->sec_level;
        $hash            = $this->hash;
        $project_from    = $this->logon_project_from;

        if(isNULL($sec_level)) {
            //ヘリオス未承認ユーザー
            $sec_level = AuthService::IN_ACTIVE;
        }
        $requestUrl = CORE_AURORA_URL . 'xbeWebLogon.php?action=RequestUserSave';
        $requestUrl .= (isNULL($user_company_id))?null:'&user_company_id=' . $user_company_id;
        $requestUrl .= (isNULL($personal_id))?null:'&personal_id=' . $personal_id;
        $requestUrl .= (isNULL($user_cd))?null:'&user_cd=' . $user_cd;
        $requestUrl .= (isNULL($password))?null:'&user_pw=' . $password;
        $requestUrl .= (isNULL($user_nm))?null:'&user_nm=' . urlencode($user_nm);
        $requestUrl .= (isNULL($mail))?null:'&email=' . urlencode($mail);
        $requestUrl .= (isNULL($sec_level))?null:'&sec_level=' . $sec_level;
        debugLog( 'request url[' . $requestUrl . ']', __CLASS__, __FILE__, __LINE__);
        $result = get_url_contents($requestUrl);

        $this->_result  = $result;
        switch ($result) {
            case R_SUCCESS_INSERT:
                $this->_message = I_SAVE_USER_SUCCESS;
                break;
            case R_SUCCESS_UPDATE:
                $this->_message = I_UPDATE_USER_SUCCESS;
                //更新の場合はユーザー情報をセッションにセット
                $userInfo = array();
                $userInfo['user_company_id'] = $user_company_id;
                $userInfo['user_cd'] = $user_cd;
                $userInfo['personal_id'] = $personal_id;
                $userInfo['hash'] = $hash;
                $userInfo['user_nm'] = $user_nm;
                $userInfo['mail'] = $mail;
                $userInfo['sec_level'] = $sec_level;
                $userInfo['ical_file'] = $ical_file;
                $userInfo['project_from'] = $project_from;
                $this->_signIn($userInfo);
                break;
            case R_ERROR_DUPL:
                $this->_message = E_DUPLICATE_USER_MAIL;
                break;
            default:
                $this->_message = E_UNKNOWN;
                break;
        }
        $this->forward('ShowAccount');
    }

    /**
     * ログオン画面表示
     *
     */
    function executeShowAccount() {
        return $this->render('logon/account');
    }
}
