<?php
/**
 * deletion controller class.
 *
 * @author    Y.Shimizu <shimizu@exbridge.jp> 2007/12/11
 *            S.Tajima <tajima@exbridge.jp> 2008/08/25
 * @version   svn:$Id: deletionController.php 7900 2008-08-31 23:26:13Z tajima $
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class deletionController extends xbeCoreCommonController {

    var $_display_name       = TL_DELETION;

    var $_pw_layout_template = 'top';

    var $_pw_css = array('css/core.css', 'css/user.css');

    var $_pw_jscript = array(
                        'js/ext/jquery/jquery.js',
                        'js/interface.js',
                        'js/xbeJquery.js',
                        'js/validation.js',
                        'js/logon/deletion.js'); //Jscript

    /**
     * デフォルト呼出
     *
     * ユーザー削除画面表示へフォワードする
     *
     */
    function executeDefault() {
        if (!$this->authenticated) {
            //ログオン画面へ移動
            $this->redirectToPath(R_LOGON_HOME);
        }
        $this->forward('ShowDeletion');
    }

    /**
     * ログオン処理
     *
     * ユーザー認証を行い、結果によって画面遷移を行う
     *
     */
    function executeRequestDeletionDelete() {
        //リクエストを取得する
        $user_company_id = $this->user_company_id;
        $personal_id     = $this->personal_id;
        $user_cd         = $this->user_cd;
        $password        = $this->password;

        //削除実行
        $requestUrl = CORE_AURORA_URL . 'xbeWebLogon.php?action=RequestUserDelete';
        $requestUrl .= (isNULL($user_company_id))?null:'&user_company_id=' . $user_company_id;
        $requestUrl .= (isNULL($password))?null:'&personal_id=' . $personal_id;
        $requestUrl .= (isNULL($user_cd))?null:'&user_cd=' . $user_cd;
        $requestUrl .= (isNULL($password))?null:'&user_pw=' . $password;
        debugLog( 'request url[' . $requestUrl . ']', __CLASS__, __FILE__, __LINE__);
        $result = get_url_contents($requestUrl);

        $this->_result  = $result;
        switch ($result) {
            case R_SUCCESS_UPDATE:
                $this->_signOut();
                $this->redirectToPath(R_LOGON_HOME, array('delete' => '1'));
                break;
            case R_ERROR:
                $this->_message = E_DELETE_USER_FAILED;
                $this->forward('ShowDeletion');
                break;
            default:
                $this->_message = E_UNKNOWN;
                $this->forward('ShowDeletion');
                break;
        }
    }

    /**
     * 削除画面表示
     *
     */
    function executeShowDeletion() {
        return $this->render('logon/deletion');
    }
}
