<?php
/*
 * This file is part of HELIOS.PetitForm
 * (c) 2007-2008 Exbridge,inc. <info@exbridge.jp>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * お問合せ一覧
 *
 * @copyright 2008- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 * @package   HELIOS.PetitForm
 * @version   svn:$Id: requestListController.php 9238 2008-10-23 02:04:31Z hatanaka $
 */
class requestListController extends xbeHeliosPetitFormController {

    var $_display_name  = T_REQUEST_LIST; //画面名
    var $_sv;
    var $_vo;

    /**
     * 初期処理
     */
    function init(){
        parent::init();

        $this->_sv = & xbpwContext::getService('requestForm');
        $this->_vo = $this->_sv->getValueObject();
        $this->_vo->user_company_id = $this->user_company_id;
    }

    /**
     * デフォルト呼出
     */
    function executeDefault() {
        $this->forward('Show');
    }

    /**
     * 検索
     */
    function executeRequestSearch() {
        $this->_vo->company_nm              = $this->company_nm;
        $this->_vo->personal_nm             = $this->personal_nm;
        $this->_vo->client_kb_list          = $this->client_kb_list;
        $this->_vo->request                 = $this->request;
        $this->_vo->request_date_from_yyyy  = $this->request_date_from_yyyy;
        $this->_vo->request_date_from_mm    = $this->request_date_from_mm;
        $this->_vo->request_date_from_dd    = $this->request_date_from_dd;
        $this->_vo->request_date_to_yyyy    = $this->request_date_to_yyyy;
        $this->_vo->request_date_to_mm      = $this->request_date_to_mm;
        $this->_vo->request_date_to_dd      = $this->request_date_to_dd;

        if (strlen($this->request_date_from) == 8) {
            $this->_vo->request_date_from = formatYmdHmsWriter($this->request_date_from . '000000');
        }
        if (strlen($this->request_date_to) == 8) {
            $this->_vo->request_date_to = formatYmdHmsWriter($this->request_date_to . '235959');
        }

        $this->_vo->answer_status_kb_list = $this->answer_status_kb_list;

        $this->setSession('_search_param', serialize($this->_vo));

        $this->redirectTo('Show');
    }

    /**
     * 削除
     */
    function executeRequestDelete() {
        $this->_vo->request_id_list  = $this->request_id_list;

        $r_code = $this->_sv->deleteRequestList($this->_vo);

        $result['r_code']    = $r_code;
        if ($r_code === R_SUCCESS_DESTROY) {
            $result['r_message'] = I_DB_04;
        }
        else {
            $result['r_message'] = E_DB_99;
        }

        $this->setSession('_result', $result);

        $this->redirectTo('Show');
    }

    /**
     * 画面表示
     */
    function executeShow() {
        $vo = unserialize($this->getSession('_search_param'));

        if ($vo !== false) {
            $vo->page_id = (isNULL($this->page_id)) ? 1 : $this->page_id;

            $this->_sv->getRequestList($vo);
            $this->synchronize($vo);
        }

        $this->routing = R_REQUEST_SHOW;

        $this->render('admin/request_list');
    }
}
