<?php
/**
 * iFormConfirmController class.
 *
 * @author    Liucheng<liucheng@exbridge.jp> 2008/10/16
 * @copyright 2008- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 * @version svn:$Id: iFormConfirmController.php 9257 2008-10-23 09:36:57Z hatanaka $
 */
class iFormConfirmController extends xbeHeliosPetitFormController {

    var $_pw_layout_template = 'interface'; //テンプレート

    //変数定義
    var $_display_name = T_IFORM_CONFIRM;

    /**
     * 初期処理
     *
     * コントローラー初期処理
     *
     */
    function init() {
        //session start
        if(session_name() != PW_SESSION_NAME){
            session_name(PW_SESSION_NAME);
        }
        if (!isNULL($this->oid)) {
            session_id($this->oid);
        }
        session_start();
    }

    /**
     * デフォルト呼出
     *
     * お問い合わせ確認表示画面へフォワードする
     *
     */
    function executeDefault() {
        $inputArray = array();
        $inputArray = $this->getSession('_input');
        if(0 != count($inputArray)){
            foreach ($inputArray as $key => $val) {
                $this->$key = $val;
            }
        }

        $this->forward('Show');
    }

    /**
     * お問い合わせ確認処理
     *
     * お問い合わせ確認
     *
     */
    function executeRequestSend() {
        $inputArray = array();
        $inputArray = $this->getSession('_input');
        if(0 != count($inputArray)){
            foreach ($inputArray as $key => $val) {
                $this->$key = $val;
            }

            $sv = & xbpwContext::getService('requestForm');
            $vo = $sv->getValueObject();
            $vo->user_company_id = USER_COMPANY_ID;
            $vo->client_kb       = $this->client_kb;
            $vo->company_nm      = $this->company_nm;
            $vo->company_kn      = $this->company_kn;
            $vo->personal_nm     = $this->personal_nm;
            $vo->personal_kn     = $this->personal_kn;
            $vo->organization_nm = $this->organization_nm;
            $vo->official_nm     = $this->official_nm;
            $vo->zipcode         = $this->zipcode;
            $vo->address1        = $this->address1;
            $vo->address2        = $this->address2;
            $vo->address3        = $this->address3;
            $vo->address4        = $this->address4;
            $vo->zipcode         = $this->zipcode;
            $vo->tel             = $this->tel;
            $vo->mail            = $this->mail;
            $vo->url             = $this->url;
            $vo->request         = $this->request;

            //個人情報登録 (同じメールアドレスの場合は更新)
            $result = $sv->savePersonal($vo);
            //個人情報登録失敗場合
            if(isNULL($vo->personal_id)){
                $this->executeSendMail($vo, "個人情報登録");
                $this->setSession('_input', null);
                $this->redirectToPath(R_IFORM_COMPLETE);
                return PW_TERMINATE_PROCESS;
            }

            //法人の場合
            if('2' == $this->client_kb){
                //会社情報登録
                $result = $sv->saveCompany($vo);
                //会社情報登録失敗場合
                if($result!=R_SUCCESS_INSERT || isNULL($vo->company_id)){
                    $this->executeSendMail($vo, "会社情報登録");
                    $this->setSession('_input', null);
                    $this->redirectToPath(R_IFORM_COMPLETE);
                    return PW_TERMINATE_PROCESS;
                }

                //従業員情報登録
                $result = $sv->savePersonalEmployee($vo);
                if($result!=R_SUCCESS_INSERT){
                    $this->executeSendMail($vo, "従業員情報登録");
                    $this->setSession('_input', null);
                    $this->redirectToPath(R_IFORM_COMPLETE);
                    return PW_TERMINATE_PROCESS;
                }

                //担当者情報登録
                $result = $sv->saveTanto($vo);
                //担当者情報登録失敗場合
                if($result!=R_SUCCESS_INSERT || isNULL($vo->tanto_id)){
                    $this->executeSendMail($vo, "担当者情報登録");
                    $this->setSession('_input', null);
                    $this->redirectToPath(R_IFORM_COMPLETE);
                    return PW_TERMINATE_PROCESS;
                }
            }

            //お問い合わせ情報登録
            $vo->answer_status_kb = ANSWERSTATUSKB_NONE;
            $result = $sv->saveRequest($vo);
            if($result!=R_SUCCESS_INSERT){
                $this->executeSendMail($vo, "お問い合わせ情報登録");
                $this->setSession('_input', null);
                $this->redirectToPath(R_IFORM_COMPLETE);
                return PW_TERMINATE_PROCESS;
            }

            //送信
            $this->executeSendMail($vo, null);

            $this->setSession('_input', null);
            $this->redirectToPath(R_IFORM_COMPLETE);
        }else{
            $this->redirectToPath(R_IFORM);
        }
    }

    /**
     * お問い合わせ確認画面呼出
     *
     * お問い合わせ確認画面を表示する
     *
     */
    function executeShow() {
        return $this->render('interface/form_confirm');
    }

    function executeSendMail($vo, $dbErr = null){

        $sv = & xbpwContext::getService('requestForm');
        //管理者に受付完了メールを送る
        $vo_send = $sv->getValueObject();
        $vo_send->to_mail_info_list[] = MAIL_FROM;
        $vo_send->from_mail_info      = MAIL_FROM;
        $vo_send->subject             = I_ADMIN_MAIL_TITLE;
        if($dbErr!=null){
            $vo_send->subject        .= sprintf(I_ADMIN_MAIL_DB_ERR, $dbErr);
        }

        $body_str_arr = array();
        $body_str_arr[] = B_CORPORATION_PERSONAL;
        $body_str_arr[] = '  ' . (('1'==$vo->client_kb)?B_PERSONAL:B_CORPORATION);
        $body_str_arr[] = CL_COMPANY;
        $body_str_arr[] = '  ' . $vo->company_nm;
        $body_str_arr[] = CL_COMPANY . B_NAME_KN;
        $body_str_arr[] = '  ' . $vo->company_kn;
        $body_str_arr[] = B_NAME;
        $body_str_arr[] = '  ' . $vo->personal_nm;
        $body_str_arr[] = B_NAME . B_NAME_KN;
        $body_str_arr[] = '  ' . $vo->personal_kn;
        $body_str_arr[] = CL_ORGANIZATION_NM;
        $body_str_arr[] = '  ' . $vo->organization_nm;
        $body_str_arr[] = CL_OFFICIAL_NAME;
        $body_str_arr[] = '  ' . $vo->official_nm;
        $body_str_arr[] = CL_ZIP;
        $body_str_arr[] = '  ' . $vo->zipcode;
        $body_str_arr[] = CL_STATE;
        $body_str_arr[] = '  ' . $vo->address1;
        $body_str_arr[] = CL_CITY;
        $body_str_arr[] = '  ' . $vo->address2;
        $body_str_arr[] = CL_DISTRICT;
        $body_str_arr[] = '  ' . $vo->address3;
        $body_str_arr[] = CL_STREET;
        $body_str_arr[] = '  ' . $vo->address4;
        $body_str_arr[] = CL_TEL;
        $body_str_arr[] = '  ' . $vo->tel;
        $body_str_arr[] = CL_MAIL;
        $body_str_arr[] = '  ' . $vo->mail;
        $body_str_arr[] = CL_URL;
        $body_str_arr[] = '  ' . $vo->url;
        $body_str_arr[] = CL_IDEA;
        $body_str_arr[] = $vo->request;
        $vo_send->body = implode("\n", $body_str_arr);

        $result_info = $sv->send($vo_send);
        if (is_array($result_info)) {
            $result_info['r_code'] = R_ERROR;
            $result_info['r_message'] = mb_convert_encoding($result_info['r_message'], PW_ENCODE, 'auto');
            //セッションにメッセージを保存してリダイレクト
            $this->setSession('_result', $result_info);

            $this->forward('Show');
            return PW_TERMINATE_PROCESS;
        }

        //問合せ者にメールを送る
        $vo_send = $sv->getValueObject();
        $vo_send->to_mail_info_list[] = $vo->mail;
        $vo_send->from_mail_info      = MAIL_FROM;
        $vo_send->subject             = I_GEUST_MAIL_TITLE;

        $vo_send->body                = I_GEUST_MAIL_BODY;
        $vo_send->body               .= "\n\n" . I_GEUST_MAIL_BODY_EXP;
        $vo_send->body               .= "\n\n>" . str_replace("\n", "\n>", $vo->request);

        $result_info = $sv->send($vo_send);
        if (is_array($result_info)) {
            $result_info['r_code'] = R_ERROR;
            $result_info['r_message'] = mb_convert_encoding($result_info['r_message'], PW_ENCODE, 'auto');
            //セッションにメッセージを保存してリダイレクト
            $this->setSession('_result', $result_info);

            $this->forward('Show');
            return PW_TERMINATE_PROCESS;
        }

    }

}
?>
