<?php
/**
 * xbeAuroraCommonController controller class.
 *
 * @author    S.Tajima <tajima@exbridge.jp> 2007/11/06
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
require_once('xbeCommonController.php');
class xbeAuroraCommonController extends xbeCommonController {

    var $_pw_css     = array('css/tab/tabs.css',
                             'css/tab/tabs-ie.css',
                             'css/blueprint/screen.css',
                             'css/blueprint/lib/ie.css'); //CSS

    var $_pw_jscript = array(
                             'js/ext/adapter/jquery/jquery.js',
                             'js/ext/adapter/jquery/jquery.bgiframe.js',
                             'js/ext/adapter/jquery/datePicker/jquery.datePicker.js',
                             'js/ext/adapter/jquery/datePicker/date.js',
                             'js/ext/adapter/jquery/jquery.dimensions.js',
                             'js/ext/adapter/jquery/ui/ui.mouse.js',
                             'js/ext/adapter/jquery/ui/ui.draggable.js',
                             'js/ext/adapter/jquery/ui/ui.draggable.ext.js',
                             'js/pwlib.js',
                             'js/json2.js',
                             'js/ie_methods.js',
                             'js/validation.js',
                             'js/xbJScript.js'); //Jscript

    var $uSecurity;

    var $_sub_window_info = array();   //サブwindow用template

    /**
     * initialize
     *
     */
    function init($class){
        //サービスクラスのロード
        load_service();

        //session start
        if(session_name() != PW_SESSION_NAME){
            session_name(PW_SESSION_NAME);
        }
        session_start();

        parent::init();

        $user = xbpwContext::getUser();
        $this->uSecurity = $user->getUserParameter(SESSION_AURORA_USER_MANAGER);

        //ログオン画面以外は認証されていないとＮＧ
        if ($class != 'uamLogonController') {
            ///例）xbe_aurora/uam_user.php の uam_user.phpを取得
            $result = preg_match('/([^\/]+\.php)/i', $_SERVER['REQUEST_URI'], $matches);
            $function_cd = $matches[1];

            if (!$this->uSecurity->isCredential($function_cd)) {
                //-16はReportControllerの長さ
                if("ReportController"==substr($class, -16)){

                    $this->setSession(V_LOGON_SECURITY, '1');
                    echo R_SUCCESS;
                    return PW_TERMINATE_PROCESS;
                }else{
                    $this->redirectToUrl(xbUtil::getRedirectURL('accessDeny.php'));
                }
            }

            //if (!$this->uSecurity->isAuthenticated($userCd, $hash)) {
            //    $tmpUri = $_SESSION[REQURI];
            //    if(!isset($tmpUri)){
            //        $_SESSION[REQURI] = $_SERVER['REQUEST_URI'];
            //    }
            //    $this->redirectToPath(XBEUAM_R_LOGON);
            //}
            //アクセス制限チェック
            //
            //uri取得
            $requestUri = $_SERVER['REQUEST_URI'];
            //アプリケーションのアクセス制限リスト取得
            $appsList = require(PW_ROOT_DIR . "/app/config/aurora/access/apps_list.php");
            //appのリストを取得
            $app_exists = false;
            foreach($appsList as $app_nm => $enable){
                if(strpos($requestUri, ALIAS . '/' . $app_nm)){
                    $app_exists = true;
                    if($enable == 'YES'){
                        break;
                    }
                    else{
                        //
                        $this->redirectToUrl(xbUtil::getRedirectURL('accessDeny.php'));
                    }
                }
            }
            //指定されたアドレスにアクセス制限の定義がされていない場合。
            if(!$app_exists){
                //$this->redirectToUrl(xbUtil::getRedirectURL('accessDeny.php'));
            }
        }
    }

    /**
     * 結果情報のセット
     * param : リターンコード
     * param : 表示用メッセージ
     */
    function set_result_infomation($r_code, $r_message){
        $this->setSession(XBE_AURORA_COMMON_SESSION_RESULT, array('r_code'=>$r_code, 'r_message'=>$r_message));
    }

    /**
     * popupの使用
     *
     */
    function use_popup($popup, $tnkType=null){
        //$this->_sub_window_info : array()
        $popup_info = $this->_sub_window_info;
        switch ($popup) {
            case POP_COMPANY:
                $popup_info['search_company.tpl'] = array('template' => 'search_company.tpl');
                break;
            case POP_ITEM:
                $popup_info['search_item.tpl'] = array('template' => 'search_item.tpl',
                                      'args'   => array()
                                   );
                break;
            case POP_ITEM_REGIST:
                $popup_info['regist_item.tpl'] = array('template' => 'regist_item.tpl',
                                      'args'   => array()
                                   );
                $popup_info['search_item.tpl'] = array('template' => 'search_item.tpl',
                                      'args'   => array()
                                   );
                $this->tnkType=$tnkType;
                break;
            case POP_PERSONAL:
                $popup_info['search_personal.tpl'] = array('template' => 'search_personal.tpl',
                                      'args'   => array()
                                   );
                break;
            case POP_PERSONAL_MAIL:
                $popup_info['search_personal_mail.tpl'] = array('template' => 'search_personal_mail.tpl',
                                      'args'   => array()
                                   );
                break;
            case POP_SEIKYU:
                $popup_info['search_seikyu.tpl'] = array('template' => 'search_seikyu.tpl',
                                      'args'   => array()
                                   );
                break;
            case POP_SIHARAI:
                $popup_info['search_siharai.tpl'] = array('template' => 'search_siharai.tpl',
                                      'args'   => array()
                                   );
                break;
            case POP_SIIRE:
                $popup_info['search_siire.tpl'] = array('template' => 'search_siire.tpl',
                                      'args'   => array()
                                   );
                break;
            case POP_TANTO:
                $popup_info['search_tanto.tpl'] = array('template' => 'search_tanto.tpl',
                                      'args'   => array()
                                   );
                break;
            case POP_TOKUI:
                $popup_info['search_tokui.tpl'] = array('template' => 'search_tokui.tpl',
                                      'args'   => array()
                                   );
                break;
        }
        $this->_sub_window_info = $popup_info;
    }

}
?>
