<?php
/*
 * This file is part of HELIOS.PetitForm
 * (c) 2007-2008 Exbridge,inc. <info@exbridge.jp>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * HELIOS.PetitForm　コンフィグ
 *
 * @copyright 2008- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 * @package   HELIOS.PetitForm
 * @version   svn:$Id: heliosPetitFormConfig.class.php 9184 2008-10-22 04:08:40Z shimizu $
 */
class heliosPetitFormConfig
{

    /**
     * 依頼者区分を取得
     *
     * @return  依頼者区分を取得
     */
    public static function getClientKb(){
        $list = get_code_list(CODEKB_1100);
        $code_list = array();
        foreach($list as $item){
            $code_list[$item['code']] = $item['code_nm'];
        }
        return $code_list;
    }

    /**
     * 対応状況を取得
     *
     * @return  対応状況を取得
     */
    public static function getAnswerStatus(){
        $list = get_code_list(CODEKB_1101);
        $code_list = array();
        foreach($list as $item){
            $code_list[$item['code']] = $item['code_nm'];
        }
        return $code_list;
    }

    /**
     * 会社取得 (会社ID-会社名の配列)
     *
     * @return  
     */
    public static function getCompany(){
        $requestUrl = AURORA_URL . 'xbeWebMaster.php?action=RequestCompanyList' . '&magic=' . AUTH_MAGIC;
        $data = get_url_contents($requestUrl);

        debugLog(__METHOD__ . "[requestURL]\n" . $requestUrl, __CLASS__, __FILE__, __LINE__);

        return json_decode($data, true);
    }

    /**
     * 個人取得 (個人ID-個人名の配列)
     *
     * @return  
     */
    public static function getPersonal(){
        $requestUrl = AURORA_URL . 'xbeWebMaster.php?action=RequestPersonalList' . '&magic=' . AUTH_MAGIC;
        $data = get_url_contents($requestUrl);
        debugLog(__METHOD__ . "[requestURL]\n" . $requestUrl, __CLASS__, __FILE__, __LINE__);

        return json_decode($data, true);
    }

}
?>