<?php
/**
 * xbeUamUserController controller class.
 *
 * @author    S.Tajima <tajima@exbridge.jp> 2007/12/13
 * @copyright 2007- EXBRIDGE,Inc. All Rights Reserved.
 * @link      http://exbridge.jp/
 */
class xbeAuroraUamController extends xbeAuroraCommonController {

    var $_function_name = TTL_UAM;      //機能名
    var $_header_image  = IMG_MODULE_UAM;//モジュール用画像

    /**
     * 初期処理
     *
     * コントローラー初期処理
     *
     */
    function init($class) {
        load_app('uam');
        load_app('mst');
        load_view('User', 'common');
        load_view('Organization', 'xbrg_mst');
        parent::init($class);

        //遷移元特定
        $from = $this->getSession(FROM);
        $this->setSession(FROM, null);
        if ($from == 'uamUserListController') {
            $this->location = XBEUAM_R_USERLIST;
        }
        else {
            if ($class == 'uamUserController') {
                $this->location = XBEUAM_R_USER;
            }
        }
    }

    /**
     * 入力チェック処理
     *
     * 画面の入力項目のチェックを行う
     *
     */
    function _requestCheck() {
        $this->view->userCompanyId      = $this->userCompanyId;
        $this->view->oldUserCd          = $this->oldUserCd;
        $this->view->userCd             = $this->userCd;
        $this->view->personalId         = $this->personalId;
        $this->view->userKn             = $this->userKn;
        $this->view->userNm             = $this->userNm;
        $this->view->passwd             = $this->passwd;
        $this->view->mail               = $this->mail;
        $this->view->authUser           = $this->authUser;
        $this->view->authPass           = $this->authPass;
        $this->view->authMethod         = $this->authMethod;
        $this->view->authGroupId        = $this->authGroupId;
        $this->view->activate           = $this->activate;
        //入力チェック
        if ($this->view->isValid()) {
            $this->setSession(V_LOGON, $this->view);
        }
        else {
            echo $this->view->message;
        }
    }

    /**
     * ユーザー登録／更新処理
     *
     * 画面の入力項目でユーザーの登録／更新処理を行う
     *
     */
    function _requestSave() {
        $this->view = $this->getSession(V_LOGON);

        //登録実行
        $r_code = null;

        $r_code = auroraService::getInstance('MstUserService')->saveUser($this->view);

        $this->view = UserView::getInstance();
        if ($r_code == R_SUCCESS_INSERT) {
            $r_message = I_DB_01;
        }
        else if ($r_code == R_SUCCESS_UPDATE) {
            $r_message = I_DB_02;
        }
        else if ($r_code == R_ERROR_DUPL) {
            $r_message = E_USER_CD;
            //return PW_TERMINATE_PROCESS;
        }
        else if ($r_code == R_ERROR_DUPL_MAIL) {
            $r_message = E_MAIL;
            //return PW_TERMINATE_PROCESS;
        }else{
            $r_message = E_UNKNOWN;
        }

        //結果情報セット
        $this->set_result_infomation($r_code, $r_message);

        //本人更新の場合は登録内容をセッションに保存
        $logonPersonalId = $this->view->logonPersonalId;
        $personalId      = $this->view->personalId;
        if ($logonPersonalId == $personalId) {
            //セッションに保存
            $this->uSecurity->signIn($this->view);
            $user = xbpwContext::getUser();
            $user->setUserParameter(SESSION_AURORA_USER_MANAGER, $this->uSecurity);
            xbpwContext::setUser($user);
        }

        return "NONE";
    }
}
?>
