<?php
/**
 * function coreUtils
 *
 * PHP versions 4 and 5
 *
 * @author     Shiro Tajima <tajima@exbridge.jp>
 * @copyright  2007- Exbridge,inc.
 * @version    svn:$Id: function.coreUtils.php 9198 2008-10-22 04:28:16Z shimizu $
 */

//関数が重複するため、静的クラスメソッドライブラリとして対応
class coreUtil {

    /**
     * Service関連クラスローダー
     *
     */
    public static function load_service() {
        require_once(XBE_LIBS_DIR . '/xb.library/factory/auroraService.class.php');
        require_once(XBE_LIBS_DIR . '/xb.library/factory/auroraValueObject.class.php');
    }

    /**
     * application関連クラスローダー
     *
     */
    public static function load_app($app = null) {
        if (!isNULL($app)) {
            if (file_exists(PW_ROOT_DIR . "/app/config/core/language/" . $app . ".language.ja.inc")) {
                require_once(PW_ROOT_DIR . "/app/config/core/language/" . $app . ".language.ja.inc");
            }
            if (file_exists(PW_ROOT_DIR . "/app/config/core/routing/" . $app . ".routing.inc")) {
                require_once(PW_ROOT_DIR . "/app/config/core/routing/" . $app . ".routing.inc");
            }
        }
    }

    /**
     * view関連クラスローダー
     *
     */
    public static function load_view($view, $app = null) {
        if (!isNULL($app)) {
            require_once(XBE_LIBS_DIR . '/xb.library/validator/xbCommonValidate.class.php');
            require_once(XBE_LIBS_DIR . '/xb.library/view/xbBaseView.class.php');
            require_once(XBE_LIBS_DIR . '/xb.library/view/xbCommonView.class.php');
            require_once(XBE_LIBS_DIR . '/xb.library/view/xbPrintView.class.php');
            require_once(XBE_LIBS_DIR . '/xb.library/view/xbTestView.class.php');
            //detail
            if(!class_exists($view.'DetailView')){
                $file = XBE_LIBS_DIR . "/xb.views/" . $app . "/" . $view . "DetailView.class.php";
                if(file_exists($file)){
                    require_once($file);
                }
            }
            //item
            if(!class_exists($view.'ItemView')){
                $file = XBE_LIBS_DIR . "/xb.views/" . $app . "/" . $view . "ItemView.class.php";
                if(file_exists($file)){
                    require_once ($file);
                }
            }
            require_once(XBE_LIBS_DIR . '/xb.views/' . $app . '/' . $view . 'View.class.php');
            //list
            if(!class_exists($view.'ListView')){
                $file = XBE_LIBS_DIR . "/xb.views/" . $app . "/" . $view . "ListView.class.php";
                if(file_exists($file)){
                    require_once($file);
                }
            }
        }
    }

    /**
     * ユーザー情報生成
     *
     */
    public static function generate_user_info($product) {
        $user = & xbpwContext::getUser();
        if (!$user->isAuthenticated()) {
            $html = array ();
            $html[] = "<div id='logon_info'>";
            $html[] = "<a id=logon href='" . CORE_LOGON . "'>" . CL_LOGON ."</a> ";
            $html[] = "</div>";
            return implode(chr(10), $html);
        }

        $oid          = $user->getUserParameter(SESSION_OID);
        $user_nm      = $user->getUserParameter(SESSION_LOGON_USER_NM);
        $mail         = $user->getUserParameter(SESSION_LOGON_MAIL);
        $sec_level    = $user->getUserParameter(SESSION_LOGON_SEC_LEVEL);
        $project_from = $user->getUserParameter(SESSION_LOGON_PROJECT_FROM);

        if (!isNULL($mail)) {
            $user_nm .= '【' . $mail . '】';
        }

        $project_list = array();
        $logon_url_list = array();
        if (CORE_AURORA_ENABLED && !($product==XBE_PRODUCT_AURORA)) {
            $project_list[CORE_AURORA_PRODUCT] = CORE_AURORA_TOP;
            $logon_url_list[CORE_AURORA_PRODUCT] = CORE_AURORA_URL . 'core/logon.php';
        }
        if (CORE_HELIOS_PORTAL_ENABLED && !($product==XBE_PRODUCT_HELIOS_PORTAL)) {
            $project_list[CORE_HELIOS_PORTAL_PRODUCT] = CORE_HELIOS_PORTAL_TOP;
            $logon_url_list[CORE_HELIOS_PORTAL_PRODUCT] = CORE_HELIOS_PORTAL_URL . 'core/logon.php';
        }
        if (CORE_HELIOS_COTV_ENABLED && !($product==XBE_PRODUCT_HELIOS_COTV)) {
            $project_list[CORE_HELIOS_COTV_PRODUCT] = CORE_HELIOS_COTV_TOP;
            $logon_url_list[CORE_HELIOS_COTV_PRODUCT] = CORE_HELIOS_COTV_URL . 'core/logon.php';
        }
        if (CORE_SELENE_XMS_ENABLED && !($product==XBE_PRODUCT_SELENE_XMS)) {
            $project_list[CORE_SELENE_XMS_PRODUCT] = CORE_SELENE_XMS_TOP;
            $logon_url_list[CORE_SELENE_XMS_PRODUCT] = CORE_SELENE_XMS_URL . 'core/logon.php';
        }
        if (CORE_SELENE_WORK_ENABLED && !($product==XBE_PRODUCT_SELENE_WORK)) {
            $project_list[CORE_SELENE_WORK_PRODUCT] = CORE_SELENE_WORK_TOP;
            $logon_url_list[CORE_SELENE_WORK_PRODUCT] = CORE_SELENE_WORK_URL . 'core/logon.php';
        }
        if (CORE_EG3_BO_ENABLED && !($product==XBE_PRODUCT_EG3_BO)) {
            $project_list[CORE_EG3_BO_PRODUCT] = CORE_EG3_BO_TOP;
            $logon_url_list[CORE_EG3_BO_PRODUCT] = CORE_EG3_BO_URL . 'core/logon.php';
        }
        if (CORE_HELIOS_PETITFORM_ENABLED && !($product==XBE_PRODUCT_HELIOS_PETITFORM)) {
            $project_list[CORE_HELIOS_PETITFORM_PRODUCT] = CORE_HELIOS_PETITFORM_TOP;
            $logon_url_list[CORE_HELIOS_PETITFORM_PRODUCT] = CORE_HELIOS_PETITFORM_URL . 'core/logon.php';
        }

        if (!isNULL($project_from)) {
            $prj = null;
            if ($project_from == XBE_PRODUCT_AURORA) {
                $prj = CORE_AURORA_PRODUCT;
            }
            else if ($project_from == XBE_PRODUCT_HELIOS_PORTAL) {
                $prj = CORE_HELIOS_PORTAL_PRODUCT;
            }
            else if ($project_from == XBE_PRODUCT_HELIOS_COTV) {
                $prj = CORE_HELIOS_COTV_PRODUCT;
            }
            else if ($project_from == XBE_PRODUCT_SELENE_XMS) {
                $prj = CORE_SELENE_XMS_PRODUCT;
            }
            else if ($project_from == XBE_PRODUCT_SELENE_WORK) {
                $prj = CORE_SELENE_WORK_PRODUCT;
            }
            else if ($project_from == XBE_PRODUCT_EG3_BO) {
                $prj = CORE_EG3_BO_PRODUCT;
            }
        }

        switch (CORE_BASE_APPLICATION) {
            case XBE_PRODUCT_AURORA:
                break;
            default:
                $url_admin = CORE_AURORA_TOP;
                unset($project_list[CORE_AURORA_PRODUCT]);
                break;
        }

        $html = array ();
        $html[] = "<div id='logon_info'>";
        $html[] = "<span>" . $user_nm . "</span> | ";
        $html[] = "<a id='logoff' href='" . CORE_RELAY_URL . '?url=' . CORE_LOGOFF . "'>" . CL_LOGOFF ."</a> | ";
        $html[] = "<a href='" . CORE_RELAY_URL . '?url=' . CORE_MYACCOUNT ."'>" . CL_MYACCOUNT . "</a>";
        foreach ($project_list as $key=>$val) {
            $html[] = " | <a href='" . CORE_RELAY_URL . '?oid=' . $oid . '&logon=' . $logon_url_list[$key] . '&url=' . $val . "'>" . $key . "</a>";
        }
        if(!(CORE_BASE_APPLICATION==XBE_PRODUCT_AURORA) && ($sec_level=='0' || $sec_level=='1')) {
            if ($product==XBE_PRODUCT_AURORA) {
                $html[] = " | <a href='" . $url_admin . "'>" . CL_ADMIN . "</a>";
            }
            else {
                $html[] = " | <a href='" . CORE_RELAY_URL . '?oid=' . $oid . '&logon=' . $logon_url_list[CORE_AURORA_PRODUCT] . '&url=' . $url_admin . "'>" . CL_ADMIN . "</a>";
            }
        }
        $html[] = "</div>";
        return implode(chr(10), $html);
    }

    /**
     * 各アプリケーションメニューの表示を行います
     *
     * param $product:システムの指定
     * param $flg_authenticated:認証の要不要フラグ true:要（デフォルト）false:不要（デフォルト）
     *
     */
    public static function generate_menu($product, $flg_authenticated = true) {
        $user = & xbpwContext::getUser();
        $manager = $user->getUserParameter(SESSION_AURORA_USER_MANAGER);
        if (!$user->isAuthenticated() && $flg_authenticated) {
            return null;
        }
        else {
            $logon_info_html = ($flg_authenticated)?coreUtil::generate_user_info($product):null;
        }
        $menuGenerator = xbMenuGenerator::getInstance();
        $menuGenerator->setSystem($product);
        $menuGenerator->setUserInfo($manager);
        return $logon_info_html . $menuGenerator->write();
    }
}
