<?php
/**
 * l Service component.
 *
 * lcomponents܂
 *
 * PHP versions 5
 *
 * @package     MstItemService
 * @author      liuCheng<liuch@mail.csoft.com.cn> 2006N306
 *              Shiro Tajima <tajima@exbridge.jp> 2007N1124 somfaΉ
 *  
 * @copyright   2006-2007 EXBRIDGE,Inc. All Rights Reserved.
 * @version     SVN : $Id
 * @link        http://exbridge.jp/
 * @see         Ȃ
 */
class CompanyService extends xbService {

    /**
     * Јꗗ\z
     *
     * @access private
     * @param  $view->user_company_id
     * @param  $view->frigana
     * @param  $view->search_condision
     * @data   $keys
     * @data   $vals
     * @data   $ords
     * @return integer
     */
    private function _createCriteria(& $view, & $keys, & $vals, & $ords) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        try {

            $_keys = array();
            $_vals = array();

            $_keys_az = array();
            $_vals_az = array();

            $_keys_ot  = array();
            $_vals_ot = array();


            //pID
            $_keys[] = 'user_company_id = ? ';
            $_vals[] = $view->getUserCompanyId();

            //tKi쐬
            $furigana = $view->getFrigana();
            $scon     = $view->getSearchCondision();
            $cnt      = count($scon);
            for ($i=0; $i<$cnt; $i++) {
                //katakana '\'Ή
                $tmp = rtrim($scon[$i], ' ');
                if (ccmIDs::NMFAZ == $furigana) {
                    $_keys_az[] = 'company_kn not like ? ';
                    $_vals_az[] = '%' . $tmp . '%';
                }
                else {
                    $_keys_ot[] = 'company_kn like ? ';
                    $_vals_ot[] = '%' . $tmp . '%';
                }
            }

            if (ccmIDs::NMFAZ == $furigana) {
                $_keys[] = " ((" . implode(" and ", $_keys_az) . ") or (company_kn is null)) ";
                $_vals = array_merge($_vals, $_vals_az);
            }
            else {
                $_keys[] = " (" . implode(" or ", $_keys_ot) . ") ";
                $_vals = array_merge($_vals, $_vals_ot);
            }

            $keys = implode(" and ", $_keys);
            $vals = $_vals;
            $ords = 'company_kn, company_nm, company_id';

            return R_SUCCESS;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch(Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Ќ\z
     *
     * @access private
     * @param  $view->user_company_id
     * @param  $view->company_nm
     * @param  $view->branch_nm
     * @param  $view->company_tel
     * @param  $view->company_address1~4
     * @data   $keys
     * @data   $vals
     * @data   $ords
     * @return integer
     */
    private function _createCriteriaSearch(& $view, & $keys, & $vals, & $ords) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        try {

            $_keys = array();
            $_vals = array();

            //pID
            $_keys[] = 'user_company_id = ? ';
            $_vals[] = $view->getUserCompanyId();

            //Ж
            if (!xbUtil::isNULL($view->getCompanyNm())) {
                $_keys[] = 'company_nm like ? ';
                $_vals[] = '%' . $view->getCompanyNm() . '%';
            }

            //xX
            if (!xbUtil::isNULL($view->getBranchNm())) {
                $_keys[] = 'branch_nm like ? ';
                $_vals[] = '%' . $view->getBranchNm() . '%';
            }

            //TEL
            if (!xbUtil::isNULL($view->getCompanyTel())) {
                $_keys[] = 'company_tel like ? ';
                $_vals[] = '%' . $view->getCompanyTel() . '%';
            }

            //Z
            if (!xbUtil::isNULL($view->getCompanyAddress())) {
                $_keys[] = 'company_address1 like ? or company_address2 like ? or company_address3 like ? or company_address4 like ?';
                $_vals[] = '%' . $view->getCompanyAddress() . '%';
                $_vals[] = '%' . $view->getCompanyAddress() . '%';
                $_vals[] = '%' . $view->getCompanyAddress() . '%';
                $_vals[] = '%' . $view->getCompanyAddress() . '%';
            }

            $keys = implode(" and ", $_keys);
            $vals = $_vals;
            $ords = 'company_kn, company_nm, company_id';

            return R_SUCCESS;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch(Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Јꗗ擾
     *
     * @access public
     * @param  $view->user_company_id
     * @return $view
     * @see    CompanylistView
     */
    public function getCompanyList(& $view){

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert(array('userCompanyId'), & $view)){
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //ݒ
            //--------------------------------------------------------------
            $keys = null;
            $vals = null;
            $ords = null;
            if (method_exists($view, 'getSearchCondision')) {
                $this->_createCriteria($view, $keys, $vals, $ords);
            }
            else {
                $this->_createCriteriaSearch($view, $keys, $vals, $ords);
            }

            //ǉ
            if (method_exists($view, 'getFrom')) {
                if($view->getFrom() != 'all'){
                    $keys   = $keys . ' and company_id <> ? ';
                    $vals[] = $view->getUserCompanyId();
                }
            }

            //--------------------------------------------------------------
            //
            //--------------------------------------------------------------
            $rs = $somfa->select('tbv_company_info',
                                 '*',
                                 $keys,
                                 $vals,
                                 $ords,
                                 null );

            $companyListView = $view;

            $detailArray = array();
            foreach ($rs as $item) {
                $companyListDetailView = CompanyListDetailView::getInstance();
                $companyListDetailView->setCompanyId($item['company_id']);
                $companyListDetailView->setCompanyNm($item['company_nm']);
                $companyListDetailView->setCompanyKn($item['company_kn']);
                $companyListDetailView->setBranchNm($item['branch_nm']);
                $companyListDetailView->setBranchKn($item['branch_kn']);
                $companyListDetailView->setUrl($item['company_url']);
                $companyListDetailView->setPresident($item['president']);
                $companyListDetailView->setZipcode($item['company_zipcode']);
                $companyListDetailView->setAddress($item['company_address1'] . $item['company_address2'] . $item['company_address3'] . $item['company_address4']);
                $companyListDetailView->setAddress1($item['company_address1']);
                $companyListDetailView->setAddress2($item['company_address2']);
                $companyListDetailView->setAddress3($item['company_address3']);
                $companyListDetailView->setAddress4($item['company_address4']);
                $companyListDetailView->setTel($item['company_tel']);
                $companyListDetailView->setMail($item['company_mail']);
                $companyListDetailView->setFax($item['company_fax']);
                $companyListDetailView->setYosinKin($item['yosin_kin']);
                $companyListDetailView->setStartDt($item['start_dt']);
                $companyListDetailView->setEndDt($item['end_dt']);
                $detailArray[$item['company_id']] = $companyListDetailView;
            }
            if (method_exists($view, 'getFrom')) {
                $this->_delCompanyList($view, $detailArray);
            }

            $companyListView->setCount(count($detailArray));
            $companyListView->setPageId($view->getPageId());

            if(!isNULL($view->getPageId())) {
                $fixList = array();

                $spos  = $companyListView->getPosition() - 1;
                $limit = $companyListView->getLimit();
                $fixList = array_slice($detailArray, $spos, $limit);

                $companyListView->setCompanyListDetailView($fixList);
            }
            else{
                $companyListView->setCompanyListDetailView($detailArray);
            }

            return $companyListView;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Ў擾
     *
     * @access public
     * @param  $view->user_company_id
     * @param  $view->company_id
     * @data   $view->*
     * @return $view
     */
    public function getCompany(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert(array('userCompanyId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //View̃CX^X
            //--------------------------------------------------------------
            $companyBaseView = $view;

            $keys = null;
            $values = array();
            
            if (!xbUtil::isNULL($view->getCompanyId())) {
                $keys = 'user_company_id = ? and company_id = ? ';
                $values = array($view->getUserCompanyId(), $view->getCompanyId());
            }
            else if (!xbUtil::isNULL($view->getTel())) {
                $keys = 'user_company_id = ? and company_tel = ? ';
                $values = array($view->getUserCompanyId(), $view->getTel());
            }
            else {
                return $view;
            }

            //--------------------------------------------------------------
            //l擾
            //--------------------------------------------------------------
            $rs = $somfa->select('tbv_company_info',
                                 '*',
                                 $keys,
                                 $values);
            foreach ($rs as $item) {
                $companyBaseView->setCompanyId($item['company_id']);
                $companyBaseView->setCompanyNm($item['company_nm']);
                $companyBaseView->setCompanyKn($item['company_kn']);
                $companyBaseView->setBranchNm($item['branch_nm']);
                $companyBaseView->setBranchKn($item['branch_kn']);
                $companyBaseView->setPresident($item['president']);
                $companyBaseView->setBusinessType($item['business_type']);
                $companyBaseView->setBondCode($item['bond_code']);
                $companyBaseView->setUrl($item['company_url']);
                $companyBaseView->setParentCompanyId($item['parent_company_id']);
                $companyBaseView->setParentCompanyNm($item['parent_company_nm']);
                $companyBaseView->setMail($item['company_mail']);
                $companyBaseView->setTel($item['company_tel']);
                $companyBaseView->setFax($item['company_fax']);
                $companyBaseView->setZipcode($item['company_zipcode']);
                $companyBaseView->setAddress1($item['company_address1']);
                $companyBaseView->setAddress2($item['company_address2']);
                $companyBaseView->setAddress3($item['company_address3']);
                $companyBaseView->setAddress4($item['company_address4']);
                $companyBaseView->setYosinKin($item['yosin_kin']);
                $companyBaseView->setStartDt($item['start_dt']);
                $companyBaseView->setEndDt($item['end_dt']);
                break;
            }
            return $companyBaseView;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Гo^^XV
     *
     * @access public
     * @param  $view->user_company_id
     * @param  $view->company_id
     * @param  $view->*
     * @return integer
     */
    public function saveCompany(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert(array('userCompanyId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //̔
            //--------------------------------------------------------------
            if (xbUtil::isNULL($view->getCompanyId())) {
                $view->setCompanyId($this->generateId(TBMCOMPANYBASE_ID));
            }

            //--------------------------------------------------------------
            //o^s
            //--------------------------------------------------------------
            $somfa->begin();
            //tbm_company_base
            $results = $this->_saveCompanyBase($view);
            if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                //tbm_company_address
                $results = $this->_saveCompanyAddress($view);
                if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                    $somfa->commit();
                }
            }
            return $results;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch(Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * lXg폜
     *
     * @access public
     * @param  $view->companyListDetailView
     * @return integer
     */
    public function deleteCompanyList(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //폜s
            //--------------------------------------------------------------
            $detailView = $view->getCompanyListDetailView();
            $detailCnt  = count($detailView);
            $delCount   = 0;

            $somfa->begin();
            foreach ($detailView as $v) {
                //폜`FbN擾
                $delChk = $v->getChecked();
                if ($delChk == '1') {
                    //폜s
                    $this->_deleteCompanyBase($v);
                    $delCount++;
                }
            }
            $somfa->commit();

            if ($delCount == 0) {
                return R_SUCCESS;
            } else {
                return R_SUCCESS_DELETE;
            }
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch(Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Њ{o^
     *
     * @access private
     * @param  $view->user_company_id
     * @param  $view->company_id
     * @param  $view->*
     * @return integer
     */
    private function _saveCompanyBase(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }
        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if(!$this->assert(array('userCompanyId', 'companyId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //}X^擾
            //--------------------------------------------------------------
            $old = $somfa->retrieveByPK('tbm_company_base',
                                        array('user_company_id' => $view->getUserCompanyId(),
                                              'company_id'      => $view->getCompanyId()));

            //--------------------------------------------------------------
            //o^p񐶐
            //--------------------------------------------------------------
            $data = array();
            $data['user_company_id'] = $view->getUserCompanyId();
            $data['company_id'] = $view->getCompanyId();
            if (method_exists($view, 'getCompanyNm')) {
                $data['company_nm'] = $view->getCompanyNm();
            }
            if (method_exists($view, 'getCompanyKn')) {
                $data['company_kn'] = $view->getCompanyKn();
            }
            if (method_exists($view, 'getBranchNm')) {
                $data['branch_nm'] = $view->getBranchNm();
            }
            if (method_exists($view, 'getBranchKn')) {
                $data['branch_kn'] = $view->getBranchKn();
            }
            if (method_exists($view, 'getPresident')) {
                $data['president'] = $view->getPresident();
            }
            if (method_exists($view, 'getBusinessType')) {
                $data['business_type'] = $view->getBusinessType();
            }
            if (method_exists($view, 'getBondCode')) {
                $data['bond_code'] = $view->getBondCode();
            }
            if (method_exists($view, 'getUrl')) {
                $data['url'] = $view->getUrl();
            }
            if (method_exists($view, 'getParentCompanyId')) {
                $data['parent_company_id'] = $view->getParentCompanyId();
            }
            if (method_exists($view, 'getParentCompanyNm')) {
                $data['parent_company_nm'] = $view->getParentCompanyNm();
            }
            if (method_exists($view, 'getMail')) {
                $data['mail'] = $view->getMail();
            }
            if (method_exists($view, 'getYosinKin')) {
                $data['yosin_kin'] = $view->getYosinKin();
            }
            if (method_exists($view, 'getStartDt')) {
                $data['start_dt'] = $view->getStartDt();
            }
            if (method_exists($view, 'getEndDt')) {
                $data['end_dt'] = $view->getEndDt();
            }
            $data['del_flg']     = DB_ENABLE;
            $data['add_date']    = is_array($old)?$old['add_date']:xbUtil::getTimestamp();
            $data['add_pgid']    = is_array($old)?$old['add_pgid']:__METHOD__;
            $data['add_user_cd'] = is_array($old)?$old['add_user_cd']:$view->getLogonUserCd();
            $data['upd_date']    = xbUtil::getTimestamp();
            $data['upd_pgid']    = __METHOD__;
            $data['upd_user_cd'] = $view->getLogonUserCd();

            //--------------------------------------------------------------
            //o^^XVs
            //--------------------------------------------------------------
            $somfa->begin();
            $results = $somfa->save('tbm_company_base', $data);
            if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                $somfa->commit();
            }
            else {
                throw new xbpwException(E_USER_ERROR, E_DB_99);
            }
            return $results;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch(Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Ѝ폜
     *
     * @access private
     * @param  $view->user_company_id
     * @param  $view->company_id
     * @return integer
     */
    private function _deleteCompanyBase(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert(array('userCompanyId', 'companyId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //폜p񐶐
            //--------------------------------------------------------------
            $data = array();
            $data['user_company_id'] = $view->getUserCompanyId();
            $data['company_id']      = $view->getCompanyId();
            $data['del_flg']         = DB_DELETE;
            $data['upd_date']        = xbUtil::getTimestamp();
            $data['upd_pgid']        = __METHOD__;
            $data['upd_user_cd']     = $view->getLogonUserCd();

            //--------------------------------------------------------------
            //폜s
            //--------------------------------------------------------------
            $somfa->begin();
            $results = $somfa->save('tbm_company_base', $data);
            if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                $somfa->commit();
            }
            else {
                throw new xbpwException(E_USER_ERROR, E_DB_99);
            }
            return $results;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch(Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * ЏZo^
     *
     * @access private
     * @param  $view->user_company_id
     * @param  $view->company_id
     * @param  $view->*
     * @return integer
     */
    private function _saveCompanyAddress(& $view) {

        xbLog::logger(xbLog :: DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert(array('userCompanyId', 'companyId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //o^p񐶐
            //--------------------------------------------------------------
            $data = array();
            $data['user_company_id'] = $view->getUserCompanyId();
            $data['company_id'] = $view->getCompanyId();
            if(method_exists($view, 'getTel')){
                $data['tel'] = $view->getTel();
            }
            if(method_exists($view, 'getFax')){
                $data['fax'] = $view->getFax();
            }
            if(method_exists($view, 'getZipcode')){
                $data['zipcode'] = $view->getZipcode();
            }
            if(method_exists($view, 'getAddress1')){
                $data['address1'] = $view->getAddress1();
            }
            if(method_exists($view, 'getAddress2')){
                $data['address2'] = $view->getAddress2();
            }
            if(method_exists($view, 'getAddress3')){
                $data['address3'] = $view->getAddress3();
            }
            if(method_exists($view, 'getAddress4')){
                $data['address4'] = $view->getAddress4();
            }

            //--------------------------------------------------------------
            //o^^XVs
            //--------------------------------------------------------------
            $somfa->begin();
            $results = $somfa->save('tbm_company_address', $data);
            if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                $somfa->commit();
            }
            else {
                throw new xbpwException(E_USER_ERROR, E_DB_99);
            }
            return $results;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch(Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * XgЂ폜
     *
     * @access private
     * @param  $view->user_company_id
     * @return ---
     */
    private function _delCompanyList(&$view, & $detailList) {

        xbLog::logger(xbLog :: DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            if($view->getFrom() == 'all' || xbUtil::isNULL($view->getFrom())){
                return;
            }
            $table = 'tbv_' . $view->getFrom();

            $rs = $somfa->select($table, '*',
                                 'user_company_id = ? ',
                                 array($view->getUserCompanyId()));
            foreach ($rs as $item) {
                unset($detailList[$item['company_id']]);
            }
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * pЃXg擾
     *
     * @param  $view->user_company_id
     * @param  $view->code_kb
     * @data   $view->[]
     * @return integer
     */
    public function createUserCompanyList(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //
            //--------------------------------------------------------------
            $rs = $somfa->select('tbv_company_info', '*', 'user_company_id = company_id');

            $company_list = array();
            foreach ($rs as $item){
                $companyNm = $item['company_nm'];
                if ($companyNm == '') {
                    $companyNm = CL_MITOUROKU;
                }
                $company_list[$item['user_company_id']] = $companyNm;
            }
            $view->setUserCompanyList($company_list);

            return $view;
        }
        catch (xbpwException $e) {
            throw $e;
        }catch(Exception $e){
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }
}
?>
