<?php
/**
 * S҃}X^ Service component.
 *
 * Scomponents܂
 *
 * PHP versions 5
 *
 * @package     MstTantoService
 * @author      Liu Cheng <liuch@csoft.com.cn> 2006N509
 *              Mayumi Mochizuki <mochizuki@exbridge.jp> 2007N1126 somfaΉ
 * @copyright   2006-2007 EXBRIDGE,Inc. All Rights Reserved.
 * @link        http://exbridge.jp/
 */
class MstTantoService extends xbService {

    /**
     * lo^^XV
     *
     * @access private
     * @param  $view->user_company_id
     * @param  $view->personal_id
     * @return $view
     */
    private function _savePersonal(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        try {

            //--------------------------------------------------------------
            //lp̃f[^Zbg
            //--------------------------------------------------------------
            //table PersonalBase p
            $personalView = PersonalBaseView::getInstance();
            $personalView->setPersonalId($view->getPersonalId());
            $personalView->setPersonalNm($view->getPersonalNm());
            $personalView->setPersonalKn($view->getPersonalKn());
            $personalView->setMail($view->getMail());
            $personalView->setBirthdayYear($view->getYear());
            $personalView->setBirthdayMonth($view->getMonth());
            $personalView->setBirthdayDay($view->getDay());

            //table PersonalAddress p
            $personalHomeView = PersonalHomeView::getInstance();
            $personalHomeView->setPersonalId($view->getPersonalId());
            $personalHomeView->setZipcode($view->getZipcode());
            $personalHomeView->setAddress1($view->getAddress1());
            $personalHomeView->setAddress2($view->getAddress2());
            $personalHomeView->setAddress3($view->getAddress3());
            $personalHomeView->setAddress4($view->getAddress4());

            //table PersonalEmployee p
            $personalEmployeeView = PersonalEmployeeView::getInstance();
            $personalEmployeeView->setPersonalId($view->getPersonalId());
            $personalEmployeeView->setCompanyId($view->getCompanyId());
            $personalEmployeeView->setOrganizationId($view->getOrganizationId());
            $personalEmployeeView->setOfficialId($view->getOfficialId());
            $personalEmployeeView->setEmpMail($view->getMail());
            $personalEmployeeView->setTelIn($view->getTelIn());
            $personalEmployeeView->setMobile($view->getMobile());

            //table PersonalParent p
            $personalParentView = PersonalParentView::getInstance();
            $personalParentView->setPersonalId($view->getPersonalId());

            //--------------------------------------------------------------
            //lpPviewɂ܂Ƃ߂
            //--------------------------------------------------------------
            $personalView->setParentView($personalParentView);
            $personalView->setHomeView($personalHomeView);
            $personalView->setEmployeeView($personalEmployeeView);

            //--------------------------------------------------------------
            //lۑ
            //--------------------------------------------------------------
            $results = auroraService::getInstance('PersonalService')->savePersonal($personalView);
            if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                $view->setPersonalId($personalView->getPersonalId()); //lID
                return $results;
            }
            else if ($results == R_ERROR_DUPL) {
                return $results;
            }
            else {
                throw new xbpwException(E_USER_ERROR, E_DB_99);
            }

            return $results;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Ј`FbN
     *
     * @access private
     * @param  $view->user_company_id
     * @param  $view->personal_id
     * @return boolean true/false
     */
    private function _checkSyain(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //
            //--------------------------------------------------------------
            $rs = $somfa->select('tbv_syain',
                                 '*',
                                 'user_company_id = ? and personal_id = ? ',
                                 array($view->getUserCompanyId(), $view->getPersonalId()));

            foreach ($rs as $item) {
                return false;//w肵lЈ͓̎o^s

            }

            return true;     //w肵lЈł͂Ȃ͓o^

        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * S҈ꗗ擾
     *
     * @access public
     * @param  $view->user_company_id
     * @return $view
     */
    public function getTantoList(& $view) {
        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)){
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert( array('userCompanyId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //SҌ
            //--------------------------------------------------------------
            $page_id = $view->getPageId();

            $rs = $somfa->select('tbv_tanto',
                                 '*',
                                 'user_company_id = ? ',
                                 array($view->getUserCompanyId()),
                                 'tanto_id',
                                 null,
                                 $page_id);

            $tantoView = $view;
            $tantoView->setPageId($page_id);
            $tantoView->setCount($somfa->count());

            $detailArray = array();
            foreach ($rs as $item) {
                $tantoDetailView = TantoDetailView::getInstance();
                $tantoDetailView->setUserCompanyId($item['user_company_id']);
                $tantoDetailView->setCompanyId($item['company_id']);
                $tantoDetailView->setCompanyNm($item['company_nm']);
                $tantoDetailView->setOfficialId($item['official_id']);
                $tantoDetailView->setOfficialNm($item['official_nm']);
                $tantoDetailView->setTantoId($item['tanto_id']);
                $tantoDetailView->setPersonalId($item['personal_id']);
                $tantoDetailView->setPersonalNm($item['personal_nm']);
                $tantoDetailView->setPersonalKn($item['personal_kn']);
                $tantoDetailView->setBirthday($item['birthday']);
                $tantoDetailView->setYear($item['birthday_yy']);
                $tantoDetailView->setMonth($item['birthday_mm']);
                $tantoDetailView->setDay($item['birthday_dd']);
                $tantoDetailView->setOrganizationId($item['organization_id']);
                $tantoDetailView->setOrganization($item['organization']);
                $tantoDetailView->setTelIn($item['tel_in']);
                $tantoDetailView->setMobile($item['mobile']);
                $tantoDetailView->setMail($item['mail']);
                $tantoDetailView->setZipcode($item['zipcode']);
                $tantoDetailView->setAddress1($item['address1']);
                $tantoDetailView->setAddress2($item['address2']);
                $tantoDetailView->setAddress3($item['address3']);
                $tantoDetailView->setAddress4($item['address4']);
                $detailArray[] = $tantoDetailView;
            }
            $tantoView->setTantoListDetailView($detailArray);

            return $tantoView;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Sғo^AXV
     *
     * @access public
     * @param  $view->user_company_id
     * @param  $view->tanto_id
     * @param  $view->*
     * @return integer
     */
    public function saveTanto(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert( array('userCompanyId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //Ώۃe[u
        //--------------------------------------------------------------
        $table = 'tbm_tanto';

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //̔
            //--------------------------------------------------------------
            if (xbUtil::isNULL($view->getTantoId())) {
                $view->setTantoId($this->generateId(TBMTANTO_ID));
            }

            $somfa->begin();

            //--------------------------------------------------------------
            //l̓o^^XV
            //--------------------------------------------------------------
            $results = $this->_savePersonal(& $view);
            if (!($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE)) {
                return $results;
            }

            //--------------------------------------------------------------
            //_`FbN ilo^̃`FbNj
            //--------------------------------------------------------------
            $statas = $this->_checkSyain(& $view);// Ј`FbN
            if (!$statas) {
                return R_ERROR;
            }

            //--------------------------------------------------------------
            //}X^擾
            //--------------------------------------------------------------
            $old = $somfa->retrieveByPK($table, array('user_company_id' => $view->getUserCompanyId(),
                                                      'tanto_id'        => $view->getTantoId()));

            //--------------------------------------------------------------
            //Sғo^p񐶐
            //--------------------------------------------------------------
            $data = array();
            $data['user_company_id'] = $view->getUserCompanyId();
            $data['tanto_id']        = $view->getTantoId();
            $data['personal_id']     = $view->getPersonalId();
            $data['del_flg']         = DB_ENABLE;
            $data['add_date']        = is_array($old)?$old['add_date']:xbUtil::getTimestamp();
            $data['add_pgid']        = is_array($old)?$old['add_pgid']:__METHOD__;
            $data['add_user_cd']     = is_array($old)?$old['add_user_cd']:$view->getLogonUserCd();
            $data['upd_date']        = xbUtil::getTimestamp();
            $data['upd_pgid']        = __METHOD__;
            $data['upd_user_cd']     = $view->getLogonUserCd();

            //--------------------------------------------------------------
            //Sғo^^XVs
            //--------------------------------------------------------------
            $results = $somfa->save($table, $data);
            if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                $somfa->commit();
            }
            else {
                throw new xbpwException(E_USER_ERROR, E_DB_99);
            }

            return $results;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * Sҍ폜
     *
     * @access public
     * @param  $view->user_company_id
     * @param  $view->tanto_id
     * @return integer
     */
    public function deleteTanto(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert( array('userCompanyId','tantoId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //Sҍ폜p񐶐
            //--------------------------------------------------------------
            $data = array();
            $data['user_company_id'] = $view->getUserCompanyId();
            $data['tanto_id']        = $view->getTantoId();
            $data['del_flg']         = DB_DELETE;
            $data['upd_date']        = xbUtil::getTimestamp();
            $data['upd_pgid']        = __METHOD__;
            $data['upd_user_cd']     = $view->getLogonUserCd();

            $somfa->begin();
            $results = $somfa->save('tbm_tanto', $data);
            if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                $somfa->commit();
            }
            else {
                throw new xbpwException(E_USER_ERROR, E_DB_99);
            }

            return $results;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * S҃Xg폜
     *
     * @access public
     * @param  $view->tantoListDetailView
     * @return integer
     */
    public function deleteTantoList(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //Sҍ폜s
            //--------------------------------------------------------------
            $detailView = $view->getTantoListDetailView();
            $delCount = 0;

            $somfa->begin();
            foreach($detailView as $v) {
                $delChk = $v->getChecked();//폜`FbN擾
                if($delChk == '1'){
                    $this->deleteTanto($v);//폜s
                    $delCount++;
                }
            }

            $somfa->commit();

            if ($delCount == 0) {
                return R_SUCCESS;
            } else {
                return R_SUCCESS_DELETE;
            }
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }

    /**
     * petitform炨₢킹Sғo^
     *
     * @access public
     * @param  $view->user_company_id
     * @param  $view->tanto_id
     * @param  $view->*
     * @return integer
     */
    public function createTanto(& $view) {

        xbLog::logger(xbLog::DEBUG, __CLASS__, 'Called ' . __METHOD__);

        //--------------------------------------------------------------
        //݃`FbN
        //--------------------------------------------------------------
        if (xbUtil::isNULL($view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_02, 'view'));
        }

        //--------------------------------------------------------------
        //p[^K{`FbN
        //--------------------------------------------------------------
        if (!$this->assert( array('userCompanyId'), & $view)) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_03, 'view'));
        }

        //--------------------------------------------------------------
        //Ώۃe[u
        //--------------------------------------------------------------
        $table = 'tbm_tanto';

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        try {

            //--------------------------------------------------------------
            //̔
            //--------------------------------------------------------------
            if (xbUtil::isNULL($view->getTantoId())) {
                $view->setTantoId($this->generateId(TBMTANTO_ID));
            }

            $somfa->begin();

            //--------------------------------------------------------------
            //}X^擾
            //--------------------------------------------------------------
            $old = $somfa->retrieveByPK($table, array('user_company_id' => $view->getUserCompanyId(),
                                                      'tanto_id'        => $view->getTantoId()));

            //--------------------------------------------------------------
            //Sғo^p񐶐
            //--------------------------------------------------------------
            $data = array();
            $data['user_company_id'] = $view->getUserCompanyId();
            $data['tanto_id']        = $view->getTantoId();
            $data['personal_id']     = $view->getPersonalId();
            $data['del_flg']         = DB_ENABLE;
            $data['add_date']        = is_array($old)?$old['add_date']:xbUtil::getTimestamp();
            $data['add_pgid']        = is_array($old)?$old['add_pgid']:__METHOD__;
            $data['add_user_cd']     = is_array($old)?$old['add_user_cd']:$view->getLogonUserCd();
            $data['upd_date']        = xbUtil::getTimestamp();
            $data['upd_pgid']        = __METHOD__;
            $data['upd_user_cd']     = $view->getLogonUserCd();

            //--------------------------------------------------------------
            //Sғo^^XVs
            //--------------------------------------------------------------
            $results = $somfa->save($table, $data);
            if ($results == R_SUCCESS_INSERT || $results == R_SUCCESS_UPDATE) {
                $somfa->commit();
            }
            else {
                throw new xbpwException(E_USER_ERROR, E_DB_99);
            }

            return $results;
        }
        catch (xbpwException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbpwException(E_USER_ERROR, sprintf(F_NM_01, $e->getMessage()));
        }
    }
}
?>
