<?php
/**
 * メニュー設定コンフィグクラス
 *
 * 2006/04/05 引継いで書直し by S.Tajima
 *
 * @package xbMenuConfig
 * @author Y.Shimizu <shimizu@exbridge.jp>
 *         S.Tajima  <tajima@exbridge.jp>
 * @since PHP 5.0
 */
//if (PORT == '80'){
//    $hostserver = $_SERVER['SERVER_NAME'];
//}
//else {
//    $hostserver = $_SERVER['SERVER_NAME'] . ':' . PORT;
//}

//=================================================================================
//カテゴリーの表示(true)/非表示(false)【MENU TYPE2】
//=================================================================================
define('FLG_MENU_CATEGORY', true);

$hostserver = $_SERVER['SERVER_NAME'];

/**
 *
 * [title]          メニュータイトル
 * [credential]     権限
 * [enable]         使用する／使用しない
 * [baseurl]        システムURL（xbrg_uam.phpなど）
 * [uri]            メソッド
 * [child]          所属するメニュー項目
 *
 */
return array(
    //--------------------------------------------------
    //第１レベル
    //総務.EAI関連メニュー
    //--------------------------------------------------
    "somu" => array(
        "title"      => D_NM_SOMU,
        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
        "subbase"    => "xbrg_ctm.php",
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //勤怠管理
            //--------------------------------------------------
            "ctm" => array(
                "title"       => D_NM_CTM,
                "enable"      => CTMENABLE,
                "credential"  => "xbrg_ctm.php",
                "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"     => "xbrg_ctm.php",
                "uri"         => "xbrg_ctm.php",
                "gd_image"    => "images/ctm.gif",
                "gd_descript" => "勤怠管理の説明",
                "gd_help"     => "勤怠管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //勤怠管理メニュー
                    //--------------------------------------------------
                    //社員一覧
                    "syain_list" => array(
                        "title"      => TL_LST_SYAIN,
                        "credential" => "xbrg_ctm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ctm.php",
                        "uri"        => "RequestSyainList"
                    ),
                    //勤怠一覧
                    "kintai_list" => array(
                        "title"      => TL_LST_KINTAI,
                        "credential" => "xbrg_ctm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ctm.php",
                        "uri"        => "RequestKintaiList"
                    ),
                    //勤怠登録
                    "kintai_regist" => array(
                        "title"      => TL_ADD_KINTAI,
                        "credential" => "xbrg_ctm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ctm.php",
                        "uri"        => "RequestKintaiInput"
                    ),
                    //勤怠管理
                    "kintai_kanri" => array(
                        "title"      => TL_KNR_KINTAI,
                        "credential" => "xbrg_ctm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ctm.php",
                        "uri"        => "RequestKintaiKanri"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //住所管理
            //--------------------------------------------------
            "ccm" => array(
                "title"     => D_NM_CCM,
                "enable"    => CCMENABLE,
                "credential" => "xbrg_ccm.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_ccm.php",
                "uri"       => "xbrg_ccm.php",
                "gd_image"  => "images/ccm.gif",
                "gd_descript" => "住所管理の説明",
                "gd_help"     => "住所管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //住所管理メニュー
                    //--------------------------------------------------
                    //個人一覧
                    "personal_list" => array(
                        "title"      => TL_LST_KOJIN,
                        "credential" => "xbrg_ccm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ccm.php",
                        "uri"        => "RequestPersonalList"
                    ),
                    //個人検索
                    "personal_search" => array(
                        "title"      => TL_SGS_KOJIN,
                        "credential" => "xbrg_ccm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ccm.php",
                        "uri"        => "RequestPersonalSearch"
                    ),
                    //個人登録
                    "personal_regist" => array(
                        "title"      => TL_SAV_KOJIN,
                        "credential" => "xbrg_ccm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ccm.php",
                        "uri"        => "RequestPersonalRegist"
                    ),
                    //会社一覧
                    "company_list" => array(
                        "title"      => TL_LST_KAYISYA,
                        "credential" => "xbrg_ccm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ccm.php",
                        "uri"        => "RequestCompanyList"
                    ),
                    //会社検索
                    "company_search" => array(
                        "title"      => TL_SGS_KAYISYA,
                        "credential" => "xbrg_ccm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ccm.php",
                        "uri"        => "RequestCompanySearch"
                    ),
                    //会社登録
                    "company_regist" => array(
                        "title"      => TL_SAV_KAYISYA,
                        "credential" => "xbrg_ccm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ccm.php",
                        "uri"        => "RequestCompanyRegist"
                    ),
                    //外部連携
                    "ccm_export_inport" => array(
                        "title"      => TL_LNK_GAYIBU,
                        "credential" => "xbrg_ccm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ccm.php",
                        "uri"        => "RequestImportExport"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //経費精算管理
            //--------------------------------------------------
            "eac" => array(
                "title"     => D_NM_EAC,
                "enable"    => EACENABLE,
                "credential" => "xbrg_eac.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_eac.php",
                "uri"       => "xbrg_eac.php",
                "gd_image"  => "images/eac.gif",
                "gd_descript" => "経費精算管理の説明",
                "gd_help"     => "経費精算管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //経費精算管理メニュー
                    //--------------------------------------------------
                    //精算サマリー
                    "seisan_summary" => array(
                        "title"      => TL_SUM_SEISAN,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestSeisanSummary"
                    ),
                    //経理サマリー
                    "keiri_summary" => array(
                        "title"      => TL_SUM_KEIRI,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestKeiriSummary"
                    ),
                    //仮払い一覧
                    "karibarai_list" => array(
                        "title"      => TL_LST_KARIBARAI,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestKaribaraiList"
                    ),
                    //仮払い登録
                    "karibarai_regist" => array(
                        "title"      => TL_SAV_KARIBARAI,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestKaribarai"
                    ),
                    //旅費交通費一覧
                    "ryohi_list" => array(
                        "title"      => TL_LST_RYOHI,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestRyohiList"
                    ),
                    //旅費交通費登録
                    "ryohi_regist" => array(
                        "title"      => TL_SAV_RYOHI,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => (DETAIL_REGIST_TYPE=='0')?"RequestRyohiKoutuhi":"RequestRyohiKoutuhiHead"
                    ),
                    //経費一覧
                    "keihi_list" => array(
                        "title"      => TL_LST_KEIHI,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestKeihiList"
                    ),
                    //経費登録
                    "keihi_regist" => array(
                        "title"      => TL_SAV_KEIHI,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => (DETAIL_REGIST_TYPE=='0')?"RequestKeihiSeisan":"RequestKeihiSeisanHead"
                    ),
                    //精算登録
                    "seisan_regist" => array(
                        "title"      => TL_SAV_SEISAN,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestSeisan"
                    ),
                    //仕訳データ出力
                    "siwake_output" => array(
                        "title"      => TL_CSV_SIWAKE,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestSiwakeExport"
                    ),
                    //印刷
                    "eac_print" => array(
                        "title"      => TL_PRT_COMMON,
                        "credential" => "xbrg_eac.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_eac.php",
                        "uri"        => "RequestPrint"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //文書管理
            //--------------------------------------------------
            "dom" => array(
                "title"     => D_NM_DOM,
                "enable"    => DOMENABLE,
                "credential" => "xbrg_dom.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_dom.php",
                "uri"       => "xbrg_dom.php",
                "gd_image"  => "images/dom.gif",
                "gd_descript" => "文書管理の説明",
                "gd_help"     => "文書管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //文書管理メニュー
                    //--------------------------------------------------
                    //文書一覧
                    "bunsyo_list" => array(
                        "title"      => TL_LST_BUNSYO,
                        "credential" => "xbrg_dom.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_dom.php",
                        "uri"        => "RequestBunsyoList"
                    ),
                    //文書検索
                    "bunsyo_search" => array(
                        "title"      => TL_SGS_BUNSYO,
                        "credential" => "xbrg_dom.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_dom.php",
                        "uri"        => "RequestBunsyoSearch"
                    ),
                    //文書全文検索
                    "bunsyo_search_fulltxt" => array(
                        "title"      => TL_BUNSYO_SERARCH_FULLTEXT,
                        "credential" => "xbrg_dom.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_dom.php",
                        "uri"        => "RequestBunsyoSearchFullText"
                    ),
                    //文書全文検索
                    "bunsyo_search_svn" => array(
                        "title"      => TL_BUNSYO_SERARCH_REPOSITORY,
                        "credential" => "xbrg_dom.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_dom.php",
                        "uri"        => "RequestBunsyoSearchRepository"
                    ),
                    //文書登録
                    "bunsyo_regist" => array(
                        "title"      => TL_SAV_BUNSYO,
                        "credential" => "xbrg_dom.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_dom.php",
                        "uri"        => "RequestBunsyo"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //備品管理
            //--------------------------------------------------
            "fms" => array(
                "title"     => D_NM_FMS,
                "enable"    => FMSENABLE,
                "credential" => "xbrg_fms.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_fms.php",
                "uri"       => "xbrg_fms.php",
                "gd_image"  => "images/fms.gif",
                "gd_descript" => "備品管理の説明",
                "gd_help"     => "備品管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //備品管理メニュー
                    //--------------------------------------------------
                    //備品一覧
                    "bihin_list" => array(
                        "title"      => TL_LST_BIHIN,
                        "credential" => "xbrg_fms.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_fms.php",
                        "uri"        => "RequestBihinList"
                    ),
                    //備品登録
                    "bihin_regist" => array(
                        "title"      => TL_SAV_BIHIN,
                        "credential" => "xbrg_fms.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_fms.php",
                        "uri"        => "RequestBihin"
                    ),
                    //備品移動
                    "bihin_ido" => array(
                        "title"      => TL_SUM_BIHINIDO,
                        "credential" => "xbrg_fms.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_fms.php",
                        "uri"        => "RequestBihinIdo"
                    ),
                    //備品管理台帳
                    "bihin_daicyo" => array(
                        "title"      => TL_LST_BIHINDAICYO,
                        "credential" => "xbrg_fms.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_fms.php",
                        "uri"        => "RequestBihinDaicyo"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //予約管理
            //--------------------------------------------------
            "irm" => array(
                "title"     => D_NM_IRM,
                "enable"    => IRMENABLE,
                "credential" => "xbrg_irm.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_irm.php",
                "uri"       => "xbrg_irm.php",
                "gd_image"  => "images/irm.gif",
                "gd_descript" => "予約管理の説明",
                "gd_help"     => "予約管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //予約管理メニュー
                    //--------------------------------------------------
                    //施設設備一覧
                    "sisetubi_list" => array(
                        "title"      => TL_SAV_SEICIBILIST,
                        "credential" => "xbrg_irm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_irm.php",
                        "uri"        => "RequestSisetubiList"
                    ),
                    //予約登録
                    "yoyaku_regist" => array(
                        "title"      => TL_SAV_YOYAKU,
                        "credential" => "xbrg_irm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_irm.php",
                        "uri"        => "RequestReserve"
                    ),
                    //予約一覧
                    "yoyaku_list" => array(
                        "title"      => TL_LST_YOYAKU,
                        "credential" => "xbrg_irm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_irm.php",
                        "uri"        => "RequestReserveList"
                    ),
                    //月別予約
                    "yoyaku_monthly" => array(
                        "title"      => TL_LST_MONTHYOYAKU,
                        "credential" => "xbrg_irm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_irm.php",
                        "uri"        => "RequestReserveListMonth"
                    ),
                    //日別予約
                    "yoyaku_dayly" => array(
                        "title"      => TL_LST_DAYYOYAKU,
                        "credential" => "xbrg_irm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_irm.php",
                        "uri"        => "RequestReserveListDay"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //資源管理
            //--------------------------------------------------
            "rms" => array(
                "title"     => D_NM_RMS,
                "enable"    => RMSENABLE,
                "credential" => "xbrg_rms.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_rms.php",
                "uri"       => "xbrg_rms.php",
                "gd_image"  => "images/rms.gif",
                "gd_descript" => "資源管理の説明",
                "gd_help"     => "資源管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //資源管理メニュー
                    //--------------------------------------------------
                    //コンピューター一覧
                    "computer_list" => array(
                        "title"      => TL_COMPUTER_LIST,
                        "credential" => "xbrg_rms.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_rms.php",
                        "uri"        => "RequestComputerList"
                    ),
                    //コンピューター登録
                    "computer" => array(
                        "title"      => TL_COM_TOROKU,
                        "credential" => "xbrg_rms.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_rms.php",
                        "uri"        => "RequestComputer"
                    ),
                    //プリンタ一覧
                    "printer_list" => array(
                        "title"      => TL_PRINTER_LIST,
                        "credential" => "xbrg_rms.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_rms.php",
                        "uri"        => "RequestPrinterList"
                    ),
                    //プリンタ登録
                    "printer"        => array(
                        "title"      => TL_PRINTER_TOROKU ,
                        "credential" => "xbrg_rms.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_rms.php",
                        "uri"        => "RequestPrinter"
                    )
                )
            )
        )
    ),
    //--------------------------------------------------
    //第１レベル
    //協働.EAI関連メニュー
    //--------------------------------------------------
    "kyodo" => array(
        "title"      => D_NM_KYODO,
        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
        "subbase"    => "xbrg_mdm.php",
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //メール配信管理
            //--------------------------------------------------
            "mdm" => array(
                "title"     => D_NM_MDM,
                "enable"    => MDMENABLE,
                "credential" => "xbrg_mdm.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_mdm.php",
                "uri"       => "xbrg_mdm.php",
                "gd_image"  => "images/mdm.gif",
                "gd_descript" => "協働.EAIの説明",
                "gd_help"     => "協働.EAIのヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //メール配信管理メニュー
                    //--------------------------------------------------
                    //グループ一覧
                    "group_list" => array(
                        "title"      => TL_LST_GROUP,
                        "credential" => "xbrg_mdm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_mdm.php",
                        "uri"        => "RequestGroupList"
                    ),
                    //グループ登録
                    "group_regist" => array(
                        "title"      => TL_ADD_GROUP,
                        "credential" => "xbrg_mdm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_mdm.php",
                        "uri"        => "RequestGroupRegist"
                    ),
                    //メンバー一覧
                    "member_list" => array(
                        "title"      => TL_LST_MEMBER,
                        "credential" => "xbrg_mdm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_mdm.php",
                        "uri"        => "RequestMembersList"
                    ),
                    //メンバー登録
                    "member_regist" => array(
                        "title"      => TL_ADD_MEMBER,
                        "credential" => "xbrg_mdm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_mdm.php",
                        "uri"        => "RequestMembersRegist"
                    ),
                    //メンバー一括登録
                    "member_regist1" => array(
                        "title"      => TL_ADD_IKKATU1,
                        "credential" => "xbrg_mdm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_mdm.php",
                        "uri"        => "RequestMembersRegistIkkatu1"
                    ),
                    //メンバー一括登録
                    "member_regist2" => array(
                        "title"      => TL_ADD_IKKATU2,
                        "credential" => "xbrg_mdm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_mdm.php",
                        "uri"        => "RequestMembersRegistIkkatu2"
                    ),
                    //メール配信
                    "send_mail" => array(
                        "title"      => TL_SND_MAIL,
                        "credential" => "xbrg_mdm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_mdm.php",
                        "uri"        => "RequestSendMail"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //社内ファイル便
            //--------------------------------------------------
            "dmb" => array(
                "title"     => D_NM_DMB,
                "enable"    => DMBENABLE,
                "credential" => "xbrg_dmb.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_dmb.php",
                "uri"       => "xbrg_dmb.php",
                "gd_image"  => "images/dmb.gif",
                "gd_descript" => "社内ファイル便の説明",
                "gd_help"     => "社内ファイル便のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //社内ファイル便メニュー
                    //--------------------------------------------------
                    //個人送信
                    "personal_send" => array(
                        "title"      => TL_PERSONALSEND,
                        "credential" => "xbrg_dmb.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_dmb.php",
                        "uri"        => "RequestPersonalSend"
                    ),
                    //グループ送信
                    "group_send" => array(
                        "title"      => TL_GROUPSEND,
                        "credential" => "xbrg_dmb.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_dmb.php",
                        "uri"        => "RequestGroupSend"
                    ),
                    //送信履歴
                    "send_rireki" => array(
                        "title"      => TL_SEND_HISTORY,
                        "credential" => "xbrg_dmb.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_dmb.php",
                        "uri"        => "RequestSendHistoryList"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //伝言管理
            //--------------------------------------------------
            "msb" => array(
                "title"     => D_NM_MSB,
                "enable"    => MSBENABLE,
                "credential" => "xbrg_msb.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_msb.php",
                "uri"       => "xbrg_msb.php",
                "gd_image"  => "images/msb.gif",
                "gd_descript" => "伝言管理の説明",
                "gd_help"     => "伝言管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //伝言管理メニュー
                    //--------------------------------------------------
                    //My伝言
                    "my_dengon" => array(
                        "title"      => TL_DENGON,
                        "credential" => "xbrg_msb.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_msb.php",
                        "uri"        => "RequestDengon"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //アポイント管理
            //--------------------------------------------------
            "apm" => array(
                "title"     => D_NM_APM,
                "enable"    => APMENABLE,
                "credential" => "xbrg_apm.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_apm.php",
                "uri"       => "xbrg_apm.php",
                "gd_image"  => "images/apm.gif",
                "gd_descript" => "アポイント管理の説明",
                "gd_help"     => "アポイント管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //アポイント管理メニュー
                    //--------------------------------------------------
                    //Myアポイント
                    "my_appointment" => array(
                        "title"      => TL_APPOINTMENT,
                        "credential" => "xbrg_apm.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_apm.php",
                        "uri"        => "RequestAppoint"
                    )
                )
            )
        )
    ),
    //--------------------------------------------------
    //第１レベル
    //購買.EAI関連メニュー
    //--------------------------------------------------
    "koubai" => array(
        "title"      => D_NM_KIKAN_KOU,
        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
        "subbase"    => "xbrg_bms.php",
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //発注依頼管理
            //--------------------------------------------------
            "csr" => array(
                "title"     => D_NM_CSR,
                "enable"    => CSRENABLE,
                "credential" => "csr_hachu_irai_list.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "csr",
                "uri"       => "csr_hachu_irai_list.php",
                "gd_image"  => "images/csr.gif",
                "gd_descript" => "発注依頼管理の説明",
                "gd_help"     => "発注依頼管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //発注依頼管理メニュー
                    //--------------------------------------------------
                    //発注依頼一覧
                    "user_list" => array(
                        "title"      => TL_HACHUIRAI_LIST,
                        "credential" => "csr_hachu_irai_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "csr",
                        "uri"        => "csr_hachu_irai_list.php"
                    ),
                    //発注依頼登録
                    "user_regist" => array(
                        "title"      => TL_HACHUIRAI,
                        "credential" => "csr_hachu_irai_header.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "csr",
                        "uri"        => "csr_hachu_irai_header.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //購買管理
            //--------------------------------------------------
            "koubai" => array(
                "title"     => D_NM_ACS,
                "enable"    => ACSENABLE,
                "credential" => "acs_hachu_list.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "acs",
                "uri"       => "acs_hachu_list.php",
                "gd_image"  => "images/acs.gif",
                "gd_descript" => "購買.EAIの説明",
                "gd_help"     => "購買.EAIのヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //購買管理メニュー
                    //--------------------------------------------------
                    //発注一覧
                    "hacchu_list" => array(
                        "title"      => TL_HACHU_LIST,
                        "credential" => "acs_hachu_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "acs",
                        "uri"        => "acs_hachu_list.php"
                    ),
                    //発注登録
                    "hacchu_regist" => array(
                        "title"      => TL_HACHU,
                        "credential" => "acs_hachu_head.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "acs",
                        "uri"        => "acs_hachu_head.php"
                    ),
                    //発注関連帳票
                    "hacchu_report" => array(
                        "title"      => TL_HACHU_REPORT,
                        "credential" => "acs_hachu_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "acs",
                        "uri"        => "acs_hachu_report.php"
                    ),
                    //発注引当
                    "hacchu_hikiate" => array(
                        "title"      => TL_HACHU_HIKIATE,
                        "credential" => "acs_hachu_hikiate.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "acs",
                        "uri"        => "acs_hachu_hikiate.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //入荷管理
            //--------------------------------------------------
            "aog" => array(
                "title"     => D_NM_AOG,
                "enable"    => AOGENABLE,
                "credential" => "aog_nyuka.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "aog",
                "uri"       => "aog_nyuka.php",
                "gd_image"  => "images/aog.gif",
                "gd_descript" => "入荷管理の説明",
                "gd_help"     => "入荷管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //入荷管理メニュー
                    //--------------------------------------------------
                    //入荷登録
                    "nyuka_regist" => array(
                        "title"      => TL_NYUKA,
                        "credential" => "aog_nyuka.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "aog",
                        "uri"        => "aog_nyuka.php"
                    ),
                    //入荷詳細
                    "nyuka_detail" => array(
                        "title"      => TL_NYUKA_DETAIL,
                        "credential" => "aog_nyuka_detail.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "aog",
                        "uri"        => "aog_nyuka_detail.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //仕入管理
            //--------------------------------------------------
            "siire" => array(
                "title"     => D_NM_BMS_SIIRE,
                "enable"    => BMSENABLE,
                "credential" => "bms_siire_head.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "bms",
                "uri"       => "bms_siire_head.php",
                "gd_image"  => "images/bms_siire.gif",
                "gd_descript" => "仕入管理の説明",
                "gd_help"     => "仕入管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //仕入管理メニュー
                    //--------------------------------------------------
                    //仕入一覧
                    "siire_list" => array(
                        "title"      => TL_SIIRE_LIST,
                        "credential" => "bms_siire_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "bms",
                        "uri"        => "bms_siire_list.php"
                    ),
                    //仕入登録
                    "siire_regist" => array(
                        "title"      => TL_SIIRE,
                        "credential" => "bms_siire_head.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "bms",
                        "uri"        => "bms_siire_head.php"
                    ),
                    //仕入関連帳票
                    "siire_report" => array(
                        "title"      => TL_SIIRE_REPORT,
                        "credential" => "bms_siire_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "bms",
                        "uri"        => "bms_siire_report.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //出金管理
            //--------------------------------------------------
            "syukkin" => array(
                "title"     => D_NM_BMS_SYUKKIN,
                "credential" => "pay_syukkin_list.php",
                "enable"    => PAYENABLE,
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "pay",
                "uri"       => "pay_syukkin_list.php",
                "gd_image"  => "images/syukkin.gif",
                "gd_descript" => "出金管理の説明",
                "gd_help"     => "出金管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //出金管理メニュー
                    //--------------------------------------------------
                    //出金一覧
                    "syukkin_list" => array(
                        "title"      => TL_SYUKKIN_LIST,
                        "credential" => "pay_syukkin_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "pay",
                        "uri"        => "pay_syukkin_list.php"
                    ),
                    //出金登録
                    "syukkin_regist" => array(
                        "title"      => TL_SYUKKIN,
                        "credential" => "pay_syukkin.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "pay",
                        "uri"        => "pay_syukkin.php"
                    ),
                    //出金関連帳票
                    "syukkin_report" => array(
                        "title"      => TL_SYUKKIN_REPORT,
                        "credential" => "pay_syukkin_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "pay",
                        "uri"        => "pay_syukkin_report.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //支払管理
            //--------------------------------------------------
            "pid" => array(
                "title"     => D_NM_BMS_SIHARAI,
                "enable"    => PIDENABLE,
                "credential" => "pid_sime.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "pid",
                "uri"       => "pid_sime.php",
                "gd_image"  => "images/siharai.gif",
                "gd_descript" => "支払管理の説明",
                "gd_help"     => "支払管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //支払管理メニュー
                    //--------------------------------------------------
                    //支払締残高一覧
                    "pid_zandaka_list" => array(
                        "title"      => TL_PAID_ZANDAKA_LIST,
                        "credential" => "pid_zandaka_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "pid",
                        "uri"        => "pid_zandaka_list.php"
                    ),
                    //支払締処理
                    "pid_sime" => array(
                        "title"      => TL_PAID_SIME,
                        "credential" => "pid_sime.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "pid",
                        "uri"        => "pid_sime.php"
                    ),
                    //支払締関連帳票
                    "pid_sime_report" => array(
                        "title"      => TL_PAID_SIME_REPORT,
                        "credential" => "pid_sime_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "pid",
                        "uri"        => "pid_sime_report.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //買掛金管理
            //--------------------------------------------------
            "kaikake" => array(
                "title"     => D_NM_BMS_KAIKAKE,
                "credential" => "poc_kaikake_zandaka_list.php",
                "enable"    => POCENABLE,
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "poc",
                "uri"       => "poc_kaikake_zandaka_list.php",
                "gd_image"  => "images/bms_kaikake.gif",
                "gd_descript" => "買掛金管理の説明",
                "gd_help"     => "買掛金管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //買掛金管理メニュー
                    //--------------------------------------------------
                    //買掛金一覧
                    "kaikake_zandaka_list" => array(
                        "title"      => TL_KAIKAKE_ZANDAKA_LIST,
                        "credential" => "poc_kaikake_zandaka_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "poc",
                        "uri"        => "poc_kaikake_zandaka_list.php"
                    ),
                    //買掛金登録
                    "kaikake_regist" => array(
                        "title"      => TL_KAIKAKE,
                        "credential" => "poc_kaikake.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "poc",
                        "uri"        => "poc_kaikake.php"
                    ),
                    //買掛金関連帳票
                    "kaikake_report" => array(
                        "title"      => TL_KAIKAKE_REPORT,
                        "credential" => "poc_kaikake_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "poc",
                        "uri"        => "poc_kaikake_report.php"
                    )
                )
            )
        )
    ),

    //--------------------------------------------------
    //第１レベル
    //販売.EAI関連メニュー
    //--------------------------------------------------
    "hanbai" => array(
        "title"      => D_NM_KIKAN_HAN,
        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
        "subbase"    => "xbrg_sms.php",
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //見積管理
            //--------------------------------------------------
            "ess" => array(
                "title"     => D_NM_ESS,
                "enable"    => ESSENABLE,
                "credential" => "ess_mitu_list.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "ess",
                "uri"       => "ess_mitu_list.php",
                "gd_image"  => "images/ess.gif",
                "gd_descript" => "発注依頼管理の説明",
                "gd_help"     => "発注依頼管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //見積管理メニュー
                    //--------------------------------------------------
                    //見積一覧
                    "user_list" => array(
                        "title"      => TL_MITU_LIST,
                        "credential" => "ess_mitu_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ess",
                        "uri"        => "ess_mitu_list.php"
                    ),
                    //見積登録
                    "user_regist" => array(
                        "title"      => TL_MITU,
                        "credential" => "ess_mitu_header.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ess",
                        "uri"        => "ess_mitu_header.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //受注管理
            //--------------------------------------------------
            "order" => array(
                "title"     => D_NM_SMM,
                "enable"    => SMMENABLE,
                "credential" => "smm_order_list.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "smm",
                "uri"       => "smm_order_list.php",
                "gd_image"  => "images/smm.gif",
                "gd_descript" => "販売.EAIの説明",
                "gd_help"     => "販売.EAIのヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //受注管理メニュー
                    //--------------------------------------------------
                    //受注一覧
                    "order_list" => array(
                        "title"      => TL_ORDER_LIST,
                        "credential" => "smm_order_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "smm",
                        "uri"        => "smm_order_list.php"
                    ),
                    //受注登録
                    "order_regist" => array(
                        "title"      => TL_ORDER,
                        "credential" => "smm_order_head.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "smm",
                        "uri"        => "smm_order_head.php"
                    ),
                    //受注関連帳票
                    "order_print" => array(
                        "title"      => TL_ORDER_REPORT,
                        "credential" => "smm_order_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "smm",
                        "uri"        => "smm_order_report.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //出荷管理
            //--------------------------------------------------
            "syukka" => array(
                "title"     => D_NM_SPM,
                "enable"    => SPMENABLE,
                "credential" => "spm_syuka.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "spm",
                "uri"       => "spm_syuka.php",
                "gd_image"  => "images/spm.gif",
                "gd_descript" => "出荷管理の説明",
                "gd_help"     => "出荷管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //出荷管理メニュー
                    //--------------------------------------------------
                    //出荷登録
                    "syukka_regist" => array(
                        "title"      => TL_SYUKA,
                        "credential" => "spm_syuka.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "spm",
                        "uri"        => "spm_syuka.php"
                    ),
                    //出荷詳細
                    "syukka_detail" => array(
                        "title"      => TL_SYUKA_DETAIL,
                        "credential" => "spm_syuka_detail.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "spm",
                        "uri"        => "spm_syuka_detail.php"
                    ),
                    //送り状印刷
                    "okuri_print" => array(
                        "title"      => TL_OKURI_PRINT,
                        "credential" => "spm_okuri_print.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "spm",
                        "uri"        => "spm_okuri_print.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //売上管理
            //--------------------------------------------------
            "uriage" => array(
                "title"     => D_NM_SMS_URIAGE,
                "enable"    => SMSENABLE,
                "credential" => "sms_uriage_head.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "sms",
                "uri"       => "sms_uriage_head.php",
                "gd_image"  => "images/sms_uriage.gif",
                "gd_descript" => "売上管理の説明",
                "gd_help"     => "売上管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //売上管理メニュー
                    //--------------------------------------------------
                    //売上一覧
                    "uriage_list" => array(
                        "title"      => TL_URIAGE_LIST,
                        "credential" => "sms_uriage_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "sms",
                        "uri"        => "sms_uriage_list.php"
                    ),
                    //売上登録
                    "uriage_regist" => array(
                        "title"      => TL_URIAGE,
                        "credential" => "sms_uriage_head.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "sms",
                        "uri"        => "sms_uriage_head.php"
                    ),
                    //売上関連帳票
                    "uriage_report" => array(
                        "title"      => TL_URIAGE_REPORT,
                        "credential" => "sms_uriage_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "sms",
                        "uri"        => "sms_uriage_report.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //入金管理
            //--------------------------------------------------
            "nyukin" => array(
                "title"       => D_NM_SMS_NYUKIN,
                "enable"      => ROMENABLE,
                "credential"  => "rom_nyukin_list.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"     => "rom_nyukin",
                "uri"         => "rom_nyukin_list.php",
                "gd_image"    => "images/sms_nyukin.gif",
                "gd_descript" => "入金管理の説明",
                "gd_help"     => "入金管理のヘルプ",
                "child"       => array(
                    //--------------------------------------------------
                    //第３レベル
                    //入金管理メニュー
                    //--------------------------------------------------
                    //入金一覧
                    "nyukin_list" => array(
                        "title"      => TL_NYUKIN_LIST,
                        "credential" => "rom_nyukin_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "rom_nyukin",
                        "uri"        => "rom_nyukin_list.php"
                    ),
                    //入金登録
                    "nyukin" => array(
                        "title"      => TL_NYUKIN,
                        "credential" => "rom_nyukin.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "rom_nyukin",
                        "uri"        => "rom_nyukin.php"
                    ),
                    //入金関連帳票
                    "nyukin_print" => array(
                        "title"      => TL_NYUKIN_REPORT,
                        "credential" => "rom_nyukin_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "rom_nyukin",
                        "uri"        => "rom_nyukin_report.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //請求締管理
            //--------------------------------------------------
            "seikyu" => array(
                "title"     => D_NM_SMS_SEIKYU,
                "enable"    => BILENABLE,
                "credential" => "bil_sime.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "bil",
                "uri"       => "bil_sime.php",
                "gd_image"  => "images/sms_seikyu.gif",
                "gd_descript" => "請求締管理の説明",
                "gd_help"     => "請求締管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //請求締管理メニュー
                    //--------------------------------------------------
                    //請求締締残高一覧
                    "bil_zandaka_list" => array(
                        "title"      => TL_BILL_ZANDAKA_LIST,
                        "credential" => "bil_zandaka_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "bil",
                        "uri"        => "bil_zandaka_list.php"
                    ),
                    //請求締処理
                    "bil_sime" => array(
                        "title"      => TL_BILL_SIME,
                        "credential" => "bil_sime.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "bil",
                        "uri"        => "bil_sime.php"
                    ),
                    //請求締関連帳票
                    "bil_report"     => array(
                        "title"      => TL_BILL_REPORT,
                        "credential" => "bil_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "bil",
                        "uri"        => "bil_report.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //売掛金管理
            //--------------------------------------------------
            "urikake" => array(
                "title"     => D_NM_SMS_URIKAKE,
                "credential" => "crs_urikake_zandaka_list.php",
                "enable"    => CRSENABLE,
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "crs",
                "uri"       => "crs_urikake_zandaka_list.php",
                "gd_image"  => "images/sms_urikake.gif",
                "gd_descript" => "売掛金管理の説明",
                "gd_help"     => "売掛金管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //売掛金管理メニュー
                    //--------------------------------------------------
                    //売掛金残高一覧
                    "urikake_zandaka_list" => array(
                        "title"      => TL_URIKAKE_ZANDAKA_LIST,
                        "credential" => "crs_urikake_zandaka_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "crs",
                        "uri"        => "crs_urikake_zandaka_list.php"
                    ),
                    //売掛金登録
                    "urikake_regist" => array(
                        "title"      => TL_URIKAKE,
                        "credential" => "crs_urikake.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "crs",
                        "uri"        => "crs_urikake.php"
                    ),
                    //売掛金関連帳票
                    "urikake_print" => array(
                        "title"      => TL_URIKAKE_REPORT,
                        "credential" => "crs_urikake_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "crs",
                        "uri"        => "crs_urikake_report.php"
                    )
                )
            )
        )
    ),

    //--------------------------------------------------
    //第１レベル
    //在庫.EAI関連メニュー
    //--------------------------------------------------
    "zaiko" => array(
        "title"      => D_NM_KIKAN_ZAI,
        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
        "subbase"    => "xbrg_imc.php",
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //入庫管理
            //--------------------------------------------------
            "whs" => array(
                "title"     => D_NM_WHS,
                "enable"    => WHSENABLE,
                "credential" => "whs_nyuko.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "whs",
                "uri"       => "whs_nyuko.php",
                "gd_image"  => "images/whs.gif",
                "gd_descript" => "在庫.EAIの説明",
                "gd_help"     => "在庫.EAIのヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //入庫管理メニュー
                    //--------------------------------------------------
                    //入庫登録
                    "nyuko_regist" => array(
                        "title"      => TL_NYUKO,
                        "credential" => "whs_nyuko.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "whs",
                        "uri"        => "whs_nyuko.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //出庫管理
            //--------------------------------------------------
            "syukko" => array(
                "title"     => D_NM_LFW,
                "enable"    => LFWENABLE,
                "credential" => "lfw_picking.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "lfw",
                "uri"       => "lfw_picking.php",
                "gd_image"  => "images/lfw.gif",
                "gd_descript" => "出庫管理の説明",
                "gd_help"     => "出庫管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //出庫管理メニュー
                    //--------------------------------------------------
                    //ピッキングリスト作成
                    "picking_regist" => array(
                        "title"      => TL_PICKING,
                        "credential" => "lfw_picking.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "lfw",
                        "uri"        => "lfw_picking.php"
                    ),
                    //ピッキングリスト一覧
                    "picking_list" => array(
                        "title"      => TL_PICKINGLIST,
                        "credential" => "lfw_picking_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "lfw",
                        "uri"        => "lfw_picking_list.php"
                    ),
                    //出庫登録
                    "syukko_regist" => array(
                        "title"      => TL_SYUKO,
                        "credential" => "lfw_syuko.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "lfw",
                        "uri"        => "lfw_syuko.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //在庫管理
            //--------------------------------------------------
            "zaiko" => array(
                "title"     => D_NM_IMC,
                "enable"    => IMCENABLE,
                "credential" => "imc_zaiko_list.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "imc",
                "uri"       => "imc_zaiko_list.php",
                "gd_image"  => "images/imc.gif",
                "gd_descript" => "在庫管理の説明",
                "gd_help"     => "在庫管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //在庫管理メニュー
                    //--------------------------------------------------
                    //在庫一覧
                    "zaiko_list" => array(
                        "title"      => TL_ZAIKO_LIST,
                        "credential" => "imc_zaiko_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "imc",
                        "uri"        => "imc_zaiko_list.php"
                    ),
                    //在庫登録
                    "zaiko_regist" => array(
                        "title"      => TL_ZAIKO,
                        "credential" => "imc_zaiko.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "imc",
                        "uri"        => "imc_zaiko.php"
                    ),
                    //在庫移動
                    "zaiko_ido" => array(
                        "title"      => TL_ZAIKO_IDOU,
                        "credential" => "imc_zaiko_idou.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "imc",
                        "uri"        => "imc_zaiko_idou.php"
                    ),
                    //在庫関連帳票
                    "zaiko_report" => array(
                        "title"      => TL_ZAIKO_REPORT,
                        "credential" => "imc_zaiko_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "imc",
                        "uri"        => "imc_zaiko_report.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //棚卸管理
            //--------------------------------------------------
            "tana" => array(
                "title"     => D_NM_TSC,
                "enable"    => TSCENABLE,
                "credential" => "tsc_tanaorosi_jyunbi.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "tsc",
                "uri"       => "tsc_tanaorosi_jyunbi.php",
                "gd_image"  => "images/tsc.gif",
                "gd_descript" => "棚卸管理の説明",
                "gd_help"     => "棚卸管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //棚卸管理メニュー
                    //--------------------------------------------------
                    //棚卸準備
                    "tana_jynbi" => array(
                        "title"      => TL_TANAOROSI_JYUNBI,
                        "credential" => "tsc_tanaorosi_jyunbi.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "tsc",
                        "uri"        => "tsc_tanaorosi_jyunbi.php"
                    ),
                    //棚卸記入表印刷
                    "tana_kinyu_report" => array(
                        "title"      => TL_TANAOROSI_KINYU_REPORT,
                        "credential" => "tsc_tanaorosi_kinyu_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "tsc",
                        "uri"        => "tsc_tanaorosi_kinyu_report.php"
                    ),
                    //棚卸登録
                    "tana_regist" => array(
                        "title"      => TL_TANAOROSI,
                        "credential" => "tsc_tanaorosi.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "tsc",
                        "uri"        => "tsc_tanaorosi.php"
                    ),
                    //棚卸更新
                    "tana_update" => array(
                        "title"      => TL_TANAOROSI_KOUSIN,
                        "credential" => "tsc_tanaorosi_kousin.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "tsc",
                        "uri"        => "tsc_tanaorosi_kousin.php"
                    ),
                    //棚卸差異表印刷
                    "tana_sai_report" => array(
                        "title"      => TL_TANAOROSI_SAI_REPORT,
                        "credential" => "tsc_tanaorosi_sai_report.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "tsc",
                        "uri"        => "tsc_tanaorosi_sai_report.php"
                    )
                )
            )
        )
    ),

    //--------------------------------------------------
    //第１レベル
    //総務.EAI運用メニュー
    //--------------------------------------------------
    "unyo" => array(
        "title"      => D_NM_UNYO,
        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
        "subbase"    => "xbrg_inc.php",
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //インシデント管理
            //--------------------------------------------------
            "inc" => array(
                "title"     => D_NM_INC,
                "enable"    => INCENABLE,
                "credential" => "xbrg_inc.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA:'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA,
                "subbase"   => "xbrg_inc.php",
                "uri"       => "xbrg_inc.php",
                "gd_image"  => "images/inc.gif",
                "gd_descript" => "総務.EAIの説明",
                "gd_help"     => "総務.EAIのヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //インシデント管理メニュー
                    //--------------------------------------------------
                    //トップページ
                    "incident_top_page" => array(
                        "title"      => TL_INC_TOP_PAGE,
                        "credential" => "xbrg_inc.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_inc.php",
                        "uri"        => "RequestIncidentTopPage"
                    ),
                    //新規作成
                    "incident_regist" => array(
                        "title"      => TL_INC_REGIST,
                        "credential" => "xbrg_inc.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_inc.php",
                        "uri"        => "RequestIncident"
                    ),
                    //トラッキング
                    "incident_tracking" => array(
                        "title"      => TL_INC_TRUCK,
                        "credential" => "xbrg_inc.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_inc.php",
                        "uri"        => "RequestIncidentTracking"
                    ),
                    //検索
                    "incident_search" => array(
                        "title"      => TL_INC_SEARCH,
                        "credential" => "xbrg_inc.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_inc.php",
                        "uri"        => "RequestIncidentSearch"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //問題管理
            //--------------------------------------------------
            "prb" => array(
                "title"     => D_NM_PRB,
                "enable"    => PRBENABLE,
                "credential" => "xbrg_prb.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA:'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA,
                "subbase"   => "xbrg_prb.php",
                "uri"       => "xbrg_prb.php",
                "gd_image"  => "images/prb.gif",
                "gd_descript" => "問題管理の説明",
                "gd_help"     => "問題管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //問題管理メニュー
                    //--------------------------------------------------
                    //トップページ
                    "incident_top_page" => array(
                        "title"      => TL_PRB_TOP_PAGE,
                        "credential" => "xbrg_prb.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_prb.php",
                        "uri"        => "RequestProblemTopPage"
                    ),
                    //新規作成
                    "incident_regist" => array(
                        "title"      => TL_PRB_REGIST,
                        "credential" => "xbrg_prb.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_prb.php",
                        "uri"        => "RequestProblem"
                    ),
                    //トラッキング
                    "incident_tracking" => array(
                        "title"      => TL_PRB_TRUCK,
                        "credential" => "xbrg_prb.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_prb.php",
                        "uri"        => "RequestProblemTracking"
                    ),
                    //検索
                    "incident_search" => array(
                        "title"      => TL_PRB_SEARCH,
                        "credential" => "xbrg_prb.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_prb.php",
                        "uri"        => "RequestProblemSearch"
                    )
                )
            )
        )
    ),
    //--------------------------------------------------
    //第１レベル
    //管理関連メニュー
    //--------------------------------------------------
    "kanri" => array(
        "title"      => D_NM_ADMIN,
        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
        "subbase"    => "mst",
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //マスタ管理
            //--------------------------------------------------
            "mst" => array(
                "title"     => D_NM_MST,
                "enable"    => MSTENABLE,
                "credential" => "mst_syain.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "mst",
                "uri"       => "mst_syain.php",
                "gd_image"  => "images/mst.gif",
                "gd_descript" => "管理の説明",
                "gd_help"     => "管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //マスタ管理メニュー
                    //--------------------------------------------------
                    //社員マスタ
                    "mst_syain" => array(
                        "title"      => TL_SYAIN,
                        "credential" => "mst_syain.php",
                        "enable"     => MSTENABLE_SYAIN,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_syain.php"
                    ),
                    //所属マスタ
                    "mst_organization" => array(
                        "title"      => TL_ORGANIZATION,
                        "credential" => "mst_organization.php",
                        "enable"     => MSTENABLE_ORGANIZATION,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_organization.php"
                    ),
                    //プロジェクトマスタ
                    "mst_project" => array(
                        "title"      => TL_PROJECT,
                        "credential" => "mst_project.php",
                        "enable"     => MSTENABLE_PROJECT,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_project.php"
                    ),
                    //得意先マスタ
                    "mst_tokui" => array(
                        "title"      => TL_TOKUI,
                        "credential" => "mst_tokui.php",
                        "enable"     => MSTENABLE_TOKUI,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_tokui.php"
                    ),
                    //納品先マスタ
                    "mst_nohin" => array(
                        "title"      => TL_NOHIN,
                        "credential" => "mst_nohin.php",
                        "enable"     => MSTENABLE_NOHIN,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_nohin.php"
                    ),
                    //入金条件マスタ
                    "mst_nyukin" => array(
                        "title"      => TL_NYUKIN_JOKEN,
                        "credential" => "mst_nyukin_joken.php",
                        "enable"     => MSTENABLE_NYUKIN,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_nyukin_joken.php"
                    ),
                    //担当者マスタ
                    "mst_tanto" => array(
                        "title"      => TL_TANTO,
                        "credential" => "mst_tanto.php",
                        "enable"     => MSTENABLE_TANTO,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_tanto.php"
                    ),
                    //配送先業者マスタ
                    "mst_haisou" => array(
                        "title"      => TL_HAISOU,
                        "credential" => "mst_haisou.php",
                        "enable"     => MSTENABLE_HAISOU,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_haisou.php"
                    ),
                    //仕入先マスタ
                    "mst_siire" => array(
                        "title"      => TL_M_SIIRE,
                        "credential" => "mst_siire.php",
                        "enable"     => MSTENABLE_SIIRE,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_siire.php"
                    ),
                    //メーカマスタ
                    "mst_maker" => array(
                        "title"      => TL_MAKER,
                        "credential" => "mst_maker.php",
                        "enable"     => MSTENABLE_MAKER,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_maker.php"
                    ),
                    //商品一覧
                    "mst_item_list" => array(
                        "title"      => TL_ITEM_LIST,
                        "credential" => "mst_item_list.php",
                        "enable"     => MSTENABLE_ITEM,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_item_list.php"
                    ),
                    //商品マスタ
                    "mst_item" => array(
                        "title"      => TL_ITEM,
                        "credential" => "mst_item.php",
                        "enable"     => MSTENABLE_ITEM,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_item.php"
                    ),
                    //商品一括登録
                    "mst_item_ikkatu" => array(
                        "title"      => TL_ITEM_IKKATU,
                        "credential" => "mst_item_ikkatu.php",
                        "enable"     => MSTENABLE_ITEM,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_item_ikkatu.php"
                    ),
                    //フィーチャーマスタ
                    "mst_feature" => array(
                        "title"      => TL_FEATURE,
                        "credential" => "mst_feature.php",
                        "enable"     => MSTENABLE_FEATURE,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_feature.php"
                    ),
                    //フィーチャー明細マスタ
                    "mst_feature_meisai" => array(
                        "title"      => TL_FEATURE_MEISAI,
                        "credential" => "mst_feature_meisai.php",
                        "enable"     => MSTENABLE_FEATURE,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_feature_meisai.php"
                    ),
                    //商品単価一覧
                    "mst_item_tanka_list" => array(
                        "title"      => TL_ITEM_TANKA_LIST,
                        "credential" => "mst_item_tanka_list.php",
                        "enable"     => MSTENABLE_ITEM_TANKA,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_item_tanka_list.php"
                    ),
                    //商品単価マスタ
                    "mst_item_tanka" => array(
                        "title"      => TL_ITEM_TANKA,
                        "credential" => "mst_item_tanka.php",
                        "enable"     => MSTENABLE_ITEM_TANKA,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_item_tanka.php"
                    ),
                    //取引先単価一覧
                    "mst_torihiki_tanka_list" => array(
                        "title"      => TL_TORIHIKITANKA_LIST,
                        "credential" => "mst_torihiki_tanka_list.php",
                        "enable"     => MSTENABLE_TORIHIKITANKA,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_torihiki_tanka_list.php"
                    ),
                    //取引先単価マスタ
                    "mst_torihiki_tanka" => array(
                        "title"      => TL_TORIHIKITANKA,
                        "credential" => "mst_torihiki_tanka.php",
                        "enable"     => MSTENABLE_TORIHIKITANKA,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_torihiki_tanka.php"
                    ),
                    //棚番マスタ
                    "mst_tanaorosi" => array(
                        "title"      => TL_TANABAN,
                        "credential" => "mst_tanaban.php",
                        "enable"     => MSTENABLE_TANABAN,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_tanaban.php"
                    ),
                    //リポジトリマスタ
                    "mst_repository" => array(
                        "title"      => TL_REPOSITORY,
                        "credential" => 'mst_repository.php',
                        "enable"     => MSTENABLE_REPOSITORY,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_repository.php"
                    ),
                    //部品表マスタ
                    "mst_parts" => array(
                        "title"      => TL_PARTS,
                        "credential" => "mst_parts.php",
                        "enable"     => MSTENABLE_PARTS,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_parts.php"
                    ),
                    //店舗マスタ
                    "mst_store" => array(
                        "title"      => TL_STORE,
                        "credential" => "mst_store.php",
                        "enable"     => MSTENABLE_STORE,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_store.php"
                    ),
                    //店舗管理者一覧
                    "mst_store_admin_list" => array(
                        "title"      => TL_STOREADMIN_LIST,
                        "credential" => "mst_store_admin_list.php",
                        "enable"     => MSTENABLE_STORE_ADMIN,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_store_admin_list.php"
                    ),
                    //店舗管理者マスタ
                    "mst_store_admin" => array(
                        "title"      => TL_STOREADMIN,
                        "credential" => "mst_store_admin.php",
                        "enable"     => MSTENABLE_STORE_ADMIN,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "mst",
                        "uri"        => "mst_store_admin.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //初期設定管理
            //--------------------------------------------------
            "ini" => array(
                "title"     => D_NM_INI,
                "enable"    => MSTENABLE,
                "credential" => "ini_saiban.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "ini",
                "uri"       => "ini_saiban.php",
                "gd_image"  => "images/ini.gif",
                "gd_descript" => "初期設定管理の説明",
                "gd_help"     => "初期設定管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //初期設定管理メニュー
                    //--------------------------------------------------
                    //採番マスタ
                    "ini_saiban" => array(
                        "title"      => TL_SAIBAN,
                        "credential" => "ini_saiban.php",
                        "enable"     => MSTENABLE_SAIBAN,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_saiban.php"
                    ),
                    //コードマスタ
                    "ini_code" => array(
                        "title"      => TL_CODE,
                        "credential" => "ini_code.php",
                        "enable"     => MSTENABLE_CODE,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_code.php"
                    ),
                    //分類マスタ
                    "ini_bunrui" => array(
                        "title"      => TL_BUNRUI,
                        "credential" => "ini_bunrui.php",
                        "enable"     => MSTENABLE_BUNRUI,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_bunrui.php"
                    ),
                    //分類（文書用）マスタ
                    "ini_bunrui_bunsyo" => array(
                        "title"      => TL_BUNRUI_BUNSYO,
                        "credential" => "ini_bunrui_bunsyo.php",
                        "enable"     => MSTENABLE_BUNRUI_BUNSYO,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_bunrui_bunsyo.php"
                    ),
                    //分類（備品用）マスタ
                    "ini_bunrui_bihin" => array(
                        "title"      => TL_BUNRUI_BIHIN,
                        "credential" => "ini_bunrui_bihin.php",
                        "enable"     => MSTENABLE_BUNRUI_BIHIN,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_bunrui_bihin.php"
                    ),
                    //カテゴリーマスタ
                    "ini_category" => array(
                        "title"      => TL_CATEGORY,
                        "credential" => "ini_category.php",
                        "enable"     => MSTENABLE_CATEGORY,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_category.php"
                    ),
                    //役職マスタ
                    "ini_official_title" => array(
                        "title"      => TL_OFFICIAL_TITLE,
                        "credential" => "ini_official_title.php",
                        "enable"     => MSTENABLE_OFFICIAL_TITLE,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_official_title.php"
                    ),
                    //消費税マスタ
                    "ini_tax" => array(
                        "title"      => TL_TAX,
                        "credential" => "ini_tax.php",
                        "enable"     => MSTENABLE_TAX,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_tax.php"
                    ),
                    //銀行マスタ
                    "ini_bank" => array(
                        "title"      => TL_BANK,
                        "credential" => "ini_bank.php",
                        "enable"     => MSTENABLE_BANK,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_bank.php"
                    ),
                    //取引先口座マスタ
                    "ini_koza" => array(
                        "title"      => TL_TORIHIKISAKI_KOZA,
                        "credential" => "ini_koza.php",
                        "enable"     => MSTENABLE_TORIHIKISAKI_KOZA,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_koza.php"
                    ),
                    //施設設備マスタ
                    "ini_sisetubi" => array(
                        "title"      => TL_SISETUBI,
                        "credential" => "ini_sisetubi.php",
                        "enable"     => MSTENABLE_SISETUBI,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_sisetubi.php"
                    ),
                    //承認ルート
                    "ini_route" => array(
                        "title"      => TL_ROUTE,
                        "credential" => "ini_syonin.php",
                        "enable"     => MSTENABLE_ROUTE,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_syonin.php"
                    ),
                    //地域マスタ
                    "ini_area" => array(
                        "title"      => TL_AREA,
                        "credential" => "ini_area.php",
                        "enable"     => MSTENABLE_AREA,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_area.php"
                    ),
                    //自社マスタ
                    "ini_jisya" => array(
                        "title"      => TL_JISYA,
                        "credential" => "ini_jisya.php",
                        "enable"     => MSTENABLE_JISYA,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "ini",
                        "uri"        => "ini_jisya.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //ユーザー管理
            //--------------------------------------------------
            "uam" => array(
                "title"     => "ユーザー管理",
                "enable"    => UAMENABLE,
                "credential" => "uam_user_list.php",
                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                "subbase"   => "uam",
                "uri"       => "uam_user_list.php",
                "gd_image"  => "images/uam.gif",
                "gd_descript" => "ユーザー管理の説明",
                "gd_help"     => "ユーザー管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //ユーザー管理メニュー
                    //--------------------------------------------------
                    //ユーザー一覧
                    "user_list" => array(
                        "title"      => TL_LOGON_LIST,
                        "credential" => "uam_user_list.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "uam",
                        "uri"        => "uam_user_list.php"
                    ),
                    //ユーザー登録
                    "user_regist" => array(
                        "title"      => TL_LOGON_SAVE,
                        "credential" => "uam_user.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "uam",
                        "uri"        => "uam_user.php"
                    ),
                    //ユーザー一括登録
                    "user_ikkatu" => array(
                        "title"      => TL_LOGON_IKKATU,
                        "credential" => "uam_import.php",
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . XBE_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . XBE_AURORA .'/',
                        "subbase"    => "uam",
                        "uri"        => "uam_import.php"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //データ連携管理
            //--------------------------------------------------
            "ext" => array(
                "title"     => D_NM_EXT,
                "enable"    => EXTENABLE,
                "credential" => "xbrg_ext.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_ext.php",
                "uri"       => "xbrg_ext.php",
                "gd_image"  => "images/ext.gif",
                "gd_descript" => "データ連携管理の説明",
                "gd_help"     => "データ連携管理のヘルプ",
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //データ連携メニュー
                    //--------------------------------------------------
                    //カウネット
                    "ext_kaunet" => array(
                        "title"      => TL_KAUNET,
                        "credential" => "xbrg_ext.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ext.php",
                        "uri"        => "RequestKaunet"
                    ),
                    //PCA
                    "ext_pca" => array(
                        "title"      => TL_PCA,
                        "credential" => "xbrg_ext.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ext.php",
                        "uri"        => "RequestPca"
                    ),
                    //金庫番
                    "ext_kinkoban" => array(
                        "title"      => TL_KINKOBAN,
                        "credential" => "xbrg_ext.php",
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_ext.php",
                        "uri"        => "RequestKinkoban"
                    )
                )
            ),
            //--------------------------------------------------
            //第２レベル
            //システム管理
            //--------------------------------------------------
            "sys" => array(
                "title"     => D_NM_SYS,
                "enable"    => SYSENABLE,
                "credential" => "xbrg_sys.php",
                "baseurl"   => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                "subbase"   => "xbrg_sys.php",
                "uri"       => "xbrg_sys.php",
                "child"     => array(
/*
使用禁止
                    //--------------------------------------------------
                    //第３レベル
                    //アプリケーション
                    //--------------------------------------------------
                    "sys_appmanagement" => array(
                        "title"      => TL_APPCONTROL,
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_sys.php",
                        "uri"        => "RequestAppManagement"
                    ),
*/
                    //--------------------------------------------------
                    //第３レベル
                    //ビュー
                    //--------------------------------------------------
                    "sys_tbvmanagement" => array(
                        "title"      => TL_TBVCONTROL,
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_sys.php",
                        "uri"        => "RequestTbvManagement"
                    )
/*
使用禁止
                    //--------------------------------------------------
                    //第３レベル
                    //コードマスタデータ再投入
                    //--------------------------------------------------
                    "sys_codemanagement" => array(
                        "title"      => TL_CODECONTROL,
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_sys.php",
                        "uri"        => "RequestCodeManagement"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //郵便番号マスタデータ再投入
                    //--------------------------------------------------
                    "sys_zipcodemanagement" => array(
                        "title"      => TL_ZIPCODECONTROL,
                        "baseurl"     => (PORT=='80')?'http://' . $hostserver . '/' . OLD_AURORA . '/':'http://' . $hostserver . ':' . PORT . '/' . OLD_AURORA . '/',
                        "subbase"    => "xbrg_sys.php",
                        "uri"        => "RequestZipcodeManagement"
                    )
*/
                )
            )
        )
    )
);
?>
