<?php
/**
 * メニュー設定コンフィグクラス
 *
 * @package eg3_boMenuConfig
 * @author Y.Shimizu <shimizu@exbridge.jp>
 *
 * @since PHP 5.0
 */
/**
 *
 * [title]          メニュータイトル
 * [enable]         使用する／使用しない
 * [baseurl]        システムURL（xbrg_uam.phpなど）
 * [uri]            メソッド
 * [child]          所属するメニュー項目
 *
 */
//=================================================================================
//カテゴリーの表示(true)/非表示(false)【MENU TYPE2】
//=================================================================================
define('FLG_MENU_CATEGORY', false);

$hostserver = $_SERVER['SERVER_NAME'];

$user = &xbpwContext::getUser();
if ($user->isAuthenticated()) {
    $logon_sec_level  = $user->getUserParameter(SESSION_LOGON_SEC_LEVEL);
}

return array(
    //--------------------------------------------------
    //第１レベル
    //システム
    //--------------------------------------------------
    "xbe_eg3_bo" => array(
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //メイン
            //--------------------------------------------------
            "main" => array(
                "enable"      => 'YES',
                "credential"  => "xbe_eg3_bo",
                "subbase"     => PW_WEB_ALIAS,
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //新着一覧
                    //--------------------------------------------------
                    "new_arrival_list" => array(
                        "enable"     => ENABLE_NEW_ARRIVAL_LIST,
                        "title"      => T_NEW_ARRIVAL_LIST,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                        "uri"        => "new_arrival_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //新着登録
                    //--------------------------------------------------
                    "new_arrival_info" => array(
                        "enable"     => ENABLE_NEW_ARRIVAL_INFO,
                        "title"      => T_NEW_ARRIVAL_INFO,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                        "uri"        => "new_arrival_info.php"
                    ),//--------------------------------------------------
                    //第３レベル
                    //ファイル一覧
                    //--------------------------------------------------
                    "file_upload_list" => array(
                        "enable"     => ENABLE_FILE_UPLOAD_LIST,
                        "title"      => T_FILE_UPLOADL_LIST,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                        "uri"        => "file_upload_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //ファイルアップロード
                    //--------------------------------------------------
                    "file_upload_info" => array(
                        "enable"     => ENABLE_FILE_UPLOAD_INFO,
                        "title"      => T_FILE_UPLOAD_INFO,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                        "uri"        => "file_upload_info.php"
                    ),
                   
                    //--------------------------------------------------
                    //第３レベル
                    //アクセス解析
                    //--------------------------------------------------
                    "access_info" => array(
                        "enable"     => ENABLE_ACCESS_LIST,
                        "title"      => T_ACCESS_LIST,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                        "uri"        => "access_info.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //QR一覧
                    //--------------------------------------------------
                    "qr_list" => array(
                        "enable"     => ENABLE_QR_LIST,
                        "title"      => T_QR_LIST,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "qr_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //QR登録
                    //--------------------------------------------------
                    "qr_info" => array(
                        "enable"     => ENABLE_QR_INFO,
                        "title"      => T_QR_INFO,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "qr_info.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //クーポン一覧
                    //--------------------------------------------------
                    "coupon_list" => array(
                        "enable"     => ENABLE_COUPON_LIST,
                        "title"      => T_COUPON_LIST,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "coupon_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //クーポン情報
                    //--------------------------------------------------
                    "coupon_info" => array(
                        "enable"     => ENABLE_COUPON_INFO,
                        "title"      => T_COUPON_INFO,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "coupon_info.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //情報一覧
                    //--------------------------------------------------
                    "topics_list" => array(
                        "enable"     => ENABLE_TOPICS_LIST,
                        "title"      => T_TOPICS_LIST,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "topics_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //情報登録
                    //--------------------------------------------------
                    "topics_info" => array(
                        "enable"     => ENABLE_TOPICS_INFO,
                        "title"      => T_TOPICS_INFO,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "topics_info.php"
                    )
                )
            )
        )
    )
);
