<?php
/**
 * メニュー設定コンフィグクラス
 *
 * @package seleneWorkMenuConfig
 * @author Y.Shimizu <shimizu@exbridge.jp>
 *
 * @since PHP 5.0
 */
/**
 *
 * [title]          メニュータイトル
 * [enable]         使用する／使用しない
 * [baseurl]        システムURL（xbrg_uam.phpなど）
 * [uri]            メソッド
 * [child]          所属するメニュー項目
 *
 */
//=================================================================================
//カテゴリーの表示(true)/非表示(false)【MENU TYPE2】
//=================================================================================
define('FLG_MENU_CATEGORY', false);

$hostserver = $_SERVER['SERVER_NAME'];

$user = &xbpwContext::getUser();
if ($user->isAuthenticated()) {
    $logon_sec_level  = $user->getUserParameter(SESSION_LOGON_SEC_LEVEL);
}

return array(
    //--------------------------------------------------
    //第１レベル
    //システム
    //--------------------------------------------------
    "xbe_helios_cotv" => array(
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //メイン
            //--------------------------------------------------
            "main" => array(
                "enable"      => 'YES',
                "credential"  => "xbe_helios_cotv",
                "subbase"     => '_',
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //動画一覧
                    //--------------------------------------------------
                    "recruit_list" => array(
                        "enable"     => 'YES',
                        "title"      => T_MOVIE_LIST,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/':'http://' . $hostserver . ':' . PORT . '/',
                        "uri"        => "tv_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //動画投稿
                    //--------------------------------------------------
                    "recruit" => array(
                        "enable"     => 'YES',
                        "title"      => T_MOVIE_CONTRIBUTION,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/':'http://' . $hostserver . ':' . PORT . '/',
                        "uri"        => "tv_info.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //カテゴリー
                    //--------------------------------------------------
                    "category" => array(
                        "enable"     => ($logon_sec_level=='0' || $logon_sec_level=='1')?ENABLE_CATEGORY:'NO',
                        "title"      => T_CATEGORY,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . AURORA_URL . 'core/logon.php&url=' . AURORA_URL,
                        "uri"        => "ini_category.php"
                    )
                )
            )
        )
    )
);
