<?php
/**
 * メニュー設定コンフィグクラス
 *
 * @package heliosPetitformMenuConfig
 * @author Y.Shimizu <shimizu@exbridge.jp>
 *
 * @since PHP 5.0
 */
/**
 *
 * [title]          メニュータイトル
 * [enable]         使用する／使用しない
 * [baseurl]        システムURL（xbrg_uam.phpなど）
 * [uri]            メソッド
 * [child]          所属するメニュー項目
 *
 */

//=================================================================================
//カテゴリーの表示(true)/非表示(false)【MENU TYPE2】
//=================================================================================
define('FLG_MENU_CATEGORY', false);

$hostserver = $_SERVER['SERVER_NAME'];

$user = &xbpwContext::getUser();
if ($user->isAuthenticated()) {
    $logon_sec_level  = $user->getUserParameter(SESSION_LOGON_SEC_LEVEL);
}

return array(
    //--------------------------------------------------
    //第１レベル
    //システム
    //--------------------------------------------------
    "xbe_helios_petitform" => array(
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //メイン
            //--------------------------------------------------
            "main" => array(
                "enable"      => 'YES',
                "credential"  => "xbe_helios_petitform",
                "subbase"     => PW_WEB_ALIAS,
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //お問い合わせ一覧
                    //--------------------------------------------------
                    "recruit_list" => array(
                        "enable"     => 'YES',
                        "title"      => T_REQUEST_LIST,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                        "uri"        => "request_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //お問い合わせ詳細
                    //--------------------------------------------------
                    "recruit" => array(
                        "enable"     => 'YES',
                        "disabled"     => true,
                        "title"      => T_REQUEST_DETAIL,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                        "uri"        => "request_detail.php"
                    ),
                )
            )
        )
    )
);
