<?php
/**
 * メニュー設定コンフィグクラス
 *
 * @package seleneWorkMenuConfig
 * @author Y.Shimizu <shimizu@exbridge.jp>
 *
 * @since PHP 5.0
 */
/**
 *
 * [title]          メニュータイトル
 * [enable]         使用する／使用しない
 * [baseurl]        システムURL（xbrg_uam.phpなど）
 * [uri]            メソッド
 * [child]          所属するメニュー項目
 *
 */
//=================================================================================
//カテゴリーの表示(true)/非表示(false)【MENU TYPE2】
//=================================================================================
define('FLG_MENU_CATEGORY', false);


$hostserver = $_SERVER['SERVER_NAME'];

$user = &xbpwContext::getUser();
if ($user->isAuthenticated()) {
    $logon_sec_level  = $user->getUserParameter(SESSION_LOGON_SEC_LEVEL);
}

return array(
    //--------------------------------------------------
    //第１レベル
    //システム
    //--------------------------------------------------
    "xbe_selene_work" => array(
        "child"      => array(
            //--------------------------------------------------
            //第２レベル
            //メイン
            //--------------------------------------------------
            "main" => array(
                "enable"      => 'YES',
                "credential"  => "xbe_selene_work",
                "subbase"     => PW_WEB_ALIAS,
                "child"     => array(
                    //--------------------------------------------------
                    //第３レベル
                    //応募者一覧
                    //--------------------------------------------------
                    "recruit_list" => array(
                        "enable"     => ENABLE_RECRUIT_LIST,
                        "title"      => T_RECRUIT_LIST,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/admin/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/admin/',
                        "uri"        => "recruit_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //応募者登録
                    //--------------------------------------------------
                    "recruit" => array(
                        "enable"     => ENABLE_RECRUIT,
                        "title"      => T_RECRUIT,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/admin/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/admin/',
                        "uri"        => "recruit.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //情報一覧
                    //--------------------------------------------------
                    "topics_list" => array(
                        "enable"     => ENABLE_TOPICS_LIST,
                        "title"      => T_TOPICS_LIST,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "topics_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //情報登録
                    //--------------------------------------------------
                    "topics_info" => array(
                        "enable"     => ENABLE_TOPICS_INFO,
                        "title"      => T_TOPICS_INFO,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "topics_info.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //QRアクセス解析
                    //--------------------------------------------------
                    "qr_access_list" => array(
                        "enable"     => ENABLE_ACCESS_LIST,
                        "title"      => T_QR_ACCESS_LIST,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_XMS_URL . 'core/logon.php&url=' . SELENE_XMS_URL,
                        "uri"        => "access_info.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //アクセス解析
                    //--------------------------------------------------
                    "access_list" => array(
                        "enable"     => ENABLE_ACCESS_LIST,
                        "title"      => T_ACCESS_LIST,
                        "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/admin/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/admin/',
                        "uri"        => "access_info.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //動画一覧
                    //--------------------------------------------------
                    "tv_list" => array(
                        "enable"     => ENABLE_TV_LIST,
                        "title"      => T_TV_LIST,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . HELIOS_COTV_URL . 'core/logon.php&url=' . HELIOS_COTV_URL,
                        "uri"        => "tv_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //動画登録
                    //--------------------------------------------------
                    "tv_info" => array(
                        "enable"     => ENABLE_TV_INFO,
                        "title"      => T_TV_INFO,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . HELIOS_COTV_URL . 'core/logon.php&url=' . HELIOS_COTV_URL,
                        "uri"        => "tv_list.php"
                    ),
                    //--------------------------------------------------
                    //第３レベル
                    //カテゴリー
                    //--------------------------------------------------
                    "category" => array(
                        "enable"     => ($logon_sec_level=='0' || $logon_sec_level=='1')?ENABLE_CATEGORY:'NO',
                        "title"      => T_CATEGORY,
                        "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . AURORA_URL . 'core/logon.php&url=' . AURORA_URL,
                        "uri"        => "ini_category.php"
                    )
                )
            )
        )
    )
);
