<?php
/**
 * メニュー設定コンフィグクラス
 *
 * @package seleneXmsMenuConfig
 * @author Y.Shimizu <shimizu@exbridge.jp>
 *
 * @since PHP 5.0
 */
/**
 *
 * [title]          メニュータイトル
 * [enable]         使用する／使用しない
 * [baseurl]        システムURL（xbrg_uam.phpなど）
 * [uri]            メソッド
 * [child]          所属するメニュー項目
 *
 */

//=================================================================================
//カテゴリーの表示(true)/非表示(false)【MENU TYPE2】
//=================================================================================
define('FLG_MENU_CATEGORY', false);

$hostserver = $_SERVER['SERVER_NAME'];

$user = &xbpwContext::getUser();
if ($user->isAuthenticated()) {
    $logon_project_from  = $user->getUserParameter(SESSION_LOGON_PROJECT_FROM);
}

switch ($logon_project_from) {
    case XBE_PRODUCT_SELENE_WORK:
        return array(
            //--------------------------------------------------
            //第１レベル
            //システム
            //--------------------------------------------------
            "xbe_selene_xms" => array(
                "child"      => array(
                    //--------------------------------------------------
                    //第２レベル
                    //メイン
                    //--------------------------------------------------
                    "main" => array(
                        "enable"      => 'YES',
                        "credential"  => "selene_xms",
                        "subbase"     => PW_WEB_ALIAS,
                        "child"     => array(
                            //--------------------------------------------------
                            //第３レベル
                            //応募者一覧
                            //--------------------------------------------------
                            "recruit_list" => array(
                                "enable"     => ENABLE_RECRUIT_LIST,
                                "title"      => T_RECRUIT_LIST,
                                "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_WORK_URL . 'core/logon.php&url=' . SELENE_WORK_URL . 'admin/',
                                "uri"        => "recruit_list.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //応募者登録
                            //--------------------------------------------------
                            "recruit" => array(
                                "enable"     => ENABLE_RECRUIT,
                                "title"      => T_RECRUIT,
                                "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_WORK_URL . 'core/logon.php&url=' . SELENE_WORK_URL . 'admin/',
                                "uri"        => "recruit.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //情報一覧
                            //--------------------------------------------------
                            "topics_list" => array(
                                "enable"     => ENABLE_TOPICS_LIST,
                                "title"      => T_TOPICS_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "topics_list.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //情報登録
                            //--------------------------------------------------
                            "topics_info" => array(
                                "enable"     => ENABLE_TOPICS_INFO,
                                "title"      => T_TOPICS_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "topics_info.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //QRアクセス解析
                            //--------------------------------------------------
                            "qr_access_list" => array(
                                "enable"     => ENABLE_ACCESS_LIST,
                                "title"      => T_QR_ACCESS_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "access_info.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //アクセス解析
                            //--------------------------------------------------
                            "access_list" => array(
                                "enable"     => ENABLE_ACCESS_LIST,
                                "title"      => T_ACCESS_LIST,
                                "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . SELENE_WORK_URL . 'core/logon.php&url=' . SELENE_WORK_URL . 'admin/',
                                "uri"        => "access_info.php"
                            )
                        )
                    )
                )
            )
        );
        break;
    case XBE_PRODUCT_EG3_BO:
        return array(
            //--------------------------------------------------
            //第１レベル
            //システム
            //--------------------------------------------------
            "xbe_selene_xms" => array(
                "child"      => array(
                    //--------------------------------------------------
                    //第２レベル
                    //メイン
                    //--------------------------------------------------
                    "main" => array(
                        "enable"      => 'YES',
                        "credential"  => "selene_xms",
                        "subbase"     => PW_WEB_ALIAS,
                        "child"     => array(
                            //--------------------------------------------------
                            //第３レベル
                            //新着一覧
                            //--------------------------------------------------
                            "new_arrival_list" => array(
                                "enable"     => ENABLE_NEW_ARRIVAL_LIST,
                                "title"      => T_NEW_ARRIVAL_LIST,
                                "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . EG3_BO_URL . 'core/logon.php&url=' . EG3_BO_URL,
                                "uri"        => "new_arrival_list.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //新着登録
                            //--------------------------------------------------
                            "new_arrival_info" => array(
                                "enable"     => ENABLE_NEW_ARRIVAL_INFO,
                                "title"      => T_NEW_ARRIVAL_INFO,
                                "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . EG3_BO_URL . 'core/logon.php&url=' . EG3_BO_URL,
                                "uri"        => "new_arrival_info.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //アクセス解析
                            //--------------------------------------------------
                            "access_info" => array(
                                "enable"     => ENABLE_ACCESS_LIST,
                                "title"      => T_ACCESS_LIST,
                                "baseurl"    => CORE_RELAY_URL . '?oid=' . session_id() . '&logon=' . EG3_BO_URL . 'core/logon.php&url=' . EG3_BO_URL,
                                "uri"        => "access_info.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //QR一覧
                            //--------------------------------------------------
                            "qr_list" => array(
                                "enable"     => ENABLE_QR_LIST,
                                "title"      => T_QR_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "qr_list.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //QR登録
                            //--------------------------------------------------
                            "qr_info" => array(
                                "enable"     => ENABLE_QR_INFO,
                                "title"      => T_QR_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "qr_info.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //クーポン一覧
                            //--------------------------------------------------
                            "coupon_list" => array(
                                "enable"     => ENABLE_COUPON_LIST,
                                "title"      => T_COUPON_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "coupon_list.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //クーポン情報
                            //--------------------------------------------------
                            "coupon_info" => array(
                                "enable"     => ENABLE_COUPON_INFO,
                                "title"      => T_COUPON_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "coupon_info.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //情報一覧
                            //--------------------------------------------------
                            "topics_list" => array(
                                "enable"     => ENABLE_TOPICS_LIST,
                                "title"      => T_TOPICS_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "topics_list.php"
                            ),
                            //--------------------------------------------------
                            //第３レベル
                            //情報登録
                            //--------------------------------------------------
                            "topics_info" => array(
                                "enable"     => ENABLE_TOPICS_INFO,
                                "title"      => T_TOPICS_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "topics_info.php"
                            )
                        )
                    )
                )
            )
        );
        break;
    default :
        return array(
            //--------------------------------------------------
            //第１レベル
            //システム
            //--------------------------------------------------
            "xbe_selene_work" => array(
                "child"      => array(
                    //--------------------------------------------------
                    //第２レベル
                    //メイン
                    //--------------------------------------------------
                    "main" => array(
                        "enable"      => 'YES',
                        "credential"  => "selene_work",
                        "subbase"     => PW_WEB_ALIAS,
                        "child"     => array(
                            //--------------------------------------------------
                            //第１レベル
                            //店舗一覧
                            //--------------------------------------------------
                            "store_list" => array(
                                "enable"     => ENABLE_STORE_LIST,
                                "title"      => T_STORE_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "store_list.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //アンケート登録
                            //--------------------------------------------------
                            "question_list" => array(
                                "enable"     => ENABLE_QUESTION_LIST,
                                "title"      => T_QUESTION_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "question_info.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //アンケート回答結果
                            //--------------------------------------------------
                            "answer_list" => array(
                                "enable"     => ENABLE_ANSWER_LIST,
                                "title"      => T_ANSWER_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "answer_list.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //会員一覧
                            //--------------------------------------------------
                            "member_list" => array(
                                "enable"     => ENABLE_MEMBER_LIST,
                                "title"      => T_MEMBER_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "member_list.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //会員登録
                            //--------------------------------------------------
                            "member" => array(
                                "enable"     => ENABLE_MEMBER,
                                "title"      => T_MEMBER,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "member.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //QR一覧
                            //--------------------------------------------------
                            "qr_list" => array(
                                "enable"     => ENABLE_QR_LIST,
                                "title"      => T_QR_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "qr_list.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //QR登録
                            //--------------------------------------------------
                            "qr_info" => array(
                                "enable"     => ENABLE_QR_INFO,
                                "title"      => T_QR_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "qr_info.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //アクセスログ
                            //--------------------------------------------------
                            "access_list" => array(
                                "enable"     => ENABLE_ACCESS_LIST,
                                "title"      => T_ACCESS_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "access_info.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //チラシ一覧
                            //--------------------------------------------------
                            "flyer_list" => array(
                                "enable"     => ENABLE_FLYER_LIST,
                                "title"      => T_FLYER_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "flyer_list.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //チラシ登録
                            //--------------------------------------------------
                            "flyer_info" => array(
                                "enable"     => ENABLE_FLYER_INFO,
                                "title"      => T_FLYER_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "flyer_info.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //クーポン一覧
                            //--------------------------------------------------
                            "coupon_list" => array(
                                "enable"     => ENABLE_COUPON_LIST,
                                "title"      => T_COUPON_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "coupon_list.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //クーポン登録
                            //--------------------------------------------------
                            "coupon_info" => array(
                                "enable"     => ENABLE_COUPON_INFO,
                                "title"      => T_COUPON_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "coupon_info.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //情報一覧
                            //--------------------------------------------------
                            "topics_list" => array(
                                "enable"     => ENABLE_TOPICS_LIST,
                                "title"      => T_TOPICS_LIST,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "topics_list.php"
                            ),
                            //--------------------------------------------------
                            //第１レベル
                            //情報登録
                            //--------------------------------------------------
                            "topics_info" => array(
                                "enable"     => ENABLE_TOPICS_INFO,
                                "title"      => T_TOPICS_INFO,
                                "baseurl"    => (PORT=='80')?'http://' . $hostserver . '/' . ALIAS . '/':'http://' . $hostserver . ':' . PORT . '/' . ALIAS . '/',
                                "uri"        => "topics_info.php"
                            )
                        )
                    )
                )
            )
        );
}
