<?php
/**
* j[NX
*
* @package Menu
* @author S.Tajiam  <tajima@exbridge.jp> 2007/04/05
* @since PHP 5.0
*/
class xbMenuGenerator {

    /**
     * @var array
     */
    private $system = XBE_PRODUCT_AURORA; //VXe default:aurora

    private $type = MENU_TYPE;//0:] 1:2e 2:ŐV
    private $userInfo;               //[U[ZbVNX

    /**
     * Tv
     *  CX^X
     */
    public static function getInstance() {
        $class = __CLASS__;
        $instance = new $class ();
        return $instance;
    }

    public function getSystem() {
        return $this->system;
    }
    public function setSystem($system) {
        $this->system = $system;
    }

    public function getType() {
        return $this->type;
    }
    public function setType($type) {
        $this->type = $type;
    }

    public function setUserInfo($userInfo){
        $this->userInfo = $userInfo;
    }

    /**
     * Tv
     *  ݒiRtBOjf[^̎擾
     */
    public function getConfigData() {
        $menuConfigure = include($this->system . "/menuConfig.class.php");
        return $menuConfigure;
    }

    /**
     * Tv
     *  j[
     */
    public function write(){
        if($this->getType()=='0'){
            return $this->writeType0();
        }
        else if($this->getType()=='1'){
            return $this->writeType1();
        }
        else if($this->getType()=='2'){
            return $this->writeType2();
        }
    }

    /**
     * Tv
     *  j[i]^j[j
     */
    private function writeType0(){

        //j[o͗pCX^X
        $menuInstance = new xbMenuType0($this->userInfo);

        $menuConfigure = $this->getConfigData();

        foreach($menuConfigure as $key=>$topLevelMenu){
            //gbvxj[\z
            $topLevelInstance = new xbTopLevelMenuType0($this->userInfo);
            $topLevelInstance->setCredential($topLevelMenu["credential"]);
            $topLevelInstance->setBaseUrl($topLevelMenu["baseurl"]);
            $topLevelInstance->setSubbase($topLevelMenu["subbase"]);
            $topLevelInstance->setTitle($topLevelMenu["title"]);

            //IԔ
            //I𒆂̃VXeɂԂ牺~hxj[j[\ɒǉ邽
            $middleList = false;
            foreach($topLevelMenu["child"] as $middleLevelMenu){
                $baseKey = $middleLevelMenu["subbase"];
                if($topLevelInstance->isUriEnable($baseKey)){
                    $middleList = true;
                }
            }

            foreach($topLevelMenu["child"] as $middleLevelMenu){
                //~hxj[\z
                if($middleLevelMenu["enable"]!='YES'){
                    continue;
                }

                $middleLevelInstance = new xbMiddleLevelMenuType0($this->userInfo);
                $middleLevelInstance->setCredential($middleLevelMenu["credential"]);
                $middleLevelInstance->setTitle($middleLevelMenu["title"]);
                $middleLevelInstance->setBaseUrl($middleLevelMenu["baseurl"]);
                $middleLevelInstance->setSubBase($middleLevelMenu["subbase"]);
                $middleLevelInstance->setUri($middleLevelMenu["uri"]);
                $middleLevelInstance->setEnable($middleLevelMenu["enable"]);

                //IԔ
                //I𒆂̃VXeɂԂ牺{gxj[j[\ɒǉ邽
                $bottomList = false;
                foreach($middleLevelMenu["child"] as $bottomLevelMenu){
                    $baseKey = $bottomLevelMenu["subbase"];
                    if(preg_match('/.*'.$baseKey.'.*/i', $_SERVER['REQUEST_URI'])){
                        if($bottomLevelMenu["subbase"]!=""){
                            $baseKey = $bottomLevelMenu["subbase"];
                        }
                    }
                    if($middleLevelInstance->isUriEnable($baseKey)){
                        $bottomList = true;
                    }
                }

                foreach($middleLevelMenu["child"] as $bottomLevelMenu){
                    //{gj[\z
                    $bottomLevelInstance = new xbBottomLevelMenuType0($this->userInfo);
                    $bottomLevelInstance->setTitle($bottomLevelMenu["title"]);
                    $bottomLevelInstance->setBaseUrl($bottomLevelMenu["baseurl"]);
                    $bottomLevelInstance->setSubBase($bottomLevelMenu["subbase"]);
                    $bottomLevelInstance->setUri($bottomLevelMenu["uri"]);
                    $bottomLevelInstance->setCredential($bottomLevelMenu["credential"]);
                    $bottomLevelInstance->setEnable($bottomLevelMenu["enable"]);
                    if($bottomList){
                        //{gxj[ڂo͂ɒǉ
                        $menuInstance->addBottomLevelMenu($bottomLevelInstance);
                        $middleLevelInstance->addChild($bottomLevelInstance);
                    }
                }
                if($middleList){
                    //~hxj[ڂo͂ɒǉ
                    $menuInstance->addMeddleLevelMenu($middleLevelInstance);
                }
                $topLevelInstance->addChild($middleLevelInstance);
            }
            //gbvxj[ڂo͂ɒǉ
            $menuInstance->addTopLevelMenu($topLevelInstance);
        }

        //OC[U[ݒ
        $menuInstance->setUserInfo($this->getUserInfo());

        //j[o
        return $menuInstance->write();
    }

    /**
     * Tv
     *  j[ij[j
     */
    private function writeType1(){

        //j[o͗pCX^X
        $menuInstance = new xbMenuType1($this->userInfo);

        //j[\z
        $menuConfigure = $this->getConfigData();

        foreach($menuConfigure as $key=>$topLevelMenu){
            //gbvxj[\z
            $topLevelInstance = new xbTopLevelMenuType1($this->userInfo);
            $topLevelInstance->setSystem($key);
            $topLevelInstance->setCredential($topLevelMenu["credential"]);
            $topLevelInstance->setTitle($topLevelMenu["title"]);

            //IԔ
            //I𒆂̃VXeɂԂ牺~hxj[j[\ɒǉ邽
            $middleList = false;
            foreach($topLevelMenu["child"] as $middleLevelMenu){
                $baseKey = $middleLevelMenu["subbase"];
                if($topLevelInstance->isUriEnable($baseKey)){
                    $middleList = true;
                }
            }

            foreach($topLevelMenu["child"] as $middleLevelMenu){
                //gbvxTuj[\z
                $topLevelSubInstance = new xbTopLevelSubMenuType1($this->userInfo);
                $topLevelSubInstance->setTitle($middleLevelMenu["title"]);
                $topLevelSubInstance->setSystem($key);
                $topLevelSubInstance->setBaseUrl($middleLevelMenu["baseurl"]);
                $topLevelSubInstance->setSubBase($middleLevelMenu["subbase"]);
                $topLevelSubInstance->setUri($middleLevelMenu["uri"]);
                $topLevelSubInstance->setEnable($middleLevelMenu["enable"]);
                $topLevelSubInstance->setSelected($middleList);

                //~hxj[\z
                $middleLevelInstance = new xbMiddleLevelMenuType1($this->userInfo);
                $middleLevelInstance->setTitle($middleLevelMenu["title"]);
                $middleLevelInstance->setSystem($middleLevelMenu["subbase"]);
                $middleLevelInstance->setBaseUrl($middleLevelMenu["baseurl"]);
                $middleLevelInstance->setUri($middleLevelMenu["uri"]);
                $middleLevelInstance->setSubBase($middleLevelMenu["subbase"]);
                $middleLevelInstance->setEnable($middleLevelMenu["enable"]);

                foreach($middleLevelMenu["child"] as $middleLevelSubMenu){
                    //~hxTuj[\z
                    $middleLevelSubInstance = new xbMiddleLevelSubMenuType1($this->userInfo);
                    $middleLevelSubInstance->setTitle($middleLevelSubMenu["title"]);
                    $middleLevelSubInstance->setSystem($middleLevelSubMenu["subbase"]);
                    $middleLevelSubInstance->setBaseUrl($middleLevelSubMenu["baseurl"]);
                    $middleLevelSubInstance->setSubBase($middleLevelSubMenu["subbase"]);
                    $middleLevelSubInstance->setUri($middleLevelSubMenu["uri"]);
                    $middleLevelSubInstance->setCredential($middleLevelSubMenu["credential"]);
                    $middleLevelSubInstance->setEnable($middleLevelSubMenu["enable"]);
                    //~hxTuj[ڂo͂ɒǉ
                    $menuInstance->addMeddleLevelSubMenu($middleLevelSubInstance);
                    //\͂ȂLĂ郁j[ڂǉ
                    $middleLevelInstance->addChild($middleLevelSubInstance);
                }
                if($middleList){
                    //~hxj[ڂo͂ɒǉ
                    $menuInstance->addMeddleLevelMenu($middleLevelInstance);
                }
                //gbvxTuj[ڂo͂ɒǉ
                $menuInstance->addTopLevelSubMenu($topLevelSubInstance);
                //\͂ȂLĂ郁j[ڂǉ
                $topLevelInstance->addChild($middleLevelInstance);
            }
            //gbvxj[ڂo͂ɒǉ
            $menuInstance->addTopLevelMenu($topLevelInstance);
        }

        //OC[U[ݒ
        $menuInstance->setUserInfo($this->getUserInfo());

        //j[o
        return $menuInstance->write();
    }

    /**
     * Tv
     *  j[iJeS[iEKwjڍׁiOKwjj
     */
    private function writeType2(){

        //j[o͗pCX^X
        $menuInstance = new xbMenuType2($this->userInfo);

        //j[\z
        $menuConfigure = $this->getConfigData();

        //============================================================
        //JeS[pj[iEKwj\z
        //============================================================
        //Kw擾
        foreach($menuConfigure as $key=>$topLevelMenu){
            $topLevelInstance = new xbTopLevelMenuType2($this->userInfo);
            $topLevelInstance->setCredential($topLevelMenu["credential"]);
            $topLevelInstance->setTitle($topLevelMenu["title"]);
            $topLevelInstance->setSystem($key);

            //IԔ
            //I𒆂̃VXeɂԂ牺~hxj[j[\ɒǉ邽
            $middleList = false;
            foreach($topLevelMenu["child"] as $middleLevelMenu){
                $baseKey = $middleLevelMenu["subbase"];
                if($topLevelInstance->isUriEnable($baseKey)){
                    $middleList = true;
                }
            }

            //Kw擾
            foreach($topLevelMenu["child"] as $middleKey=>$middleLevelMenu){
                //~hxj[\z
                if($middleLevelMenu["enable"]!='YES'){
                    continue;
                }

                $middleLevelInstance = new xbMiddleLevelMenuType2($this->userInfo);
                $middleLevelInstance->setCredential($middleLevelMenu["credential"]);
                $middleLevelInstance->setTitle($middleLevelMenu["title"]);
                $middleLevelInstance->setSystem($middleKey);
                $middleLevelInstance->setBaseUrl($middleLevelMenu["baseurl"]);
                $middleLevelInstance->setSubBase($middleLevelMenu["subbase"]);
                $middleLevelInstance->setUri($middleLevelMenu["uri"]);
                $middleLevelInstance->setEnable($middleLevelMenu["enable"]);

                //IԔ
                //I𒆂̃VXeɂԂ牺{gxj[j[\ɒǉ邽
                $bottomList = false;
                $baseKey = $middleLevelMenu["subbase"];
                if($middleLevelInstance->isUriEnable($baseKey)){
                    $bottomList = true;
                }
                //JeS[őIꂽ̂Ɋ֘Âo
                if(preg_match('/.*'.$baseKey.'.*/i', $_SERVER['REQUEST_URI'])){
                    //OKwǉ
                    foreach($middleLevelMenu["child"] as $bottomLevelMenu){
                        //{gj[\z
                        $bottomLevelInstance = new xbBottomLevelMenuType2($this->userInfo);
                        $bottomLevelInstance->setTitle($bottomLevelMenu["title"]);
                        $bottomLevelInstance->setBaseUrl($bottomLevelMenu["baseurl"]);
                        $bottomLevelInstance->setSubBase($bottomLevelMenu["subbase"]);
                        $bottomLevelInstance->setUri($bottomLevelMenu["uri"]);
                        $bottomLevelInstance->setCredential($bottomLevelMenu["credential"]);
                        $bottomLevelInstance->setEnable($bottomLevelMenu["enable"]);
                        $bottomLevelInstance->setDisabled($bottomLevelMenu["disabled"]);
                        if($bottomList){
                            //{gxj[ڂo͂ɒǉ
                            $menuInstance->addBottomLevelMenu($bottomLevelInstance);
                            $middleLevelInstance->addChild($bottomLevelInstance);
                        }
                    }
                }
                
                if($middleList){
                    //~hxj[ڂo͂ɒǉ
                    $menuInstance->addMeddleLevelMenu($middleLevelInstance);
                }
                $topLevelInstance->addChild($middleLevelInstance);
            }
            //gbvxj[ڂo͂ɒǉ
            $menuInstance->addTopLevelMenu($topLevelInstance);
        }

        //j[o
        return $menuInstance->write();
    }

    /**
     * Tv
     *  [U[擾
     */
    private function getUserInfo(){
        $strUser = "";
        if($this->userInfo->isAuthenticated()){
            $user = $this->userInfo->getUserNm();
            $mail = $this->userInfo->getUserMail();
            if($mail!=""){
                $user .= "y".$mail."z";
            }
            $strUser = link_to($user, xbUtil::getRedirectURL("xbrg_uam.php/RequestUserEdit"));
        }
        return $strUser;
    }
}
?>
