<?php
/**
 * xbCashNX
 *
 * @author   Shiro Tajima <tajima@exbridge.jp>
 * @since    PHP 5.0
 */
class xbCache {

    protected static $instance;

    /**
     *
     * @return object
     * @access public
     */
    public static function getInstance() {
        if (!isset(self::$instance)) {
            $class = __CLASS__;
            self::$instance = new $class();
        }
        return self::$instance;
    }

    /**
     *
     * @return object
     * @access public
     */
    public function get($name) {
        try {
            $cache_file = XBE_LIBS_DIR  . "/cache/cache_aurora_" . $name . ".php";
            if (file_exists($cache_file)) {
                $cache = include($cache_file);
                if ($cache['limit_time'] > date("YmdHis", time())) {
                    return $cache['data'];
                }
            }
            return false;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }

    /**
     *
     * @return object
     * @access public
     */
    public function set($name, $data) {
        try {
            $cache_buffer   = array();
            $cache_buffer[] = "<?php";
            $cache_buffer[] = "return array(";
            $cache_buffer[] = "           'limit_time'=>'" . date("YmdHis", strtotime ("+3 hour", time())) . "',";
            $cache_buffer[] = "           'data'=>array(";
            foreach ($data as $k => $v) {
                $cache_buffer[] = "                '" . $k . "'=>'" . $v . "',";
            }
            $cache_buffer[] = "                   )";
            $cache_buffer[] = "       );";
            $cache_buffer[] = "?>";

            $cache_file = XBE_LIBS_DIR . "/cache/cache_aurora_" . $name . ".php";
            $fp = @fopen($cache_file, 'w');
            @fwrite($fp, implode("\n", $cache_buffer));
            @fclose($fp);
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }
}
?>
