<?php
/**
 * xbExcelTemplateWriterNX
 *
 * @author   Shiro Tajima <tajima@exbridge.jp>
 * @since    PHP 5.0
 */
class xbExcelTemplateWriter {

    protected static $instance;

    private $iFile;
    private $oFile;

    private $paramList = array();

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public static function getInstance() {
        $class = __CLASS__;
        self::$instance = new $class();
        return self::$instance;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setInputFile($file) {
        $this->iFile = $file;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setOutputFile($file) {
        $this->oFile = $file;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function addParam($param) {
        $this->paramList[] = $param;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function execute($column) {
        try {
            //̓t@C
            $iFile = $this->iFile;
            //o̓t@C
            $oFile = $this->oFile;

            //t@C Read
            $handle = fopen($iFile, "r");
            if (!$handle) {
                throw new xbException(xbUtil::errorMessage(__METHOD__, sprintf(E_FL_01,$iFile)));
            }

            $contents = fread($handle, filesize($iFile));
            fclose($handle);

            //Xg擾
            $paramCnt = count($this->paramList);
            for ($i=0; $i<$paramCnt; $i++) {
                //ݒl擾
                $paramValue   = '/'.$this->paramList[$i]->getParamName().'/';
                $replaceValue = mb_convert_encoding($this->paramList[$i]->getParamValue(), "UTF-8", "SJIS");
                //u
                $contents = preg_replace($paramValue, $replaceValue, $contents);
            }

            //t@C Write
            $handle = fopen($oFile, "wb");
            if (!$handle) {
                throw new xbException(xbUtil::errorMessage(__METHOD__, sprintf(E_FL_01,$oFile)));
            }

            //t@C
            if (!fwrite($handle, $contents)) {
                throw new xbException(xbUtil::errorMessage(__METHOD__, sprintf(E_FL_02,$oFile)));
            }
            return fclose($handle);
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }
}

/**
 * Parameter
 *
 * @author   Shiro Tajima <tajima@exbridge.jp>
 * @since    PHP 5.0
 */
class xbExcelParam {

    public $paramName;      //ږ
    public $paramValue;     //ڒl

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public static function getInstance($paramName, $paramValue) {
        $class = __CLASS__;
        $instance = new $class();
        $instance->paramName  = $paramName;
        $instance->paramValue = $paramValue;
        return $instance;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
     public function getParamName() {
        return $this->paramName;
     }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
     public function getParamValue() {
        return $this->paramValue;
     }
}
?>
