<?php
/**
 * xbFTPNX
 *
 * @author   Shiro Tajima <tajima@exbridge.jp>
 * @since    PHP 5.0
 */
class xbFTP {

    protected static $instance;

    private $handle;
    private $host;
    private $port;
    private $userId;
    private $pass;

    private $remoteDir;
    private $localDir;

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public static function getInstance() {
        $class = __CLASS__;
        self::$instance = new $class();
        return self::$instance;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setServer($host, $port, $userId, $pass) {
        $this->setHost($host);
        $this->setPort($port);
        $this->setUserId($userId);
        $this->setPass($pass);
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setHost($host) {
        $this->host = $host;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setPort($port) {
        $this->port = $port;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setUserId($userId) {
        $this->userId = $userId;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setPass($pass) {
        $this->pass = $pass;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setRemoteDir($remoteDir) {
        $this->remoteDir = $remoteDir;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function setLocalDir($localDir) {
        $this->localDir = $localDir;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function getRemoteFileList() {
        $this->getConnection();
        $result = ftp_nlist ($this->handle, $this->remoteDir);
        ftp_close($this->handle);

        $tmpList = array();
        $tmpResult = array();
        foreach ($result as $tmpList) {
            $str = split ('/', $tmpList);
            $str = $str[count($str)-1];
            $tmpResult[] = $str;
            xbLog::logger(xbLog::INFO,__CLASS__,' LST-->'.$str);
        }
        return $tmpResult;
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function getFileList($list) {
        try {
            if (!is_array($list)) {
                throw new xbException(xbUtil::errorMessage(__METHOD__, E_IC_20));
            }
            $this->getConnection();
            $tmpList = array();
            foreach ($list as $tmpList) {
                $this->getFile($tmpList);
            }
            ftp_close($this->handle);
            return $result;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function putFileList($list) {
        try {
            if (!is_array($list)) {
                throw new xbException(xbUtil::errorMessage(__METHOD__, E_IC_20));
            }
            $this->getConnection();
            $tmpList = array();
            foreach ($list as $tmpList) {
                $this->putFile($tmpList);
            }
            ftp_close($this->handle);
            return $result;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function delFileList($list) {
        try {
            if (!is_array($list)) {
                throw new xbException(xbUtil::errorMessage(__METHOD__, E_IC_20));
            }
            $this->getConnection();
            $tmpList = array();
            foreach($list as $tmpList) {
                $this->delFile($tmpList);
            }
            ftp_close($this->handle);
            return $result;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function getFile($filenm) {
        try {
            $lfile = $this->localDir.'/'.$filenm;
            $rfile = $this->remoteDir.'/'.$filenm;
            $result;
            if(!$this->handle) {
                $this->getConnection();
                $result = ftp_get($this->handle, $lfile, $rfile, FTP_BINARY);
                ftp_close($this->handle);
            }
            else {
                $result = ftp_get($this->handle, $lfile, $rfile, FTP_BINARY);
            }
            xbLog::logger(xbLog::INFO,__CLASS__,' GET-->'.$rfile);
            return $result;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function putFile($filenm) {
        try {
            $lfile = $this->localDir.'/'.$filenm;
            $rfile = $this->remoteDir.'/'.$filenm;
            $result;
            if(!$this->handle) {
                $this->getConnection();
                $result = ftp_put($this->handle, $rfile, $lfile, FTP_BINARY);
                ftp_close($this->handle);
            }
            else {
                $result = ftp_put($this->handle, $rfile, $lfile, FTP_BINARY);
            }
            xbLog::logger(xbLog::INFO,__CLASS__,' PUT-->'.$lfile);
            return $result;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    public function delFile($filenm) {
        try {
            $rfile = $this->remoteDir.'/'.$filenm;
            $result;
            if (!$this->handle) {
                $this->getConnection();
                $result = ftp_delete($this->handle, $rfile);
                ftp_close($this->handle);
            }
            else {
                $result = ftp_delete($this->handle, $rfile);
            }
            xbLog::logger(xbLog::INFO,__CLASS__,' DEL-->'.$rfile);
            return $result;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }

    /**
     * Tv
     *
     * 
     *
     * @return object
     * @access public
     */
    private function getConnection() {
        try{
            //T[o[ڑ10񃊃gC
            for ($i=0; $i<10; $i++) {
                xbLog::logger(xbLog::INFO,__CLASS__,'[Host:'.$this->host.':'.$this->port.']֐ڑ݂܂Bi'.$i.'j');
                $this->handle = ftp_connect($this->host, $this->port);
                if ($this->handle) {
                    xbLog::logger(xbLog::INFO,__CLASS__,'ڑ܂B');
                    break;
                }
                else {
                    if ($i == 9) {
                        throw new xbException(xbUtil::errorMessage(__METHOD__, sprintf(E_FL_04,$this->host)));
                    }
                    xbLog::logger(xbLog::INFO,__CLASS__,'ڑł܂łBgC܂B');
                    sleep(10);
                }
            }

            //T[o[OI10񃊃gC
            for ($i=0; $i<10; $i++) {
                xbLog::logger(xbLog::INFO,__CLASS__,'[Host:'.$this->host.':'.$this->port.']փOC݂܂Bi'.$i.'j');
                xbLog::logger(xbLog::INFO,__CLASS__,'User:'.$this->userId);
                $result = ftp_login($this->handle, $this->userId, $this->pass); 
                if ($result) {
                    xbLog::logger(xbLog::INFO,__CLASS__,'OC܂B');
                    break;
                }
                else {
                    if($i == 9) {
                        throw new xbException(xbUtil::errorMessage(__METHOD__, sprintf(E_FL_05,$this->host)));
                    }
                    xbLog::logger(xbLog::INFO,__CLASS__,'OCł܂łBgC܂B');
                    sleep(10);
                }
            }
            return true;
        }
        catch (xbException $e) {
            throw $e;
        }
        catch (Exception $e) {
            throw new xbException(xbUtil::errorMessage(__METHOD__, $e->getMessage()));
        }
    }
}
?>
