<?php
/**
 * 
 */

class xbPop3 {
    public $host = '';
    public $port = '';
    public $protocol = '';
    public $box = '';
    public $uname = '';
    public $pass = '';
    
    public $check = '';
    
    public $MsgBool = false;
    
    public $Num = 0;
    
    public $messageID = 0; 
    private $connectString = '';
    
    private $mbox_connection = '';
    
    
    public function __construct( $conf = '' ) {
        if ( extension_loaded( 'imap' ) ) {
            if ( is_array( $conf ) ) {
                // クラス引数に設定があれば接続
                foreach ($conf as $key => $val ) {
                	$this->$key = $val;
                }
                $this->_CreateConnectString();
                $this->connection();
                $this->Msgchecks();

            }
            
            
        } else {
            //エクステンション無し
        }
    }
    
    /**
     * IMAP/POP3/ 接続
     *
     */
    public function connection() {
        $this->mbox_connection = imap_open( $this->connectString, $this->uname, $this->pass );
        if ( !$this->mbox_connection ) { 
            //接続に失敗
            $this->__destruct();
        }
    }
    
    /**
     * メッセージのチェック
     *
     */
    public function Msgchecks() {
        $this->check = imap_check( $this->mbox_connection );
        if ( $this->check->Nmsgs ) {
            $this->MsgBool = true;
        $this->Num = $this->check->Nmsgs;
        }
    }
    
    public function __destruct() {
        //削除の実行
    	imap_expunge( $this->mbox_connection );
    	//接続クローズ
        imap_close( $this->mbox_connection );
    }
    private function _CreateConnectString() {
        //$this->connectString = '{'. $this->host. ':'. $this->port. '/'. $this->protocol. '}'. $this->box;
        //auroar.exbridge.jpへの接続時に"/notls"が必要でした
        $this->connectString = '{'. $this->host. ':'. $this->port. '/'. $this->protocol. '/notls}'. $this->box;
        return $this->connectString;
    }
    
    /**
     * メッセージの削除
     *
     * @param integer $i
     * @return TRUE
     */
    public function DelMsg( $i ) {
        return imap_delete( $this->mbox_connection, $i );
    }
    
    /**
     * メッセージヘッダーを取得
     *
     * @param integer $i
     * @return IMAP resource
     */
    public function GetMsgHeader( $i ){
        return imap_headerinfo( $this->mbox_connection, $i );
    }
    
    public function GetMsgBody ( $i ,$toenc) {
        //文字コードを変換しておく(日本語正規表現かける時に便利
        // 長文は化ける可能性大
        $tmp = imap_body( $this->mbox_connection, $i );
        mb_internal_encoding( 'UTF-8');
        //echo $toenc;    
        return mb_convert_encoding( $tmp , 'UTF-8' , $toenc);
            //return $tmp;
    }
    
    public function MsgWorker () {
        if ( $this->Num >= ++$this->messageID ) {
            $hed = $this->GetMsgHeader( $this->messageID );
            $int_encoding = mb_internal_encoding();
            
            //エンコードで内部変更
            switch ( true ) {
                case eregi('ISO-2022-JP',$hed->subject):
                    $ENC_LANG = 'ISO-2022-JP';
                    $enc = true;
            	break;
                case eregi('SJIS',$hed->subject):
                    $ENC_LANG = 'SJIS';
                    $enc = true;
            	break;
                case eregi('EUC-JP',$hed->subject):
                    $ENC_LANG = 'EUC-JP';
                    $enc = true;
            	break;
            	default:
                    $sub = mb_convert_encoding( mb_decode_mimeheader( $hed->subject ), 'UTF-8' , 'ISO-2022-JP');
                    $ENC_LANG = 'ISO-2022-JP';
                    $enc = false;
            	break;
            }
            
            mb_internal_encoding( $ENC_LANG );
            if ( $enc ) {
                $sub = mb_convert_encoding( mb_decode_mimeheader( $hed->subject ), 'UTF-8' , $ENC_LANG);
            }

            $ret = array();
            $ret['subject'] = $sub;
            $ret['body']    = $this->GetMsgBody( $this->messageID ,$ENC_LANG);
            
            //@todo 携帯からFromを複数つけて送信できるかな？
            $ret['fromaddress'] = $hed->from['0']->mailbox. '@'. $hed->from['0']->host;
            
            $ret['maildate'] = $hed->maildate;
            $ret['to'] = $hed->to;
            mb_internal_encoding( $int_encoding );
            
            if( $this->Num == $this->messageID ) {
                $this->MsgBool = false;
            }
            // 読んだら削除
            $this->DelMsg( $this->messageID );
            return $ret;
        } else {
            $this->MsgBool = false;
            return array( 'subject' => '', 'body' => '', 'fromaddress' => '', 'maildate' => '', 'to' => '');
        }
    }
}
?>