<?php
/**
 * 
 *
 * @author   Shiro Tajima <tajima@exbridge.jp>
 * @since    PHP 5.0
 */
abstract class xbService {

    private $con;
    private $dnsFile;
    private $dnsName;

    /**
     * parameter check.
     * @access public
     * @return boolean
     */
    function assert( $check, $vo ) {
        if(is_array($check)) {
            foreach ($check as $val) {
                if (isset($vo->$val) && $vo->$val === 0) {
                    return true;
                }
                if (!isset($vo->$val) || is_null($vo->$val) || $vo->$val === '') {
                    //trigger_error($val . ' parameter failure [not found]', E_USER_ERROR);
                    return false;
                }
            }
        }
        else {
            if (isset($vo->$check) && $vo->$check === 0) {
                return true;
            }
            if (!isset($vo->$check) || is_null($vo->$check) || $vo->$check === '') {
                //trigger_error($check . ' parameter failure [not found]', E_USER_ERROR);
                return false;
            }
        }
        return true;
    }

    /**
     * Returns somfa instance.
     * @access public
     * @return object
     */
    function getSomfa() {
        global $_pw_db;
        if (SF_APP == 'xbrg_set') {
            if ($_pw_db->_my_conf['session_enable']) {
                $db = clone $_pw_db;
                $db->_my_conf['session_enable'] = false;
                return $db;
            }
        }
        if ($_pw_db->_type == 'mysql') {
            $_pw_db->connect();
        }
        return $_pw_db;
    }

    /**
     * Returns model instance.
     * @access public
     * @return object
     */
    function getModel($model_name) {
        global $_xbe_md;
        if (!isset($_xbe_md[$model_name])) {
            $db = $this->getSomfa();
            $_xbe_md[$model_name] = $db->getModel($model_name);
        }
        return $_xbe_md[$model_name];
    }

    /**
     * Returns sequence id.
     * @access public
     * @return object
     */
    function generateId($key = 'default') {

        $id = null;//őli[pϐ

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        $somfa->begin();

        $sql = "select case when id is null then 1 else id + 1 end as id from tbs_id where name = ? for update";
        $rs = $somfa->execute($sql, array($key));

        //--------------------------------------------------------------
        //ől擾
        //--------------------------------------------------------------
        foreach ($rs as $item) {
            $id = $item['id'];
            break;
        }

        if (xbUtil::isNULL($id)) {
            $sql = "insert into tbs_id(name, id) values(?, ?) ";
            $results = $somfa->execute($sql, array($key, 1));
        }
        else {
            $sql = "update tbs_id set id = id + 1 where name = ? ";
            $results = $somfa->execute($sql, array($key));
        }

        $sql = "select id from tbs_id where name = ? for update";
        $rs = $somfa->execute($sql, array($key));
        foreach ($rs as $item ) {
            $id = $item['id'];
            break;
        }

        $somfa->commit();
        return $id;
    }

    /**
     * Returns sequence eda.
     * @access public
     * @return object
     */
    function generateEda($table, $column, $criterion, $bind) {

        $id = null;//őli[pϐ

        //--------------------------------------------------------------
        //somfaIuWFNg擾
        //--------------------------------------------------------------
        $somfa = $this->getSomfa();

        $somfa->begin();

        $sql = "select * from dual where dummy = '0' for update";
        $somfa->execute($sql);

        $sql = "select case when (max(" . $column . ")) is null then 1 else max(" . $column . ")+1 end as id from " . $table . " where " . $criterion;
        $rs = $somfa->execute($sql, $bind);
        foreach ($rs as $item) {
            $id = $item['id'];
            break;
        }

        $somfa->commit();

        return $id;
    }
}
?>
