<?php
/**
 * XMLp[T[NX
 *
 * fBA痬p
 *
 * @author      Shiro Tajima<tajima@exbridge.jp> 2007N0905
 *              Shiro Tajima<tajima@exbridge.jp> 2007N1105 xbepɈڍs
 * @copyright   2007 EXBRIDGE,Inc. All Rights Reserved.
 * @link        http://exbridge.jp/
 */
class baseXMLparser extends DOMDocument {

    const NODE  = 'node';
    const PATH  = 'path';

    /** xpath object */
    public $_xpath;

    /** xml file */
    public $_xml_file;

    /**
     * constructer
     */
    public function baseXMLparser() {
        //encoding
        $this->_xml_file = $this->encoding($this->_xml_file);

        //load
        $this->formatOutput = true;// o͂͂ꂢɐ`łˁB
        $this->preserveWhiteSpace = false;//󔒂ɔY܂ꂽ܂BBBȂ̂
        $this->loadXML($this->_xml_file);

        //new xpath object
        $this->_xpath = new DOMXPath($this);
    }

    /**
     * get xml data
     */
    public function get() {
        return $this->saveXML();
    }

    /**
     * get node
     */
    public function getNode($path) {
        return $this->xpathExecute($path);
    }

    /**
     * get value
     */
    public function getValue($path) {
        $item = $this->xpathExecute($path);
        return $item->nodeValue;
    }

    /**
     * adding element (auto add or replace)
     */
    public function addElement($node, $element, $value, $type=self::PATH) {

        //new element create
        if (is_null($value)) {
            $newElement = $this->createElement($element);
        }
        else {
            $newElement = $this->createElement($element, htmlspecialchars($this->encoding($value), ENT_QUOTES, "UTF-8"));
            //$newElement = $this->createElement($element, $this->encoding($value));
        }

        //target path getting
        if ($type == self::PATH) {
            $item = $this->xpathExecute($node);

            //target element getting
            $oldElement = $item->getElementsByTagName($element)->item(0);

            //add or replace
            if (is_null($oldElement)) {
                $child = $item->appendChild($newElement);
            }
            else {
                $child = $item->replaceChild($newElement, $oldElement);
            }
        }
        else {
            $child = $node->appendChild($newElement);
        }
        return $child;
    }

    /**
     * setting attribute (update)
     */
    public function setAttribute($node, $attr, $value, $type=self::PATH) {
        //target path getting
        if ($type == self::PATH) {
            $item = $this->xpathExecute($node);
        }
        else {
            $item = $node;
        }

        if (is_null($value) || $value=='') {
            //deleting attribute
            if ($item->hasAttribute($attr)) {
                $item->removeAttribute($attr);
            }
        }
        else {
            //setting attribute
            $item->setAttribute($attr, $this->encoding($value));
        }
    }

    /**
     * getting attribute (update)
     */
    public function getAttribute($node, $attr, $type=self::PATH) {
        //target path getting
        if($type == self::PATH) {
            $item = $this->xpathExecute($node);
        }
        else {
            $item = $node;
        }
        //getting attribute
        return $item->getAttribute($attr);
    }

    /**
     * setting value (update)
     */
    public function setValue($node, $value, $type=self::PATH) {
        //target path getting
        if (is_null($node)) {
            $item = $this->xpathExecute($node);
        }
        else {
            $item = $node;
        }
        //setting value
        $item->nodeValue = htmlspecialchars($this->encoding($value), ENT_QUOTES, "UTF-8");
        //$item->nodeValue = $this->encoding($value);
    }

    /**
     * xpath query executer
     */
    public function xpathExecute($path) {
        $items = $this->_xpath->query($path);
        //get item
        if ($items->length==1) {
            return $items->item(0);
        }
        else {
            return null;
        }
    }

    /**
     * encoding value
     */
    private function encoding($value){
        return mb_convert_encoding($value, "UTF-8", xbIDs::HTML_ENCODE);
    }
}
?>
