<?php
/**
 * xbGadget XMLNX
 *
 * PHP versions 5
 *
 * @package     mediaComponent
 * @author      Shiro Tajima<tajima@exbridge.jp> 2006N1118
 * @copyright   2006 EXBRIDGE,Inc. All Rights Reserved.
 * @version     SVN : $Id
 * @link        http://exbridge.jp/
 * @see
 */
require_once( AURORA_ROOT_DIR . '/lib/xb.library/xml/baseXMLparser.class.php' );

class xbGadget_old extends baseXMLparser {

    /** instance */
    protected static $instance;

    /** create instance */
    public static function getInstance() {
        $class = __CLASS__;
        self::$instance = new $class();
        return self::$instance;
    }

    /** construct */
    public function __construct() {
        $this->xml_file = include "xbGadget.xml.php";
        parent::__construct();
    }

    /** uid */
    public function setUID($value) {
        $path = '/gadget/uid';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'uid', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setUID:'.$value);
    }

    /** name */
    public function setName($value) {
        $path = '/gadget/name';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'name', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setName:'.$value);
    }

    /** version */
    public function setVersion($value) {
        $path = '/gadget/version';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'version', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setVersion:'.$value);
    }

    /** apiurl */
    public function setAPIurl($value) {
        //hostsm[hȂ΍
        $path = '/gadget/hosts';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'hosts', null);
        }
        //apiurlm[hǉ
        $path = '/gadget/hosts/apiurl';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/hosts';
            $this->addElement($path, 'apiurl', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setAPIurl:'.$value);
    }

    /** item */
    public function addItem($name, $value, $default) {
        //hostsm[hȂ΍
        $path = '/gadget/hosts';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'hosts', null);
        }
        //parametersm[hȂ΍
        $path = '/gadget/hosts/parameters';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/hosts';
            $node = $this->addElement($path, 'parameters', null);
        }
        //itemm[hǉ
        $node = $this->addElement($node, 'item', null, self::NODE);
        if (!is_null($node)) {
            $this->addElement($node, 'name', $name, self::NODE);
            $this->addElement($node, 'value', $value, self::NODE);
            $this->addElement($node, 'default', $default, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'addItem:'.$value);
    }

    /** js */
    public function addJS($value) {
        //hostsm[hȂ΍
        $path = '/gadget/hosts';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'hosts', null);
        }
        //scriptsm[hȂ΍
        $path = '/gadget/hosts/scripts';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/hosts';
            $node = $this->addElement($path, 'scripts', null);
        }
        //JSm[hǉ
        $this->addElement($node, 'JS', $value, self::NODE);
        xbLog::logger(xbLog::DEBUG,__CLASS__,'addJS:'.$value);
    }

    /** interval */
    public function setInterval($value) {
        //hostsm[hȂ΍
        $path = '/gadget/hosts';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'hosts', null);
        }
        //intervalm[hǉ
        $path = '/gadget/hosts/interval';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/hosts';
            $this->addElement($path, 'interval', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'addJS:'.$value);
    }

    /** icon */
    public function setIcon( $value ){
        //preferencem[hȂ΍
        $path = '/gadget/preference';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'preference', null);
        }

        //iconm[hǉ
        $path = '/gadget/preference/icon';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/preference';
            $this->addElement($path, 'icon', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setIcon:'.$value);
    }

    /** minimumeffect */
    public function setMinimumEffect($value) {
        //preferencem[hȂ΍
        $path = '/gadget/preference';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'preference', null);
        }
        //minimumeffectm[hǉ
        $path = '/gadget/preference/minimumeffect';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/preference';
            $this->addElement($path, 'minimumeffect', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setMinimumEffect:'.$value);
    }

    /** maximumeffect */
    public function setMaximumEffect($value) {
        //preferencem[hȂ΍
        $path = '/gadget/preference';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'preference', null);
        }
        //maximumeffectm[hǉ
        $path = '/gadget/preference/maximumeffect';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/preference';
            $this->addElement($path, 'maximumeffect', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setMaximumEffect:'.$value);
    }

    /** shadeeffect */
    public function setShadeEffect($value) {
        //preferencem[hȂ΍
        $path = '/gadget/preference';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'preference', null);
        }
        //shadeeffectm[hǉ
        $path = '/gadget/preference/shadeeffect';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/preference';
            $this->addElement($path, 'shadeeffect', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setShadeEffect:'.$value);
    }

    /** top */
    public function setTop($value) {
        //settingm[hȂ΍
        $path = '/gadget/setting';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'setting', null);
        }
        //topm[hǉ
        $path = '/gadget/setting/top';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/setting';
            $this->addElement($path, 'top', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setTop:'.$value);
    }

    /** left */
    public function setLeft($value) {
        //settingm[hȂ΍
        $path = '/gadget/setting';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'setting', null);
        }
        //leftm[hǉ
        $path = '/gadget/setting/left';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/setting';
            $this->addElement($path, 'left', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setLeft:'.$value);
    }

    /** width */
    public function setWidth($value) {
        //settingm[hȂ΍
        $path = '/gadget/setting';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'setting', null);
        }
        //widthm[hǉ
        $path = '/gadget/setting/width';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/setting';
            $this->addElement($path, 'width', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setWidth:'.$value);
    }

    /** height */
    public function setHeight($value) {
        //settingm[hȂ΍
        $path = '/gadget/setting';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'setting', null);
        }
        //heightm[hǉ
        $path = '/gadget/setting/height';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/setting';
            $this->addElement($path, 'height', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setHeight:'.$value);
    }

    /** etc */
    public function setEtc($value) {
        //settingm[hȂ΍
        $path = '/gadget/setting';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'setting', null);
        }
        //etcm[hǉ
        $path = '/gadget/setting/etc';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget/setting';
            $this->addElement($path, 'etc', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setEtc:'.$value);
    }

    /** contents */
    public function setContents($value) {
        $path = '/gadget/contents';
        $node = $this->xpathExecute($path);
        if (is_null($node)) {
            $path = '/gadget';
            $this->addElement($path, 'contents', $value);
        }
        else {
            $this->setValue($node, $value, self::NODE);
        }
        xbLog::logger(xbLog::DEBUG,__CLASS__,'setContents:'.$value);
    }
}
?>
